#
# spec file for package java-13-openjdk
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{!?aarch64:%global aarch64 aarch64 arm64 armv8}
%{!?arm6:%global arm6 armv3l armv4b armv4l armv4tl armv5b armv5l armv5teb armv5tel armv5tejl armv6l armv6hl}
%global jit_arches %{ix86} x86_64 ppc64 ppc64le %{aarch64} %{arm} s390x
%global debug 0
%global add_back_javaee_modules 1
%global buildoutputdir build
# Convert an absolute path to a relative path.  Each symbolic link is
# specified relative to the directory in which it is installed so that
# it will resolve properly within chrooted installations.
%global script 'use File::Spec; print File::Spec->abs2rel($ARGV[0], $ARGV[1])'
%global abs2rel perl -e %{script}
%global syslibdir       %{_libdir}
%global archname        %{name}
# Standard JPackage naming and versioning defines.
%global featurever      13
%global interimver      0
%global updatever       0
%global patchver        0
%global datever         2019-09-17
%global buildver        7
%global hg_project      jdk
%global hg_repository   jdk
%global hg_revision     021917019cda
%global icedtea_sound_version 1.0.1
%global java_atk_wrapper_version 0.33.2
# JavaEE modules
%global java_atk_wrapper_version 0.33.2
%global java_activation_repository activation
%global java_activation_tag JAF-1_2_0
%global java_xml_bind_repository jaxb-spec
%global java_xml_bind_tag 2.4.0
%global java_xml_soap_repository javax.xml.soap
%global java_xml_soap_tag 1.4.0
%global java_annotation_repository javax.annotation
%global java_annotation_tag 1.3.2
%global java_xml_ws_repository jax-ws-spec
%global java_xml_ws_tag 2.4.0
%global com_sun_xml_fastinfoset_repository metro-fi
%global com_sun_xml_fastinfoset_tag 1.2.15-RELEASE
%global org_jvnet_staxex_repository metro-stax-ex
%global org_jvnet_staxex_tag 1.8
%global com_sun_istack_runtime_repository jaxb-istack-commons
%global com_sun_istack_runtime_tag 3.0.7-RELEASE
%global jaxb_ri_repository jaxb-v2
%global jaxb_ri_tag 2.3.1
# priority must be 6 digits in total
# % global priority        2205
%global priority        0
%global javaver         %{featurever}
# Standard JPackage directories and symbolic links.
%global sdklnk          java-%{javaver}-openjdk
%global archname        %{sdklnk}
%global jrelnk          jre-%{javaver}-openjdk
%global jrebindir       %{_jvmdir}/%{jrelnk}/bin
%global sdkdir          %{sdklnk}-%{javaver}
%global sdkbindir       %{_jvmdir}/%{sdklnk}/bin
# Prevent brp-java-repack-jars from being run.
%global __jar_repack 0
# cacert symlink
%global cacerts  %{_jvmdir}/%{sdkdir}/lib/security/cacerts
# real file made by update-ca-certificates
%global javacacerts %{_var}/lib/ca-certificates/java-cacerts
%global bootcycle 1
# turn zero on non jit arches by default
%ifnarch %{jit_arches}
%global _with_zero 1
%endif
%ifarch %{arm6}
%global _with_zero 1
%endif
%if %{debug}
%global debugbuild slowdebug
%else
%global debugbuild release
%endif
%if %{bootcycle}
%global imagesdir bootcycle-build/images
%global imagestarget bootcycle-images all
%else
%global imagesdir images
%global imagestarget all
%endif
# bnc#542545
# 32-bit versus 64-bit specific provides:
%ifarch %{ix86} ppc s390
%global bits 32
%endif
%ifarch x86_64 ia64 s390x
%global bits 64
%endif
%if 0%{?__isa_bits}
%global bits %{__isa_bits}
%endif
# Turn on/off some features depending on openSUSE version
%if 0%{?suse_version} > 1320
%global with_system_pcsc 1
%else
%global with_system_pcsc 0
%endif
%global with_pulseaudio 1
%bcond_with zero
%if ! %{with zero}
%ifarch x86_64 %{aarch64}
%global _with_aot 1
%endif
%endif
%bcond_with aot
%if ! %{with zero}
%global with_systemtap 1
%else
%global with_systemtap 0
%endif
%if %{with_systemtap}
%global tapsetroot      %{_datadir}/systemtap
%global tapsetdir %{tapsetroot}/tapset/%{_build_cpu}
%endif
%if %{with_systemtap}
# Where to install systemtap tapset (links)
# We would like these to be in a package specific subdir,
# but currently systemtap doesn't support that, so we have to
# use the root tapset dir for now. To distinquish between 64
# and 32 bit architectures we place the tapsets under the arch
# specific dir (note that systemtap will only pickup the tapset
# for the primary arch for now). Systemtap uses the machine name
# aka build_cpu as architecture specific directory name.
%global tapsetroot %{_datadir}/systemtap
%global tapsetdir %{tapsetroot}/tapset/%{_build_cpu}
%endif
Name:           java-%{featurever}-openjdk
Version:        %{featurever}.%{interimver}.%{updatever}.%{patchver}~%{buildver}
Release:        2.1
Summary:        OpenJDK %{featurever} Runtime Environment
License:        Apache-1.1 AND Apache-2.0 AND GPL-1.0-or-later AND GPL-2.0-only AND GPL-2.0-with-classpath-exception AND LGPL-2.0-only AND MPL-1.0 AND MPL-1.1 AND SUSE-Public-Domain AND W3C
Group:          Development/Languages/Java
URL:            http://openjdk.java.net/
# Sources from upstream OpenJDK project.
Source0:        http://hg.openjdk.java.net/%{hg_project}/%{hg_repository}/archive/%{hg_revision}.tar.bz2
# Accessibility support
Source8:        ftp://ftp.gnome.org/pub/GNOME/sources/java-atk-wrapper/0.33/java-atk-wrapper-%{java_atk_wrapper_version}.tar.xz
# Pulseaudio support
Source9:        http://icedtea.classpath.org/download/source/icedtea-sound-%{icedtea_sound_version}.tar.xz
# Systemtap tapsets. Zipped up to keep it small.
Source10:       systemtap-tapset.tar.xz
# Desktop files. Adapated from IcedTea.
Source11:       jconsole.desktop.in
# nss configuration file
Source13:       nss.cfg
# Ensure we aren't using the limited crypto policy
Source14:       TestCryptoLevel.java
# Ensure ECDSA is working
Source15:       TestECDSA.java
# https://codeload.github.com/javaee/%{java_activation_repository}/tar.gz/%{java_activation_tag}
Source20:       %{java_activation_repository}-%{java_activation_tag}.tar.gz
# https://codeload.github.com/javaee/%{java_xml_bind_repository}/tar.gz/%{java_xml_bind_tag}
Source21:       %{java_xml_bind_repository}-%{java_xml_bind_tag}.tar.gz
# https://codeload.github.com/javaee/%{java_xml_soap_repository}/tar.gz/%{java_xml_soap_tag}
Source22:       %{java_xml_soap_repository}-%{java_xml_soap_tag}.tar.gz
# https://codeload.github.com/javaee/%{java_annotation_repository}/tar.gz/%{java_annotation_tag}
Source23:       %{java_annotation_repository}-%{java_annotation_tag}.tar.gz
# https://codeload.github.com/javaee/%{java_xml_ws_repository}/tar.gz/%{java_xml_ws_tag}
Source24:       %{java_xml_ws_repository}-%{java_xml_ws_tag}.tar.gz
# https://codeload.github.com/javaee/%{com_sun_xml_fastinfoset_repository}/tar.gz/%{com_sun_xml_fastinfoset_tag}
Source25:       %{com_sun_xml_fastinfoset_repository}-%{com_sun_xml_fastinfoset_tag}.tar.gz
# https://codeload.github.com/javaee/%{org_jvnet_staxex_repository}/tar.gz/%{org_jvnet_staxex_tag}
Source26:       %{org_jvnet_staxex_repository}-%{org_jvnet_staxex_tag}.tar.gz
# https://codeload.github.com/javaee/%{com_sun_istack_runtime_repository}/tar.gz/%{com_sun_istack_runtime_tag}
Source27:       %{com_sun_istack_runtime_repository}-%{com_sun_istack_runtime_tag}.tar.gz
# https://codeload.github.com/javaee/%{jaxb_ri_repository}/tar.gz/%{jaxb_ri_tag}
Source28:       %{jaxb_ri_repository}-%{jaxb_ri_tag}.tar.gz
# Fresh config.guess and config.sub files
# wget -O config.guess 'http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD'
Source100:      config.guess
# wget -O config.sub 'http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD'
Source101:      config.sub
# RPM/distribution specific patches
Patch1:         icedtea-sound-1.0.1-jdk9.patch
Patch2:         icedtea-sound-soundproperties.patch
# Restrict access to java-atk-wrapper classes
Patch3:         java-atk-wrapper-security.patch
# RHBZ 808293
Patch4:         PStack-808293.patch
# Allow multiple initialization of PKCS11 libraries
Patch5:         multiple-pkcs11-library-init.patch
# Fix instantiation of VM on ZERO
Patch8:         zero-ranges.patch
# From icedtea: Increase default memory limits
Patch10:        memory-limits.patch
# Fix use of unintialized memory in adlc parser
Patch12:        adlc-parser.patch
# Fix: implicit-pointer-decl
Patch13:        implicit-pointer-decl.patch
#
Patch15:        system-pcsclite.patch
Patch16:        missing-return.patch
#
Patch20:        loadAssistiveTechnologies.patch
#
# OpenJDK specific patches
#
Patch100:       s390-java-opts.patch
Patch101:       s390-size_t.patch
#
Patch200:       ppc_stack_overflow_fix.patch
Patch201:       fix_armv6_build.patch
#
Patch302:       disable-doclint-by-default.patch
Patch303:       alternative-tzdb_dat.patch
#
Patch400:       jaw-misc.patch
Patch401:       jaw-jdk10.patch
Patch402:       jaw-nogtk.patch
#
Patch500:       activation-module.patch
Patch501:       annotation-module.patch
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bc
BuildRequires:  binutils
BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  giflib-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  java-ca-certificates
BuildRequires:  libX11-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  libXtst-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms2-devel
BuildRequires:  libpng-devel
BuildRequires:  libtool
BuildRequires:  libxslt
BuildRequires:  pkgconfig
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xprop
BuildRequires:  zip
BuildRequires:  pkgconfig(atk) >= 2.14.0
BuildRequires:  pkgconfig(atk-bridge-2.0)
BuildRequires:  pkgconfig(atspi-2) >= 2.14.0
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
# Requires rest of java
Requires:       %{name}-headless = %{version}-%{release}
Requires:       fontconfig
# mozilla-nss has to be installed to prevent
# java.security.ProviderException: Could not initialize NSS
# ...
# java.io.FileNotFoundException: /usr/lib64/libnss3.so
#was bnc#634793
Requires:       mozilla-nss
Requires(post): file
Requires(post): java-ca-certificates
# Standard JPackage base provides.
Provides:       java = %{javaver}
Provides:       java-%{javaver} = %{version}-%{release}
Provides:       java-openjdk = %{version}-%{release}
Provides:       jre = %{javaver}
Provides:       jre-%{javaver} = %{version}-%{release}
Provides:       jre-%{javaver}-openjdk = %{version}-%{release}
Provides:       jre-openjdk = %{version}-%{release}
# Standard JPackage extensions provides.
Provides:       java-fonts = %{version}
# Required at least by fop
Provides:       java-%{bits} = %{javaver}
Provides:       java-%{javaver}-%{bits}
Provides:       java-openjdk-%{bits} = %{version}-%{release}
Provides:       jre-%{bits} = %{javaver}
Provides:       jre-%{javaver}-%{bits}
Provides:       jre-%{javaver}-openjdk-%{bits} = %{version}-%{release}
Provides:       jre-openjdk-%{bits} = %{version}-%{release}
Provides:       jre1.10.x
Provides:       jre1.3.x
Provides:       jre1.4.x
Provides:       jre1.5.x
Provides:       jre1.6.x
Provides:       jre1.7.x
Provides:       jre1.8.x
Provides:       jre1.9.x
%if %{bootcycle}
BuildRequires:  java-devel >= 11
BuildConflicts: java-devel >= 14
%else
BuildRequires:  %{name}-devel
%endif
# Zero-assembler build requirement.
%if %{with zero}
BuildRequires:  libffi-devel
%endif
%if %{with_systemtap}
BuildRequires:  systemtap-sdt-devel
%endif
# pulse audio requirements
%if %{with_pulseaudio}
BuildRequires:  libpulse-devel >= 0.9.11
BuildRequires:  pulseaudio >= 0.9.11
%endif
%if %{with_system_pcsc}
BuildRequires:  pcsc-lite-devel
%endif
%if %{with aot}
BuildRequires:  libelf-devel
%endif

%description
The OpenJDK %{featurever} runtime environment.

%package headless
Summary:        OpenJDK %{featurever} Runtime Environment
Group:          Development/Languages/Java
Requires:       jpackage-utils
# Post requires update-alternatives to install tool update-alternatives.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall tool update-alternatives.
Requires(postun): update-alternatives
Recommends:     tzdata-java8
# Standard JPackage base provides.
Provides:       java-%{javaver}-headless = %{version}-%{release}
Provides:       java-headless = %{javaver}
Provides:       java-openjdk-headless = %{version}-%{release}
Provides:       jre-%{javaver}-headless = %{version}-%{release}
Provides:       jre-%{javaver}-openjdk-headless = %{version}-%{release}
Provides:       jre-headless = %{javaver}
Provides:       jre-openjdk-headless = %{version}-%{release}
# Standard JPackage extensions provides.
Provides:       jaas = %{version}
Provides:       java-sasl = %{version}
Provides:       jce = %{version}
Provides:       jdbc-stdext = 4.3
Provides:       jndi = %{version}
Provides:       jndi-cos = %{version}
Provides:       jndi-dns = %{version}
Provides:       jndi-ldap = %{version}
Provides:       jndi-rmi = %{version}
Provides:       jsse = %{version}

%description headless
The OpenJDK %{featurever} runtime environment without audio and video support.

%package devel
Summary:        OpenJDK %{featurever} Development Environment
# Require base package.
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
# Post requires update-alternatives to install tool update-alternatives.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall tool update-alternatives.
Requires(postun): update-alternatives
# Standard JPackage devel provides.
Provides:       java-%{javaver}-devel = %{version}
Provides:       java-devel = %{javaver}
Provides:       java-devel-openjdk = %{version}
Provides:       java-sdk = %{javaver}
Provides:       java-sdk-%{javaver} = %{version}
Provides:       java-sdk-%{javaver}-openjdk = %{version}
Provides:       java-sdk-openjdk = %{version}

%description devel
The OpenJDK %{featurever} development tools.

%package jmods
Summary:        JMods for OpenJDK %{featurever}
Group:          Development/Languages/Java
Requires:       %{name}-devel = %{version}-%{release}

%description jmods
The JMods for OpenJDK %{featurever}.

%package demo
Summary:        OpenJDK %{featurever} Demos
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description demo
The OpenJDK %{featurever} demos.

%package src
Summary:        OpenJDK %{featurever} Source Bundle
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description src
The OpenJDK %{featurever} source bundle.

%package javadoc
Summary:        OpenJDK %{featurever} API Documentation
Group:          Development/Languages/Java
Requires:       jpackage-utils
# Post requires update-alternatives to install javadoc alternative.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall javadoc alternative.
Requires(postun): update-alternatives
# Standard JPackage javadoc provides.
Provides:       java-%{javaver}-javadoc = %{version}-%{release}
Provides:       java-javadoc = %{version}-%{release}
BuildArch:      noarch

%description javadoc
The OpenJDK %{featurever} API documentation.

%package accessibility
Summary:        OpenJDK %{featurever} accessibility connector
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       xprop

%description accessibility
Enables accessibility support in OpenJDK %{featurever} by using java-atk-wrapper. This allows
compatible at-spi2 based accessibility programs to work for AWT and Swing-based
programs.

Please note, the java-atk-wrapper is still in beta, and OpenJDK itself is still
being tuned to be working with accessibility features. There are known issues
with accessibility on, so please do not install this package unless you really
need to.

%prep
%setup -q -n %{hg_repository}-%{hg_revision}
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 8
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 9
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 20
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 21
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 22
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 23
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 24
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 25
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 26
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 27
%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 28

# Replace config.sub and config.guess with fresh versions
cp %{SOURCE100} make/autoconf/build-aux/
cp %{SOURCE101} make/autoconf/build-aux/

# Remove libraries that are linked
rm -rvf src/java.base/share/native/libzip/zlib-*
find src/java.desktop/share/native/libjavajpeg ! -name imageioJPEG.c ! -name jpegdecoder.c -type f -delete
rm -rvf src/java.desktop/share/native/libsplashscreen/libpng
rm -rvf src/java.desktop/share/native/libsplashscreen/giflib
rm -rvf src/java.desktop/share/native/liblcms/cms*
rm -rvf src/java.desktop/share/native/liblcms/lcms2*

%patch1
%if %{with_pulseaudio}
%patch2 -p1
%endif

%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch8 -p1
%patch10 -p1
%patch12 -p1
%patch13 -p1

%if %{with_system_pcsc}
%patch15 -p1
%endif

%patch16 -p1

%patch20 -p1

# s390 build fixes

%ifarch s390
%patch100 -p1
%patch101 -p1
%endif

%patch200 -p1

%ifarch %{arm6}
%patch201
%endif

%patch302 -p1
%patch303 -p1

%patch400
%patch401
%patch402

%patch500
%patch501

# Extract systemtap tapsets

%if %{with_systemtap}

tar -x -I xz -f %{SOURCE10}

for file in tapset/*.in; do

    OUTPUT_FILE=`echo $file | sed -e s:\.in$::g`
    sed -e s:@ABS_SERVER_LIBJVM_SO@:%{_jvmdir}/%{sdkdir}/lib/server/libjvm.so:g $file > $file.1
# TODO find out which architectures other than ix86 have a client vm

%ifarch %{ix86}
    sed -e s:@ABS_CLIENT_LIBJVM_SO@:%{_jvmdir}/%{sdkdir}/lib/client/libjvm.so:g $file.1 > $OUTPUT_FILE
%else
    sed -e '/@ABS_CLIENT_LIBJVM_SO@/d' $file.1 > $OUTPUT_FILE
%endif
    sed -i -e s:@ABS_JAVA_HOME_DIR@:%{_jvmdir}/%{sdkdir}:g $OUTPUT_FILE

done

%endif

# Prepare desktop files
for file in %{SOURCE11} ; do
    OUTPUT_FILE=`basename $file | sed -e s:\.in$::g`
    sed -e s:@JAVA_HOME@:%{_jvmdir}/%{sdkdir}:g $file > $OUTPUT_FILE
    sed -i -e s:@VERSION@:%{javaver}:g $OUTPUT_FILE
done

%build

%ifarch s390x sparc64 alpha ppc64 ppc64le %{aarch64}
export ARCH_DATA_MODEL=64
%endif

%ifarch alpha
export CFLAGS="$CFLAGS -mieee"
%endif

EXTRA_CFLAGS="-Wno-error"
EXTRA_CPP_FLAGS="-Wno-error"

%ifarch ppc64 ppc64le ppc
EXTRA_CFLAGS="$EXTRA_CFLAGS -fno-strict-aliasing"
%endif

%if 0%{?suse_version} >= 1330
EXTRA_CFLAGS="$EXTRA_CFLAGS -std=gnu++98 -fno-delete-null-pointer-checks -fno-lifetime-dse -fpermissive"
EXTRA_CPP_FLAGS="$EXTRA_CPP_FLAGS -std=gnu++98 -fno-delete-null-pointer-checks -fno-lifetime-dse"
%endif

mkdir -p %{buildoutputdir}

pushd %{buildoutputdir}

bash ../configure \
    --with-version-feature=%{featurever} \
    --with-version-interim=%{interimver} \
    --with-version-update=%{updatever} \
    --with-version-patch=%{patchver} \
    --with-version-date=%{datever} \
    --with-version-build=%{buildver} \
%if 0
    --with-version-pre="" \
%endif
    --with-version-opt="suse-%{release}-%{_arch}" \
    --disable-warnings-as-errors \
%if %{with zero}
    --with-jvm-variants=zero \
%else
%ifarch %{arm6}
    --with-jvm-variants=client \
%endif
%endif
%if %{with aot}
    --enable-aot \
%else
    --disable-aot \
%endif
    --disable-keep-packaged-modules \
    --with-debug-level=%{debugbuild} \
    --with-native-debug-symbols=internal \
    --with-zlib=system \
    --with-libjpeg=system \
    --with-giflib=system \
    --with-libpng=system \
    --with-lcms=system \
%if %{with_system_pcsc}
    --with-pcsclite=system \
%endif
    --with-stdc++lib=dynamic \
%ifarch s390
    --with-boot-jdk-jvmargs="-Xms256M -Xmx768M" \
%endif
%ifarch x86_64
    --with-jvm-features=zgc \
%endif
    --with-extra-cxxflags="$EXTRA_CPP_FLAGS" \
    --with-extra-cflags="$EXTRA_CFLAGS" \
    --disable-javac-server

# The combination of FULL_DEBUG_SYMBOLS=0 and ALT_OBJCOPY=/does_not_exist
# disables FDS for all build configs and reverts to pre-FDS make %{?_smp_mflags} logic.
# STRIP_POLICY=none says don't do any stripping. DEBUG_BINARIES=true says
# ignore all the other logic about which debug options and just do '-g'.

make --no-print-directory \
    JAVAC_FLAGS=-g \
    LOG=trace \
    WARNINGS_ARE_ERRORS="-Wno-error" \
    CFLAGS_WARNINGS_ARE_ERRORS="-Wno-error" \
    %{imagestarget}

# remove redundant *diz and *debuginfo files
find %{imagesdir}/jdk -iname '*.diz' -exec rm {} \;
find %{imagesdir}/jdk -iname '*.debuginfo' -exec rm {} \;

popd >& /dev/null

export JAVA_HOME=$(pwd)/%{buildoutputdir}/%{imagesdir}/jdk

# Copy tz.properties
echo "sun.zoneinfo.dir=%{_datadir}/javazi" >> $JAVA_HOME/conf/tz.properties

%if %{with_pulseaudio}
# Build the pulseaudio plugin
pushd icedtea-sound-%{icedtea_sound_version}
autoreconf --force --install
%configure \
    --with-jdk-home=$JAVA_HOME \
    --disable-docs
make %{?_smp_mflags}
cp icedtea-sound.jar $JAVA_HOME/../jmods/
cp build/native/libicedtea-sound.so $JAVA_HOME/lib/
popd
# Merge the icedtea-sound into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "icedtea.sound,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk
%endif

# Build the accessibility plugin
pushd java-atk-wrapper-%{java_atk_wrapper_version}
autoreconf --force --install
rm wrapper/org/GNOME/Accessibility/AtkWrapper.java
%configure \
    --without-jdk-auto-detect \
    JDK_SRC=$JAVA_HOME
rm wrapper/org/GNOME/Accessibility/AtkWrapper.java
make %{?_smp_mflags}
cp wrapper/java-atk-wrapper.jar $JAVA_HOME/../jmods/
cp jni/src/.libs/libatk-wrapper.so $JAVA_HOME/lib/
popd
# Merge the java-atk-wrapper into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "atk.wrapper,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

%if %{add_back_javaee_modules}

# Merge back some Java EE modules removed in OpenJDK 11 by JEP 320

# Build the java.activation framework

pushd %{java_activation_repository}-%{java_activation_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find activation -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build:activation/src/main/resources $JAVA_HOME/../jmods/java.activation.jmod
popd
# Merge the java activation framework into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "java.activation,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the java.xml.bind

pushd %{java_xml_bind_repository}-%{java_xml_bind_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find jaxb-api/src/main/java/ -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build:jaxb-api/src/main/resources $JAVA_HOME/../jmods/java.xml.bind.jmod
popd
# Merge java.xml.bind into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "java.xml.bind,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the java.xml.soap

pushd %{java_xml_soap_repository}-%{java_xml_soap_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find src/main/ -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build $JAVA_HOME/../jmods/java.xml.soap.jmod
popd
# Merge java.xml.soap into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "java.xml.soap,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the java.annotation

pushd %{java_annotation_repository}-%{java_annotation_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find src/main/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build $JAVA_HOME/../jmods/java.annotation.jmod
popd
# Merge java.annotation into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "java.annotation,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the java.xml.ws

pushd %{java_xml_ws_repository}-%{java_xml_ws_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find api/src/main -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build:api/src/main/resources $JAVA_HOME/../jmods/java.xml.ws.jmod
popd
# Merge java.xml.ws into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "java.xml.ws,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the com.sum.xml.fastinfoset

pushd %{com_sun_xml_fastinfoset_repository}-%{com_sun_xml_fastinfoset_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find code/fastinfoset/src/main/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build:code/fastinfoset/src/main/resources $JAVA_HOME/../jmods/com.sun.xml.fastinfoset.jmod
popd
# Merge com.sun.xml.fastinfoset into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "com.sun.xml.fastinfoset,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the org.jvnet.staxex

pushd %{org_jvnet_staxex_repository}-%{org_jvnet_staxex_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find stax-ex/src/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build $JAVA_HOME/../jmods/org.jvnet.staxex.jmod
popd
# Merge org.jvnet.staxex into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "org.jvnet.staxex,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the com.sun.istack.runtime

pushd %{com_sun_istack_runtime_repository}-%{com_sun_istack_runtime_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find istack-commons/runtime/src/main/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build $JAVA_HOME/../jmods/com.sun.istack.runtime.jmod
popd
# Merge com.sun.istack into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "com.sun.istack.runtime,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the com.sun.xml.txw2

pushd %{jaxb_ri_repository}-%{jaxb_ri_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find jaxb-ri/txw/runtime/src/main/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build $JAVA_HOME/../jmods/com.sun.xml.txw2.jmod
popd
# Merge org.jvnet.staxex into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "com.sun.xml.txw2,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

# Build the com.sun.xml.bind

pushd %{jaxb_ri_repository}-%{jaxb_ri_tag}
if [ -e build ]; then rm -rf build; fi
mkdir -p build
$JAVA_HOME/bin/javac -d build `find jaxb-ri/runtime/impl/src/main/java -name \*.java | xargs`
$JAVA_HOME/bin/jmod create --do-not-resolve-by-default --class-path=build:jaxb-ri/runtime/impl/src/main/resources $JAVA_HOME/../jmods/com.sun.xml.bind.jmod
popd
# Merge org.jvnet.staxex into the JDK
source $JAVA_HOME/release; export MODULES
$JAVA_HOME/bin/jlink --module-path $JAVA_HOME/../jmods --add-modules "com.sun.xml.bind,${MODULES//\ /,}" --output $JAVA_HOME/../newjdk
cp -rf $JAVA_HOME/../newjdk/* $JAVA_HOME/
rm -rf $JAVA_HOME/../newjdk

%endif # add_back_javaee_modules

# cacerts are generated in runtime in openSUSE
if [ -f %{buildoutputdir}/%{imagesdir}/jdk/lib/security/cacerts ]; then
        rm %{buildoutputdir}/%{imagesdir}/jdk/lib/security/cacerts
fi

# Check debug symbols are present and can identify code
SERVER_JVM="$JAVA_HOME/lib/server/libjvm.so"
if [ -f "$SERVER_JVM" ] ; then
  nm -aCl "$SERVER_JVM" | grep javaCalls.cpp
fi
CLIENT_JVM="$JAVA_HOME/lib/client/libjvm.so"
if [ -f "$CLIENT_JVM" ] ; then
  nm -aCl "$CLIENT_JVM" | grep javaCalls.cpp
fi
ZERO_JVM="$JAVA_HOME/lib/zero/libjvm.so"
if [ -f "$ZERO_JVM" ] ; then
  nm -aCl "$ZERO_JVM" | grep javaCalls.cpp
fi

# Check unlimited policy has been used
$JAVA_HOME/bin/javac -d . %{SOURCE14}
$JAVA_HOME/bin/java --add-opens java.base/javax.crypto=ALL-UNNAMED TestCryptoLevel

# Check ECC is working
$JAVA_HOME/bin/javac -d . %{SOURCE15}
#FIXME make it run after system NSS support?
$JAVA_HOME/bin/java $(echo $(basename %{SOURCE15})|sed "s|\.java||") || true

%install
export LANG=en_US.UTF-8
#bnc#530046
export STRIP_KEEP_SYMTAB=libjvm*
# skip /usr/lib/rpm/brp-check-bytecode-version:
export NO_BRP_CHECK_BYTECODE_VERSION=true

%if %{with_systemtap}
  # Install systemtap support files.
  install -dm 755 %{buildroot}%{_jvmdir}/%{sdkdir}/tapset
  cp -a tapset/*.stp %{buildroot}%{_jvmdir}/%{sdkdir}/tapset/
  install -d -m 755 %{buildroot}%{tapsetdir}
  pushd %{buildroot}%{tapsetdir}
    RELATIVE=$(%{abs2rel} %{_jvmdir}/%{sdkdir}/tapset %{tapsetdir})
    ln -sf $RELATIVE/*.stp .
  popd
%endif

pushd %{buildoutputdir}/%{imagesdir}/jdk

  # Install main files.
  install -d -m 755 %{buildroot}%{_jvmdir}/%{sdkdir}
  cp -a bin include lib conf release %{buildroot}%{_jvmdir}/%{sdkdir}

  # Install JCE policy symlinks.
  install -d -m 755 %{buildroot}%{_jvmprivdir}/%{archname}/jce/vanilla

  # Install versionless symlinks.
  pushd %{buildroot}%{_jvmdir}
    ln -sf %{sdkdir} %{jrelnk}
    ln -sf %{sdkdir} %{sdklnk}
  popd

  # Remove javaws man page
  rm -f man/man1/javaws*

  # Install man pages.
  install -d -m 755 %{buildroot}%{_mandir}/man1
  rm -f man/man1/javah*.1
  for manpage in man/man1/*
  do
    # Convert man pages to UTF8 encoding.
    iconv -f ISO_8859-1 -t UTF8 $manpage -o $manpage.tmp
    mv -f $manpage.tmp $manpage
    install -m 644 -p $manpage %{buildroot}%{_mandir}/man1/$(basename \
      $manpage .1)-%{sdklnk}.1
  done

  # Install demos and samples.
  cp -a demo %{buildroot}%{_jvmdir}/%{sdkdir}
  # enable short-circuit
  mkdir -p sample/rmi
  [ -f bin/java-rmi.cgi ] && mv bin/java-rmi.cgi sample/rmi
  cp -a sample %{buildroot}%{_jvmdir}/%{sdkdir}

popd

pushd %{buildoutputdir}/%{imagesdir}

  # Install jmods
  cp -a jmods %{buildroot}%{_jvmdir}/%{sdkdir}

popd

# Install nss.cfg
install -m 644 %{SOURCE13} %{buildroot}%{_jvmdir}/%{sdkdir}/lib/security/

# Install Javadoc documentation.
install -d -m 755 %{buildroot}%{_javadocdir}
cp -a %{buildoutputdir}/images/docs %{buildroot}%{_javadocdir}/%{sdklnk}

# Install icons and menu entries.
for s in 16 24 32 48 ; do
  install -D -p -m 644 \
    src/java.desktop/unix/classes/sun/awt/X11/java-icon${s}.png \
    %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/java-%{javaver}.png
done

# Install desktop file.
install -d -m 0755 %{buildroot}%{_datadir}/{applications,pixmaps}
install -d -m 0755 %{buildroot}/%{_jvmdir}/%{sdkdir}/lib/desktop/
install -m 0644 jconsole.desktop %{buildroot}/%{_jvmdir}/%{sdkdir}/lib/desktop/
%suse_update_desktop_file %{buildroot}/%{_jvmdir}/%{sdkdir}/lib/desktop/jconsole.desktop

# Find demo directories.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample -type d \
  | sed 's|'%{buildroot}'|%dir |' \
  > %{name}-demo.files

# FIXME: remove SONAME entries from demo DSOs.  See
# https://bugzilla.redhat.com/show_bug.cgi?id=436497

# Find non-documentation demo files.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep -v README \
  | sed 's|'%{buildroot}'||' \
  >> %{name}-demo.files
# Find documentation demo files.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep README \
  | sed 's|'%{buildroot}'||' \
  | sed 's|^|%doc |' \
  >> %{name}-demo.files

# Create a config file to  enable java-atk-wrapper
pushd %{buildroot}/%{_jvmdir}/%{sdkdir}/conf/
  echo "#Config file to  enable java-atk-wrapper" > accessibility.properties
  echo "" >> accessibility.properties
  echo "assistive_technologies=org.GNOME.Accessibility.AtkWrapper" >> accessibility.properties
  echo "" >> accessibility.properties
popd

# fdupes links the files from JDK to JRE, so it breaks a JRE
# use it carefully :))
%fdupes -s %{buildroot}/%{_jvmdir}/%{sdkdir}/
%fdupes -s %{buildroot}/%{_jvmdir}/%{sdkdir}/demo
%fdupes -s %{buildroot}%{_javadocdir}/%{sdklnk}

%post headless
ext=.gz
update-alternatives \
  --install %{_bindir}/java java %{jrebindir}/java %{priority} \
  --slave %{_jvmdir}/jre jre %{_jvmdir}/%{jrelnk} \
  --slave %{_bindir}/jjs jjs %{jrebindir}/jjs \
  --slave %{_bindir}/keytool keytool %{jrebindir}/keytool \
  --slave %{_bindir}/rmid rmid %{jrebindir}/rmid \
  --slave %{_bindir}/rmiregistry rmiregistry %{jrebindir}/rmiregistry \
  --slave %{_mandir}/man1/java.1$ext java.1$ext \
  %{_mandir}/man1/java-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jjs.1$ext jjs.1$ext \
  %{_mandir}/man1/jjs-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/keytool.1$ext keytool.1$ext \
  %{_mandir}/man1/keytool-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmid.1$ext rmid.1$ext \
  %{_mandir}/man1/rmid-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmiregistry.1$ext rmiregistry.1$ext \
  %{_mandir}/man1/rmiregistry-%{sdklnk}.1$ext

update-alternatives \
  --install %{_jvmdir}/jre-openjdk \
  jre_openjdk %{_jvmdir}/%{jrelnk} %{priority}
update-alternatives \
  --install %{_jvmdir}/jre-%{javaver} \
  jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority}

%postun headless
if [ $1 -eq 0 ]
then
  if test -f /proc/sys/fs/binfmt_misc/jarexec
  then
    echo '-1' > /proc/sys/fs/binfmt_misc/jarexec
  fi
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove jre_openjdk %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%posttrans headless
# bnc#781690#c11: don't trust user defined JAVA_HOME and use the current VM
# XXX: this might conflict between various versions of openjdk
export JAVA_HOME=%{_jvmdir}/%{jrelnk}

# check if the java-cacerts is a valid keystore (bnc#781690)
if [ X"`%{_bindir}/file --mime-type -b %{javacacerts}`" \
    != "Xapplication/x-java-keystore;" ]; then
%if 0%{?suse_version} <= 1310
    # workaround for bnc#847952 - pre 13.1 keyring.jar attempts to load invalid keystore and fail on it
    rm -f "%{javacacerts}"
%endif
    %{_sbindir}/update-ca-certificates
fi

# remove the default empty cacert file, if it's installed
if [ 0`stat -c "%{s}" %{cacerts} 2>/dev/null` = "032" ] ; then
    rm -f %{cacerts}
fi

# if cacerts does exists, neither does not contain/point to a
# valid keystore (bnc#781690) ...
if [ X"`%{_bindir}/file --mime-type -b -L %{cacerts}`" \
    != "Xapplication/x-java-keystore;" ]; then
    # bnc#727223
    rm -f %{cacerts}
    ln -s %{javacacerts} %{cacerts}
fi

%post devel
ext=.gz
update-alternatives \
  --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
  --slave %{_jvmdir}/java java_sdk %{_jvmdir}/%{sdklnk} \
%if %{with aot}
  --slave %{_bindir}/jaotc jaotc %{sdkbindir}/jaotc \
%endif
  --slave %{_bindir}/jar jar %{sdkbindir}/jar \
  --slave %{_bindir}/jarsigner jarsigner %{sdkbindir}/jarsigner \
  --slave %{_bindir}/javadoc javadoc %{sdkbindir}/javadoc \
  --slave %{_bindir}/javap javap %{sdkbindir}/javap \
  --slave %{_bindir}/jcmd jcmd %{sdkbindir}/jcmd \
  --slave %{_bindir}/jconsole jconsole %{sdkbindir}/jconsole \
  --slave %{_bindir}/jdb jdb %{sdkbindir}/jdb \
  --slave %{_bindir}/jdeprscan jdeprscan %{sdkbindir}/jdeprscan \
  --slave %{_bindir}/jdeps jdeps %{sdkbindir}/jdeps \
%if ! %{with zero}
%ifnarch s390x
  --slave %{_bindir}/jhsdb jhsdb %{sdkbindir}/jhsdb \
%endif
%endif
  --slave %{_bindir}/jimage jimage %{sdkbindir}/jimage \
  --slave %{_bindir}/jinfo jinfo %{sdkbindir}/jinfo \
  --slave %{_bindir}/jlink jlink %{sdkbindir}/jlink \
  --slave %{_bindir}/jmap jmap %{sdkbindir}/jmap \
  --slave %{_bindir}/jmod jmod %{sdkbindir}/jmod \
  --slave %{_bindir}/jps jps %{sdkbindir}/jps \
  --slave %{_bindir}/jrunscript jrunscript %{sdkbindir}/jrunscript \
  --slave %{_bindir}/jshell jshell %{sdkbindir}/jshell \
  --slave %{_bindir}/jstack jstack %{sdkbindir}/jstack \
  --slave %{_bindir}/jstat jstat %{sdkbindir}/jstat \
  --slave %{_bindir}/jstatd jstatd %{sdkbindir}/jstatd \
  --slave %{_bindir}/pack200 pack200 %{sdkbindir}/pack200 \
  --slave %{_bindir}/rmic rmic %{sdkbindir}/rmic \
  --slave %{_bindir}/serialver serialver %{sdkbindir}/serialver \
  --slave %{_bindir}/unpack200 unpack200 %{sdkbindir}/unpack200 \
  --slave %{_mandir}/man1/jar.1$ext jar.1$ext \
  %{_mandir}/man1/jar-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jarsigner.1$ext jarsigner.1$ext \
  %{_mandir}/man1/jarsigner-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javac.1$ext javac.1$ext \
  %{_mandir}/man1/javac-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javadoc.1$ext javadoc.1$ext \
  %{_mandir}/man1/javadoc-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javap.1$ext javap.1$ext \
  %{_mandir}/man1/javap-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jcmd.1$ext jcmd.1$ext \
  %{_mandir}/man1/jcmd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jconsole.1$ext jconsole.1$ext \
  %{_mandir}/man1/jconsole-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jdb.1$ext jdb.1$ext \
  %{_mandir}/man1/jdb-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jdeps.1$ext jdeps.1$ext \
  %{_mandir}/man1/jdeps-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jinfo.1$ext jinfo.1$ext \
  %{_mandir}/man1/jinfo-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jmap.1$ext jmap.1$ext \
  %{_mandir}/man1/jmap-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jps.1$ext jps.1$ext \
  %{_mandir}/man1/jps-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jrunscript.1$ext jrunscript.1$ext \
  %{_mandir}/man1/jrunscript-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstack.1$ext jstack.1$ext \
  %{_mandir}/man1/jstack-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstat.1$ext jstat.1$ext \
  %{_mandir}/man1/jstat-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstatd.1$ext jstatd.1$ext \
  %{_mandir}/man1/jstatd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/pack200.1$ext pack200.1$ext \
  %{_mandir}/man1/pack200-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmic.1$ext rmic.1$ext \
  %{_mandir}/man1/rmic-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/serialver.1$ext serialver.1$ext \
  %{_mandir}/man1/serialver-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/unpack200.1$ext unpack200.1$ext \
  %{_mandir}/man1/unpack200-%{sdklnk}.1$ext \
  --slave %{_datadir}/applications/jconsole.desktop jconsole.desktop \
  %{_jvmdir}/%{sdkdir}/lib/desktop/jconsole.desktop

update-alternatives \
  --install %{_jvmdir}/java-openjdk \
  java_sdk_openjdk %{_jvmdir}/%{sdklnk} %{priority}
update-alternatives \
  --install %{_jvmdir}/java-%{javaver} \
  java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority}

%postun devel
if [ $1 -eq 0 ]
then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_openjdk %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%post javadoc
update-alternatives \
  --install %{_javadocdir}/java javadocdir %{_javadocdir}/%{sdklnk}/api \
  %{priority}

%postun javadoc
if [ $1 -eq 0 ]
then
  update-alternatives --remove javadocdir %{_javadocdir}/%{sdklnk}/api
fi

%files
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/lib/libawt_xawt.so
%if %{with_pulseaudio}
%{_jvmdir}/%{sdkdir}/lib/libicedtea-sound.so
%endif
%{_jvmdir}/%{sdkdir}/lib/libjawt.so
%{_jvmdir}/%{sdkdir}/lib/libsplashscreen.so
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/*x*/apps/java-%{javaver}.png

%files headless
%dir %{_jvmdir}
%dir %{_jvmdir}/%{sdkdir}/
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/lib
%dir %{_jvmdir}/%{sdkdir}/lib/jfr
%dir %{_jvmdir}/%{sdkdir}/lib/server
%dir %{_jvmdir}/%{sdkdir}/lib/desktop
%dir %{_jvmdir}/%{sdkdir}/lib/security

%dir %{_jvmdir}/%{sdkdir}/conf
%dir %{_jvmdir}/%{sdkdir}/conf/management
%dir %{_jvmdir}/%{sdkdir}/conf/sdp
%dir %{_jvmdir}/%{sdkdir}/conf/security
%dir %{_jvmdir}/%{sdkdir}/conf/security/policy
%dir %{_jvmdir}/%{sdkdir}/conf/security/policy/unlimited
%dir %{_jvmdir}/%{sdkdir}/conf/security/policy/limited

%dir %{_jvmdir}/%{sdkdir}
%{_jvmdir}/%{jrelnk}
%{_jvmprivdir}/*

%{_jvmdir}/%{sdkdir}/bin/java
%{_jvmdir}/%{sdkdir}/bin/jfr
%{_jvmdir}/%{sdkdir}/bin/jjs
%{_jvmdir}/%{sdkdir}/bin/keytool
%{_jvmdir}/%{sdkdir}/bin/rmid
%{_jvmdir}/%{sdkdir}/bin/rmiregistry
%{_jvmdir}/%{sdkdir}/conf/logging.properties
%{_jvmdir}/%{sdkdir}/conf/management/jmxremote.access
%{_jvmdir}/%{sdkdir}/conf/management/jmxremote.password.template
%{_jvmdir}/%{sdkdir}/conf/management/management.properties
%{_jvmdir}/%{sdkdir}/conf/net.properties
%{_jvmdir}/%{sdkdir}/conf/sdp/sdp.conf.template
%{_jvmdir}/%{sdkdir}/conf/security/java.policy
%{_jvmdir}/%{sdkdir}/conf/security/java.security
%{_jvmdir}/%{sdkdir}/conf/security/policy/limited/default_local.policy
%{_jvmdir}/%{sdkdir}/conf/security/policy/limited/default_US_export.policy
%{_jvmdir}/%{sdkdir}/conf/security/policy/limited/exempt_local.policy
%{_jvmdir}/%{sdkdir}/conf/security/policy/README.txt
%{_jvmdir}/%{sdkdir}/conf/security/policy/unlimited/default_local.policy
%{_jvmdir}/%{sdkdir}/conf/security/policy/unlimited/default_US_export.policy
%{_jvmdir}/%{sdkdir}/conf/sound.properties
%{_jvmdir}/%{sdkdir}/conf/tz.properties
%{_jvmdir}/%{sdkdir}/lib/desktop/jconsole.desktop
%{_jvmdir}/%{sdkdir}/lib/jexec
%{_jvmdir}/%{sdkdir}/lib/jfr/default.jfc
%{_jvmdir}/%{sdkdir}/lib/jfr/profile.jfc
%{_jvmdir}/%{sdkdir}/lib/jrt-fs.jar
%{_jvmdir}/%{sdkdir}/lib/jspawnhelper
%{_jvmdir}/%{sdkdir}/lib/jvm.cfg
%{_jvmdir}/%{sdkdir}/lib/libawt_headless.so
%{_jvmdir}/%{sdkdir}/lib/libawt.so
%{_jvmdir}/%{sdkdir}/lib/libdt_socket.so
%{_jvmdir}/%{sdkdir}/lib/libextnet.so
%{_jvmdir}/%{sdkdir}/lib/libfontmanager.so
%{_jvmdir}/%{sdkdir}/lib/libinstrument.so
%{_jvmdir}/%{sdkdir}/lib/libj2gss.so
%{_jvmdir}/%{sdkdir}/lib/libj2pcsc.so
%{_jvmdir}/%{sdkdir}/lib/libj2pkcs11.so
%{_jvmdir}/%{sdkdir}/lib/libjaas.so
%{_jvmdir}/%{sdkdir}/lib/libjavajpeg.so
%{_jvmdir}/%{sdkdir}/lib/libjava.so
%{_jvmdir}/%{sdkdir}/lib/libjdwp.so
%{_jvmdir}/%{sdkdir}/lib/libjimage.so
%{_jvmdir}/%{sdkdir}/lib/libjli.so
%{_jvmdir}/%{sdkdir}/lib/libjsig.so
%{_jvmdir}/%{sdkdir}/lib/libjsound.so
%{_jvmdir}/%{sdkdir}/lib/liblcms.so
%{_jvmdir}/%{sdkdir}/lib/libmanagement_agent.so
%{_jvmdir}/%{sdkdir}/lib/libmanagement_ext.so
%{_jvmdir}/%{sdkdir}/lib/libmanagement.so
%{_jvmdir}/%{sdkdir}/lib/libmlib_image.so
%{_jvmdir}/%{sdkdir}/lib/libnet.so
%{_jvmdir}/%{sdkdir}/lib/libnio.so
%{_jvmdir}/%{sdkdir}/lib/libprefs.so
%{_jvmdir}/%{sdkdir}/lib/librmi.so
%{_jvmdir}/%{sdkdir}/lib/libsctp.so
%{_jvmdir}/%{sdkdir}/lib/libsunec.so
%{_jvmdir}/%{sdkdir}/lib/libunpack.so
%{_jvmdir}/%{sdkdir}/lib/libverify.so
%{_jvmdir}/%{sdkdir}/lib/libzip.so
%{_jvmdir}/%{sdkdir}/lib/modules
%{_jvmdir}/%{sdkdir}/lib/psfontj2d.properties
%{_jvmdir}/%{sdkdir}/lib/psfont.properties.ja
%{_jvmdir}/%{sdkdir}/lib/tzdb.dat
%{_jvmdir}/%{sdkdir}/lib/*/libjsig.so
%{_jvmdir}/%{sdkdir}/lib/*/libjvm.so
%{_jvmdir}/%{sdkdir}/lib/*/Xusage.txt
%if ! %{with zero}
%{_jvmdir}/%{sdkdir}/lib/classlist
%{_jvmdir}/%{sdkdir}/lib/*/classes.jsa
%endif

%config(noreplace) %{_jvmdir}/%{sdkdir}/lib/security/blacklisted.certs
%config(noreplace) %{_jvmdir}/%{sdkdir}/lib/security/nss.cfg
%{_jvmdir}/%{sdkdir}/lib/security/default.policy
%{_jvmdir}/%{sdkdir}/lib/security/public_suffix_list.dat

%{_mandir}/man1/java-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jjs-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/keytool-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/rmid-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/rmiregistry-%{sdklnk}.1%{?ext_man}

%files devel
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/include/linux
%dir %{_jvmdir}/%{sdkdir}/lib

%if %{with_systemtap}
%dir %{_jvmdir}/%{sdkdir}/tapset
%endif
%if %{with aot}
%{_jvmdir}/%{sdkdir}/bin/jaotc
%endif
%{_jvmdir}/%{sdkdir}/bin/jar
%{_jvmdir}/%{sdkdir}/bin/jarsigner
%{_jvmdir}/%{sdkdir}/bin/javac
%{_jvmdir}/%{sdkdir}/bin/javadoc
%{_jvmdir}/%{sdkdir}/bin/javap
%{_jvmdir}/%{sdkdir}/bin/jcmd
%{_jvmdir}/%{sdkdir}/bin/jconsole
%{_jvmdir}/%{sdkdir}/bin/jdb
%{_jvmdir}/%{sdkdir}/bin/jdeprscan
%{_jvmdir}/%{sdkdir}/bin/jdeps
%if ! %{with zero}
%ifnarch s390x
%{_jvmdir}/%{sdkdir}/bin/jhsdb
%endif
%endif
%{_jvmdir}/%{sdkdir}/bin/jimage
%{_jvmdir}/%{sdkdir}/bin/jinfo
%{_jvmdir}/%{sdkdir}/bin/jlink
%{_jvmdir}/%{sdkdir}/bin/jmap
%{_jvmdir}/%{sdkdir}/bin/jmod
%{_jvmdir}/%{sdkdir}/bin/jps
%{_jvmdir}/%{sdkdir}/bin/jrunscript
%{_jvmdir}/%{sdkdir}/bin/jshell
%{_jvmdir}/%{sdkdir}/bin/jstack
%{_jvmdir}/%{sdkdir}/bin/jstat
%{_jvmdir}/%{sdkdir}/bin/jstatd
%{_jvmdir}/%{sdkdir}/bin/pack200
%{_jvmdir}/%{sdkdir}/bin/rmic
%{_jvmdir}/%{sdkdir}/bin/serialver
%{_jvmdir}/%{sdkdir}/bin/unpack200
%{_jvmdir}/%{sdkdir}/include/classfile_constants.h
%{_jvmdir}/%{sdkdir}/include/jawt.h
%{_jvmdir}/%{sdkdir}/include/jdwpTransport.h
%{_jvmdir}/%{sdkdir}/include/jni.h
%{_jvmdir}/%{sdkdir}/include/jvmticmlr.h
%{_jvmdir}/%{sdkdir}/include/jvmti.h
%{_jvmdir}/%{sdkdir}/lib/ct.sym
%{_jvmdir}/%{sdkdir}/lib/libattach.so
%if ! %{with zero}
%ifnarch s390x
%{_jvmdir}/%{sdkdir}/lib/libsaproc.so
%endif
%endif
%{_jvmdir}/%{sdkdir}/include/linux/jawt_md.h
%{_jvmdir}/%{sdkdir}/include/linux/jni_md.h

%if %{with_systemtap}
%{_jvmdir}/%{sdkdir}/tapset/*.stp
%endif
%{_jvmdir}/%{sdklnk}
%{_mandir}/man1/jar-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jarsigner-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/javac-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/javadoc-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/javap-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jcmd-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jconsole-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jdb-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jdeps-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jinfo-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jmap-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jps-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jrunscript-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jstack-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jstat-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/jstatd-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/pack200-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/rmic-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/serialver-%{sdklnk}.1%{?ext_man}
%{_mandir}/man1/unpack200-%{sdklnk}.1%{?ext_man}

%if %{with_systemtap}
%{tapsetroot}
%endif

%files jmods
%dir %{_jvmdir}/%{sdkdir}/jmods
%{_jvmdir}/%{sdkdir}/release
%{_jvmdir}/%{sdkdir}/jmods/*.jmod
%if %{with_pulseaudio}
%{_jvmdir}/%{sdkdir}/jmods/icedtea-sound.jar
%endif
%{_jvmdir}/%{sdkdir}/jmods/java-atk-wrapper.jar

%files demo -f %{name}-demo.files

%files src
%{_jvmdir}/%{sdkdir}/lib/src.zip

%files javadoc
%dir %{_javadocdir}
%dir %{_javadocdir}/%{sdklnk}
%{_javadocdir}/%{sdklnk}/*

%files accessibility
%config(noreplace) %{_jvmdir}/%{sdkdir}/conf/accessibility.properties
%{_jvmdir}/%{sdkdir}/lib/libatk-wrapper.so

%changelog
* Thu Feb  7 2019 fstrba@suse.com
- Upgrade to upstream tag jdk-13+7
  * Fixes:
    + S6986483: CHA: optimize calls through interfaces
    + S8059241: C2: Excessive RemoveUseless passes during
    incremental inlining
    + S8075052: Autobox elimination hinders loop unrolling
    + S8139551: Scalability problem with redefinition - multiple
    code cache walks
    + S8160926: FLAGS_COMPILER_CHECK_ARGUMENTS doesn't handle
    cross-compilation
    + S8178798: Two compiler/aot/verification/vmflags tests fail by
    timeout with UseAVX=3
    + S8180901: Transformer.reset() resets the state only once
    + S8186321: Cleanup: SourceTreeManager not used
    + S8188133: C2: Static field accesses in clinit can trigger
    deoptimizations
    + S8195716: BootstrapLoggerTest : Executor still alive
    + S8204564: Need better error output when GenerateLinkOptData
    fails
    + S8206132: DOM parser does not honor
    DocumentBuilderFactory.setExpandEntityReferences(false)
    + S8209951: Problematic sparc intrinsic:
    com.sun.crypto.provider.CipherBlockChaining
    + S8210832: Remove sneaky locking in class Monitor
    + S8212949: Remove ConstantPoolCache::is_constantPoolCache
    + S8213753: SymbolTable is double walked during class unloading
    and clean up table timing in do_unloading
    + S8214935: Upgrade IANA LSR data
    + S8214975: No hs-err file if fatal error is raised during
    dynamic initialization
    + S8215483: Off heap memory accesses should be vectorized
    + S8215505: Cleanup jvm.cpp obsolete code after JDK-8210094:
    Better loading of classloader classes
    + S8215550: Debugger does not work after reattach
    + S8215568: Refactor SA clhsdb tests to use ClhsdbLauncher
    + S8216046: test/jdk/java/beans/PropertyEditor/Test6397609.java
    failing
    + S8216072: Remove TaskTerminator's assignment operator
    + S8216528: test/jdk/java/rmi/transport/
    /runtimeThreadInheritanceLeak/RuntimeThreadInheritanceLeak.java
    failing with Xcomp
    + S8216541: CompiledICHolders of VM locked unloaded nmethods
    are released too late
    + S8216546: Support new Japanese era in java.lang.Character for
    Java SE 11
    + S8217093: Support extended-length paths in parse_manifest.c
    on windows
    + S8217371: Incorrect LP64 guard in x86.ad after JDK-8210764
    (Update avx512 implementation)
    + S8217393: Clarify Attributes.equals()
    + S8217432: MetaspaceGC::_capacity_until_GC exceeds
    MaxMetaspaceSize
    + S8217473: SA: Tests using ClhsdbLauncher fail on SAP docker
    containers
    + S8217474: Remove WhiteBox.getConcurrentGCPhases()
    + S8217579: TLS_EMPTY_RENEGOTIATION_INFO_SCSV is disabled after
    8211883
    + S8217597: [TESTBUG] old version docker does not support --cpus
    + S8217659: monitor_logging updates from Async Monitor
    Deflation project
    + S8217843: Performance regression related to
    os::supports_monotonic_clock() on linux
    + S8217845: SA should refer const values for JVMFlag from
    HotSpot
    + S8217848: [Graal] vmTestbase/nsk/jvmti/ResourceExhausted/
    /resexhausted003/TestDescription.java fails
    + S8217879: hs_err should print more instructions in hex dump
    + S8217892: Clarify the support for the new Japanese era in
    java.time.chrono.JapaneseEra
    + S8217896: Make better use of LCPUs when building on AIX
    + S8217918: C2: -XX:+AggressiveUnboxing is broken
    + S8217919: C2: Enable -XX:+AggressiveUnboxing by default
    + S8217969: Base64.Decoder.decode methods do not need to throw
    OOME due to integer overflow
    + S8218020: Fix version number in mesa.md 3rd party legal file
    + S8218025: disable pop_frame and force_early_return caps for
    Graal
    + S8218029: [TESTBUG] Use -Djava.class.path= to specify empty
  - cp in CDS tests
    + S8218041: Assorted wrong/missing includes
    + S8218046: use bundled freetype in the AIX build by default
    + S8218079: cleanup hotspot ProblemList files
    + S8218133: sun/net/www/protocol/http/ProtocolRedirect.java
    failed with "java.net.ConnectException"
    + S8218134: Modify the jQuery.md file to reflect the exact
    jQuery license content
    + S8218140: Build failures after JDK-8218041 (Assorted
    wrong/missing includes)
    + S8218145: block_if_requested is not proper inlined due to size
    + S8218151: Simplify JavaThread::thread_state definition
    + S8218156: "jcmd VM.metaspace basic" misreports free chunk
    space
    + S8218162: problem list j/u/s/t/o/o/t/java/util/stream/
    /StreamLinkTest.java on solaris w/ Xcomp
    + S8218163: C2: Continuous deoptimization w/
    Reason_speculate_class_check and Action_none
    + S8218164: Improve local control of compiler warnings
    + S8218168: clean up hotspot ProblemList
    + S8218177: Bump jib format_version to support new devkit
    archive layout
    + S8218178: vmTestbase/vm/mlvm/mixed/stress/regression/
    /b6969574/INDIFY_Test.java fails with -Xcomp
    + S8218185: aarch64: missing LoadStore barrier in
    TemplateTable::putfield_or_static
    + S8218186: Clean up CLDR generation in build
    + S8218197: [failurehandler] parent processes shouldn't be
    killed till their children are handle
    + S8218198: Revert devkit change in JDK-8217910 for linux-x64
    + S8218202: gc/stress/TestStressG1Humongous.java to
    ProblemList-graal.txt
    + S8218227: StringBuilder/StringBuffer constructor throws
    confusing NegativeArraySizeException
    + S8218265: java/util/Base64/TestEncodingDecodingLength.java
    failing
    + S8218276: AIX build fails in tieredThresholdPolicy.cpp
    + S8218386: Correct the SE version in j.l.Character
    + S8218406: C1: Redundant nmethod dependency for private method
    is added
    + S8218419: Can't get annotations that are present on packages
    in -Xbootclasspath/a
    + S8218460: Test generation scripts do not invoke stream
    preprocessor correctly
    + S8218544: Fix build on windows: missing include
    + S8218550: Add test omitted from JDK-8212043
    + S8218566: NMT: missing memory tag for assert poison page
    + S8218579: add hotspot/jtreg/runtime/CompressedOops/
    /UseCompressedOops.java to ProblemList.txt
* Thu Jan 31 2019 fstrba@suse.com
- Upgrade to upstream tag jdk-13+6
  * Fixes:
    + S8067250: [mlvm] vm/mlvm/mixed/stress/regression/b6969574
    fails and perf regression
    + S8150757: [TESTBUG] compiler/ciReplay/TestVM.sh and
    compiler/ciReplay/TestVM_no_comp_level.sh fail when no
    compilations are happening
    + S8158646: [jittester] generated tests may not compile by javac
    + S8163127: Debugger classExclusionFilter does not work
    correctly with method references
    + S8167276: jvmci/compilerToVM/MaterializeVirtualObjectTest.java
    fails with -XX:-EliminateAllocations
    + S8191998: C2: inlining through MH linkers drops speculative
    part of argument types
    + S8192001: C2: inlining through dispatching MH linkers ignores
    speculative type of the receiver
    + S8193367: Annotated type variable bounds crash javac
    + S8194860: Cleanup Semaphore timed-wait time calculations
    + S8207922: ctw of jdk.security.auth failed with "Unexpected
    zero exit codebefore finishing all compilations"
    + S8210130: java/net/httpclient/UnknownBodyLengthTest.java
    failed
    + S8210469: Missing doPriviledged block and permission for
    jdk.zipfs module
    + S8210583: Base64.Encoder incorrectly throws
    NegativeArraySizeException
    + S8212824: Remove unnecessary spaces before/after comparison
    in vmTestbase
    + S8213229: Investigate treating StringTable as weak in young
    collections
    + S8213231: ThreadSnapshot::_threadObj can become stale
    + S8213825: assert(false) failed: Non-balanced monitor
    enter/exit! Likely JNI locking
    + S8214533: IBM-29626C is required for AIX default charset
    + S8214799: Add package declaration to each JTREG test case in
    the gc folder
    + S8214821: Remove ConcurrentHashTable::get_copy
    + S8215047: Task terminators do not complete termination in
    consistent state
    + S8215577: Remove javadoc support for HTML 4
    + S8215921: There is no change when select different Foreground
    and Background by mouse.
    + S8216136: Take Compile_lock for
    SystemDictionary::_modification_counter with safepoint check
    + S8216180: [AOT] compiler/intrinsics/bigInteger/TestMulAdd.java
    crashed with AOT enabled
    + S8216258: Make FreeIdSet semaphore-based
    + S8216386: vmTestbase/nsk/jvmti/PopFrame/popframe005/
    /TestDescription.java fails
    + S8216408: XMLStreamWriter setDefaultNamespace(null) throws
    NullPointerException
    + S8216493: VirtualSpaceNodeTest
    .half_vsn_is_committed_humongous_chunk_is_used_test_vm
    crashes on local machine
    + S8216562: UnknownBodyLength sometimes fails due to
    "Connection reset by peer"
    + S8216970: condy causes JVM crash
    + S8216986: Remove unused code from SocksSocketImpl
    + S8216987: ciMethodData::load_data() unpacks MDOs with
    non-atomic copy
    + S8217016: Shenandoah: Streamline generation of CAS barriers
    + S8217264: HttpClient: Blocking operations in mapper function
    do not work as documented
    + S8217309: ZGC: Fix ZNMethodTable corruption
    + S8217345: [TESTBUG] JFR TestShutdownEvent fails due to
    improper use of Unsafe
    + S8217353: java/util/logging/LogManager/Configuration/
    /updateConfiguration/HandlersOnComplexResetUpdate.java fails
    with Unexpected reference: java.lang.ref.WeakReference
    + S8217366: ZoneStrings are not populated for all the Locales
    + S8217368: AArch64: C2 recursive stack locking optimisation
    not triggered
    + S8217429: WebSocket over authenticating proxy fails to send
    Upgrade headers
    + S8217459: [PPC64] Cleanup non-vector version of CRC32
    + S8217465: [REDO] - Optimize CodeHeap Analytics
    + S8217471: [TESTBUG] gc/epsilon/TestClasses.java fails on some
    platforms - OOME Metaspace
    + S8217518: Crypto benchmarks not warming up in time
    + S8217520: Remove vm.opt.MaxGCPauseMillis == "null" from
    TestOldGenCollectionUsage.java
    + S8217578: Shenandoah cleanup unused timings after concurrent
    string table change
    + S8217579: TLS_EMPTY_RENEGOTIATION_INFO_SCSV is disabled after
    8211883
    + S8217580: Remove tests from problemList as bugs has been
    closed
    + S8217609: New era placeholder not recognized by
    java.text.SimpleDateFormat
    + S8217612: (CL)HSDB cannot show some JVM flags
    + S8217613: [AOT] TEST_OPTS_AOT_MODULES doesn't work on mac
    + S8217618: JVM TI SuspendThread doesn't suspend the current
    thread before returning
    + S8217626: Add setup/teardown functionality to RunTest
    + S8217627: HttpClient: The API documentation of
    BodySubscribers::mapping promotes bad behavior
    + S8217628: Verbose ArrayIndexOutOfBoundsException message also
    in JNI calls.
    + S8217634: RunTest documentation and usability update
    + S8217638: Remove old way of running tests (test/Makefile)
    + S8217657: Move the test for default value of
    jdk.includeInExceptions into own test
    + S8217658: baseline_cleanups from Async Monitor Deflation
    project
    + S8217660: Refactor module related
    locked_create_entry_or_null() functions
    + S8217666: gc/nvdimm/* should not be included any tiers
    + S8217678: [AOT] jck Math/IncrementExact and
    Math/DecrementExact tests fail when test classes are AOTed
    + S8217699: add java/util/concurrent/CountDownLatch/Basic.java
    to ProblemList-Xcomp
    + S8217716: Remove dead code in PhaseChaitin
    + S8217717: ZGC: Broken oop map in C1 load barrier stub
    + S8217730: Split up MakeBase.gmk
    + S8217733: Minor RunTest fixes
    + S8217740: SocksIPv6Test compilation error
    + S8217744: [TESTBUG] JFR TestShutdownEvent fails on some
    systems due to process surviving SIGINT
    + S8217745: ZGC: Simplify ZLoadBarrierStubC1
    + S8217746: Remove java/nio/file/WatchService/LotsOfCancels.java
    from JDK problem list
    + S8217747: ZGC: Minor optimization of ZLoadBarrierStubC1
    + S8217748: [TESTBUG] Exclude TestSig test case from JFR
    TestShutdownEvent
    + S8217760: C2: Missing symbolic info on a call from intrinsics
    when invoked through MethodHandle
    + S8217761: Enhance run-test-prebuilt jib profile to support
    running tests with JCov
    + S8217770: problem list
    org.graalvm.compiler.debug.test.DebugContextTest
    + S8217773: Test langtools/jdk/javadoc/doclet/testLinkOption/
    /TestRedirectLinks.java fails after JDK-8217034
    + S8217777: TEST_BUG: jdk/java/util/prefs/ExportSubtree.java
    passes even when test should fail
    + S8217782: Spill detection broken after JDK-8217716
    + S8217785: Padding
    ParallelTaskTerminator::_offered_termination variable
    + S8217786: Provide virtualization related info in the hs_error
    file on linux s390x
    + S8217794: Missing termination check results violation of
    termination invariant
    + S8217795: Typo in SSLSocket
    + S8217797: ProblemList LongMulOverflowTest.java
    + S8217801: ProblemList INDIFY_Test.java
    + S8217820: Useless cast in ECUtil.java
    + S8217828: Un-ProblemList LongMulOverflowTest.java
    + S8217841: Remove unused class TraceCPUTime
    + S8217850: CompressedClassSpaceSizeInJmapHeap fails after
    JDK-8217612
    + S8217852: problem-list ctw of jdk.jconsole and java.desktop
    on windows
    + S8217854: [TESTBUG] runtime/CompressedOops/
    /UseCompressedOops.java fails with Shenandoah
    + S8217855: ZGC: Clean up ZReferenceProcessor
    + S8217856: ZGC: Break out C2 matching rules into separate AD
    file
    + S8217857: ZGC: Move SvcGCMarker to ZServiceabilityTracer
    + S8217858: ZGC: Clean up ZDriver
    + S8217869: Add count_leading_zeros utility
    + S8217877: Dead code in jdk.jlink's TaskHelper
    + S8217880: AIX build issue after JDK-8214533
    + S8217882: java/net/httpclient/MaxStreams.java failed once
    + S8217903: java/net/httpclient/Response204.java fails with 404
    + S8217910: Slow linking with devkit on Linux
    + S8217916: Build compare script is not comparing jmods
    + S8217921: Runtime dead code removal
    + S8217922: Compiler dead code removal
    + S8217976: test/jdk/java/net/httpclient/websocket/
    /WebSocketProxyTest.java fails intermittently
    + S8217979: lib-freetype related configure messages contain
    wrong configure flag names
    + S8217994: os::print_hex_dump should be more resilient against
    unreadable memory
    + S8218022: Repeated words typos in java.base
    + S8218031: Zero broken after JDK-8217922 (Compiler dead code
    removal)
    + S8218057: Add ppc64le and s390x profiles to jib-profiles.js
    + S8218060: JDK-8217786 breaks build due to remaining unused
    function
    + S8218063: JDK-8218060 breaks build for S390
    + S8218084: Revert JDK-8218057
* Tue Jan 29 2019 fstrba@suse.com
- Upgrade to upstream tag jdk-13+5
  * Fixes:
    + S8158066: SourceDebugExtensionTest fails to rename file
    + S8181313: SA: Remove libthread_db dependency on Linux
    + S8202952: C2: Unexpected dead nodes after matching
    + S8203687: javax/net/ssl/compatibility/Compatibility.java
    supports TLS 1.3
    + S8207404: MulticastSocket tests failing on AIX
    + S8211919: ZipDirectoryStream should provide a stream of paths
    that are relative to the directory
    + S8212826: Make PtrQueue free list lock-free
    + S8213234: Move LambdaForm.Hidden to jdk.internal.vm.annotation
    + S8213695: gc/TestAllocateHeapAtMultiple.java is slow in some
    configs
    + S8213827: NUMA heap allocation does not respect process
    membind/interleave settings
    + S8213917: [TESTBUG] Shutdown JFR event is not covered by test
    + S8213932: [TESTBUG] assertEquals is invoked with the
    arguments in the wrong order
    + S8214235: arm32: assertion in collectedHeap.cpp: attempt to
    clean empty remainder
    + S8214345: infinite recursion while checking super class
    + S8215280: Double click on titlebar not working for Frame with
    extended state set to MAXIMIZED_BOTH
    + S8215375: [Graal] jck:vm/jvmti/Exception/excp001/excp00101
    fails in Graal as JIT mode and -Xcomp mode
    + S8215467: Files.isHidden should return true for hidden
    directories on Windows
    + S8215694: keytool cannot generate RSASSA-PSS certificates
    + S8215699: -Xlog::file cannot be used with named pipe
    + S8215748: Application fails when executed with Graal
    + S8215757: C2: PhaseIdealLoop::create_new_if_for_predicate()
    computes wrong IDOM
    + S8215776: Keytool importkeystore may mix up certificate chain
    entries when DNs conflict
    + S8215937: Check usages of security-related Resources files
    + S8215952: Update NetBeans project file
    + S8215976: Fix gmtime_r declaration conflicts in zip.cpp with
    linux header files
    + S8216045: The size of key_exchange may be wrong on FFDHE
    + S8216060: [PPC64] Vector CRC implementation should be used by
    interpreter and be faster for short arrays
    + S8216280: Allow later Symantec Policy distrust date for two
    Apple SubCAs
    + S8216314: SIGILL in CodeHeapState::print_names()
    + S8216350: AArch64: monitor unlock fast path not called
    + S8216490: Spammy periodic GC log message contains random time
    stamp with periodic gc disabled
    + S8216532: tools/launcher/Test7029048.java fails (Solaris)
    + S8216561: HttpClient: The logic of retry on connect exception
    is inverted
    + S8216578: Remove unused/obsolete method in JFR code
    + S8216965: crash in freetypeScaler.c CopyBW2Grey8
    + S8216969: ParseException thrown for certain months with
    russian locale
    + S8217014: Epsilon should not ignore Metadata GC causes
    + S8217034: JavadocTester should check for missing files by
    default
    + S8217042: Shenandoah: write barrier on backedge of strip
    mined loop causes c2 crash at expansion time
    + S8217043: Shenandoah: SIGSEGV in Type::meet_helper() at
    barrier expansion time
    + S8217203: Some more includes to .inline.hpp files in gc
    header files
    + S8217213: shenandoahTaskQueue.hpp includes .inline.hpp file
    + S8217230: assert(t == t_no_spec) failure in
    NodeHash::check_no_speculative_types()
    + S8217233: Update build settings for AIX/xlc
    + S8217237: HttpClient does not deal well with multi-valued
    WWW-Authenticate challenge headers
    + S8217250: Optimize CodeHeap Analytics
    + S8217257: ZGC: Minor cleanup of ZBarrierSetC2
    + S8217258: ZGC: Minor cleanup of ZBarrierSetAssembler
    + S8217266: Remove dead LIR_List::compare_to and
    LIR_Code::lir_compare_to
    + S8217291: Failure of ::realloc() should be handled correctly
    in adlc/forms.cpp
    + S8217311: Improve Exception thrown when
    MulticastSocket.setInterface fails on AIX(Unix)
    + S8217315: Proper units should print more significant digits
    + S8217318: Unneeded handleization in
    InstanceKlass::restore_unshareable_info
    + S8217319: Cleanup Shenandoah includes
    + S8217321: [TESTBUG] utilities/test_globalDefinitions.cpp
    should use _LP64, not LP64
    + S8217325: Enable inlining of java_lang_Class::oop_size_raw
    + S8217337: [TESTBUG] TestThreadDumpClassInitMonitor.java fails
    with Unexpected thread info line
    + S8217339: ClassCircularityError loading NumberFormatProvider
    + S8217340: Compilation failed: tools/launcher/Test7029048.java
    + S8217342: Build failed with excluding JFR
    + S8217343: Shenandoah control thread should be able to run at
    critical priority
    + S8217344: Make comparison overflow-aware in
    ECDHKeyAgreement.engineGenerateSecret()
    + S8217349: Problem list java/lang/invoke/LFCaching/
    /LFMultiThreadCachingTest.java
    + S8217357: Implement JCov jib profiles
    + S8217358: Optimized build is broken by Shenandoah changes
    + S8217359: C2 compiler triggers SIGSEGV after transformation
    in ConvI2LNode::Ideal
    + S8217374: Rename G1 EvacuationInfo class to G1EvacuationInfo
    + S8217378: UseCriticalCMSThreadPriority is broken
    + S8217387: Remove dead develop flag CIFireOOMAt
    + S8217388: Remove develop flag ProfilerPCTickThreshold
    + S8217391: [TESTBUG] problem list JFR TestShutdownEvent
    + S8217394: Remove org.graalvm.compiler.debug.test.TimerKeyTest
    from problem list
    + S8217395: Update langtools shell tests to use ${EXE_SUFFIX}
    + S8217399: Backout 8217358
    + S8217400: Optimized build is broken by Shenandoah changes
    + S8217404: --with-jvm-features doesn't work when multiple
    features are explicitly disabled
    + S8217407: StackValue::print_on() crashes on NULL handle
    + S8217419: Shenandoah fails to build after JDK-8212826 (Make
    PtrQueue free list lock-free)
    + S8217423: Windows gtest build fails after JDK-8212826 (Make
    PtrQueue free list lock-free)
    + S8217424: Remove the idempotent parameter to
    Method::sort_methods
    + S8217427: (dc) nio/channels/DatagramChannel/
    /UseDGWithIPv6.java fails without IPv6
    + S8217438: Adapt tools/launcher/Test7029048.java for Aix.
    + S8217442: Optimize native accesses to String.value
    + S8217445: [JVMCI] incorrect management of JVMCI compilation
    failure reason string
    + S8217447: Develop flag TraceICs is broken
    + S8217448: Check for pandoc availability using ENABLE_PANDOC
    and not PANDOC
    + S8217450: Add PackageEntry::locked_lookup_only
    + S8217451: ExtendedSocketOptions should encapsulate support
    for SO_FLOW_SLA
    + S8217461: (ch) Add Net.available to return the number of
    bytes in the socket input buffer
    + S8217466: [BACKOUT] Optimize CodeHeap Analytics
    + S8217467: Access barriers are missing in C2 intrinsic for
    Base64
    + S8217500: (sc) Move SocketChannelImpl's remaining native
    methods to Net
    + S8217503: ZGC: Fix fall through bug in
    ZBarrierSetC2::escape_add_final_edges()
    + S8217512: Message of LinkageError: use 'class' etc. instead
    of 'type'
    + S8217519: Improve RegMask population count calculation
    + S8217522: Missing barriers in some java_lang_String assertion
    code after JDK-8217442
    + S8217629: RegMask::find_lowest_bit can reuse
    count_trailing_zeros utility
    + S8217639: Minimal and Zero builds fail after JDK-8217519
    (Improve RegMask population count calculation)
* Tue Jan 29 2019 fstrba@suse.com
- Upgrade to upstream tag jdk-13+4 (Oracle January 2019 CPU)
  * Security fixes:
    + S8206290, CVE-2019-2422, bsc#1122293: Better FileChannel
    transfer performance
    + S8209094, CVE-2019-2426: Improve web server connections
    + S8210866, CVE-2018-11212, bsc#1122299: Improve JPEG
    processing
  * Security-In-Depth fixes:
    + S8199156: Better route routing
    + S8199166: Better interface lists
    + S8199552: Update to build scripts
    + S8200659: Improve BigDecimal support
    + S8203955: Improve robot support
    + S8204895: Better icon support
    + S8205709: Proper allocation handling
    + S8205714: Initial class initialization
    + S8206295: More reliable p11 transactions
    + S8206301: Improve NIO stability
    + S8210094: Better loading of classloader classes
    + S8210598: Strengthen Windows Access Bridge Support
    + S8210606: Improved data set handling
    + S8210610: Improved LSA authentication
    + S8210870: Libsunmscapi improved interactions
  * Fixes:
    + S6913047: Long term memory leak when using PKCS11 and JCE
    exceeds 32 bit process address space
    + S8007606: Handle realloc() failure in
    unix/native/libnet/net_util_md.c correctly
    + S8080569: java/lang/ProcessBuilder/DestroyTest.java fails
    with "Process terminated prematurely"
    + S8196568: [Graal] LongMulOverflowTest.java fails with
    "runTestOverflow() did not overflow"
    + S8198526: getAnnotatedOwnerType does not handle static nested
    classes correctly
    + S8199892: Missing landmarks when generating docs using html
    sources
    + S8202626: javadoc generates broken links to <Unnamed>
    + S8202675: Replace process-wide terminology in serial
    filtering to be consistent
    + S8203654: Improve cypher state updates
    + S8203688: [testbug] Nashorn test test/nashorn/script/
    /nosecurity/treeapi/diagnostic.js fails
    + S8205360: Choose printer defaults
    + S8207964: [TESTBUG] Change stressTime to default to 30 for
    nsk tests
    + S8208371: Provided supported mechanims to create a
    ModuleElement for an unnamed module
    + S8210392: assert(Compile::current()->live_nodes() <
    Compile::current()->max_node_limit()) failed: Live Node limit
    exceeded limit
    + S8210561: Command-line help wrong for javac --module
    + S8210624: Clean up better loading tests
    + S8211841: [testbug] sun/nio/cs/OLD/TestIBMDB.java does not
    compile (aix)
    + S8212233: javadoc fails on jdk12 with "The code being
    documented uses modules but the packages defined in $URL are
    in the unnamed module."
    + S8213249: compiler/graalunit/HotspotTest.java failed in
    ExplicitExceptionTest
    + S8213299: runtime/appcds/jigsaw/classpathtests/
    /EmptyClassInBootClassPath.java failed with
    java.lang.NoSuchMethodException
    + S8213397: Stack dump should show more clearly when a thread
    is blocked on a class initialization monitor
    + S8214271: Fast primitive to wake many threads
    + S8214418: half-closed SSLEngine status may cause application
    dead loop
    + S8214440: ldap over a TLS connection negotiate failed with
    "javax.net.ssl.SSLPeerUnverifiedException: hostname of the
    server '' does not match the hostname in the server's
    certificate"
    + S8214816: os::read() should not transition to _thread_blocked
    with safepoint check on Solaris
    + S8214827: Incorrect call
    ClassLoaders.toFileURL("jrt:/java.compiler")
    + S8215114: Fix indent and dead code in GCPolicyCounters
    + S8215155: Remove get_insert() from concurrent hashtable and
    gtests
    + S8215244: jdk/jshell/ToolBasicTest.java testHistoryReference
    failed
    + S8215299: Remove G1CMTask::should_exit_termination()'s
    undesirable side-effect
    + S8215313: [AOT] java/lang/String/Split.java fails with AOTed
    java.base
    + S8215482: check for cycles in type variables can provoke NPE
    + S8215493: String::indent inconsistency with blank lines
    + S8215544: SA: Modify ClhsdbLauncher to add sudo privileges to
    enable MacOS tests on Mach5
    + S8215549: Shenandoah deduplication cleans up table/queue twice
    + S8215648: remove equals and hashCode implementations from
    j.l.i.VarHandle
    + S8215724: Epsilon: ArrayStoreExceptionTest.java fails;
    missing arraycopy check
    + S8215729: Enhance makefiles to allow collecting code coverage
    with JCov
    + S8215754: ZGC: nmethod is not unlinked from Method before
    rendezvous handshake
    + S8215889: assert(!_unloading) failed: This oop is not
    available to unloading class loader data with ZGC
    + S8215922: jar spec is not precise when describing jar file
    re-signing
    + S8216050: Superword optimization fails with assert(0 <= i &&
    i < _len) failed: illegal index
    + S8216135: C2 assert(!had_error) failed: bad dominance
    + S8216140: Correct UnicodeDecoder U+FFFE handling
    + S8216151: [Graal] Module jdk.internal.vm.compiler.management
    has not been granted accessClassInPackage.org.graalvm.compiler.debug
    + S8216167: Update include guards to reflect correct directories
    + S8216172: File.renameTo(File dest) should check for NPE at
    the very beginning
    + S8216184: CDS/appCDS tests failed on Windows due to long path
    to a classlist file
    + S8216265: [testbug] Introduce
    Platform.sharedLibraryPathVariableName() and adapt all tests.
    + S8216278: Fix devkit and basic Jib support on WSL
    + S8216308: StackTraceElement::fill_in can use injected Class
    source-file
    + S8216316: Tests fail due to too low specified TLAB size
    + S8216319: Refactor JavadocTester to allow more on-by-default
    checkers; add A11YChecker
    + S8216355: missing NULL checks in libnet in interface
    iteration and potential resource leak in getMacAddress
    + S8216362: Better error message handling when there is an
    invalid Manifest
    + S8216376: [PPC64] Possibly unreliable stack frame resizing in
    template interpreter
    + S8216401: Allow "file:" URLs in Class-Path of local JARs
    + S8216404: Elements.getPackageOf should handle modules
    + S8216424: Remove TimeLivenessAnalysis
    + S8216426: Usage of array placement new may lead to memory
    corruption
    + S8216427: ciMethodData::load_extra_data() does not always
    unpack the last entry
    + S8216428: Remove IgnoreLibthreadGPFault
    + S8216478: Cleanup HttpResponseImpl back reference to
    HttpConnection
    + S8216480: Typo in
    test/hotspot/jtreg/compiler/graalunit/README.md
    + S8216482: Shenandoah: typo in
    ShenandoahBarrierSetC2::clone_barrier_at_expansion() causes
    failed compilations
    + S8216486: Possibility of integer overflow in
    JfrThreadSampler::run()
    + S8216489: Issues with ModulePackages attribute generation on
    incremental build
    + S8216498: Confusing and unneeded wrapping of
    SSLHandshakeException
    + S8216529: in case of a crash, javac should print out the
    parameters passed to it
    + S8216549: Mismatched unsafe access to non escaping object
    fails
    + S8216556: Unnecessary liveness computation with JVMTI
    + S8216559: [JFR] Native libraries not correctly parsed from
    /proc/self/maps
    + S8216560: gtest build broken on PPC64 and aarch64
    + S8216563: [TESTBUG] Change stressTime to default to 30 for
    nsk tests (part 2)
    + S8216589: s390x build failures after JDK-8216167 (Update
    include guards to reflect correct directories)
    + S8216595: Fix broken builds after JDK-8216424
    + S8216973: Kick up cleanup phases in the right places
    + S8216974: HttpConnection not returned to the pool after 204
    response
    + S8216982: Assertion poison page established too early
    + S8216995: Clean up JFR command line processing
    + S8217000: Refactor Class::methodToString
    + S8217017: [TESTBUG] Tests fail to compile after JDK-8216265
    + S8217044: [aix] Launcher still adds old path to jli library
    to LIBPATH
    + S8217088: Disable JDK-6913047 fix (SunPKCS11 memory leak)
    after JDK-8216597 (SIGBUS error in getNativeKeyInfo)
    + S8217094: HttpClient SSL race if a socket IOException is
    raised before ALPN is available
    + S8217214: Recent new javadoc test needs to be updated
* Fri Jan 11 2019 fstrba@suse.com
- Rename package to java-13-openjdk and switch to the jdk-13+X tags
- Upgrade to upstream tag jdk-13+3
  * Fixes:
    + S6714324: Removing a component from a JTabbedPane does not
    clear its accessibleParent
    + S6996807: FieldReflectorKey hash code computation can be
    improved
    + S8076988: reevaluate trivial method policy
    + S8179943: Typo in javax.net.ssl.SSLSession.removeValue(String)
    method documentation
    + S8182992: Typo in DatagramPacket constructor API doc
    + S8196347: LogCompilation: generate log file on the fly for
    input to junits
    + S8196681: Java Access Bridge logging and debug flags
    dynamically controlled
    + S8208184: IllegalArgumentException while invoking code
    completion on netbeans IDE
    + S8209414: AArch64: method handle invocation does not respect
    JVMTI interp_only mode
    + S8210669: Some launcher tests assume a pre-JDK 9 run-time
    image layout
    + S8210788: Javadoc for Thread.join(long, int) should specify
    that it waits forever when both arguments are zero
    + S8211267: StackOverflowError happened by
    TextField.setFont(...)
    + S8213001: vmTestbase/nsk/jvmti/ThreadStart/threadstart002/
    /TestDescription.java debug agent times out
    + S8213457: serviceability/sa/ClhsdbInspect.java time out
    + S8214122: JDWP is broken on 32 bit Windows: transport library
    missing onLoad entry
    + S8214442: Improve stack walk API by adding handle marks
    + S8214461: Some unused classes may be removed
    + S8214738: javadoc should honor styles in doc-files
    + S8214862: assert(proj != __null) at compile.cpp:3251
    + S8215044: C2 crash in loopTransform.cpp with
    assert(cl->trip_count() > 0) failed: peeling a fully unrolled
    loop
    + S8215112: String::transform spec clarification
    + S8215123: Crash in runtime image built with jlink --compress=2
    + S8215200: IllegalArgumentException in
    sun.lwawt.macosx.CPlatformWindow
    + S8215265: C2: range check elimination may allow illegal out
    of bound access
    + S8215308: pandoc-html-manpage-filter.js does not work for
    [un]pack200
    + S8215330: javax.xml.catalog.CatalogResolverImpl:
    GroupEntry.matchURI fails to match
    + S8215398: -Xlog option usage => Invalid decorator
    '\temp\app_cds.log'.
    + S8215400: Warn on usage of trampolines with gcc
    + S8215412: Optimize PrintStream.println methods
    + S8215438: jshell tool: Ctrl-D causes EOF
    + S8215489: Remove String::align
    + S8215495: Set isCopy to JNI_FALSE if len == 0
    + S8215510: j.l.c.ClassDesc is accepting descriptors not
    allowed by the spec
    + S8215572: Add new Arrays micros
    + S8215575: C2 crash: assert(get_instanceKlass()->is_loaded())
    failed: must be at least loaded
    + S8215583: Exclude
    runtime/handshake/HandshakeWalkSuspendExitTest.java
    + S8215643: Microbenchmarks for KeyAgreement and Cipher
    + S8215644: Clean up globalDefinitions_<compiler>.hpp
    + S8215681: Remove compiler support for Raw String Literals
    from JDK 12
    + S8215708: ZGC: Add missing LoadBarrierNode::size_of()
    + S8215724: Epsilon: ArrayStoreExceptionTest.java fails;
    missing arraycopy check
    + S8215731: Move forward class definitions out of
    globalDefinitions.hpp
    + S8215755: ZGC: split_barrier_thru_phi: check number of inputs
    of phi
    + S8215756: Memory leaks in the AWT on macOS
    + S8215771: The jfr tool should pretty print reference chains
    + S8215773: applications/kitchensink/Kitchensink.java crash
    with "assert(ZAddress::is_marked(addr)) failed: Should be
    marked"
    + S8215791: Tiny bug in VM monitoring/management
    + S8215798: Use {@systemProperty} for definition of
    org.openjdk.java.util.stream.tripwire property
    + S8215888: Register to register spill may use AVX 512 move
    instruction on unsupported platform.
    + S8215901: [TESTBUG] TestCheckedEnsureLocalCapacity.java fails
    intermittently
    + S8215909: Typo in Swing ProcessMouseEvent method documentation
    + S8215910: Typo in AWT InvocationEvent Method Documentation.
    + S8215911: Various Typos in SQL Method Documentation
    + S8215912: Various Typos in java.net Method Documentation
    + S8215913: [Test_bug]java/util/Locale/LocaleProvidersRun.java
    failed on de_DE and ja_JP locale.
    + S8215947: JVM crash with -XX:+DumpSharedSpaces
    + S8215951: AArch64: jtreg test
    vmTestbase/nsk/jvmti/PopFrame/popframe005 segfaults
    + S8215961: jdk/jfr/event/os/TestCPUInformation.java fails on
    AArch64
    + S8215962: Support ThreadPriorityPolicy mode 1 for non-root
    users on linux/bsd
    + S8215975: [testbug] Adapt nsk tests to the PPC, S390 and AIX
    platforms.
    + S8215985: ZGC: Simplify reference processing in light of
    JDK-8175797
    + S8215990: Avoid using reflection to create common default
    URLStreamHandlers
    + S8215991: Stop hiding exception from ArtifactResolver
    failures in tests
    + S8215994: JDK 12 l10n resource file update - msg drop 10
    + S8215995: Add specialized toArray methods to immutable
    collections
    + S8216010: Change callers of build_u2_from() to call
    Bytes::get_Java_u2() instead
    + S8216021: RunTest.gmk might set concurrency level to 1 on
    Windows
    + S8216048: Fix devkit creation in WSL
    + S8216059: nsk_jvmti_parseoptions still has dependency on
    tilde separator
    + S8216067: Unused local vars in
    windows/native/libjava/io_util_md.c
    + S8216134: (process) ProcessBuilder startPipeline does not
    hide piped streams
    + S8216154: C4819 warnings at HotSpot sources on Windows
    + S8216155: C4819 warning at libfreetype sources on Windows
    + S8216157: Enable inlining of java_lang_Class::is_primitive
    + S8216176: Clarify the singleton description in
    j.t.c.JapaneseEra class
    + S8216188: Remove expired flags in JDK 13
    + S8216189: Remove Klass::compute_is_subtype_of
    + S8216191: Remove FastSuperclassLimit
    + S8216197: Remove unused new_hash methods
    + S8216199: Local variable arg defined but never used in
    BCEscapeAnalyzer::compute_escape_for_intrinsic()
    + S8216200: BCEscapeAnalyzer::ArgumentMap::set_intersect() is
    incorrect
    + S8216205: Java API documentation formatting error in
    System.getEnv
    + S8216262: Remove develop flag DelayCompilationDuringStartup
    + S8216266: ProblemList PeelingZeroTripCount.java
    + S8216267: Fix hotspot-ide-project target on WSL
    + S8216269: [s390] Debug build broken because CodeBlob has not
    been declared
    + S8216271: Make AllocateOldGenAt an unsupported option on AIX.
    + S8216275: Disable annotation processing lint warnings when
    building microbenchmarks
    + S8216285: Enable inlining of
    CollectedHeap::obj-/array-/class_allocate
    + S8216302: StackTraceElement::fill_in can use cached Class.name
    + S8216322: Missing since information in deprecation of
    constructor visitors
    + S8216335: Minor cleanups to javax.annotation.processing and
    javax.lang.model javadoc
    + S8216359: Remove develop flags TraceCompilationPolicy and
    TimeCompilationPolicy
    + S8216366: Add rationale to PER_CPU_SHARES define
    + S8216372: ZGC: Put C2 load barrier stub routines in separate
    codeblobs
    + S8216375: Revert JDK-8145579 after JDK-8076988 is resolved
    + S8216385: ZGC: Fix building without C2
    + S8216403: Allocate fewer EnumSets in JavacFileManager#list
    + S8216413: Long.parseLong() is specified to throw unless
    string contains parsable {@code int}; should be {@code long}
    + S8216423: Remove FillDelaySlots
    + S8216441: problem list
    org.graalvm.compiler.hotspot.test.ExplicitExceptionTest
* Thu Jan 10 2019 fstrba@suse.com
- Added patch:
  * loadAssistiveTechnologies.patch
    + Do not crash the whole JVM if assistive technologies crash
* Thu Jan 10 2019 fstrba@suse.com
- Do not resolve by default the added JavaEE modules (fixes
  bsc#1120431)
* Wed Jan  9 2019 fstrba@suse.com
- Upgrade to upstream tag jdk-12+26
  * Fixes:
    + S8066619: Fix deprecation warnings in java.util.jar
    + S8198526: getAnnotatedOwnerType does not handle static nested
    classes correctly
    + S8202286: Allocation of old generation of Java heap on
    alternate memory devices
    + S8205505: Expire and remove remaining support for commercial
    features
    + S8206107: [x86_32] jck tests for ldc2_w bytecode fail
    + S8208184: IllegalArgumentException while invoking code
    completion on netbeans IDE
    + S8211343: nsk_jvmti_parseoptions should handle multiple
    suboptions
    + S8211424: Allocation of old generation of java heap on
    alternate memory devices - Parallel GC
    + S8211425: Allocation of old generation of java heap on
    alternate memory devices - G1 GC
    + S8213481: [REDO] Fix incorrect copy constructors in hotspot
    + S8214096: sun.security.util.SignatureUtil passes null
    parameter, so JCE validation fails
    + S8214097: Rework thread initialization and teardown logic
    + S8214180: Need better granularity for sleeping
    + S8214201: Make PtrQueueSet completed buffer list private
    + S8214532: Update RFC 2459 references in javadoc to RFC 5280
    + S8214567: Use {@systemProperty} for definitions of system
    properties
    + S8214569: Use {@systemProperty} for definitions of system
    properties
    + S8214570: Use {@systemProperty} for definitions of system
    properties
    + S8214687: Optimize Collections.nCopies().hashCode() and
    equals()
    + S8215100: AArch64: fix compareTo intrinsic with
    four-character Latin/Unicode
    + S8215202: AArch64: jtreg test
    test/jdk/sun/nio/cs/FindEncoderBugs.java fails
    + S8215291: Broken links when generating from project without
    modules
    + S8215296: do not disable c99 on Solaris
    + S8215322: add @file support to jaotc
    + S8215364: JavaFX crashes on Ubuntu 18.04 with Wayland while
    using Swing-FX interop
    + S8215425: vmTestbase/nsk/jvmti/PopFrame should provide more
    detailed output
    + S8215445: Enable building for Windows in WSL
    + S8215487: ZGC: ZRuntimeWorkers incorrectly identify
    themselves as ZWorkers
    + S8215491: ICStubInterface::finalize finds zombie nmethod with
    ZGC concurrent class unloading
    + S8215492: Rename INTERNAL_EMPTY to something less "internal"
    + S8215500: ICRefillVerifierMark does not set the provided
    verfier as current
    + S8215516: Move JavadocTester to a named package
    + S8215547: ZGC: Fix incorrect match rule for
    loadBarrierWeakSlowRegNoVec
    + S8215548: G1PeriodicGCSystemLoadThreshold needs to be a double
    + S8215551: Missing case label in nmethod::reloc_string_for()
    + S8215555: TieredCompilation C2 threads can excessively block
    handshakes
    + S8215571: jdb does not include jdk.* in the default class
    filter
    + S8215635: Pandoc check in Docs.gmk does not work on Windows
    + S8215687: [Graal] unit test CheckGraalIntrinsics failed after
    8212043
    + S8215707: [macosx] fix pthread_getschedparam and
    pthread_setschedparam calls
    + S8215716: PopFrame() was unexpectedly done
    + S8215727: Restore JFR thread sampler loop to old / previous
    behavior
    + S8215759: [test] java/math/BigInteger/ModPow.java can throw
    an ArithmeticException
    + S8215769: Java cannot probe pkcs12 files exported by Firefox
    + S8215879: AArch64: ReservedStackAccess may leave stack guard
    in inconsistent state
    + S8215897: Build broken on zero after JDK-8211424
    + S8215898: Build broken on 32-bit after JDK-8211425
    + S8215954: [testbug] Remove unnecessary casts in
    test/hotspot/gtest/threadHelper.inline.hpp
    + S8215966: GeneratePropertyPassword.sh uses bash syntax
    + S8215977: hsdis installation documentation update
- Upgrade to upstream tag jdk-12+25
  * Fixes:
    + S8051349: nsk/jvmti/scenarios/sampling/SP06/sp06t003 fails in
    nightly
    + S8183912: java.math.BigDecimal.movePointLeft() should return
    this if called with zero argument
    + S8201655: Add thread-enabled support for the Heap Sampling
    + S8207224: Javac compiles source code despite illegal use of
    unchecked conversions
    + S8209333: Socket reset issue for TLS 1.3 socket close
    + S8209414: AArch64: method handle invocation does not respect
    JVMTI interp_only mode
    + S8211698: Crash in C2 compiled code during execution of
    double array heavy processing code
    + S8212043: Add floating-point Math.min/max intrinsics
    + S8213134: AArch64: vector shift failed with MaxVectorSize=8
    + S8213402: [Testbug] java/lang/System/LoggerFinder/internal/
    /PlatformLoggerBridgeTest creates an invalid nest relationship
    + S8213782: NullPointerException in
    sun.security.ssl.OutputRecord.changeWriteCiphers
    + S8214077: test java/io/File/SetLastModified.java fails on
    ARM32
    + S8214329: SwingMark SubMenus 9%% regression in 12-b19 on Linux
    client
    + S8214339: SSLSocketImpl erroneously wraps SocketException
    + S8214352: C1: Unnecessary "compilation bailout: block join
    failed" with JVMTI
    + S8214512: ARM32: Jtreg test compiler/c2/Test8062950.java
    fails on ARM
    + S8214583: AccessController.getContext may return wrong value
    after JDK-8212605
    + S8214946: G1: Initialize all class members on construction
    + S8215099: jshell tool: /help representation of ctrl/meta
    characters inconsistent
    + S8215205: javaVFrame much slower than vframeStream
    + S8215228: Use a constant hash table size in order to enable
    compiler optimization
    + S8215292: Back out changes for node- and link- local ipv6
    multicast address
    + S8215319: jck lang/INTF/intf049/intf04901 fails in Graal as
    JIT mode with -Xcomp and AOTed Graal
    + S8215329: Modify ZGC requirement for
    HeapMonitorThreadTest.java
    + S8215353: x86_32 build failures after JDK-8214751 (X86:
    Support for VNNI Instructions)
    + S8215366: Code quality improvements in
    com.sun.tools.javac.code.TypeAnnotations
    + S8215368: Make Check.checkOverride call diagnosticPositionFor
    lazily
    + S8215372: Incorrect nio/file/DirectoryStream/Basic.java tests
    for validating the use of a glob
    + S8215374: 32-bit build failures after JDK-8181143 (Introduce
    diagnostic flag to abort VM on too long VM operations)
    + S8215380: Backout accidental change to String::length
    + S8215395: Allow null oops in Dictionary and JNIHandle
    verification
    + S8215397: jsig.c missing classpath exception
    + S8215410: Regression test for JDK-8214994
    + S8215411: some GetByteArrayElements calls miss corresponding
    Release
    + S8215443: The use of TransportContext.fatal() leads to bad
    coding style
    + S8215449: Several tests failing when jtreg run with
  - vmoption:--illegal-access=deny
    + S8215451: JNI IsSameObject should not keep objects alive
    + S8215472: (zipfs) Cleanups in implementation classes of
    jdk.zipfs and tests
    + S8215625: javax/sql/testng/util/xxxxx.java tests compilation
    failed after JDK-8207224
- Upgrade to upstream tag jdk-12+24
  * Fixes:
    + S6516099: InputStream.skipFully(int k) to skip exactly k bytes
    + S7092821: java.security.Provider.getService() is synchronized
    and became scalability bottleneck
    + S8076190: Customizing the generation of a PKCS12 keystore
    + S8152724: Sum of eden before GC and current survivor capacity
    may be larger than heap size
    + S8159440: Move marking of promoted objects during initial
    mark into the concurrent phase
    + S8165675: Trace event for thread park has incorrect unit for
    timeout
    + S8177552: Compact Number Formatting support
    + S8181143: Introduce diagnostic flag to abort VM on too long
    VM operations
    + S8193312: Rename VM_CGC_Operation to VM_G1Concurrent
    + S8198398: Test javax/swing/JColorChooser/Test6199676.java
    fails in mach5
    + S8199394: Object.hashCode should not mention anything about
    memory addresses
    + S8200613: SA: jstack throws UnmappedAddressException with a
    CDS core file
    + S8202884: SA: Attach/detach might fail on Linux if debugee
    application create/destroy threads during attaching
    + S8204947: Port ShenandoahTaskTerminator to mainline and make
    it default
    + S8205393: Add SourceVersion.RELEASE_13
    + S8205394: Add source 13 and target 13 to javac
    + S8205421: AARCH64: StubCodeMark should be placed after
    alignment
    + S8205516: JFR tool
    + S8205626: Start of release updates for JDK 13
    + S8205645: Bump maximum recognized class file version to 57
    for JDK 13
    + S8207258: Distrust TLS server certificates anchored by
    Symantec Root CAs
    + S8207829: FlightRecorderMXBeanImpl is leaking the first
    classloader which calls it
    + S8208277: Code cache heap (-XX:ReservedCodeCacheSize) doesn't
    work with 1GB LargePages
    + S8208648: ECC Field Arithmetic Enhancements
    + S8208698: Improved ECC Implementation
    + S8209387: Follow ups to JDK-8195100 Use a low latency
    hashtable for SymbolTable
    + S8210031: implementation for JVM Constants API
    + S8210106: sun/tools/jps/TestJps.java timed out
    + S8210107: vmTestbase/nsk/stress/network tests fail with
    Cannot assign requested address (Bind failed)
    + S8211034: OnStackReplacePercentage option checking has bugs
    + S8211093: Default logging.properties sets log level for
    com.xyz.foo
    + S8211844: [aix] ProcessBuilder: Piping between created
    processes does not work.
    + S8211882: Broken links in serialized-form.html
    + S8212137: Remove JrtFileSystem finalize method
    + S8212232: Wrong metadata for the configuration of the cutoff
    for old object sample events
    + S8212657: Implementation of JDK-8204089 Promptly Return
    Unused Committed Memory from G1
    + S8212703: Remove sun.java2d.fontpath property from java
    launcher code
    + S8212794: IBM-964 is required for AIX default charset
    + S8213009: Refactoring existing SunMSCAPI classes
    + S8213010: Supporting keys created with certmgr.exe
    + S8213049: Invalid HTML5 in javax.swing files
    + S8213127: Refactor test/java/util/ResourceBundle/Control/
    /MissingResourceCauseTest.sh to plain java tests
    + S8213183: InputMethod cannot be used after its restarting
    + S8213224: Move code related to GC threads calculation out of
    AdaptiveSizePolicy
    + S8213409: Refactor sun.text.IntHashtable:i18n shell tests to
    plain java tests
    + S8213421: Line number information for execution samples
    always 0
    + S8213617: JFR should record the PID of the recorded process
    + S8213754: PPC64: Add Intrinsics for
    isDigit/isLowerCase/isUpperCase/isWhitespace
    + S8213890: Implementation of JEP 344: Abortable Mixed
    Collections for G1
    + S8213952: Relax DNSName restriction as per RFC 1123
    + S8213966: The ZGC JFR events should be marked as experimental
    + S8213983: [macosx] Keyboard shortcut “cmd +`” stops working
    properly if popup window is displayed
    + S8214002: Cannot use italic font style if the font has
    embedded bitmap
    + S8214023: Update Graal
    + S8214052: [testbug] vmTestbase/vm/compiler/
    /CodeCacheInfoOnCompilation - wrong shell used
    + S8214074: Ghash optimization using AVX instructions
    + S8214098: sun.security.ssl.HandshakeHash.T12HandshakeHash
    constructor check backwards.
    + S8214114: Switch expressions with try-catch statements
    + S8214128: ARM32: wrong stack alignment on
    Deoptimization::unpack_frames
    + S8214129: SSL session resumption/SNI with TLS1.2 causes
    StackOverflowError
    + S8214148: [TESTBUG] serviceability/tmtools/jstack/
    /WaitNotifyThreadTest.java is not doing what is expected
    + S8214226: Incorrect BCI and Line Number with jstack if the
    top frame is in the interpreter
    + S8214257: IC cache not clean after cleaning assertion failure
    + S8214259: Implementation: JEP 189: Shenandoah: A
    Low-Pause-Time Garbage Collector (Experimental)
    + S8214275: CondyRepeatFailedResolution asserts "Dynamic
    constant has no fixed basic type"
    + S8214310: SymbolTable: Use get and insert
    + S8214315: G1: fatal error: acquiring lock SATB_Q_FL_lock/1
    out of order with lock tty_lock/0
    + S8214338: Move IC stub refilling out of IC cache transitions
    + S8214376: Don't use memset to initialize array of Bundle in
    output.cpp
    + S8214380: AwtDragSource function LoadCache misses a
    ReleaseLongArrayElements in special case
    + S8214401: [AOT] crash in ClassLoaderData::is_alive() with
    AOTed jdk.base
    + S8214427: probable bug in logic of
    ConcurrentHashMap.addCount()
    + S8214457: Miscellaneous changes imported from jsr166 CVS
    2018-12
    + S8214459: NSS source should be removed
    + S8214468: jQuery UI upgrade from 1.11.4 to 1.12.1
    + S8214491: Upgrade to JLine 3.9.0
    + S8214498: java/util/Locale/bcp47u/SystemPropertyTests.java
    wrong locale default
    + S8214514: javac @file option gives error caused by Chinese
    encoding in the path
    + S8214520: [TEST_BUG] sun/security/mscapi/nonUniqueAliases/
    /NonUniqueAliases.java failed with incorrect jtreg tags order
    + S8214531: HeapMonitorEventOnOffTest.java test fails with
    "Statistics should be null to begin with"
    + S8214559: Use {@systemProperty} for definitions of system
    properties
    + S8214568: Use {@systemProperty} for definitions of system
    properties
    + S8214571: -Xdoclint of array serialField gives "error: array
    type not allowed here"
    + S8214688: TLS 1.3 session resumption with hello retry request
    failed with "illegal_parameter"
    + S8214696: Module class should be filtered by core reflection
    + S8214707: Prevent GCC 8 from reporting error in
    ClassLoader::file_name_for_class_name()
    + S8214720: Add pandoc filter to improve html man page output
    + S8214741: docs/index.html has no title or copyright
    + S8214750: Unnecessary <p> tags in jfr classes
    + S8214751: X86: Support for VNNI Instructions
    + S8214773: Replace use of thread unsafe strtok
    + S8214780: Create pandoc package for Windows
    + S8214782: Add missing access barriers on CLD handle area
    + S8214784: Adjust Dictionary and JNIHandle verification
    + S8214785: Remove unused WeakHandleType::vm_string
    + S8214786: Remove unused ThreadLocalAllocBuffer::verify()
    + S8214791: Consistently name gc files containing VM operations
    + S8214795: Add safety check to dynalink inner class lookup
    + S8214805: Mark deprecated
    netscape.javascript.JSObject::getWindow API forRemoval=true
    + S8214807: Improve handling of very old class files
    + S8214817: Bad links in ImageInputStream.java &
    ImageOutputStream.java
    + S8214825: Update preview language features for start of JDK 13
    + S8214840: runtime/NMT/MallocStressTest.java timed out
    + S8214850: Rename vm_operations.?pp files to vmOperations.?pp
    files
    + S8214856: Errors with JSZip in web console after upgrade to
    3.1.5
    + S8214857: "bad trailing membar" assert failure at
    memnode.cpp:3220
    + S8214858: Improve module graph archiving
    + S8214876: Add "intermittent" key for
    imageio/stream/StreamCloserLeak/run_test.sh
    + S8214892: Delayed starting of debugging via jcmd
    + S8214896: JFR Tool left files behind
    + S8214897: ZGC: Concurrent Class Unloading
    + S8214902: Pretty-printing marker annotations add unnecessary
    parenthesis
    + S8214906: [TESTBUG] jfr/event/sampling/TestNative.java fails
    with UnsatisfiedLinkError
    + S8214908: add ctw tests for jdk.jfr and jdk.management.jfr
    modules
    + S8214910: If pandoc is present, markdown spec files should be
    processed
    + S8214912: LogCompilation: Show the comp level
    + S8214915: CtwRunner misses export for jdk.internal.access
    + S8214917: CTW testlibrary shouldn't ignore errors raised by
    the library itself
    + S8214925: JFR tool fails to execute
    + S8214936: assert(_needs_refill == 0) failed: Forgot to handle
    a failed IC transition requiring IC stubs
    + S8214937: sun/security/tools/jarsigner/warnings/
    /NoTimestampTest.java failed due to unexpected expiration date
    + S8214943: PIT: javax/swing/JFrame/NSTexturedJFrame/
    /NSTexturedJFrame.java errors out in mac
    + S8214944: replace strerror by os::strerror
    + S8214961: AARCH64: wrong encoding for exclusive and atomic
    load/stores
    + S8214971: Replace use of string.equals("") with isEmpty()
    + S8214972: Uses of klass_holder() except GC need to apply GC
    barriers
    + S8215000: tools/launcher/JliLaunchTest.java fails on Windows
    + S8215005: Missing include of runtime/os.hpp in zError.cpp
    after JDK-8214925 breaks build without precompiled headers
    + S8215008: Clear confusion between URL/URI paths and file
    system paths
    + S8215015: [TESTBUG] remove unneeded -Xfuture option from tests
    + S8215026: Incorrect amount of memory unmapped with
    ImageFileReader::close()
    + S8215030: Disable shenandoah in Oracle builds
    + S8215034: Remove old HOTSWAP conditionals
    + S8215043: Remove declaration of parallel_worker_threads
    + S8215048: Some classloader typos
    + S8215050: [TESTBUG] serviceability/tmtools/jstack/
    /WaitNotifyThreadTest.java fails when run with flag -Xcomp
    + S8215097: Do not create NonJavaThreads before BarrierSet
    + S8215117: [JVMCI] TestResolvedJavaType.java failing after
    JDK-8210031
    + S8215120: 32-bit build failures after JDK-8212657 (Promptly
    Return Unused Committed Memory from G1)
    + S8215129: Update build documentation with Xrandr
    + S8215131: Pandoc 2.3/build documentation fixes
    + S8215133: AARCH64: disable Math.log intrinsic publishing
    + S8215140: Port missing crypto JMH micros from
    jmh-jdk-microbenchmarks
    + S8215144: PPC64: Wrong assertion "illegal object size"
    + S8215149: TestOptionsWithRangesDynamic.java fails after
    JDK-8215120
    + S8215159: Improve initial setup of system Properties
    + S8215160: Normalize spaces for remaining vmTestbase tests
    + S8215161: Normalize spaces for vmTestbase/[a-j]
    + S8215165: Improve -Xlog:class+preview message text
    + S8215175: Inconsistencies in JFR event metadata
    + S8215194: Initial size of UnicodeBlock map is incorrect
    + S8215206: VtableStubs::find_stub is not appropriately
    protected by VtableStubs_lock
    + S8215217: OpenJDK source has too many swear words
    + S8215220: Simplify Shenandoah task termination in aborted
    paths
    + S8215224: Update Graal
    + S8215237: jdk.jfr.Recording javadoc does not compile
    + S8215238: (jdeps) update jdk8_internals.txt per the removal
    of javafx, corba, EE modules
    + S8215239: Make deletes images/jdk/bin/java if something goes
    wrong
    + S8215243: JShell tests failing intermitently with \"Problem
    cleaning up the following threads:\"
    + S8215262: PPC64: FMA Vectorization on PPC64
    + S8215281: Use String.isEmpty() when applicable in java.base
    + S8215284: Reduce noise induced by periodic task getFileSize()
    + S8215300: additional changes to constants API
    + S8215301: Module-summary page is unreadably wide
    + S8215304: Make target "docs-jdk-index" has unnecessary
    dependencies
    + S8215309: Convert package.html files to package-info.java
    files
    + S8215314: [Graal] Enable
    org.graalvm.compiler.core.test.CountedLoopTest
    + S8215317: [GRAAL] unit test CheckGraalIntrinsics failed
    after 8213754
    + S8215326: Test java/util/concurrent/ConcurrentHashMap/
    /ToArray.java hangs after j.u.c updates
    + S8215342: [Zero] Build fails after JDK-8200613
    + S8215354: x86_32 build failures after JDK-8214074 (Ghash
    optimization using AVX instructions)
    + S8215356: Disable x86_32 Shenandoah build to avoid
    hotspot/tier1 failures
    + S8215362: JFR GTest JfrTestNetworkUtilization fails
    + S8215369: Jcstress pollute /var/tmp with temporary files.
    + S8215534: [testbug] some jfr test don't check @requires
    vm.hasJFR
- Upgrade to upstream tag jdk-12+23
  * Fixes:
    + S4947890: Minimize JNI upcalls in system-properties
    initialization
    + S6849922: java/awt/Choice/ChoiceKeyEventReaction/
    /ChoiceKeyEventReaction.html fails
    + S7124298: [macosx] Nothing heard from VoiceOver when tabbing
    between a nestedtab group and a parent tab group.
    + S7124301: [macosx] When in a tab group if you arrow between
    tabs there are noVoiceOver announcements.
    + S8130264: change the mechanism by which JDK loads the
    platform-specific PrinterJob implementation
    + S8139178: Wrong fontMetrics when printing in Landscape
    (OpenJDK)
    + S8146090: java/lang/ref/ReachabilityFenceTest.java fails with
  - XX:+DeoptimizeALot
    + S8171426: java/lang/ProcessBuilder/Basic.java failed Stream
    closed
    + S8176556: java/awt/dnd/ImageTransferTest/ImageTransferTest.java
    fails for JFIF
    + S8176828: jtools do not list VM process launched with the
    debugger option suspend=y
    + S8186549: move ExtendedRobot closer to tests
    + S8187364: Unable to enter zero width non-joiner (ZWNJ) symbol
    in Swing text component
    + S8193577: nsk/jvmti/IterateThroughHeap/filter-tagged fails
    with Graal in Xcomp mode
    + S8198339: Test javax/swing/border/Test6981576.java is unstable
    + S8206325: AssertionError in
    TypeSymbol.getAnnotationTypeMetadata
    + S8206962: jlink --release-info=del throws NPE if no keys are
    specified
    + S8209123: [Macosx] Maximized frame (frame state set to
    MAXIMIZED_BOTH using setExtendedState) is resizable on Mac
    but not on Windows and Ubuntu
    + S8210102: CDS tests timed out
    + S8210454: jar tool does not allow setting the module version
    without also setting the main class
    + S8210476: sun/security/mscapi/PrngSlow.java fails with Still
    too slow
    + S8210943: Hiding of inner classes not resolved properly
    + S8210985: Update the default SSL session cache size to 20480
    + S8211147: Incorrect comparator
    com.sun.beans.introspect.MethodInfo.MethodOrder
    + S8211283: Miscellaneous changes imported from jsr166 CVS
    2018-11
    + S8211301: [macos] support full window content options
    + S8211422: Reading PNG with corrupt CRC for IEND chunk throws
    IIOException
    + S8211735: Wrong heap mapper can be selected with
    UseLargePages on G1
    + S8211795: ArrayIndexOutOfBoundsException in PNGImageReader
    after JDK-6788458
    + S8211833: Javadoc cleanup of java.applet package
    + S8211842: IPv6_supported wrongly returns false when unix
    domain socket is bound to fd 0
    + S8211877: Broken links in java.util.concurrent.atomic
    + S8212116: IIOException "tEXt chunk length is not proper" on
    opening png file
    + S8212680: (JDK12b14/Solaris-sparc)
    SplashScreen::getSplashScreen call fails with ULE:
    "libsplashscreen.so: ld.so.1: java: fatal: libz.so.1: open
    failed: No such file or directory"
    + S8212870: Broken links for www.usno.navy.mil
    + S8212875: ftp: links for tiff/TTN2.draft.txt do not respond
    + S8212878: host in ftp: link not found
    + S8212882: links to tutorial should be updated to use https:
    + S8212899: java/util/concurrent/tck/JSR166TestCase.java -
    testMissedSignal_8187947(SubmissionPublisherTest): timed out
    waiting for CountDownLatch for 40 sec
    + S8213048: Invalid use of HTML5 in java.awt files
    + S8213051: Invalid use of HTML5 in javax.print files
    + S8213121: javax/swing/GraphicsConfigNotifier/StalePreferredSize.java
    fails on mac10.13
    + S8213168: Enable different look and feel tests in SwingSet3
    demo test FileChooserDemoTest
    + S8213187: Handle libwindowsaccessbridge need to access MSVCRT
    functions
    + S8213209: [REDO] Allow Klass::_subklass and _next_sibling to
    have unloaded classes
    + S8213292: Input freezes after MacOS key-selector (press&hold)
    usage on macOS Mojave
    + S8213294: Upgrade IANA LSR data
    + S8213300: jaxp/unittest/transform/CR6551600Test.java fails
    due to exception in jdk/jdk CI
    + S8213323: sa/TestJmapCoreMetaspace.java and
    sa/TestJmapCore.java fail with ZGC
    + S8213325: (props) Properties.loadFromXML does not fully
    comply with the spec
    + S8213362: [macOS] Could not find libjava.dylib error when
    initializing JVM via JNI_CreateJavaVM
    + S8213406: (fs) More than one instance of built-in FileSystem
    observed in heap
    + S8213532: add missing LocalFree calls after using
    FormatMessage(A) [windows]
    + S8213565: Crash in DependencyContext::remove_dependent_nmethod
    + S8213583: Error while opening the JFileChooser when desktop
    contains shortcuts pointing to deleted files
    + S8213614: DnD operation change feature does not work with
    64bit big endian CPU
    + S8213618: IBM970 charset has missing entry and remove
    unexpected entries
    + S8213703: LambdaConversionException: Invalid receiver type
    not a subtype of implementation type interface
    + S8213725: JShell NullPointerException due to class file with
    unexpected package
    + S8213734: SAXParser.parse(File, ..) does not close resources
    when Exception occurs.
    + S8213817: @return has already been specified (4 occurrences,
    in AWT and Swing)
    + S8213843: Changing L&F from Nimbus to Window L&F causes NPE
    in SwingSet2
    + S8213844: Typo in ProblemList updation under JDK-8213536
    + S8214014: Remove vestiges of gopher: protocol proxy support
    + S8214026: Canonicalized archive paths appearing in diagnostics
    + S8214031: Assertion error in value break statement with
    conditional operator in switch expression
    + S8214061: Buffer written into itself
    + S8214063: OpenJDK will not build on AIX while using the xlc
    13.1 compiler
    + S8214170: ResourceBundle.Control.newBundle should throw
    IllegalAccessException when constructor of the resource
    bundle is not public.
    + S8214179: Add groupname info into keytool -list and
  - genkeypair output
    + S8214195: Align stdout messages in
    test/jdk/java/math/BigInteger/PrimitiveConversionTests.java
    + S8214229: Enable ShowRegistersOnAssert by default
    + S8214230: Classes generated by SystemModulesPlugin.java are
    not reproducable
    + S8214231: Allow concurrent cleaning of TypeStackSlotEntries
    and ReturnTypeEntry
    + S8214278: Cleanup process_completed_threshold and related
    state
    + S8214300: .attach_pid files may remain in the process cwd
    + S8214302: Allow safely calling is_unloading() on zombie
    nmethods
    + S8214309: Enhance makefiles to allow generating JCov
    instrumented build
    + S8214311: dtrace gensrc has missing dependencies
    + S8214332: Add a flag for overriding default JNI library
    search path
    + S8214344: C2: assert(con.basic_type() != T_ILLEGAL) failed:
    elembt=byte; loadbt=void; unsigned=0
    + S8214356: Verification of class metadata unloading takes a
    long time
    + S8214377: ZGC: Don't use memset to initialize array of
    ZForwardingTableEntry
    + S8214388: CDS dumping fails with java heap fragmentation
    + S8214400: Update hotspot application/jcstress jtreg tests
    wrappers to use jcstress 0.5
    + S8214408: Migrate EventsOnOff to using the same
    allocateAndCheck method
    + S8214417: Add space after/before {} in
    vmTestbase/nsk/jvmti/[A-I] tests
    + S8214431: tests failed because can't find jdk.testlibrary.*
    in test directory or libraries
    + S8214434: Disabling ZOptimizeLoadBarriers hits assert
    + S8214443: Remove TLS v1 and v1.1 from SSLContext required
    algorithms
    + S8214444: Wrong strncat limits in dfa.cpp
    + S8214445: [test] java/net/URL/HandlerLoop has illegal
    reflective access
    + S8214451: PPC64/s390: Clean up unused CRC32 prototype and
    function
    + S8214460: MacosX build is broken because of JDK-8214014
    + S8214462: Add serviceability/sa/ClhsdbInspect.java to
    ProblemList.txt
    + S8214465: Upgrade arm-sflt minimum architecture to ARMv5TE
    for assembler
    + S8214466: Append assembler flags on ARM targets
    + S8214470: PIT: javax/swing/JPopupMenu/7154841/bug7154841.java
    errors out on mac10.13
    + S8214476: ZGC: Build ZGC by default
    + S8214484: ZGC: Exclude SA tests ClhsdbJhisto and
    TestHeapDumpFor*
    + S8214499: SA should follow 8150689
    + S8214502: Add space after/before {} in remaining vmTestbase
    tests
    + S8214513: A PKCS12 keystore from Java 8 using custom PBE
    parameters cannot be read in Java 11
    + S8214522: Last runtime locking issues for concurrent class
    unloading
    + S8214523: Fix nmethod asserts for concurrent nmethod unloading
    + S8214525: Bit rot in Nashorn Ant script
    + S8214526: Change CodeHeap State Analytics control from UL to
    Print*
    + S8214529: Exception while using Anonymous class in switch
    expression
    + S8214534: Setting of THIS_FILE in the build is broken
    + S8214541: ZGC: Refactoring from JDK-8214172 may leave
    PhaseIterGVN::_delay_transform set
    + S8214552: Resolve clash between 4947890 and 8130264
    + S8214556: Crash in
    DependencyContext::remove_dependent_nmethod still happens
    + S8214557: Filter out VM flags which don't affect AOT code
    generation
    + S8214558: bad @run tag in CheckPrinterJobSystemProperty.java
    + S8214572: [Graal] nsk/jvmti/unit/ForceEarlyReturn/earlyretbase
    should not suspend the thread when the top frame executes
    JVMCI code
    + S8214710: Fix hg log in update_copyright_year.sh
    + S8214718: Update missing copyright year in build system
    + S8214726: Typo in
    HeapShared::check_closed_archive_heap_region_object
    + S8214728: Unnecessary InstanceKlass::cast at few places
    + S8214744: Unnecessary <p> tags in java.util.zip.Deflater
    + S8214745: Bad link in coll-reference.html
    + S8214770: java/time/test/java/time/format/
    /TestNonIsoFormatter.java failed in non-english locales.
    + S8214787: Zero builds fail with "undefined
    JavaThread::thread_state()"
    + S8214794: java.specification.version should be only the major
    version number
- Upgrade to upstream tag jdk-12+22
  * Fixes:
    + S8046500: GetIpAddrTable function failed on Pure Ipv6
    environment
    + S8150689: Thread dump report "waiting to re-lock in wait()"
    shows incorrectly
    + S8168869: jdeps: localized messages don't use proper line
    breaks
    + S8177286: AttributeSet: attempt to compare Qname and String
    + S8178317: Create man pages using pandoc from markdown sources
    + S8190312: javadoc -link doesn't work with http: -> https: URL
    redirects
    + S8200432: javadoc fails with ClassCastException on {@link
    byte[]}
    + S8202415: Incorrect time logged for monitor deflation
    + S8202621: bad test with broken links needs to be updated
    + S8203264: JNI exception pending in
    PlainDatagramSocketImpl.c:740
    + S8203277: preflow visitor used during lambda attribution
    shouldn't visit class definitions inside the lambda body
    + S8203442: String::transform
    + S8203672: JNI exception pending in PlainSocketImpl.c
    + S8203673: JNI exception pending in
    DualStackPlainDatagramSocketImpl.c:398
    + S8204525: [TESTBUG] runtime/NMT/MallocStressTest.java ran out
    of java heap
    + S8211051: jdeps usage of --dot-output doesn't provide valid
    output for modular jar
    + S8211211: vmTestbase/metaspace/stressDictionary/
    /StressDictionary.java timeout
    + S8211266: [TESTBUG] ZipFSTester.java failed intermittently in
    ZipFSTester.checkRead(): bound must be positive
    + S8211975: move testlibrary/jdk/testlibrary/
    /OptimalCapacity.java to top-level library
    + S8212108: SafepointSynchronizer never ending counter (big
    enough)
    + S8212207: runtime/InternalApi/ThreadCpuTimesDeadlock.java
    crashes with SEGV in pthread_getcpuclockid+0x0
    + S8212748: ZGC: Add reentrant locking functionality
    + S8213015: Inconsistent settings between JFR.configure and
  - XX:FlightRecorderOptions
    + S8213117: adoptNode corrupts attribute values
    + S8213259: [AOT] AOTing java.base fails with
    "java.lang.AssertionError: no fingerprint for
    Ljdk/internal/event/Event"
    + S8213275: ReplaceCriticalClasses.java fails with
    jdk.internal.vm.PostVMInitHook not found
    + S8213486: SIGSEGV in
    CompiledMethod::cleanup_inline_caches_impl with AOT
    + S8213698: Improve devkit creation and add support for
    linux/ppc64/ppc64le/s390x
    + S8213716: javadoc search not working with Japanese and
    Chinese locales
    + S8213755: Let nmethods be is_unloading() outside of safepoints
    + S8213791: StringTable: Use get and insert
    + S8213819: doclint should warn against {@index} inside <a> tag
    + S8213834: JVMTI ResourceExhausted should not be posted in
    CompilerThread
    + S8213845: ARM32: Interpreter doesn't call result handler
    after native calls
    + S8213907: [JVMCI] avoid Class.getDeclared* methods when
    converting JVMCI objects to reflection objects
    + S8213909: jdeps --print-module-deps should report missing
    dependences
    + S8213911: Use example.com in java.net and other examples
    + S8213914: [TESTBUG] Several JFR VM events are not covered by
    tests
    + S8213921: Use {@systemProperty} tag for properties listed in
    "Networking Properties"
    + S8213927: G1 ignores AlwaysPreTouch when
    UseTransparentHugePages is enabled
    + S8213944: Fix AIX build after the removal of Xrandr.h and add
    a configure check for it
    + S8213956: javadoc crash using {@index} in doc-files file
    + S8213996: Remove one of the SparsePRT entry tables
    + S8213997: Remove G1HRRSUseSparseTable flag
    + S8214029: Remove dead code BasicHashtable::bulk_free_entries
    + S8214055: GC/C2 abstraction for phaseX
    + S8214056: Allow the GC to attach context information to
    CompiledMethod
    + S8214057: GC/C2 abstraction for
    Node::has_special_unique_user()
    + S8214059: Undefined behaviour in ADLC
    + S8214068: ZGC crashes with vmTestbase/nsk/jdi/ReferenceType/
    /instances/instances004/TestDescription.java
    + S8214086: [TESTBUG] Fix subgraph test cases in
    ReplaceCriticalClasses.java
    + S8214100: use of keystore probing results in unnecessary
    exception thrown
    + S8214105: [TESTBUG] Bit test is always false in
    serviceability/jvmti/StartPhase/AllowedFunctions
    + S8214108: [TESTBUG] Incorrect Function parameter lists in
    vmTestbase/nsk/jvmti/scenarios/extension/EX03/ex03t001
    + S8214113: Switch expressions may have constant type and may
    be skipped during write
    + S8214118: HeapRegions marked as archive even if CDS mapping
    fails
    + S8214139: Remove wrapper methods from {Base,Html}Configuration
    + S8214151: [TESTBUG] CleanProtectionDomain.java fails due to
    RuntimeException: 'protection domain unlinked' missing
    + S8214161: java.lang.IllegalAccessError: class
    jdk.internal.event.X509CertificateEvent (in module java.base)
    cannot access class jdk.jfr.internal.handlers.EventHandler
    (in module jdk.jfr) because module java.base does not read
    module jdk.jfr
    + S8214172: GC interface entry points for loop opts
    + S8214181: safepoint header cleanup
    + S8214189: test/hotspot/jtreg/compiler/intrinsics/mathexact/
    /MulExactLConstantTest.java fails on Windows x64 when run
    with -XX:-TieredCompilation
    + S8214202: DirtyCardQueueSet::get_completed_buffer should not
    clear _process_completed
    + S8214205: PPC64: Add instructions for counting trailing zeros
    + S8214206: Fix for JDK-8213419 is broken on 32-bit
    + S8214208: Nestmate package validation logging/exception
    should include classloader information
    + S8214217: [TESTBUG] runtime/appcds/LotsOfClasses.java failed
    with fragmented heap
    + S8214223: tools/jdeps/listdeps/ListModuleDeps.java failed due
    to missing Lib2 file
    + S8214241: Problem list com/sun/jndi/ldap/LdapTimeoutTest.java
    for all platforms
    + S8214242: compiler/arguments/TestScavengeRootsInCode.java
    fails because of missing UnlockDiagnosticVMOptions
    + S8214262: SunEC native code does not compile with debug on
    + S8214272: Don't use memset to initialize arrays of
    MemoryUsage in memoryManager.cpp
    + S8214276: Problemlist
    compiler/intrinsics/mathexact/MulExactLConstantTest.java
    + S8214287: SpecJbb2005StressModule got uncaught exception
    + S8214295: Populate handlers while holding streamHandlerLock
    + S8214297: testbug : missing fclose in jvmti_aod.cpp
    + S8214321: Misleading code in SSLCipher
    + S8214343: Handle the absence of Xrandr more generically
    + S8214362: C2: gc interface entry point for split if
    + S8214373: adjust usage of ReleaseLongArrayElements in
    MacosxDebuggerLocal
- Upgrade to upstream tag jdk-12+21
  * Fixes:
    + S8061281: Microbenchmark suite build support, directory
    layout and sample benchmarks
    + S8061282: Migrate jmh-jdk-microbenchmarks into the JDK
    + S8129310: java/net/Socket/asyncClose/AsyncClose.java fails
    intermittently
    + S8148188: Enhance the security libraries to record events of
    interest
    + S8184205: Captions on tabbed tables are squashed together
    + S8191339: [JVMCI] BigInteger compiler intrinsics on Graal
    + S8201375: Add the AllowArchivingWithJavaAgent diagnostic vm
    option to allow the use of the -javaagent option during CDS
    dumping
    + S8203174: [Graal] JDI tests fail with Unexpected exception:
    com.sun.jdi.ObjectCollectedException
    + S8206475: Repeated word in error message
    + S8209923: Unicode 11.0.0.
    + S8210024: JFR calls virtual is_Java_thread from ~Thread()
    + S8210408: Refactor java.util.ResourceBundle:i18n shell tests
    to plain java tests
    + S8210722: JAXP Tests: CatalogSupport2 and CatalogSupport3
    generate incorrect messages upon failure
    + S8210742: compound var declaration type is not uniform for
    all variables
    + S8210777: Update Graal
    + S8210838: Override javax.crypto.Cipher.toString()
    + S8211106: [windows] Update OS detection code to recognize
    Windows Server 2019
    + S8211326: add OS user related information to hs_err file
    + S8211451: ~2.5%% regression on compression benchmark starting
    with 12-b11
    + S8211787: javax/net/ssl/TLSCommon/TLSTest.java throws
    java.net.SocketTimeoutException: Read timed out
    + S8212003: Deprecating the default keytool -keyalg option
    + S8212070: Introduce diagnostic flag to abort VM on failed JIT
    compilation
    + S8212682: Avoid holding Compile_lock when blocking for GC in
    ObjArrayKlass::allocate_objArray_klass()
    + S8212779: ADL Parser does not check allocation return values
    in all cases
    + S8212931: HeapMonitorStatIntervalTest.java fails due average
    calculation
    + S8212982: Rule cases in switch expression accepted even if
    complete normally
    + S8212992: Change mirror accessor in Klass::verify_on() to use
    AS_NO_KEEPALIVE
    + S8213033: Archive remaining primitive box caches
    + S8213092: Add more runtime locks for concurrent class
    unloading
    + S8213202: Possible race condition in TLS 1.3 session
    resumption
    + S8213235: java/nio/channels/SocketChannel/
    /AsyncCloseChannel.java fails with threads that didn't exit
    + S8213352: Separate BufferNode allocation from PtrQueueSet
    + S8213363: X25519 private key PKCS#8 encoding/decoding is
    incorrect
    + S8213373: Bulk MarkBitMap clearing methods
    + S8213410: UseCompressedOops requirement check fails fails on
    32-bit system
    + S8213419: C2 may hang in MulLNode::Ideal()/MulINode::Ideal()
    with gcc 8.2.1
    + S8213538: VM crashes when MaxVectorSize is set to 0, 1 or 2
    + S8213560: gtests might hang
    + S8213587: Speed up CDS dump time by using resizable hashtables
    + S8213615: GC/C2 abstraction for escape analysis
    + S8213616: URLPermission with query or fragment behaves
    incorrectly
    + S8213623: ZGC: Let heap iteration walk all roots
    + S8213713: Minor issues during
    MetaspaceShared::initialize_runtime_shared_and_meta_spaces
    + S8213721: [Graal] Tests vmTestbase/nsk/stress/except/except*
    may be encountering SEGV during out-of-memory conditions
    + S8213723: More Monitor/mutex initialization management
    + S8213736: Build fails with LOG=debug on F28 after JDK-8210958
    + S8213746: GC/C2 abstraction for C2 matcher
    + S8213751: ClassLoaderDataGraph::cld_do() should sometimes
    require CLDG_lock
    + S8213779: Loop opts anti dependent store detection should
    ignore uncommon trap calls
    + S8213794: ARM32: disable TypeProfiling, CriticalJNINatives,
    Serviceablity tests for ARM32
    + S8213829: Remove circular dependency between g1CollectedHeap
    and g1ConcurrentMark
    + S8213893: StringTable_lock is unused
    + S8213898: CDS dumping of springboot asserts in
    G1ArchiveAllocator::alloc_new_region
    + S8213902: com/sun/jdi/SetLocalWhileThreadInNative.java times
    out
    + S8213906: Update arm devkits with libXrandr headers
    + S8213908: AssertionError in DeferredAttr at setOverloadKind
    + S8213910: Invalid HTML in java.net.http.HttpClient
    + S8213913: Redundant HTML in java.se/module-info.java
    + S8213916: no copyright in signature.html
    + S8213920: Use {@systemProperty} tag for properties listed in
    System.getProperties
    + S8213922: fix ctw stand-alone build
    + S8213926: WB_EnqueueInitializerForCompilation requests
    compilation for NULL
    + S8213942: URLStreamHandler initialization race
    + S8213947: ARM32: failed check_simd should set
    UsePopCountInstruction to false
    + S8213948: Solaris-X64 build fails with compact hashtable
    + S8213959: add org.graalvm.compiler.replacements.test.
    StringCompressInflateTest to graal problem list
    + S8213992: Rename and make DieOnSafepointTimeout the
    diagnostic option
    + S8214003: Limit default test jobs based on memory size
    + S8214004: Missing space between compiler thread name and task
    info in hs_err
    + S8214007: Fix sun.awt.nativedebug on X11 platforms
    + S8214025: assert(t->singleton()) failed: must be a constant
    when ScavengeRootsInCode < 2
    + S8214027: Reinstate testB_mem_imm pattern in x86_64.ad
    + S8214045: Missing explicit dependencies of
    build-microbenchmark cause intermittent build failure
    + S8214062: JDK-8167368 Leftover: get_source.sh in build
    documentation
    + S8214071: Broken msg.bug diagnostics when using the compiler
    API
    + S8214075: [BACKOUT] 8214007: Fix sun.awt.nativedebug on X11
    platforms
    + S8214078: (fs) SecureDirectoryStream not supported on arm32
    + S8214120: [REDO] Fix sun.awt.nativedebug on X11 platforms
    + S8214124: [TESTBUG] Bugs in runtime/NMT/MallocStressTest.java
    + S8214125: [test] Fix comparison between pointer and integer
    in test_ptrQueueBufferAllocator.cpp
    + S8214144: Remove confusing locking_enqueue_completed_buffer
    + S8214149: Move out assignments when not using NSK*VERIFY
    macros
    + S8214154: problem list HeapMonitorStatIntervalTest.java
- Upgrade to upstream tag jdk-12+20
  * Fixes
    + S5076751: System properties documentation needed in javadocs
    + S7124293: [macosx] VoiceOver reads percentages rather than
    the actual values for sliders.
    + S8080406: VM_GetOrSetLocal doesn't check local slot type
    against requested type
    + S8160768: Add capability to custom resolve host/domain names
    within the default JNDI LDAP provider
    + S8185496: Improve performance of system properties
    initialization in initPhase1
    + S8192888: AllSwingComponentsBaselineTest fails with
    NullPointerException for NimbusLookAndFeel
    + S8198000: java/awt/List/EmptyListEventTest/
    /EmptyListEventTest.java debug assert on Windows
    + S8198001: java/awt/Menu/WrongParentAfterRemoveMenu/
    /WrongParentAfterRemoveMenu.java debug assert on Windows
    + S8198002: java/awt/Mixing/Validating.java debug assert on
    Windows
    + S8198321: javax/swing/JEditorPane/5076514/bug5076514.java
    fails
    + S8198624: java/awt/KeyboardFocusmanager/TypeAhead/
    /SubMenuShowTest/SubMenuShowTest.html fails on mac
    + S8199072: Test javax/swing/GroupLayout/6613904/bug6613904.java
    is unstable
    + S8202285: (fs) Add a method to Files for comparing file
    contents
    + S8202886: [macos] Test
    java/awt/MenuBar/8007006/bug8007006.java fails on MacOS
    + S8204142: AWT hang occurs when sequenced events arrive out of
    sequence in multiple AppContexts
    + S8204529: gc/TestAllocateHeapAtMultiple.java fail with Agent
    7 timed out
    + S8205574: Loop predication "assert(f <= 1 && f >= 0) failed
    Incorrect frequency"
    + S8207070: Webstart app popup on wrong screen in a one-screen
    setup changing to multi-monitor
    + S8208543: [macos] Support for apple.awt.documentModalSheet
    incomplete
    + S8208702: javax/swing/reliability/
    /HangDuringStaticInitialization.java may hang on macos
    + S8209055: c.s.t.javac.code.DeferredCompletionFailureHandler
    seems to use WeakHashMap incorrectly
    + S8209139: globalCounter bootstrap issue
    + S8209415: Fix JVMTI test failure HS202
    + S8210057: Enable different look and feels in SwingSet3 demo
    test InternalFrameDemoTest
    + S8210197: javac can't tell during speculative attribution if
    a diamond expression is creating an anonymous inner class or
    not
    + S8210493: Bind to node- or linklocal ipv6 multicast address
    fails
    + S8210776: Upgrade X Window System 6.8.2 to the latest XWD
    1.0.7
    + S8210803: Compilation failure in codeBlob.cpp for Windows
    32-bit
    + S8210863: Remove Xrandr include files from JDK sources
    + S8210886: Remove references in xwindows.md to non-existent
    files.
    + S8211403: Rename SafepointMechanism::poll(...)
    + S8211435: Exception in thread "AWT-EventQueue-1"
    java.lang.IllegalArgumentException: null source
    + S8211443: Enable different look and feels in SwingSet3 demo
    test SplitPaneDemoTest
    + S8211450: UndetVar::dup is not copying the kind field to the
    duplicated instance
    + S8211727: Adjust default concurrency settings for running
    tests on Sparc
    + S8211781: re-building fails after changing Graal sources
    + S8211810: X11 Time stamp data should be unsigned
    + S8211822: Some tests fail after JDK-8210039
    + S8211845: A new switch to control verbosity of hs-err files
    + S8211926: Catastrophic size_t underflow in BitMap::*_large
    methods
    + S8211951: Broken links in java.management files
    + S8211992: GraphicsConfiguration.getDevice().getDisplayMode()
    causes JVM crash on Mac
    + S8212221: GraalUnitTestLauncher should generate
    MX_SUBPROCESS_COMMAND_FILE
    + S8212261: Add SSLSession accessors to HttpsURLConnection and
    SecureCacheResponse
    + S8212673: jtreg/applications/runthese/RunThese30M.java fails
    in C2 with "assert(!had_error) failed: bad dominance"
    + S8212735: Compilation issue with javax.swing.InputVerifier
    example in javadoc section
    + S8212790: Javadoc cleanup of java.awt.color package
    + S8212865: Broken external link to TIFF6.pdf in ImageIO
    package-info.java
    + S8212885: TLS 1.3 resumed session does not retain peer
    certificate chain
    + S8212903: [TestBug] Tests test/jdk/javax/swing/LookAndFeel/
    /8145547/DemandGTK2.sh and DemandGTK3.sh fail on Ubuntu 18.04
    LTS
    + S8212928: Assertion too strict in
    compiledVFrame::update_deferred_value on SPARC
    + S8212939: Add space after if/while/for/switch and parenthesis
    + S8213113: Dead code related to UseAdaptiveSizePolicy in
    ParNewGeneration
    + S8213116: javax/swing/JComboBox/WindowsComboBoxSize/
    /WindowsComboBoxSizeTest.java fails in Windows
    + S8213130: Update ProblemList after verification of jtreg
    tests in Win 7
    + S8213137: Remove static initialization of monitor/mutex
    instances
    + S8213138: Update ProblemList.txt for mac
    + S8213154: Update copyright headers of files in src tree that
    are missing Classpath exception
    + S8213181: Updation of ProblemList.txt for removal of passing
    swing test
    + S8213189: Make restricted headers in HTTP Client configurable
    and remove Date by default
    + S8213199: GC abstraction for
    Assembler::needs_explicit_null_check()
    + S8213213: Remove src/java.desktop/unix/classes/sun/awt/X11/
    /keysym2ucs.h
    + S8213250: CDS archive creation aborts due to metaspace object
    allocation failure
    + S8213261: test javax/swing/plaf/nimbus/
    /AllSwingComponentsBaselineTest.java fails
    + S8213307: G1 should clean up RMT with
    ClassUnloadingWithConcurrentMark
    + S8213338: Reduce the number of generated make targets
    + S8213346: Re-implement shared dictionary using
    CompactHashtable
    + S8213348: jdk.internal.vm.compiler.management service
    providers missing in module descriptor
    + S8213383: Wrap up pthread_cond_wait into a loop to workaround
    potential spurious wakeups
    + S8213400: Support choosing group name in keytool keypair
    generation
    + S8213411: JDK-8209189 incorrect for Big Endian (JVM crashes)
    + S8213418: Socket/ServerSocket supportedOptions does not work
    with custom SocketImpl
    + S8213424: VersionProps duplicate and skipped initialization
    + S8213428: Add a no precompiled header Linux build to
    builds-tier1 and jdk-submit
    + S8213436: Obsolete UseMembar
    + S8213438: Remove ClearResponsibleAtSTW
    + S8213439: Run class initialization for boot loader classes
    with registered subgraph archiving entry field during CDS
    dump time.
    + S8213440: Lingering INCLUDE_ALL_GCS in
    test_oopStorage_parperf.cpp
    + S8213473: Replace testB_mem_imm matcher with testUB_mem_imm
    + S8213478: Reduce rebinds when applying repeated filters and
    conversions
    + S8213479: Missing x86_64.ad patterns for 8-bit logical
    operators with destination in memory
    + S8213480: update internal ASM version to 7.0
    + S8213489: GC/C2 abstraction for
    Compile::final_graph_reshaping()
    + S8213490: Networking area typos and inconsistencies cleanup
    + S8213515: Improve freetype detection on
    linux/ppc64/ppc64le/s390x
    + S8213525: new unit test GetLocalVariable/LocalVars is not
    stable
    + S8213527: [testbug] Fix PrintMetaspaceDcmd test using
    UseCompressedOops for 32-bit.
    + S8213536: Update ProblemList for Linux
    + S8213563: appcds/sharedStrings/SharedStringsStress.java fails
    with 'GC triggered before VM initialization completed' error
    + S8213568: Typo in
    java/awt/GraphicsEnvironment/LoadLock/GE_init5.java
    + S8213569: Bump minimum boot jdk to JDK 11
    + S8213570: [TESTBUG] Update JFR sanity test set
    + S8213574: Deadlock in string table expansion when dumping
    lots of CDS classes
    + S8213576: Make test AsyncCloseChannel.java run in othervm
    + S8213588: compiler/graalunit/HotspotTest.java fails after
    8213348 / 8211781 were pushed
    + S8213591: running bin/idea.sh in Cygwin: generated project
    cannot be imported
    + S8213592: Misaligned code in globals.hpp after 8211845
    + S8213596: test failure with Graal when security manager and
    policy file are used
    + S8213604: Fix missing includes after JDK-8212673
    + S8213622: Windows VS2013 build failure - "'snprintf':
    identifier not found"
    + S8213694: Test Timeout.java should run in othervm mode
    + S8213701: Add org.graalvm.compiler.debug.test.TimerKeyTest to
    problem list
    + S8213704: increase default timeout for
    vmTestbase/metaspace/stressDictionary/StressDictionary.java
    + S8213707: [TEST] vmTestbase/nsk/stress/except/except011.java
    failed due to wrong class name
    + S8213708: Different #ifdef guards cause incorrect use of
    Monitor::check_block_state()
    + S8213709: jdk/javadoc/doclet/testValueTag/
    /TestValueTagInModule.java missing modules declaration
    + S8213711: Zero build broken after JDK-8213199 (GC abstraction
    for Assembler::needs_explicit_null_check())
    + S8213718: [TEST] Wrong classname in
    vmTestbase/nsk/stress/except/except002 and except003
    + S8213741: Consolidate Object and String Stringifiers
    + S8213745: Don't use memset to initialize array of RegMask in
    matcher.cpp
    + S8213760: os::obsolete_option is obsolete and should be
    removed
    + S8213767: Remove the -Xconcurrentio flag and associated code
    + S8213795: Force explicit null check on patching placeholder
    offset
    + S8213814: build error in jtreg test jvmti/GetLocalVariable
    + S8213818: @return has already been specified
    + S8213820: unknown tag: @returns
    + S8213826: Disable ARMv6 memory barriers on ARMv5 processors
- Upgrade to upstream tag jdk-12+19
  * Fixes:
    + S6304578: (reflect) toGenericString fails to print bounds of
    type variables on generic methods
    + S6735527: Bitmap - speed up searches
    + S8152988: [AOT] Update test batch definitions to include
    aot-ed java.base module mode into hs-comp testing
    + S8177708: Convert TestReserveMemorySpecial_test to Gtest
    + S8177711: Convert TestVirtualSpaceNode_test to GTest
    + S8198294: AARCH64 - Set flags' optimal defaults for Cavium
    Thunder X2 CPU
    + S8204521:
    compiler/jsr292/RedefineMethodUsedByMultipleMethodHandles.java
    fails trying to delete temp file
    + S8206330: Revisit com/sun/jdi/RedefineCrossEvent.java
    + S8207059: Update test certificates in QuoVadisCA.java test
    + S8208519: Remove rehashable hashtable
    + S8209189: Make CompiledMethod::do_unloading more concurrent
    + S8209495: NMethodSweeper::sweep_code_cache cause severe delays
    + S8209564: runtime/appcds/CDSandJFR.java timeout on tier6 on
    sparc
    + S8209835: Aarch64: elide barriers on all volatile operations
    + S8209960: -Xlog:jfr* doesn't work with the JFR
    + S8210405: Javadoc search doesn't always consider full input
    upon Enter
    + S8210409: Refactor java.util.TimeZone:i18n shell tests to
    plain java tests
    + S8210986: Add OopStorage cleanup to ServiceThread
    + S8211013: [TESTBUG] nsk/jdb/kill/kill002 wait for message and
    prompt
    + S8211049: Second parameter of "initialize" method is not used
    + S8211122: Reduce the number of internal classes made
    accessible to jdk.unsupported
    + S8211320: Aarch64: unsafe.compareAndSetByte() and
    unsafe.compareAndSetShort() c2 intrinsics broken with negative
    expected value
    + S8211336: [TESTBUG] appcds tests with incorrect usage of
  - XX:+UseStringDeduplication
    + S8211339: NPE during SSL handshake caused by HostnameChecker
    + S8211382: ISO2022JP and GB18030 NIO converter issues
    + S8212184: Incorrect oop ref strength used for referents in
    FinalReference
    + S8212217: JGSS: Don't dispose() of creds too eagerly
    + S8212243: More gc interface tweaks for arraycopy
    + S8212585: Clean up CompiledMethod::oops_reloc_begin()
    + S8212605: Pure-Java implementation of
    AccessController.doPrivileged
    + S8212610: Fix handling of memory in
    PhaseIdealLoop::clone_loop_predicates()
    + S8212669: Add note to Cipher javadoc about using full
    transformation and not relying on defaults
    + S8212681: Refactor IC locking to use a fine grained
    CompiledICLocker
    + S8212828: (process) Provide a way for Runtime.exec to use
    posix_spawn on linux
    + S8212871: Broken links give 401-Unauthorized
    + S8212872: Broken link to Namespaces in XML Errata
    + S8212876: ftp: links for character-sets require a login
    password
    + S8212883: Setting a double manageable flag with jcmd/jinfo
    crashes the JVM
    + S8212921: ZGC: Move verification to after resurrection
    unblocked
    + S8212934: [JVMCI] do not propagate resolution error in
    HotSpotResolvedJavaFieldImpl.getType
    + S8212937: Parent class loader may not have a referred
    ClassLoaderData instance when obtained in
    Klass::class_in_module_of_loader
    + S8212989: Allow CompiledMethod ExceptionCache have unloaded
    klasses
    + S8212995: Placing the Integer.IntegerCache and cached Integer
    objects in the closed archive heap region.
    + S8212996: Use AS_NO_KEEPALIVE when accessing dead
    java.lang.invoke.CallSites during nmethod unloading
    + S8213000: Obsolete the IgnoreUnverifiableClassesDuringDump vm
    option
    + S8213014: Crash in CompileBroker::make_thread due to OOM
    + S8213046: Define Japanese new Era character
    + S8213052: HTML errors in JPDA spec
    + S8213058: remove ExecuteInternalVMTests and
    VerboseInternalVMTests flags
    + S8213085: (tz) Upgrade time-zone data to tzdata2018g
    + S8213103: RoundEnvironment.getElementsAnnotatedWith(Class)
    crashes with -source 8
    + S8213196: [ppc] [s390]: prepare code for gcc7.3.1 warning
    (int-in-bool-context)
    + S8213203: [JVMCI] adopt formatting changes from jvmci 8
    + S8213210: Change ServerSocket(SocketImpl impl) constructor to
    protected access
    + S8213227: Update jib src excludes to filter webrev and Jreg
    directories
    + S8213236: A partial removed/deleted JavaThread cannot
    transition
    + S8213237: Remove test-compile-commands from jib-profiles.js
    + S8213245: Restoring nsk/jvmti/scenarios/hotswap tests from
    ProblemList.txt
    + S8213246: Fix typo in vmTestbase failuire to failure
    + S8213256: Clarify runtime vs compile time annotations for
    RoundEnvironment.getElementsAnnotatedWith(Class)
    + S8213263: fix legal headers in test/langtools
    + S8213265: fix missing newlines at end of files
    + S8213296: Fix legal headers in test/jdk/java/net
    + S8213301: Fix legal headers in jdk logging tests
    + S8213305: Fix legal headers in test/java/math
    + S8213306: Fix legal headers in test/java/nio
    + S8213308: ProblemList runtime/appcds/jigsaw/classpathtests/
    /EmptyClassInBootClassPath.java
    + S8213321: Fix legal headers in test/jaxp
    + S8213328: Update test copyrights in test/java/util/zip and
    test/jdk/tools
    + S8213330: Fix legal headers in i18n tests
    + S8213337: windows-x64-slowdebug build is broken by 8177708
    + S8213339: Update precompiled.hpp with headers based on
    current frequency
    + S8213347: [JVMCI] remove use of reflection in JVMCI
    + S8213366: (fs) avoid handle leak in
    Java_sun_nio_fs_WindowsNativeDispatcher_FindFirstFile0
    + S8213371: GC/C2 abstraction and cleanup to handle custom
    offset for GC memory accesses
    + S8213381: Hook to allow GC to inject Node::Ideal() calls
    + S8213384: Move G1/C2 barrier verification into G1BarrierSetC2
    + S8213414: Fix incorrect copy constructors in hotspot
    + S8213444: Missing emphasis for term being defined
    + S8213464: Fix missing include after JDK-8212243
    + S8213469: Remove/fix leftovers from JDK-8213384: Move G1/C2
    barrier verification into G1BarrierSetC2
    + S8213487: [BACKOUT] 8213414 Fix incorrect copy constructors
    in hotspot
- Upgrade to upstream tag jdk-12+18
  * Fixes:
    + S6490394: G1: Allow heap shrinking / memory unmapping after
    reclaiming regions during Remark
    + S8017061: os_bsd.cpp contains code for UseSHM and UseHugeTLBFS
    + S8021335: Missing synchronization when reading counters for
    live threads and peak thread count
    + S8024368: private methods are allocated vtable slots
    + S8071913: Filter out entries to free/uncommitted regions
    during iteration
    + S8157728: Convert GCTimer_test to GTest
    + S8164546: Convert DirectivesParser_test to GTest
    + S8177710: Convert TestMetaspaceUtils_test to GTest
    + S8177899: Tests fail due to code cache exhaustion on machines
    with many cores
    + S8192864: defmeth tests can hide failures
    + S8195627: [Graal] nsk/jdi/VirtualMachine/redefineClasses/
    /redefineclasses026 hangs with Graal in Xcomp mode
    + S8198945: Invalid RuntimeVisibleTypeAnnotations for
    annotation on anonymous class type parameter
    + S8203629: Produce events in the JDK without a dependency on
    jdk.jfr
    + S8203953: Rename SystemDictionary::load_shared_class(Symbol*,
    Handle, TRAPS) to load_shared_boot_class().
    + S8205327: Clean up #if INCLUDE_CDS in classLoaderExt.cpp and
    classLoaderExt.hpp
    + S8205476: KeyAgreement#generateSecret is not reset for ECDH
    based algorithm
    + S8209093: JEP 340: One AArch64 Port, Not Two
    + S8209566: [TESTBUG] runtime/appcds/jigsaw/modulepath/
    /JvmtiAddPath.java timeout on tier6 on sparc
    + S8209598: Clean up how messages are printed when CDS aborts
    start-up
    + S8209768: Refactor java/util/prefs/CheckUserPrefsStorage.sh
    to plain java test
    + S8210242: vmTestbase/nsk/stress/jni/jnistress001.java crashes
    with EXCEPTION_ACCESS_VIOLATION on windows-x86
    + S8210244: {@value} should be permitted in module documentation
    + S8210808: jshell tool: only considers the first snippet of
    the external editor
    + S8210837: Add libXrandr-devel to the Linux devkits
    + S8210853: JIT: C2 doesn't skip post barrier for new allocated
    objects
    + S8210908: Refactor java/util/prefs/PrefsSpi.sh to plain java
    test
    + S8210958: Rename "make run-test" to "make test"
    + S8211388: Make OtherRegionsTable independent of the region it
    is for
    + S8211694: JShell: Redeclared variable should be reset
    + S8211743: [AOT] crash in ScopeDesc::decode_body() when JVMTI
    walks AOT frames
    + S8211883: Disable anon and NULL cipher suites
    + S8212081: AnnotatedType.toString implementation don't print
    annotations on embedded types
    + S8212129: Remove finalize methods from
    java.util.zip.ZipFIle/Inflator/Deflator
    + S8212151: jdi/ExclusiveBind.java times out due to "bind
    failed: Address already in use" on Solaris-X64
    + S8212154: [TESTBUG] CheckArchivedModuleApp fails with NPE
    when JVMCI is absent
    + S8212173: Thread._stack_base/_stack_size initialized too late
    for new threads
    + S8212200: assert when shared java.lang.Object is redefined by
    JVMTI agent
    + S8212205: VM asserts after CDS archive has been unmapped
    + S8212481: PPC64: Enable POWER9 CPU detection
    + S8212624: remove outdated entries from langtools problem list
    + S8212694: Using Raw String Literals with align() and
    Integer.MIN_VALUE causes out of memory error
    + S8212738: Incorrectly named signature scheme
    ecdsa_secp512r1_sha512
    + S8212766: TestPromotionEventWithG1.java failed due to
    "RuntimeException: PLAB size is smaller than object size."
    + S8212770: Remove spaces before/after () for
    vmTestbase/jvmti/[s-u]
    + S8212795: ThreadInfoCompositeData.toCompositeData fails to
    map ThreadInfo to CompositeData
    + S8212827: GlobalCounter should support nested critical
    sections
    + S8212866: Broken link to schematron.com
    + S8212867: Link to DRBG test vectors is redirected to a broken
    link
    + S8212877: Restore JTREG_VERBOSE value for mach5 testing
    + S8212880: Cannot access ftp: site for fdlibm.tar
    + S8212884: Remove the assignments in ifs for vmTestbase/[a-s]
    + S8212897: Some improvements in the EditorPaneDemotest
    + S8212911: Unify and micro-optimize handling of
    non-in-collection set references in oop closures
    + S8212926: HttpClient does not retrieve files with large sizes
    over HTTP/1.1
    + S8212933: Thread-SMR: requesting a VM operation whilst
    holding a ThreadsListHandle can cause deadlocks
    + S8212941: Loosen the range of JapaneseEra
    + S8212948: Remove unused jdk.internal.misc.VMNotification
    interface
    + S8212956: [JVCMI] SpeculationReason should maintain identity
    + S8212958: Allow Klass::_subklass and _next_sibling to have
    unloaded classes
    + S8212974: Update RS Skipped cards uses wrong enum to register
    to phase
    + S8212978: Add RedefineMethodUsedByMultipleMethodHandles.java
    to problem list
    + S8212994: Links to Oracle websites should use "https:"
    + S8212997: [TESTBUG] Remove defmeth tests for class file
    versions 50 and 51
    + S8213005: Missing symbols in hs_err files on Windows after
    JDK-8212028
    + S8213007: Update the link in
    test/jdk/sun/security/provider/SecureRandom/DrbgCavp.java
    + S8213017: jspawnhelper: need to handle pipe write failure
    when sending return code
    + S8213035: Pack MethodHandleInlineStrategy coder and length
    into a long
    + S8213043: Add internal Unsafe xxxObject methods as jsr166 is
    broken
    + S8213056: Nested anchor tags in java.lang.module
    + S8213086: Compiler thread creation should be bounded by
    available space in memory and Code Cache
    + S8213100: fix test OptionSmokeTest before removing it from
    the problem list
    + S8213102: Oracle Unilinks are [301 Moved Permanently] to
    https://docs.oracle.com
    + S8213107: Make ClassLoaderDataGraph iterator skip unloaded
    CLDs
    + S8213142: Use RAII to set the scanning source in
    G1ScanEvacuatedObjClosure
    + S8213148: JDK build fails because of missing #includes
    + S8213151: [AIX] Some class library files are missing the
    Classpath exception
    + S8213172: CDS and JFR tests fail with
    assert(JdkJfrEvent::is(klass)) failed: invariant
    + S8213182: Minimal VM build failure after JDK-8212200 (assert
    when shared java.lang.Object is redefined by JVMTI agent)
    + S8213184: Revert change in jib-profiles.js from
    run-test-prebuilt to test-prebuilt
    + S8213204: ReservedStackTest and ReservedStackTestCompiler
    tests fail on windows
    + S8213211: [BACKOUT] Allow Klass::_subklass and _next_sibling
    to have unloaded classes
- Upgrade to upstream tag jdk-12+17
  * Fixes:
    + S6821316: comment in source code of SynthStyleFactory.java
    has a self-reference
    + S6828982: UIDefaults.getUI swallows original exception
    + S6994403: Grammatical error in documentation of
    javax.swing.GroupLayout.ParallelGroup
    + S8014503: AWT Choice implementation should be made consistent
    across platforms.
    + S8061359: [macosx] Checkbox toggles on Space press but does
    not spoken by Voice Over
    + S8133713: [macosx] Accessible JTables always reported as empty
    + S8150552: Remove -XX:+AggressiveOpts
    + S8171097: Convert TestReservedSpace_test to Gtest
    + S8177709: Convert TestVirtualSpace_test to GTest
    + S8182041: File Chooser Shortcut Panel folders under on JDK 9
    8062648: FileSystemView.getDefaultDirectory() should check
    read access on Unix systems
    + S8195793: Remove GTE CyberTrust Global Root
    + S8199567: [Nestmates] Cleanup instanceKlass.cpp
    + S8200151: Add 8 JNDI tests to com/sun/jndi/dns/ConfigTests/
    + S8201355: Avoid native memory allocation in
    sun.security.mscapi.PRNG.generateSeed
    + S8203281: [Windows] JComboBox change in ui when
    editor.setBorder() is called
    + S8207146: Rename jdk.internal.misc.Unsafe::xxxObject to
    xxxReference
    + S8208542: Add 4 JNDI tests to com/sun/jndi/dns/ListTests/
    + S8208595: [parfait] Better X11 font support
    + S8208638: Instead of circle rendered in appl window, but
    ellipse is produced JEditor Pane
    + S8209087: Clean up runtime code that compares 'this' to NULL
    + S8210306: Missing closing bracket in GridBagLayout gridwidth,
    gridheight description
    + S8210339: Add 10 JNDI tests to com/sun/jndi/dns/FedTests/
    + S8210353: Move java/util/Arrays/TimSortStackSize2.java back
    to tier1
    + S8210406: Refactor java.util.PluggableLocale:i18n shell tests
    to plain java tests
    + S8210407: Refactor java.util.Calendar:i18n shell tests to
    plain java tests
    + S8210448: Copy Java XML Digital Signature API Specification
    into java.xml.crypto javadocs
    + S8210632: Add key exchange algorithm to
    javax/net/ssl/TLSCommon/CipherSuite.java
    + S8210739: Calling JSpinner's setFont with null throws
    NullPointerException
    + S8210910: Create test for FileChooserDemo
    + S8210923: JShell: support for switch expressions
    + S8210959: JShell fails and exits when statement throws an
    exception whose message contains a '%%'.
    + S8210990: [TESTBUG] Some CDS tests don't respect JVM variant
    being tested
    + S8211031: Remove un-needed qualified export to java.desktop
    from java.base on macos
    + S8211055: Provide print to a file (PDF) feature even when
    printer was not connected
    + S8211218: remove double semicolon in
    src/java.desktop/macosx/classes/sun/font/CFont.java
    + S8211300: Convert C-style array declarations in JDK client
    code
    + S8211317: avoid memory leak in
    Java_sun_awt_UNIXToolkit_load_1stock_1icon
    + S8211393: Memory leak issue on awt_InputMethod.c
    + S8211437: java.net.http.HttpClient hangs on 204 reply without
    Content-length 0
    + S8211693: Convert C-style array declarations in client demos
    and jdk.accessibility
    + S8211736: jdb doesn't print prompt when breakpoint is hit and
    suspend policy is STOP_EVENT_THREAD
    + S8211806: TLS 1.3 handshake server name indication is missing
    on a session resume
    + S8211853: Avoid additional duplicate work when a reference in
    the task queue has already been evacuated
    + S8211876: Broken links in java.base files
    (ClassLoader.html#name)
    + S8211879: Broken links in API overview
    + S8211886: Bad/broken link in synthFileFormat.html
    + S8211899: Remove the NSK_CPP_STUB macros from vmTestbase for
    jvmti/scenarios/[E-M]
    + S8211987: Menu bar gets input focus even if Alt-released
    event is consumed
    + S8212040: Compilation error due to wrong usage of
    NSPrintJobDispositionValue in mac10.12
    + S8212071: Need to set the FreeType LCD Filter to reduce
    fringing.
    + S8212098: Cleanup of ProblemList.txt for fixed swing tests
    + S8212114: Reconsider the affect on closed streams resulting
    from 8189366
    + S8212148: Remove remaining NSK_CPP_STUBs
    + S8212186: JVMTI lacks a few GC barriers/hooks
    + S8212213: All tests for splashscreen stopped worked in
    jdk12b13
    + S8212216: JGSS: Fix leak in exception cases in getJavaOID()
    + S8212220: add code to verify results to
    metaspace/stressDictionary/StressDictionary.java
    + S8212535: Remove spaces before/after () for vmTestbase/[a-j]*
    + S8212553: [TESTBUG] TestTrichotomyExpressions.java times out
    with Graal as JIT
    + S8212587: equals in MakeBase does not handle empty strings
    correctly
    + S8212595: Remove unused size_helper() in oop_oop_iterate* in
    instanceKlass.inline.hpp
    + S8212603: Need to step over GC barriers in Node::eqv_uncast()
    + S8212611: Small collection of simple changes from shenandoah
    + S8212612: Add documentation about Arguments::_exit_hook
    + S8212616: x86_32 build failures after JDK-8210498 (nmethod
    entry barriers)
    + S8212617: ARM32 build failures after JDK-7041262 (VM_Version
    should be called instead of Abstract_VM_Version so that
    overriding works)
    + S8212629: [TEST] wrong breakpoint in
    test/jdk/com/sun/jdi/DeferredStepTest
    + S8212642: Remove SystemDictionary::InitOption enum
    + S8212662: Fix javadoc typo in java.lang.ref.Cleaner
    + S8212663: Remove conservative at_safepoint assert when JFR
    writes type sets during class unloading
    + S8212665: com/sun/jdi/DeferredStepTest.java: jj1 (line 57) -
    unexpected. lastLine=52, minLine=52, maxLine=55
    + S8212695: Add explicit timeout to several HTTP Client tests
    + S8212698: Minor g1 #include changes and memoryService.hpp
    copyright date update
    + S8212706: nmethod jvmci_installed_code_name need to be XML
    escaped
    + S8212707: GlobalCounter padding is too optimistic
    + S8212718: Refactor some annotation processor tests to better
    use collections
    + S8212726: Replace some use of drop- and foldArguments with
    filtering argument combinator in StringConcatFactory
    + S8212752: Typo in SSL log message related to
    inactive/disabled signature scheme
    + S8212753: Improve oopDesc::forward_to_atomic
    + S8212754: Build failure: undefined
    JvmtiSampledObjectAllocEventCollector::object_alloc_is_safe_to_sample
    + S8212771: Remove remaining spaces before/after () for
    vmTestbase
    + S8212774: Remove dead code touching Klass::_lower_dimension
    + S8212817: [JVMCI] ResolvedJavaMethod.isInVirtualMethodTable
    throws InternalError
    + S8212896: AIX build breaks after 8212611
    + S8212913: (Nested)ThreadsListHandleInErrorHandlingTest need
    to disable ShowRegistersOnAssert
- Removed patches:
  * fix-arm32-build.patch
  * fix-i586-build.patch
    + Fixed upstream
* Thu Oct 25 2018 antoine.belvire@opensuse.org
- Remove hardcoded Java version in jconsole desktop file.
* Tue Oct 23 2018 fstrba@suse.com
- Merge into the JDK following modules from github.com/javaee:
  * com.sum.xml.fastinfoset
  * org.jvnet.staxex
  * com.sun.istack.runtime
  * com.sun.xml.txw2
  * com.sun.xml.bind
    + This provides a default implementation of JAXB-API that
    existed in JDK before Java 11 and that some applications
    depend on.
* Sun Oct 21 2018 fstrba@suse.com
- Added patches:
  * fix-i586-build.patch
    + S8212616: x86_32 build failures after JDK-8210498 (nmethod
    entry barriers)
  * fix-arm32-build.patch
    + S8212617: ARM32 build failures after JDK-7041262 (VM_Version
    should be called instead of Abstract_VM_Version so that
    overriding works)
* Fri Oct 19 2018 fstrba@suse.com
- Upgraded to upstream tag jdk-12+16 (Oracle October 2018 CPU)
  * Security fixes:
    + S8202936, CVE-2018-3183, bsc#1112148: Improve script engine
    support
    + S8199226, CVE-2018-3169, bsc#1112146: Improve field accesses
    + S8199177, CVE-2018-3149, bsc#1112144: Enhance JNDI lookups
    + S8208209, CVE-2018-3180, bsc#1112147: Improve TLS connection
    stability again
    + S8199172, CVE-2018-3150, bsc#1112145: Improve jar attribute
    checks
    + S8200648, CVE-2018-3157, bsc#1112149: Make midi code more
    sound
    + S8194534, CVE-2018-3136, bsc#1112142: Manifest better support
    + S8208754, CVE-2018-3136, bsc#1112142: The fix for JDK-8194534
    needs updates
    + S8196902, CVE-2018-3139, bsc#1112143: Better HTTP Redirection
  * Security-In-Depth fixes:
    + S8194546: Choosier FileManagers
    + S8195874: Improve jar specification adherence
    + S8196897: Improve PRNG support
    + S8197881: Better StringBuilder support
    + S8201756: Improve cipher inputs
    + S8204497: Better formatting of decimals
    + S8199110: Address Internet Addresses
  * Fixes
    + S7041262: VM_Version should be called instead of
    Abstract_VM_Version so that overriding works
    + S8027434: "-XX:OnOutOfMemoryError" uses fork instead of vfork
    + S8048215: [TESTBUG] java/lang/management/ManagementFactory/
    /ThreadMXBeanProxy.java Expected non-null LockInfo
    + S8058202: AnnotatedType implementations don't override
    toString(), equals(), hashCode()
    + S8079784: Unexpected IllegalAccessError when trying access
    InnerClasses attribute
    + S8152910: Get performance improvement with Stable annotation
    + S8186610: move ModuleUtils to top-level testlibrary
    + S8187522: test/sun/net/ftp/FtpURLConnectionLeak.java timed out
    + S8189366: SocketInputStream.available() should check for eof
    + S8191053: Provide a mechanism to make system's security
    manager immutable
    + S8192939: Remove Finalize methods from FileInputStream and
    FileOutputStream
    + S8195703: BasicJDWPConnectionTest.java: 'App exited
    unexpectedly with 2'
    + S8201436: Replace oop_ps_push_contents with oop_iterate and
    closure
    + S8203850: java.net.http HTTP client should allow specifying
    Origin and Referer headers
    + S8204667: Resources not freed on exception
    + S8209499: Create test for SwingSet EditorPaneDemo
    + S8209862: CipherCore performance improvement
    + S8210055: Enable different look and feel tests in SwingSet3
    demo tests
    + S8210064: ZGC: Introduce ZConcurrentRootsIterator for
    scanning a subset of strong IN_NATIVE roots concurrently
    + S8210215: C2 should optimize trichotomy calculations
    + S8210330: Make CLD claiming allow multiple claim bits
    + S8210389: C2: assert(n->outcnt() != 0 || C->top() == n ||
    n->is_Proj()) failed: No dead instructions after post-alloc
    + S8210403: Refactor java.util.Locale:i18n shell tests to plain
    java tests
    + S8210492: PLAB object promotion events report object sizes in
    words
    + S8210498: nmethod entry barriers
    + S8210683: Search result display order reversed for overloaded
    entries
    + S8210989: RSASSA-PSS certificate cannot be selected for
    client auth on TLSv1.2
    + S8211046: Forced data dependencies serve no purpose on x86
    + S8211139: Increase timeout value in all tests under
    jdk/sanity/client/SwingSet/src
    + S8211233: MemBarNode::trailing_membar() and
    MemBarNode::leading_membar() need to handle dying subgraphs
    better
    + S8211396: Broken link in javadoc for private
    java.util.regex.Pattern#normalize()
    + S8211432: [REDO] Handle JNIGlobalRefLocker.cpp
    + S8211446: Replace oop_pc_follow_contents with oop_iterate and
    closure
    + S8211447: Replace oop_pc_update_pointers with oop_iterate and
    closure
    + S8211714: Need to update vm_version.cpp to recognise VS2017
    minor versions
    + S8211731: Reconsider default option for ClassPathURLCheck
    change done in JDK-8195874
    + S8211740: [AOT] -XX:AOTLibrary doesn't accept windows path
    + S8211801: Remove the NSK_CPP_STUB macros from vmTestbase for
    jvmti/scenarios/[A-E]
    + S8211821: PrintStringTableStatistics crashes JVM
    + S8211852: inspect stack during error reporting
    + S8211866: TLS 1.3 CertificateRequest message sometimes offers
    disallowed signature algorithms
    + S8211878: Bad/broken links in docs/api/java.xml.crypto/
    /javax/xml/crypto/dsig/Reference.html
    + S8211901: javadoc generates broken links on deprecated items
    page
    + S8211909: JDWP Transport Listener: dt_socket thread crash
    + S8211921: AssertionError in MethodHandles$Lookup.defineClass
    + S8211922: Remove test/jdk/javax/naming/module/RunBasic.java
    from the ProblemList
    + S8211929: hotspot/share/opto/parse2.cpp compile error with
    gcc 7.3.1
    + S8211931: [ppc][testbug] runtime/jni/terminatedThread/
    /TestTerminatedThread.java fails as threads don't terminate
    immediately
    + S8211950: Deprecate the check if a JVMTI collector is present
    assertion
    + S8211952: Broken links in java.time API
    + S8211955: GC abstraction for LAB reserve
    + S8211956: AppCDS crashes for some uses with JRuby
    + S8211957: Broken links to stylesheet in java.base/doc-files
    + S8211960: broken links in java.util.logging
    + S8211961: Broken link in java.util.Locale
    + S8211962: Implicit narrowing in MacOSX java.desktop jsound
    + S8211971: Move security/cacerts/VerifyCACerts.java and
    security/CheckBlacklistedCerts.java
    + S8211978: Move testlibrary/jdk/testlibrary/
    /SimpleSSLContext.java and testkeys to network testlibrary
    + S8211980: Remove ThreadHeapSampler enable/disable/enabled
    methods
    + S8212001: Verify exported symbols in java.base (libjava)
    + S8212004: Optional compile_commands.json field not compatible
    with older libclang
    + S8212005: Epsilon elastic TLAB sizing may cause misalignment
    + S8212008: Use of TREAT_EXIT_CODE_1_AS_0 hide problems with
    jtreg Java
    + S8212023: Implicit narrowing in Solaris/sparc initializers
    + S8212025: Remove collector_present variable from
    ThreadHeapSampler
    + S8212028: Use run-test makefile framework for testing in
    Oracle's Mach5
    + S8212045: Add back tests removed from HashesTest.java and
    AddExportsTest.java
    + S8212053: A few more missing object equals barriers
    + S8212054: Boilerplate to bind oopDesc::equals_raw() to actual
    raw implementation
    + S8212074: Add method to peek the remaining tasks in task
    queues
    + S8212082: Remove the NSK_CPP_STUB macros for remaining
    vmTestbase/jvmti/[sS]*
    + S8212083: Handle remaining gc/lock native code and fix two
    strings
    + S8212110: Build of saproc.dll broken on Windows 32 bit after
    JDK-8210647
    + S8212165: JGSS: Fix cut/paste error in NativeUtil.c
    + S8212177: Epsilon alignment adjustments can overflow max TLAB
    size
    + S8212178: Soft reference reclamation race in
    com.sun.xml.internal.stream.util.ThreadLocalBufferAllocator
    + S8212181: ZGC: Fix incorrect root iteration in ZHeapIterator
    + S8212197: OpenDataException thrown when constructing
    CompositeData for StackTraceElement
    + S8212201: Classlist build tool should be built for the target
    JDK version
    + S8212212: (bf) Incorrect path to stream preprocessor source
    in java.nio Buffer test scripts
    + S8212562: To remove lib/security from test/jdk/TEST.groups
    + S8212597: Optimize String concatenation setup when using
    primitive operands
    + S8212608: Minimal VM build failure after JDK-8210498 (nmethod
    entry barriers)
* Thu Oct 11 2018 fstrba@suse.com
- Upgraded to upstream tag jdk-12+15
  * Fixes:
    + S8036026: nsk/jvmti/scenarios/capability/CM02/cm02t001 fails
    intermittently
    + S8166138: DateTimeFormatter.ISO_INSTANT should handle offsets
    + S8181443: Replace usages of jdk.internal.misc.Unsafe with
    MethodHandles.Lookup.defineClass
    + S8193879: Java debugger hangs on method invocation
    + S8201603: MonitorContendedEnter failure in
    nsk/jvmti/scenarios/contention/TC02/tc02t001
    + S8202359: [GRAAL] compiler/uncommontrap/TestDeoptOOM.java
    failed with OutOfMemoryError
    + S8202951: Implementation of JEP 341: Default CDS Archives
    + S8206009: Move CDS java heap object archiving code to
    heapShared.hpp and heapShared.cpp
    + S8206240: java.lang.Class.newInstance() is causing caller to
    leak
    + S8206963: [AOT] bug with multiple class loaders
    + S8207689: Remove perfCounter _load_instance_class_failCounter
    used by deleted flag UnsyncloadClass
    + S8208686: [AOT] JVMTI ResourceExhausted event repeated for
    same allocation
    + S8209136: [JVMCI] Make sure volatile fields are read as
    volatile during constant reflection.
    + S8209407: VerifyError is thrown for inner class with lambda
    + S8209739: [TESTBUG] javax/imageio/plugins/png/
    /ItxtUtf8Test.java fails with OutOfMemoryError when running
    in CDS mode
    + S8209889: RedefineStress tests crash
    + S8210303: VM_HandshakeAllThreads fails assert with "failed:
    blocked and not walkable"
    + S8210376: [TESTBUG] @requires vm.cds should be replaced by
    @requires vm.cds.archived.java.heap and documentation is
    required for vm.gc==null
    + S8210388: Use hash table to store archived subgraph_info
    records
    + S8210395: Add doc to SecurityTools.java
    + S8210459: Add support for generating compile_commands.json
    + S8210592: Convert CDS-mode test sets in tier5 and tier6 to
    non-CDS-mode tests
    + S8210754: print_location is not reliable enough (printing
    register info)
    + S8210789: langtools/tools/javac/T8152616.java missing @modules
    + S8211065: Private method check in linkResolver is incorrect
    + S8211123: GC Metaspace printing after full gc
    + S8211131: Remove the NSK_CPP_STUB macros from vmTestbase for
    jvmti/[G-I]*
    + S8211148: var in implicit lambdas shouldn't be accepted for
    source < 11
    + S8211219: Type inconsistency in
    LIRGenerator::atomic_cmpxchg(..)
    + S8211232: GraphKit::make_runtime_call() sometimes attaches
    wrong memory state to call
    + S8211261: Remove the NSK_CPP_STUB macros from vmTestbase for
    jvmti/[A-G]*
    + S8211270: GC abstraction to get real object and headers size
    + S8211279: Verify missing object equals barriers
    + S8211292: [TEST] convert com/sun/jdi/DeferredStepTest.sh test
    + S8211296: Remove HotSpot deprecation warning suppression for
    Mac/clang
    + S8211324: Link to java.lang.ThreadGroup in JDWP spec is broken
    + S8211332: Space for stub routines (code_size2) is too small
    on new Skylake CPUs
    + S8211387: [Zero] atomic_copy64: Use ldrexd for atomic reads
    on ARMv7
    + S8211394: CHECK_ must be used in the rhs of an assignment
    statement within a block
    + S8211398: Square character support for the Japanese new era
    + S8211407: Bad links to non-existent entries on
    serialized-form page
    + S8211420: com.sun.net.httpserver.HttpServer returns
    Content-length header for 204 response code
    + S8211438: [Testbug] runtime/XCheckJniJsig/XCheckJSig.java
    looks for libjsig in wrong location
    + S8211677: Java resource copy and clean should use
    MakeTargetDir macro
    + S8211718: Supporting multiple concurrent OopStorage iterators
    + S8211724: Change mkdir -p to MakeDir macro where possible
    + S8211728: JarFile::versionedStream() does not filter META-INF
    resources in versioned stream
    + S8211765: JarFile constructor throws undocumented exception
    + S8211768: [s390] Implement JFR profiling
    + S8211776: 8210887 broke arraycopy optimization when ZGC is
    enabled
    + S8211782: Remove the NSK_CPP_STUB macros from vmTestbase for
    jvmti/[I-S]*
    + S8211792: Fix misplaced BarrierSet forward declarations
    + S8211794: Remove jdk/java/nio/channels/Selector/
    /RacyDeregister.java from problem list
    + S8211804: Constant AO_UNUSED_MBZ uses left shift of negative
    value
    + S8211825: ModuleLayer.defineModulesWithXXX does not setup
    delegation when module reads automatic module
    + S8211837: Creation of the default CDS Archive should depend
    on ENABLE_CDS
    + S8211856: [ppc, s390] ProblemList some failing tests.
    + S8211859: Avoid initializing AtomicBoolean from
    RandomAccessFile
    + S8211860: Avoid reading security properties eagerly on
    Manifest class initialization
    + S8211863: Problem list test/jdk/javax/naming/module/
    /RunBasic.java
    + S8211880: Broken links in java.util.jar
    + S8211902: broken link in java.net.http.WebSocket.Builder
    + S8211905: Remove multiple casts for EM06 file
    + S8211908: PPC64: Enable SuperWordLoopUnrollAnalysis by default
    + S8211920: Close server socket and cleanups in
    test/jdk/javax/naming/module/RunBasic.java
    + S8211927: Add additional diagnostic information to
    java/net/BindException/Test.java
    + S8211969: test/jdk/lib/security/CheckBlacklistedCerts.java
    searching for wrong paths
    + S8212000: Verify exported symbols in java.base (libnet,
    libnio/ch)
* Thu Oct  4 2018 fstrba@suse.com
- Upgraded to upstream tag jdk-12+14
  * Fixes:
    + S7017058: Malayalam glyph substitution is failing for
    Malayalam with Windows Kartika font.
    + S7033681: Arrays.asList methods needs better documentation
    + S8039082: [TEST_BUG] Test java/awt/dnd/BadSerializationTest/
    /BadSerializationTest.java fails
    + S8130655: OS X: keyboard input in textfield is not possible
    if the window contained textfield is owned by EmbeddedFrame
    + S8146310: [macosx]
    com.apple.eawt.Application.setDefaultMenuBar does not
    initialize screen menu bar
    + S8163083: SocketListeningConnector does not allow invocations
    with port 0
    + S8169718: nsk/jdb/locals/locals002: ERROR: Cannot find
    boolVar with expected value: false
    + S8170937: Swing apps are slow if displaying from a remote
    source to many local displays
    + S8188764: Obsolete AssumeMP and then remove all support for
    non-MP builds
    + S8191130: Sinhala text rendering problem with
    C+VIRAMA+ZWJ+RA/YA+V
    + S8191178: [macos] Problem with input of yen symbol
    + S8195836: opentype:Bengali: "Khanda Ta" shaping issue with
    U+09A4 TA, U+09CD virama, U+200D ZWJ
    + S8199885: [Graal]
    org.graalvm.compiler.core.test.CountedLoopTest fails with
    "ControlFlowAnchor should never be cloned in the same graph"
    + S8200381: Typos in javadoc - missing verb "be" and alike
    + S8201818: [macosx] Printing attributes break page size set
    via "java.awt.print.Book" object
    + S8201925: JEditorPane unordered list bullets look pixelated
    + S8202013: JEditorPane shows large HTML unordered list bullets
    + S8202282: [TESTBUG] appcds
    TestCommon.makeCommandLineForAppCDS() can be removed
    + S8202628: javadoc generates bad links in TestModules.java
    + S8202702: Clearing selection on JTable causes disappearance
    of a row
    + S8203904: javax/swing/JSplitPane/4816114/bug4816114.java: The
    divider location is wrong
    + S8203928: [Test] Convert non-JDB scaffolding serviceability
    shell script tests to java
    + S8204294: [REDO] - JVMFlag::printError missing
    ATTRIBUTE_PRINTF
    + S8204963: javax.swing.border.TitledBorder has a memory leak
    + S8205479: OS X: requestFocus() does not work properly for
    embedded frame
    + S8205535: Useless (or buggy) call to Math.round on int input
    + S8205537: Drop of sun.applet package
    + S8206392: [macosx] Cycling through windows (JFrames) does not
    work with keyboard shortcut
    + S8207003: Miscellaneous changes imported from jsr166 CVS
    2018-09
    + S8207150: Clip.isRunning() may return true after Clip.stop()
    was called
    + S8207745: serviceability/sa/TestJmapCore.java times out
    parsing a 4GB hprof file
    + S8207768: Improve exception messages during manifest parsing
    of jar archives
    + S8208473: [TESTBUG] nsk/jdb/exclude/exclude001/exclude001.java
    is timing out on solaris-sparc again
    + S8208531: -javafx mode should be on by default when JavaFX is
    available
    + S8208996: X11 icon window color handing bug
    + S8209138: Symbol constructor uses u1 as the element type of
    its name argument
    + S8209332: [TEST] test/jdk/com/sun/jdi/CatchPatternTest.sh is
    incorrect
    + S8209340: The code which avoids synthetic accessors has
    become outdated
    + S8209343: Test javax/swing/border/TestTitledBorderLeak.java
    should be marked as headful
    + S8209454: [error-prone] TypeParameterUnusedInFormals in
    jdk.net
    + S8209546: Make sun/security/tools/keytool/autotest.sh to
    support macosx
    + S8209548: Unused and incorrect calls to FT_Get_Char_Index
    + S8209645: Split ClassLoaderData and ClassLoaderDataGraph into
    separate files
    + S8209946: [TESTBUG] CDS tests should use "@run driver"
    + S8209963: source file mode for JVM should provide a hook to
    locate the source file
    + S8210052: Enable testing for all the available look and feels
    in SwingSet3 demo tests
    + S8210274: Source Launcher should work with a security manager
    + S8210286: Drop of sun.awt.HToolkit class
    + S8210335: Clipping problems with complex affine transforms:
    negative scaling factors or small scaling factors
    + S8210384: SunLayoutEngine.isAAT() font is expensive on MacOS
    + S8210555: create --source --target synonyms for -source
  - target
    + S8210692: The "com.sun.awt.SecurityWarning" class can be
    dropped
    + S8210716: Detailed GC logging request misses some
    + S8210766: Remove obsolete qualified export sun.net.www to
    java.desktop
    + S8210810: Escaped character at specific position in argument
    file is not handled properly
    + S8210821: Support dns_canonicalize_hostname in krb5.conf
    + S8210842: Handle JNIGlobalRefLocker.cpp
    + S8210856: Move InstanceKlass DependencyContext cleaning to
    SystemDictionary::do_unloading()
    + S8210866: Remove HPKeysym.h from JDK sources
    + S8210880: Remove HPKeysym.h from JDK sources
    + S8210885: Convert left over loads/stores to access api
    + S8210887: Tweak C2 gc api for arraycopy
    + S8210892: Deprecate TLABStats
    + S8210926: vmTestbase/nsk/jvmti/scenarios/allocation/AP11/
    /ap11t001/TestDescription.java failed with
    JVMTI_ERROR_INVALID_CLASS in CDS mode
    + S8210964: add more ld preloading related info to hs_error
    file on Linux
    + S8210971: Add exception handling methods to CompletionStage
    and CompletableFuture
    + S8210972: Add comment text to C1 patching code
    + S8210984: [TESTBUG] hs203t003 fails with "# ERROR:
    hs203t003.cpp, 218: NSK_CPP_STUB2 ( ResumeThread, jvmti,
    thread)"
    + S8210994: Create test for SwingSet3 FrameDemo
    + S8211036: Remove the NSK_STUB macros from vmTestbase for non
    jvmti
    + S8211057: Gensrc step CompileProperties generates unstable
    CompilerProperties output
    + S8211071: unpack.cpp fails to compile with statement has no
    effect [-Werror=unused-value]
    + S8211080: RawStringLiteralLangAPI.java test times out by
    default
    + S8211092: test/jdk/sun/net/www/http/HttpClient/
    /MultiThreadTest.java fails intermittently when cleaning up
    + S8211097: aix: fix build after JDK-8210919
    + S8211102: Crash with -XDfind=lambda and -source 7
    + S8211107: LDAPS communication failure with jdk 1.8.0_181
    + S8211121: Remove
    sun.reflect.ReflectionFactory::newInstanceForSerialization
    + S8211124: HotSpot update for vm_version.cpp to recognise
    updated VS2017
    + S8211125: backout fix for 8210880 which was pushed under
    another ID
    + S8211129: compiler/whitebox/ForceNMethodSweepTest.java fails
    after JDK-8132849
    + S8211130: Change to Oracle Developer Studio 12.6 for building
    on Solaris at Oracle
    + S8211138: Missing Flag enum constants
    + S8211145: [ppc] [s390]: Build fails due to -Werror=switch
    (introduced with JDK-8211029)
    + S8211149: fix potential memleak in getJavaIDFromLangID after
    failing SetupI18nProps call [windows]
    + S8211150: G1 Full GC not purging code root memory and hence
    causing memory leak
    + S8211160: Handle different look and feels in
    JInternalFrameOperator
    + S8211163: UNIX version of Java_java_io_Console_echo does not
    return a clean boolean
    + S8211165: License header is absent in a few J2Ddemo source
    code files
    + S8211168: Solaris-X64 build failure with error nreg hides the
    same name in an outer scope
    + S8211170: AArch64: Warnings in C1 and template interpreter
    + S8211171: move JarUtils to top-level testlibrary
    + S8211175: Remove temporary clock initialization duplication
    + S8211176: Initialize ObjectMonitor eagerly
    + S8211180: SourceLauncherTest.java fails in JDK12 CI on Win*
    + S8211208: make AllocateHeapAt an unsupported option on AIX
    + S8211212: ARM: -Werror=switch build failure
    + S8211231: BarrierSetC1::generate_referent_check() confuses
    register allocator
    + S8211239: Build fails without JFR: empty JFR events
    signatures mismatch
    + S8211241: Missing obj equals in TemplateTable::fast_aldc
    + S8211251: Default mask register for avx512 instructions
    + S8211268: Disable unsupported GCs for Zero
    + S8211269: Make declaration of Allocation protected in
    MemAllocator
    + S8211272: x86_32 build failures after JDK-8210764 (Update
    avx512 implementation)
    + S8211274: x86_32 build failures after JDK-8211029 (Have a
    common set of enabled warnings for all native libraries)
    + S8211278: Update ProblemList
    + S8211287: ClassPathTests.java fails due to "Unable to map
    MiscData shared space at required address."
    + S8211291: Backout JDK-8210842 Handle JNIGlobalRefLocker.cpp
    + S8211295: DriverManager.getConnection fails when called from
    com.sun.rowset.JdbcRowSetImpl
    + S8211325: test/jdk/java/net/Socket/LingerTest.java fails with
    cleaning up
    + S8211328: Different declaration and definition of
    ClassLoaderData::classes_do() leads to build failures
    + S8211333: AArch64: Fix another build failure after JDK-8211029
    + S8211349: Bad HTML in {@link} for
    HttpResponse.BodyHandlers.ofPublisher
    + S8211350: Remove jprt support
    + S8211364: Remove expired flags
    + S8211375: Minimal VM build failures after JDK-8211251
    (Default mask register for avx512 instructions)
    + S8211384: Obsolete -XX:+/-MonitorInUseLists option
    + S8211385: (zipfs) ZipDirectoryStream yields a stream of
    absolute paths when directory is relative
    + S8211392: compiler/profiling/
    /spectrapredefineclass_classloaders/Launcher.java times out in
    JDK12 CI
- Removed patches:
  * fix_arm_build.patch
  * fix_x86_32_build.patch
  * zero-unsupported-gcs.patch
    + integrated upstream
  * java11-improved-fonts.patch
    + code in the context changed considerably
    + some of the hunks in the patch integrated upstream
* Mon Oct  1 2018 fstrba@suse.com
- Added patch:
  * zero-unsupported-gcs.patch
    + S8211268: Disable unsupported GCs for Zero
* Sat Sep 29 2018 fstrba@suse.com
- Upgraded to upstream tag jdk-12+13
  * Fixes:
    + S8072130: java/lang/instrument/BootClassPath/
    /BootClassPathTest.sh fails on Mac OSX
    + S8132849: Increased stop time in cleanup phase because of
    single-threaded walk of thread stacks in
    NMethodSweeper::mark_active_nmethods()
    + S8169246: java/net/DatagramSocket/ReportSocketClosed.java
    fails intermittently with BindException
    + S8173730: Stop including enhanced for-loop tip for enum
    values() method
    + S8190985: .jcheck/conf files contain 'project=jdk10'
    + S8196341: Add JFR events for parallel phases of G1
    + S8198717: Remove compute_optional_offset
    + S8199931: java/net/MulticastSocket/
    /UnreferencedMulticastSockets.java fails with "incorrect data
    received"
    + S8202201: All oop stores in the x64 interpreter are treated
    as volatile when using G1
    + S8202462: {@index} may cause duplicate labels
    + S8205461: Create Collector which merges results of two other
    collectors
    + S8205593: Javadoc -link makes broken links if module name
    matches package name
    + S8208471: nsk/jdb/unwatch/unwatch002/unwatch002.java fails
    with "Prompt is not received during 300200 milliseconds"
    + S8209019: Remove tests affected by JDK-8208690 from the
    ProblemList
    + S8209022: Missing checkcast when casting to type parameter
    bounded by intersection type
    + S8209058: Cannot find annotation method 'value()' in type
    'Profile+Annotation'
    + S8209695: ARM: Explicit barriers for interpreter
    + S8209697: ARM: Explicit barriers for C1/assembler
    + S8209817: stack is executable when building with Clang on
    Linux
    + S8209865: Incorrect 'multiple elements' notes with
    Elements#getTypeElement and --release
    + S8210152: Optimize integer divisible by power-of-2 check
    + S8210275: Source Launcher should fail if --source is used
    without a source file
    + S8210284: "assert((av & 0x00000001) == 0) failed: unsupported
    V8" on Solaris 11.4
    + S8210390: C2 still crashes with "assert(mode ==
    ControlAroundStripMined && use == sfpt) failed: missed a node"
    + S8210413: AArch64: Optimize div/rem by constant in C1
    + S8210443: Migrate Locale matching tests to JDK Repo.
    + S8210465: ARM: Object equals abstraction for
    BarrierSetAssembler
    + S8210466: Modularize allocations in assembler
    + S8210557: G1 next bitmap verification at the end of
    concurrent mark sometimes fails
    + S8210633: Cannot parse JapaneseDate string with
    DateTimeFormatterBuilder Mapped-values
    + S8210689: Remove the multi-line old C style for string
    literals
    + S8210705: Stop exporting all symbols on macosx
    + S8210725: com/sun/jdi/RedefineClearBreakpoint.java fails with
    waitForPrompt timed out after 60 seconds
    + S8210748: [TESTBUG] lib.jdb.Jdb.waitForPrompt() should
    clarify which output is the pending reply after a timeout
    + S8210752: Remaining explicit barriers for C2
    + S8210760: [TEST] rewrite com/sun/jdi shell tests to java
    version - step4
    + S8210761: libjsig is being compiled without optimization
    + S8210764: Update avx512 implementation
    + S8210829: Modularize allocations in C2
    + S8210839: Improve interaction between source launcher and
    classpath
    + S8210846: TLSv.1.3 interop problems with OpenSSL 1.1.1 when
    used on the client side with mutual auth
    + S8210848: Obsolete SyncKnobs
    + S8210857: Allow retiring TLABs and collecting statistics in
    parallel
    + S8210875: Refactor CompactHashtable
    + S8210879: ClassLoaderStatsClosure does raw oop comparison
    + S8210881: ZGC: Introduce ZRootsIteratorClosure
    + S8210883: ZGC: Parallel retire/resize/remap of TLABs
    + S8210884: ZGC: Remove insertion of filler objects
    + S8210889: Some service thread cleanups can be starved
    + S8210894: remove jdk/testlibrary/Asserts
    + S8210918: Add test to exercise server-side client hello
    processing
    + S8210919: Remove statically linked libjli on Windows
    + S8210920: Native C++ tests are not using CXXFLAGS
    + S8210924: Remove PACKAGE_PATH
    + S8210931: JLI and launchers normalization and cleanup
    + S8210934: Move sun/net/www/protocol/http/GetErrorStream.java
    to OpenJDK
    + S8210941: Stop filtering out -xregs=no%%appl for libsunec
    + S8210944: Stop replacing -MD with -MT in
    libwindowsaccessbridge
    + S8210949: Stop filtering out -xc99=%%none for liblcms
    + S8210960: Allow --with-boot-jdk-jvmargs to work during
    configure
    + S8210961: [aix] enhance list of environment variables
    reported in error log file on AIX
    + S8210962: Deprecate jdk-variant
    + S8210963: Build failures after "8210829: Modularize
    allocations in C2"
    + S8210974: No extensions debug log for ClientHello
    + S8210987: Extra newlines on Windows when running nsk jdb tests
    + S8210988: Improved handling of compiler warnings in the build
    + S8211029: Have a common set of enabled warnings for all
    native libraries
    + S8211037: Load jib jars dynamically from JibArtifactManager
    + S8211045: [Testbug] Fix for 8144279 didn't define a test case!
    + S8211061: Tests fail with
    assert(VM_Version::supports_sse4_1()) on ThreadRipper CPU
    + S8211064: [AArch64] Interpreter and c1 don't correctly handle
    jboolean results in native calls
    + S8211099: ProblemList two networking tests until jtreg b14 is
    promoted
    + S8211103: ProblemList runtime/XCheckJniJsig/XCheckJSig.java
    on MacOS X
    + S8211127: TestNewLanguageFeatures.java fails after JDK-8173730
    + S8211134: problem list
    compiler/whitebox/ForceNMethodSweepTest.java
    + S8211146: fix problematic elif-tests after recent gcc warning
    changes Werror=undef
- Added patches:
  * fix_x86_32_build.patch
    + upstream fixes for i586 build breakages
  * fix_arm_build.patch
    + upstream fixes for arm build breakages
* Fri Sep 21 2018 fstrba@suse.com
- Upgraded to upstream tag jdk-12+12
  * Fixes:
    + S8029661: Support TLS v1.2 algorithm in SunPKCS11 provider
    + S8034802: (zipfs) newFileSystem throws UOE when the zip file
    is located in a custom file system
    + S8098798: Thread.join(ms) on Linux still affected by changes
    to the time-of-day clock
    + S8140466: ChaCha20 and Poly1305 TLS Cipher Suites
    + S8183548: Comma-expressions shouldn't use any temporary
    variable
    + S8190737: use unicode version of the canonicalize() function
    to handle long path on windows
    + S8193037: package-info annotations are not reported when
    annotation processing is enabled
    + S8193561: Cyclic hierarchy causes a NullPointerException when
    setting DEFAULT flag
    + S8200434: String::align, String::indent
    + S8203466: intermittent crash at
    jdk.internal.misc.Unsafe::getObjectVolatile (native)
    + S8206981: Compiler support for Raw String Literals
    + S8207160: ClassReader::adjustMethodParams can potentially
    return null if the args list is empty
    + S8207264: solaris-sparcv9-cmp-baseline fails
    + S8207760: SAXException: Invalid UTF-16 surrogate detected:
    d83c ?
    + S8207954: Data for --release 11
    + S8208468: [TESTBUG] nsk/jdb/locals/locals002: fails with
    "Prompt is not received during ... milliseconds"
    + S8208780: (se) test
    SelectWithConsumer.testReadableAndWriteable(): failure
    + S8209031: SSLSocket should throw an exception when
    configuring DTLS
    + S8209163: SA: Show Object Histogram asserts with ZGC
    + S8209167: Use CLDR's time zone mappings for Windows
    + S8209574: [AOT] breakpoint events are generated in different
    threads does not meet expected count
    + S8209772: Refactor shell test
    java/util/ServiceLoader/basic/basic.sh to java
    + S8209880: tzdb.dat is not reproducibly built
    + S8209914: javadoc search sometimes generates bad URIs
    + S8209916: NPE in SupportedGroupsExtension
    + S8209972: [GRAAL] Don't run RTM tests with Graal
    + S8210004: Thread.sleep(millis, nanos) timeout returns early
    + S8210047: some pages contain content outside of landmark
    region
    + S8210056: Enable different look and feel tests in SwingSet3
    demo test TextFieldDemoTest
    + S8210193: [TESTBUG]
    gc/g1/mixedgc/TestOldGenCollectionUsage.java fails
    intermittently with OutOfMemoryError in CDS mode.
    + S8210220: [AOT] jdwp test cases are failing with error #
    ERROR: TEST FAILED: Cought IOException while receiving event
    packet
    + S8210237: [TESTBUG]gc/stress/TestStressIHOPMultiThread.java
    fails with 'Unexpected exit from test [exit code: 1]' in CDS
    mode
    + S8210252: com/sun/jdi/DebuggerThreadTest.java fails with NPE
    + S8210311: IllegalArgumentException in CookieManager -
    Comparison method violates its general contract
    + S8210416: [linux] Poor StrictMath performance due to
    non-optimized compilation
    + S8210425: [x86] sharedRuntimeTrig/sharedRuntimeTrans compiled
    without optimization
    + S8210461: AArch64: Math.cos intrinsic gives incorrect results
    + S8210478: Update Graal
    + S8210481: Remove #ifdef cplusplus from vmTestbase
    + S8210483: AssertionError in DeferredAttr at setOverloadKind
    caused by JDK-8203679
    + S8210490: TimeZone.getDisplayName given Locale.US doesn't
    always honor the Locale.
    + S8210496: Improve filtering for classes with security
    sensitive fields
    + S8210523: runtime/appcds/cacheObject/DifferentHeapSizes.java
    crash
    + S8210559: ClassLoaderData Symbols can leak
    + S8210560: [TEST] convert com/sun/jdi redefineClass-related
    tests
    + S8210593: Clean up JNI_ENV_ARG and factorize the macros for
    vmTestbase/jvmti[N-R] tests
    + S8210596: jshell does not support raw string literals
    + S8210647: libsaproc is being compiled without optimization.
    + S8210660: PPC64: Mapping floating point registers to vsx
    registers in ppc.ad
    + S8210665: Clean up JNI_ENV_ARG and factorize the macros for
    vmTestbase/jvmti[R-U] tests
    + S8210671: CheckExamples.java fail after Raw String Literals
    checkin
    + S8210674: Need to add examples for use of javac properties
    introduced by Raw String Literals
    + S8210676: Remove some unused Label variables
    + S8210695: Create test to cover JDK-8205330 InitialDirContext
    ctor sometimes throws NPE if the server has sent a disconnection
    + S8210699: Problem list tests which times out in Xcomp mode
    + S8210700: Clean up JNI_ENV_ARG and factorize the macros for
    vmTestbase/jvmti/unit tests
    + S8210702: Remove dtrace mapfiles
    + S8210703: vmStructs.cpp compiled with -O0
    + S8210704: Remove dead build tools
    + S8210710: Rename ThreadLocalAllocBuffer::myThread() to
    thread()
    + S8210711: Remove unused offset getters in
    ThreadLocalAllocBuffer
    + S8210713: Let CollectedHeap::ensure_parsability() take care
    of TLAB statistics gathering
    + S8210714: ZGC: ZWeakRootsIterator should no longer call
    reset/finish_dead_counter()
    + S8210721: Replace legacy serial exception field with
    Throwable::cause
    + S8210723: Better information in configure for invalid Xcode
    + S8210724: Change the verbosity threshold of logging for
    [oopstorage,ref]
    + S8210726: Fix up a few minor nits forgotten by JDK-8210665
    + S8210729: Clean up macosx static library handling
    + S8210731: PropertiesParser does not produce reproducible
    output
    + S8210732: remove jdk.testlibrary.Utils
    + S8210736: jdk/javax/xml/crypto/dsig/GenerationTests.java slow
    on linux
    + S8210741: Typo in Java API documentation of
    java.nio.file.Paths
    + S8210750: Clean up compare.sh exceptions
    + S8210753: Make ThreadLocalAllocBuffer::resize() public
    + S8210775: JVM TI Spec missing copyright
    + S8210779: 8182404 and 8210732 haven't updated copyright years
    + S8210785: Trivial typo fix in X509ExtendedKeyManager javadoc
    + S8210786: Typo s/overriden/overridden/ in several places
    + S8210787: Object.wait(long, int) throws inappropriate
    IllegalArgumentException
    + S8210793: [JVMCI] AllocateCompileIdTest.java failed to find
    DiagnosticCommand.class
    + S8210802: temp files left by tests in jdk/java/net/httpclient
    + S8210817: Minor typo in java.nio.file.attribute package
    summary
    + S8210819: Update the host name in CNameTest.java
    + S8210836: Build fails with warn_unused_result in
    openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/ps_core.c
    + S8210841: test/jdk/vm/runtime/ReflectStackOverflow.java fails
    with NoClassDefFoundError
    + S8210861: Move assert to help diagnose rare RedefineStress
    crash
    + S8210864: Reduce the use of metaspaceShared.hpp
    + S8210874: Test for JDK-8209615
    + S8210899: (zipfs) ZipFileSystem.EntryOutputStreamCRC32
    mistakenly set the crc32 value into size field
    + S8210912: Build error in src/jdk.crypto.cryptoki/
    /share/native/libj2pkcs11/p11_convert.c after JDK-8029661
* Fri Sep 14 2018 fstrba@suse.com
- Upgrade to upstream tag jdk-12+11
  * Fixes:
    + S6899533: SecureClassLoader and URLClassLoader have
    unnecessary check for createClassLoader permission
    + S8042902: Test java/net/Inet6Address/serialize/
    /Inet6AddressSerializationTest.java fails intermittently
    + S8056217: Remove awt_makecube.cpp
    + S8059019: sdp.conf.template should be copied on linux too
    + S8081858: make dist-clean does not delete all log files
    + S8182404: remove jdk.testlibrary.JDKToolFinder and
    JDKToolLauncher
    + S8185145: AppCDS custom loader support on Mac OS X
    + S8199874: [TESTBUG] runtime/Thread/ThreadPriorities.java
    fails with "expected 0 to equal 10"
    + S8200609: Proper fix for mapfile removal for libjsig
    + S8205330: InitialDirContext ctor sometimes throws NPE if the
    server has sent a disconnection
    + S8205507: jdk/javax/xml/crypto/dsig/GenerationTests.java
    timed out
    + S8208171: PPC64: Enrich SLP support
    + S8208352: Merge HeapMonitorTest and HeapMonitorGCTest code
    + S8208697: vmTestbase/metaspace/stressHierarchy/
    /stressHierarchy012/TestDescription.java fails with
    OutOfMemoryError: Metaspace
    + S8209361: [AOT] Unexpected number of references for
    JVMTI_HEAP_REFERENCE_CONSTANT_POOL [111-->111]: 0 (expected
    at least 1)
    + S8209386: [error-prone] StreamResourceLeak in jdk.internal.ed
    module
    + S8209544: AES encrypt performance regression in jdk11b11
    + S8209773: Refactor shell test javax/naming/module/basic.sh to
    java
    + S8209786: JDK12 fails to build on s390x with gcc 7.3
    + S8209843: Optimize oop scan closure closures wrt to reference
    processing in G1
    + S8209930: Refactor java/util/zip/ZipFile/deletetempjar.sh to
    plain java test
    + S8209971: TestOptionsWithRanges.java crashes in CDS mode with
    G1UpdateBufferSize=1.
    + S8210009: Source Launcher classloader should support
    getResource and getResourceAsStream
    + S8210112: remove jdk.testlibrary.ProcessTools
    + S8210131: vmTestbase/nsk/jvmti/scenarios/allocation/AP10/
    /ap10t001/TestDescription.java failed with ObjectFree:
    GetCurrentThreadCpuTimerInfo returned unexpected error code
    + S8210142: java.util.Calendar.clone() doesn't respect
    sharedZone flag
    + S8210187: Explicit barriers for C2
    + S8210198: Clean up JNI_ENV_ARG for vmTestbase/jvmti/Get[A-F]
    tests
    + S8210233: Prepare Klass::is_loader_alive() for concurrent
    class unloading
    + S8210236: Prepare
    ciReceiverTypeData::translate_receiver_data_from for
    concurrent class unloading
    + S8210283: Support git as an SCM alternative in the build
    + S8210285: CharsetDecoder/Encoder's constructor does not
    reject NaN
    + S8210289: ArchivedKlassSubGraphInfoRecord is incomplete
    + S8210300: runtime/MemberName/MemberNameLeak.java fails with
    RuntimeException
    + S8210318: idea.sh script doesn't work on Mac
    + S8210319: [s390]: Use of shift operators not covered by cpp
    standard
    + S8210321: Create NO_KEEPALIVE CLD holder accessor
    + S8210334: TLS 1.3 server fails if ClientHello doesn't have
    pre_shared_key and psk_key_exchange_modes
    + S8210345: The Japanese message of FileNotFoundException
    garbled
    + S8210347: Combine subsequent calls to Set.contains() and
    Set.add()
    + S8210381: Obsolete EmitSync
    + S8210385: Clean up JNI_ENV_ARG and factorize the macros for
    vmTestbase/jvmti[A-N] tests
    + S8210387: C2 compilation fails with "assert(node->_last_del
    == _last) failed: must have deleted the edge just produced"
    + S8210422: runtime/modules/ModuleStress/
    /ExportModuleStressTest.java - assertion failed: address not
    aligned: 0x00000008baadbabe
    + S8210429: Clean up JNI_ENV_ARG for vmTestbase/jvmti/Get[G-Z]
    tests
    + S8210432: Add additional TeliaSonera root certificate
    + S8210434: [Graal] 8209301 prevents GitHub Graal from
    compiling with latest JDK
    + S8210435: don't add local variable spots if they are DCE'ed
    by the compiler
    + S8210463: Recalculate_used() always sets time taken in
    G1GCPhaseTimes
    + S8210467: Remove unused G1CollectedHeap::_max_heap_capacity
    + S8210470: Remove unused Verifier::verify() Verifier::Mode
    argument
    + S8210486: Unused code in check_nest_attributes function
    + S8210495: compiler crashes because of illegal signature in
    otherwise legal code
    + S8210497: [PPC64] Vector registers not saved across safepoint
    + S8210502: jdeps does not handle properly on analyzing a
    mixture of MR JARs and non-MR JARs
    + S8210511: TestSingleWriterSynchronizer can deadlock
    + S8210512: [Testbug] vmTestbase/nsk/jdi/ObjectReference/
    /referringObjects/referringObjects002/referringObjects002.java
    fails with unexpected size of
    ClassLoaderReference.referringObjects
    + S8210513: Obsolete SyncFlags
    + S8210514: Obsolete SyncVerbose
    + S8210515: [TESTBUG]CheckArchivedModuleApp.java needs to check
    if EnableJVMCI is set.
    + S8210519: build/releaseFile/CheckSource.java failed
    additional sources found
    + S8210578: AArch64: Invalid encoding for fmlsvs instruction
* Tue Sep 11 2018 fstrba@suse.com
- Upgrade to upstream tag jdk-12+10
  * Fixes:
    + S6657100: Rename sparcWorks to solstudio in HotSpot
    + S8067354: com/sun/jdi/GetLocalVariables4Test.sh failed
    + S8165440: Add Zero support for x86_64-linux-gnux32 target
    + S8170089: nsk/jdi/EventSet/resume/resume008: ERROR:
    suspendCounts don't match for : Common-Cleaner
    + S8176453: Javadoc search: there are issues with generics in
    parameters
    + S8182733: aarch64 build documentation misleading
    + S8187078: -XX:+VerifyOops finds numerous problems when
    running JPRT
    + S8197398: (zipfs) Files.walkFileTree walk indefinitelly while
    processing JAR file with "/" as a directory inside.
    + S8199811: com/sun/jdi/ProcessAttachTest.java fails
    intermittently: Remote thread failed for unknown reason
    + S8203356: VM Object Allocation Collector can infinite recurse
    + S8206424: Use locking for cleaning ProtectionDomainTable
    + S8207200: Committed > max memory usage when getting
    MemoryUsage
    + S8207247: AARCH64: Enable Minimal and Client VM builds
    + S8207343: Automate vtable/itable stub size calculation
    + S8207744: Clean up inconsistent use of opendir/closedir
    versus opendir64/closedir64
    + S8207793: [TESTBUG] runtime/Metaspace/FragmentMetaspace.java
    fails: heap needs to be increased
    + S8208186: SetHeapSamplingInterval handles 1 explicitly
    + S8208280: java/nio/channels/Selector/RegisterDuringSelect.java
    fails with "key not removed from key set"
    + S8208608: Update --module-source-path to allow explicit
    source paths for specific modules
    + S8209052: Low contrast in docs/api/constant-values.html
    + S8209152: (so) ServerSocketChannel::supportedOptions includes
    IP_TOS
    + S8209362: sun/security/ssl/SSLSocketImpl/ReuseAddr.java
    failed due to "BindException: Address already in use (Bind
    failed)"
    + S8209408: Primitive heap access for interpreter
    BarrierSetAssembler/arm32
    + S8209585: [Graal] vmTestbase/nsk/jvmti/scenarios/sampling
    tests fail with "Too small stack of resumed thread"
    + S8209594: guarantee(this->is8bit(imm8)) failed: Short forward
    jump exceeds 8-bit offset
    + S8209604: [TEST] rewrite com/sun/jdi shell tests to java
    version - step2
    + S8209736: runtime/RedefineTests/ModifyAnonymous.java fails
    with NullPointerException when running in CDS mode
    + S8209832: Refactor jdk/internal/reflect/Reflection/
    /GetCallerClassTest.sh to plain java test
    + S8209856: Obsolete error reporter
    + S8209942: [epsilon] range function for EpsilonTLABElasticity
    causes compiler warning
    + S8209950: SIGBUS in CodeHeapState::print_names()
    + S8209975: Some GCThreadLocalData not initialized
    + S8209993: Create a test for SwingSet3 ToolTipDemo
    + S8210039: move OSInfo to top level testlibrary
    + S8210061: ZGC: Remove STW weak processor mode
    + S8210063: ZGC: Enable load barriers for IN_NATIVE runtime
    barriers
    + S8210065: ZGC: Remove mode for treating weaks as strong
    + S8210066: [JVMCI] iterateFrames uses wrong GrowableArray API
    for appending
    + S8210087: Classes in jdk.unsupported not accessible from
    jconsole plugin
    + S8210118: better jdb test diagnostics when getting "Prompt is
    not received during ... milliseconds" failures
    + S8210119: Rename SubTasksDone::is_task_claimed
    + S8210147: adjust some WSAGetLastError usages in windows
    network coding
    + S8210150: Allow custom-hook.m4 to include files from
    CUSTOM_CONFIG_DIR
    + S8210153: localized currency symbol of VES
    + S8210155: Lock ClassLoaderDataGraph
    + S8210158: Accessorize JFR getEventWriter() intrinsics
    + S8210160: Remove deprecated configure arguments
    + S8210164: building Minimal VM fails with error: comparison of
    unsigned expression < 0 is always false [-Werror=type-limits]
    + S8210167: ProblemList vmTestbase/nsk/jvmti/scenarios/
    /allocation/AP10/ap10t001/TestDescription.java
    + S8210168: JCK test
    .vm.classfmt.ins.code__002.code__00201m1.code__00201m1 hangs
    with -noverify
    + S8210182: Remove macros for C compilation from vmTestBase but
    non jvmti
    + S8210192: Hsperf counter ParNew::CMS should be ParNew:CMS
    + S8210194: [TESTBUG] jvmti_FollowRefObjects.cpp missing
    initializer for member
    _jvmtiHeapCallbacks::heap_reference_callback
    + S8210205: build fails on AIX in hotspot cpp tests (for
    example getstacktr001.cpp)
    + S8210226: Add support for multiple project folders to idea.sh
    + S8210235: JvmtiTrace::safe_get_current_thread_name is unsafe
    in debug builds
    + S8210243: [TEST] rewrite com/sun/jdi shell tests to java
    version - step3
    + S8210246: NMTUtil::_memory_type_names should be in sync with
    MemoryType
    + S8210259: [testbug] IncompatibleOptions.java fails if VM
    configured without ZGC
    + S8210265: Crash in HSpaceCounters::update_used()
    + S8210279: (bf) Remove unused package private method
    java.nio.Buffer.truncate()
    + S8210307: 8210246 broke NMT jtreg tests
    + S8210314: [aix] NMT does not show "Safepoint" memory type
    + S8210320: PPC64: Fix uninitialized variable in C1 LIR
    assembler code
    + S8210338: Better output for GenerationTests.java
    + S8210341: (fs) Typos in PosixFileAttributeView javadoc
    + S8210355: Minimal and Zero non-PCH builds fail after
    JDK-8207343 (Automate vtable/itable stub size calculation)
    + S8210357: Zero builds fail after JDK-8207343 (Automate
    vtable/itable stub size calculation)
    + S8210366: Typo in MethodHandles.Lookup: must be either be
    + S8210394: (zipfs) jdk/nio/zipfs/ZFSTests.java rootdir.zip:
    The process cannot access the file because it is being used by
    another process
* Tue Sep 11 2018 fstrba@suse.com
- Update jax-ws-spec and jaxb-spec tarball to the latest versions
- Modified patch:
  * annotation-module.patch
    + module name change from java.xml.ws.annotation to
    java.annotation
* Mon Sep 10 2018 markehammons@gmail.com
- Update configuration flags to enable ZGC on x86_64 platforms
* Fri Aug 31 2018 fstrba@suse.com
- Upgrade to upstream tag jdk-12+9
  * Fixes:
    + S6474858: CardChannel.transmit(CommandAPDU) throws unexpected
    ArrayIndexOutOfBoundsException
    + S8019927: [TESTBUG] nsk/jvmti/GetThreadInfo/thrinfo001
    intermittently fails with 'invalid thread group' when running
    with JFR
    + S8034084: nsk.nsk/jvmti/ThreadStart/threadstart003 Wrong
    number of thread end events
    + S8072498: Multi-thread JNI weak reference processing
    + S8167314: Enable the check to detect duplicate provides in in
    GenModuleInfoSource
    + S8176553: LdapContext follows referrals infinitely ignoring
    set limit
    + S8180193: Make marking bitmap code available to other GCs
    + S8186186: GSSContext.isEstablished() can return true on error
    state
    + S8186548: move jdk.testlibrary.JcmdBase closer to tests
    + S8201224: Make string buffer size dynamic in mlvmJvmtiUtils.c
    + S8201317: X25519/X448 code improvements
    + S8202342: [Graal] fromTonga/nsk/jvmti/unit/FollowReferences/
    /followref003/TestDescription.java fails with "Location
    mismatch" errors
    + S8202578: Revisit location for class unload events
    + S8203393: com/sun/jdi/JdbMethodExitTest.sh and JdbExprTest.sh
    fail due to timeout
    + S8204308: SA: serviceability/sa/TestInstanceKlassSize*.java
    fails when running in CDS mode
    + S8206457: Code paths from oop_iterate() must use barrier-free
    access
    + S8206467: Refactor G1ParallelCleaningTask into shared
    + S8206986: Compiler support for Switch Expressions (Preview)
    + S8207211: [TESTBUG] Remove excessive output from CDS/AppCDS
    tests
    + S8207317: SSLEngine negotiation fail exception behavior
    changed from fail-fast to fail-lazy
    + S8207405: Compiler Tree API support for Switch Expressions
    (Preview)
    + S8207838: AArch64: Float registers incorrectly restored in
    JNI call
    + S8208061: runtime/LoadClass/TestResize.java fails with "Load
    factor too high" when running in CDS mode.
    + S8208091: SA: jhsdb jstack --mixed throws
    UnmappedAddressException on i686
    + S8208172: SIGSEGV when owner of invokedynamic bootstrap
    method throws an exception - Symbol::increment_refcount()+0x0
    + S8208480: Test failure: assert(is_bound() || is_unused())
    after JDK-8206075 in C1
    + S8208498: Put archive regions into a first-class HeapRegionSet
    + S8208601: Introduce native oop barriers in C2 for OopHandle
    + S8208658: Make CDS archived heap regions usable even if
    compressed oop encoding has changed
    + S8208665: Amend cross-compilation docs with qemu-debootstrap
    recipe
    + S8208746: ISO 4217 Amendment #168 update
    + S8209061: Move G1 serviceability functionality to
    G1MonitoringSupport
    + S8209062: Clean up G1MonitoringSupport
    + S8209064: Make intellij support more robust after changes for
    2018.2
    + S8209129: Further improvements to cipher buffer management
    + S8209150: [TESTBUG] Add logging to verify JDK-8197901 to a
    different test
    + S8209171: Simplify Java implementation of
    Integer/Long.numberOfTrailingZeros()
    + S8209173: javac fails with completion exception while
    reporting an error
    + S8209420: Track membars for volatile accesses so they can be
    properly optimized
    + S8209494: Create a test for SwingSet InternalFrameDemo
    + S8209534: [TESTBUG]runtime/appcds/cacheObject/
    /ArchivedModuleCompareTest.java fails with EnableJVMCI.
    + S8209605: com/sun/jdi/BreakpointWithFullGC.java fails with ZGC
    + S8209611: use C++ compiler for hotspot tests
    + S8209615: ParseError in XMLEventReader on a valid input
    + S8209622: applications/kitchensink/Kitchensink.java failed
    with Kitchensink failed with exit code = 138
    + S8209637: [s390x] Interpreter doesn't call result handler
    after native calls
    + S8209639: assert failure in coalesce.cpp: attempted to spill
    a non-spillable item
    + S8209651: better TLS poll for x64 C2
    + S8209657: Refactor filemap.hpp to simplify integration with
    Serviceability Agent
    + S8209667: Explicit barriers for C1/LIR
    + S8209670: CompilerThread releasing code buffer in destructor
    is unsafe
    + S8209684: Intrinsics that assume some input non null should
    use GraphKit::must_be_not_null()
    + S8209686: cleanup arguments to PhaseIdealLoop() constructor
    + S8209691: Allow MemBar on single memory slice
    + S8209698: Remove "Pinned" from HeapRegionTraceType
    + S8209700: Remove HeapRegionSetBase::RegionSetKind for a more
    flexible approach
    + S8209735: Disable avx512 by default
    + S8209743: [TESTBUG] java/lang/management/MemoryMXBean/
    /LowMemoryTest2.sh fails with OutOfMemoryError running in CDS
    mode
    + S8209771: jdk.test.lib.Utils::runAndCheckException error
    + S8209775: ISO 4217 Amendment #169 update
    + S8209783: AArch64: Combine Multiply and Neg operations in C2
    + S8209789: Synchronize test/jdk/sanity/client/lib/jemmy with
    code-tools/jemmy/v2
    + S8209801: Rename C1_WRITE_ACCESS and C1_READ_ACCESS
    decorators to ACCESS_READ and ACCESS_WRITE
    + S8209806: API docs should be updated to refer to javase11
    + S8209821: Make JVMTI GetClassLoaderClasses not walk CLDG
    + S8209825: guarantee(false) failed: wrong number of expression
    stack elements during deopt
    + S8209826: Undefined reference to os::write after JDK-8209657
    (filemap.hpp cleanup)
    + S8209829: SpnegoUnknownMech.java does not contain the
    SpnegoUnknownMech class
    + S8209831: ZGC: Clean up
    ZRelocationSetSelectorGroup::semi_sort()
    + S8209833: C2 compilation fails with
    "assert(ex_map->jvms()->same_calls_as(_exceptions->jvms()))
    failed: all collected exceptions must come from the same
    place"
    + S8209837: Avoid initializing ExpiringCache during bootstrap
    + S8209839: [Backout] Backout JDK-8206467 Refactor
    G1ParallelCleaningTask into shared
    + S8209841: [REDO] Refactor G1ParallelCleaningTask into shared
    + S8209844: MemberNameLeak.java fails when ResolvedMethod entry
    is not removed
    + S8209850: Allow NamedThreads to use GlobalCounter critical
    sections
    + S8209851: Algorithm name is compared via reference identity
    + S8209852: Counters in StringCleaningTask should be type of
    size_t
    + S8209854: ProblemList MemberNameLeak
    + S8209873: Typo in javax.xml.validation.Validator.validate
    documentation
    + S8209883: ZGC: Compile without C1 broken
    + S8209894: ZGC: Cap number of GC workers based on heap size
    + S8209911: More blob types in hs_err printout
    + S8209915: Fix license headers
    + S8209920: runtime/logging/RedefineClasses.java fail with OOME
    with ZGC
    + S8209939: [testbug][ppc] Test SafepointPollingPages fails
    after 8208499 with UseSIGTRAP on.
    + S8209958: Clean up duplicate basic array type statics in
    Universe
    + S8209965: The "supported_groups" extension in ServerHellos
    + S8209976: Improve iteration over non-JavaThreads
    + S8209987: Minor cleanup in Level.java
    + S8209994: windows: Java_java_net_NetworkInterface_getAll
    misses releasing interface-list
    + S8209995: java.base does not need to export sun.security.ssl
    to java.security.jgss
    + S8209996: [PPC64] Fix JFR profiling
    + S8210008: custom extension for make/SourceRevision.gmk
    + S8210022: remove jdk.testlibrary.ProcessThread, TestThread
    and XRun
    + S8210035: Fix copyrights for files created for the
    HeapMonitor work
    + S8210040: TestOptionsWithRanges.java is very slow
    + S8210043: Invalid assert(HeapBaseMinAddress > 0) in
    ReservedHeapSpace::initialize_compressed_heap
    + S8210045: Allow using a subset of worker threads even when
    UseDynamicNumberOfGCThreads is not set
    + S8210088: ProblemList gc/epsilon/TestMemoryMXBeans.java
    + S8210108: sun/tools/jstatd test build failures after
    JDK-8210022
* Thu Aug 23 2018 fstrba@suse.com
- Upgrade to upstream tag jdk-12+8
  * Fixes:
    + S8154343: Make SATB related code available to other GCs
    + S8164639: Configure PKCS11 tests to use user-supplied NSS
    libraries
    + S8194949: [Graal] gc/TestNUMAPageSize.java fail with OOM in
  - Xcomp
    + S8203614: Java API SSLEngine example code needs correction
    + S8203792: Remove "compatibility" features from Head.java
    + S8205687: TimeoutHandler generates huge core files
    + S8206176: Remove the temporary tls13VN field
    + S8206423: Use locking for cleaning ResolvedMethodTable
    + S8206965: java/util/TimeZone/Bug8149452.java failed on de_DE
    and ja_JP locale.
    + S8206992: Update Graal
    + S8207009: TLS 1.3 half-close and synchronization issues
    + S8207334: VM times out in VM_HandshakeAllThreads::doit() with
    RunThese30M
    + S8207746: C2: Lucene crashes on AVX512 instruction
    + S8207966: HttpClient response without content-length does not
    return body
    + S8208125: Cannot input text into JOptionPane Text Input Dialog
    + S8208269: Javadoc does not support module-info in a
    multi-release jar
    + S8208275: C2 crash in Node::add_req(Node*)
    + S8208350: Disable all DES cipher suites
    + S8208640: [a11y] [macos] Unable to navigate between
    Radiobuttons in Radio group using keyboard.
    + S8208675: Remove legacy sun.security.key.serial.interop
    property
    + S8208715: Conversion of milliseconds to nanoseconds in
    UNIXProcess contains bug
    + S8209301: JVM rename is_anonymous, host_klass to unsafe
    specific terminology ahead of Unsafe.defineAnonymousClass
    deprecation
    + S8209304: Deprecate serialVersionUID fields in interfaces
    + S8209342: Problemlist SA tests on Solaris due to Error
    attaching to process: Can't create thread_db agent!
    + S8209385: CDS runtime classpath checking is too strict when
    only classes from the system modules are archived
    + S8209389: SIGSEGV in WalkOopAndArchiveClosure::do_oop_work.
    + S8209451: Please change jdk 11 milestone to FCS
    + S8209452: VerifyCACerts.java failed with "At least one cacert
    test failed"
    + S8209456: [error-prone] ShortCircuitBoolean in java.logging
    + S8209506: Add Google Trust Services GlobalSign root
    certificates
    + S8209517: com/sun/jdi/BreakpointWithFullGC.java fails with
    timeout
    + S8209537: Two security tests failed after JDK-8164639 due to
    dependency was missed
    + S8209545: Simplify HeapShared::archive_module_graph_objects
    + S8209549: remove VMPropsExt from TEST.ROOT
    + S8209573: [TESTBUG] gc/epsilon/TestMemoryMXBeans should retry
    on failure
    + S8209576: java.nio.file.Files.writeString writes garbled
    UTF-16 instead of UTF-8
    + S8209586: AARCH64: SymbolTable changes throw assert on aarch64
    + S8209587: Update test/hotspot/jtreg/ProblemList-graal.txt
    + S8209588: SIGSEGV in MethodArityHistogram() with
  - XX:+CountCompiledCalls
    + S8209607: Remove stale comment for JNI mutexes
    + S8209608: Problem list com/sun/jdi/BreakpointWithFullGC.java
    + S8209624: [JVMCI] Invalidate nmethods instead of directly
    unloading them when the InstalledCode is dropped
    + S8209633: Avoid creating WeakEntry wrappers when looking up
    cached MethodType
    + S8209647: constantPoolHandle::constantPoolHandle(ConstantPool*)
    when precompiled header is disabled
    + S8209668: Explicit barriers for C1/assembler
    + S8209689: Compiler.isGraalEnabled should not check
    jvmci.Compiler property
    + S8209738: Remove ClassLoaderDataGraph::*oops_do functions
    + S8209740: typo in test/lib/jtreg/SkippedException.java
    + S8209758: 2 classes with same name G1PrintCollectionSetClosure
    cause crash when logging is enabled
    + S8209760: merge error: restore ea in make/conf/jib-profiles.js
    + S8209792: Remove ClassLoaderDataGraph::keep_alive_cld_do
* Tue Aug 21 2018 fstrba@suse.com
- Added patch:
  * jaw-nogtk.patch
    + Don't build against gdk making the accessibility depend on a
    particular version of gtk.
* Mon Aug 20 2018 fstrba@suse.com
- Upgrade to upstream tag jdk-12+7
  * Fixes:
    + S5075463: (enum) Serialized Form javadoc for java.lang.Enum
    is misleading
    + S8021322: [Fmt-Ch] Implementation of ChoiceFormat math
    methods should delegate to java.lang.Math methods
    + S8031761: [TESTBUG] Add a regression test for JDK-8026328
    + S8061467: Add UseLargePages to TestNUMAPageSize
    + S8069343: Improve gc/g1/TestHumongousCodeCacheRoots.java to
    use jtreg @requires
    + S8079682: [mlvm] remove SAM code in MHTransformationGen
    + S8151259: [TESTBUG] nsk/jvmti/RedefineClasses/redefclass030
    fails with "unexpected values of outer fields of the class"
    when running with -Xcomp
    + S8164683: Solaris: JVM abuses thread preemption control
    + S8169004: Fix redundant @requires tags in tests
    + S8171157: Convert ObjectMonitor_test to GTest
    + S8174691: [TESTBUG] A number of native hotspot unit tests
    fail when executed in stand-alone mode
    + S8176425: Add radix indication in NumberFormatException
    message for Integer.decode
    + S8185531: [TESTBUG] Improve test configuration for shared
    strings
    + S8186766: UnixNativeDispatcher::readlink() may truncate
    overlong paths
    + S8189667: Desktop#moveToTrash expects incorrect "<<ALL
    FILES>>" FilePermission
    + S8189922: UseNUMA memory interleaving vs membind
    + S8190886: package-info handling in
    RoundEnvironment.getElementsAnnotatedWith
    + S8191006: hsdis disassembler plugin does not compile with
    binutils 2.29+
    + S8193822: Remove unused newDirectByteBuffer and truncate
    methods from buffer classes
    + S8194230: jdk/internal/jrtfs/remote/RemoteRuntimeImageTest.java
    fails with java.lang.NullPointerException
    + S8194958: [Graal] disable compiler/c2/cr7200264 tests
    + S8195100: Use a low latency hashtable for SymbolTable
    + S8195156: [Graal] serviceability/jvmti/GetModulesInfo/
    /JvmtiGetAllModulesTest.java fails with Graal in Xcomp mode
    + S8199081: [Testbug] compiler/linkage/LinkageErrors.java fails
    if run twice
    + S8199155: Accessibility issues in jdk.jdi
    + S8199486: [Graal] gc/g1/ihop/TestIHOPStatic.java fails by
    timeout with -Xcomp
    + S8199868: Support JNI critical functions in object pinning API
    + S8200365: TestOptionsWithRanges.java of
    '-XX:TLABWasteTargetPercent=100' fails intermittently
    + S8201290: keytool importcert fails with
    CertificateParsingException if unknown certificate algorithms
    should be imported
    + S8201394: Update java.se module summary to reflect removal of
    java.se.ee module
    + S8202171: Some oopDesc functions compare this with NULL
    + S8202941: GenModuleInfoSource build tool does not detect
    missing semicolons
    + S8203230: update VerifyCACerts test
    + S8203504: [Graal]
    org.graalvm.compiler.debug.test.DebugContextTest fails with
    java.util.ServiceConfigurationError
    + S8203791: Remove "compatibility" features from Table.java
    + S8203820: [TESTBUG] vmTestbase/metaspace/staticReferences/
    /StaticReferences.java timed out
    + S8204196: integer cleanup
    + S8204931: Colors with alpha are painted incorrectly on Linux
    + S8204966: [TESTBUG] hotspot/test/compiler/whitebox/
    /IsMethodCompilableTest.java test fails with
  - XX:CompileThreshold=1
    + S8204969: Asserts in objArrayKlass.cpp need to use _raw
    variants of obj_addr_at()
    + S8204970: Remaing object comparisons need to use
    oopDesc::equals()
    + S8205078: [Graal]
    org.graalvm.compiler.core.test.VerifyDebugUsageTest fails with
    "Expected exception: VerificationError"
    + S8205399: Set node color on pinned HashMap.TreeNode deletion
    + S8205523: Explicit barriers for interpreter
    + S8205608: Fix 'frames()' in ThreadReferenceImpl.c to prevent
    quadratic runtime behavior
    + S8205633: TestOptionsWithRanges.java of
    '-XX:TLABSize=2147483648' fails intermittently
    + S8205921: Optimizing best-of-2 work stealing queue selection
    + S8205992: jhsdb cannot attach to Java processes running in
    Docker containers
    + S8206115: Use shared macros for JavaClasses::compute_offsets
    and MetaspaceShared::serialize_well_known_classes
    + S8206171: Signature#getParameters for RSASSA-PSS throws
    ProviderException when not initialized
    + S8206241: compiler/graalunit/PhasesCommonTest.java fails with
    java.lang.Error: TESTBUG: no tests found for prefix
    org.graalvm.compiler.phases.common.test
    + S8206258: [Test Error] sun/security/pkcs11 tests fail if NSS
    libs not found
    + S8206445: JImageListTest.java failed in Windows
    + S8206865: RMI activation tests fail with InvalidClassException
    + S8206886: Java does not set the default format locale
    correctly on mac10.13
    + S8206895: aarch64: rework error-prone cmp instuction
    + S8206955: MethodHandleProxies.asInterfaceInstance does not
    support default methods
    + S8206965: java/util/TimeZone/Bug8149452.java failed on de_DE
    and ja_JP locale.
    + S8207009: TLS 1.3 half-close and synchronization issues
    + S8207046: arm32 vm crash: C1 arm32 platform functions
    parameters type mismatch
    + S8207056: Epsilon GC to support object pinning
    + S8207069: [AOT] we should check that VM uses the same GC as
    one used for AOT library generation.
    + S8207139: NMT is not enabled on Windows 2016/10
    + S8207153: Some intrinsic tests take long time to run
    + S8207223: SSL Handshake failures are reported with more
    generic SSLException
    + S8207237: SSLSocket#setEnabledCipherSuites is accepting empty
    string
    + S8207243: Fix translation filtering to also support zh_HK and
    zh_TW
    + S8207244: java/nio/channels/Selector/SelectWithConsumer.java
    testInterruptDuringSelect() fails intermittently
    + S8207252: C1 still does eden allocations when TLAB is enabled
    + S8207263: Store the Configuration for system modules into CDS
    archive.
    + S8207320: Wrong type order for intersection lambdas with
    multiple abstract methods
    + S8207355: C1 compilation hangs in
    ComputeLinearScanOrder::compute_dominator
    + S8207364: nsk/jvmti/ResourceExhausted/resexhausted003 fails
    to start
    + S8207365: Make man pages optional
    + S8207383: [Graal] SelfChangedCDS.java fails with
    "guarantee(disp == (intptr_t)(jint)disp) failed: must be
    32-bit offset"
    + S8207392: [PPC64] Implement JFR profiling.
    + S8207584: ARM32: ShouldNotReachHere assertion on Test8168712
    jtreg test
    + S8207756: ZGC: jstat should show CGC STW phases
    + S8207765: HeapMonitorStatIntervalTest.java fails with ZGC
    + S8207765: HeapMonitorTest.java intermittent failure
    + S8207766: [testbug] Adapt tests for Aix.
    + S8207775: Better management of CipherCore buffers
    + S8207778: Add locking to ModuleEntry and PackageEntry tables
    + S8207779: Method::is_valid_method() compares 'this' with NULL
    + S8207830: [aix] disable jfr in build and tests
    + S8207832: serviceability/sa/ClhsdbCDSCore.java failed with
    "Couldn't find core file location"
    + S8207833: java/nio/channels/Selector/SelectWithConsumer.java
    testCancel() fails intermittently
    + S8207846: Generalize the jdk.net.includeInExceptions security
    property
    + S8207915: [AOT] jaotc w/ '--ignore-errors' should ignore
    illegal class files
    + S8207924: serviceability/sa/TestUniverse.java#id0
    intermittently fails with
    assert(get_instanceKlass()->is_loaded()) failed: must be at
    least loaded
    + S8207944: java.lang.ClassFormatError: Extra bytes at the end
    of class file test" possibly violation of JVMS 4.7.1
    + S8207948: JDK 11 L10n resource file update msg drop 10
    + S8207952: Problem-list 3 sctp tests
    + S8207959: The initial value of
    SETTINGS_MAX_CONCURRENT_STREAMS should have no limit
    + S8207960: Non-negative WINDOW_UPDATE increments may leave the
    stream window size negative
    + S8207965: C2-only debug build fails
    + S8208074: [TESTBUG] vmTestbase/nsk/jvmti/RedefineClasses/
    /StressRedefineWithoutBytecodeCorruption/TestDescription.java
    failed with NullPointerException
    + S8208075: Quarantine vmTestbase/nsk/jvmti/RedefineClasses/
    /StressRedefineWithoutBytecodeCorruption/TestDescription.java
    + S8208080: Locale extensions via Service provider is not
    working for region extensions
    + S8208084: Windows build failure - "'snprintf': identifier not
    found"
    + S8208092: ProblemList serviceability/sa/ClhsdbCDSCore.java
    + S8208096: Update build documentation to reflect compiler
    upgrades at Oracle
    + S8208111: Problem list
    java/nio/channels/Selector/RacyDeregister.java
    + S8208164: (str) improve specification of String::lines
    + S8208166: Still unable to use custom SSLEngine with default
    TrustManagerFactory after JDK-8207029
    + S8208183: update HSDIS plugin license to UPL
    + S8208189: ProblemList compiler/graalunit/JttThreadsTest.java
    + S8208200: Add missing periods to sentences in
    RoundEnvironment specs
    + S8208201: Update SourceVersion.RELEASE_11 docs to mention var
    for lambda param
    + S8208205: ProblemList tests that fail due to 'Error attaching
    to process: Can't create thread_db agent!'
    + S8208226: ProblemList com/sun/jdi/BasicJDWPConnectionTest.java
    + S8208227: tools/jdeps/DotFileTest.java fails on Win-X64
    + S8208242: Add @requires to vmTestbase/gc/g1 tests
    + S8208246: flags duplications in
    vmTestbase_vm_g1classunloading tests
    + S8208249: TriggerUnloadingByFillingMetaspace generates
    garbage class names
    + S8208251: serviceability/jvmti/HeapMonitor/MyPackage/
    /HeapMonitorGCCMSTest.java fails intermittently on Linux-X64
    + S8208279: Add 8 JNDI tests to com/sun/jndi/dns/EnvTests/
    + S8208297: Allow printing of taskqueue stats if compiled in in
    product builds
    + S8208303: Track JNI failures and fail tests
    + S8208305: ProblemList
    compiler/jvmci/compilerToVM/GetFlagValueTest.java
    + S8208347: ProblemList
    compiler/cpuflags/TestAESIntrinsicsOnSupportedConfig.java
    + S8208353: Upgrade JDK 11 to libpng 1.6.35
    + S8208358: update bug ids mentioned in tests
    + S8208362: (bf) Long chains created by direct Buffer::slice
    + S8208363: test/jdk/java/lang/Package/PackageFromManifest.java
    missing module dependencies declaration
    + S8208364: java/lang/reflect/callerCache/
    /ReflectionCallerCacheTest.java missing module dependencies
    declaration
    + S8208370: fix typo in ReservedStack tests' @requires
    + S8208391: Differentiate response and connect timeouts in HTTP
    Client API
    + S8208399: Metadata methods print_(value_)on_maybe_null()
    compare 'this' to NULL
    + S8208463: jdk.internal.vm.compiler's module-info.java.extra
    contains duplicated provides of the same service interface
    + S8208466: Fix potential memory leak in harfbuzz shaping.
    + S8208483: Add 5 JNDI tests to com/sun/jndi/dns/FactoryTests/
    + S8208484: color contrast issues in a couple of spec files
    + S8208496: New Test to verify concurrent behavior of TLS.
    + S8208499: NMT: Missing memory tag for Safepoint polling page
    + S8208521: ProblemList more tests that fail due to 'Error
    attaching to process: Can't create thread_db agent!'
    + S8208524: IntelliJ support broken since 2018.2
    + S8208541: non-ASCII characters in hsdis UPL text
    + S8208560: ChoiceFormat class has unused constants needs
    cleanup
    + S8208575: Remove Atomic::add/sub for short
    + S8208582: Introduce native oop barriers in C1 for OopHandle
    + S8208583: Better management of internal KeyStore buffers
    + S8208602: Cannot read PEM X.509 cert if there is whitespace
    after the header or footer
    + S8208604: Metadata::print_value_string() compares 'this' to
    NULL
    + S8208605: Fix for 8199868 breaks tier1 build
    + S8208611: Refactor SATBMarkQueue filtering to allow
    GC-specific filters
    + S8208623: [TESTBUG] runtime/LoadClass/LongBCP.java fails in
    AUFS file system
    + S8208634: Add x-IBM-1129 charset
    + S8208635: Minimal VM build is broken after JDK-8199868
    (Support JNI critical functions in object pinning API)
    + S8208647: switch jtreg to 4.2b13
    + S8208655: use JTreg skipped status in hotspot tests
    + S8208656: Move java/util/Calendar/CalendarTestScripts tests
    into OpenJDK
    + S8208663: JDK 11 L10n resource file update msg drop 20
    + S8208669: GC changes to allow enabling -Wreorder
    + S8208670: Compiler changes to allow enabling -Wreorder
    + S8208671: Runtime, JFR, Serviceability changes to allow
    enabling -Wreorder
    + S8208672: Enable -Wreorder in make files for gcc, clang
    + S8208676: Missing NULL check and resource leak in
    NetworkPerformanceInterface::NetworkPerformance::network_utilization
    + S8208677: Move inner metaspace cleaning out of class unloading
    + S8208691: Tighten up jdk.includeInExceptions security property
    + S8208699: remove unneeded imports from runtime tests
    + S8208701: Fix for JDK-8208655 causes test failures in CI tier1
    + S8208704: runtime/appcds/MultiReleaseJars.java timed out
    often in hs-tier7 testing
    + S8208705: [TESTBUG] The -Xlog:cds,cds+hashtables vm option is
    not always required for appcds tests
    + S8208706: compiler/tiered/ConstantGettersTransitionsTest.java
    fails to compile
    + S8208744: remove unneeded -DUSE_MMAP settings for JDK native
    libs builds
    + S8208782: Remove extra type in throws clause of
    SerialClob.writeObject
    + S8208998: Typo in ModueInfo.java, field for ModuleHashes
    should be moduleHashes
    + S8208999: Some use of Klass* should be replaced by
    InstanceKlass*
    + S8209003: Consolidate use of empty collections in
    java.lang.module
    + S8209011: [TESTBUG] AArch64:
    sun/security/pkcs11/Secmod/TestNssDbSqlite.java fails in
    aarch64 platforms
    + S8209018: ProblemList tests affected by JDK-8208690
    + S8209020: ProblemList tests affected by JDK-8208778
    + S8209023: fix 2 compiler tests to avoid JDK-8208690
    + S8209024: Use SuppressWarnings on serialVersionUID fields in
    interfaces
    + S8209029: ProblemList tests that fail due to 'Error attaching
    to process: Can't create thread_db agent!' in jdk-11+25
    testing
    + S8209047: "Illegal pattern character 'B'"
    IllegalArgumentException with Burmese locales
    + S8209109: [TEST] rewrite com/sun/jdi shell tests to java
    version - step1
    + S8209115: adjust libsplashscreen linux ppc64le builds for
    easier libpng update
    + S8209118: Abstract SATBMarkQueueSet's ThreadLocalData access
    + S8209120: Archive the Integer.IntegerCache
    + S8209125: ZGC: Clean up ZServiceabilityCounters
    + S8209126: ZGC: ZMarkStackAllocator::is_initialized() never
    called
    + S8209127: ZGC: Improve error message when failing to map
    memory for mark stacks
    + S8209149: [TESTBUG] runtime/RedefineTests/
    /RedefineRunningMethods.java needs a longer timeout
    + S8209164: [TESTBUG] Apply jtreg skipped status to cds tests
    + S8209186: Rename SimpleThresholdPolicy to
    TieredThresholdPolicy
    + S8209193: Fix aarch64-linux compilation after -Wreorder
    changes
    + S8209345: Merge SATBMarkQueueFilter into SATBMarkQueueSet
    + S8209346: Refactor SATBMarkQueue filter configuration
    + S8209347: SATBMarkQueue.cpp should not need jvm.h
    + S8209357: [PPC64] Fix build which was broken by 8208672
    (Enable -Wreorder)
    + S8209375: ZGC: Use dynamic base address for mark stack space
    + S8209376: ZGC: Move ZMarkStackAllocator into a separate file
    + S8209378: Fix Minimal VM after JDK-8208677
    + S8209380: ARM: cleanup maybe-uninitialized and reorder
    compiler warnings
    + S8209382: [error-prone] HashtableContains in
    sun/rmi/server/ActivationGroupImpl.java
    + S8209384: ProblemList stressHierarchy metaspace tests
    + S8209396: Make PtrQueueSets not statically allocated
    + S8209416: Refactoring GetPropertyAction calls in security libs
    + S8209418: Synchronize test/jdk/sanity/client/lib/jemmy with
    code-tools/jemmy/v2
    + S8209433: [s390] Fix build, broken by 8208672 (Enable
  - Wreorder)
    + S8209439: C2 library_call can potentially ignore Math.pow
    intrinsic or use null pointer
    + S8209447: vmTestbase/vm/mlvm/indy/func/jvmti/
    /mergeCP_none2indy_b/TestDescription.java timed out
    + S8209452: VerifyCACerts.java failed with "At least one cacert
    test failed"
    + S8209459: TestSHA512MultiBlockIntrinsics failed on AArch64
    + S8209511: C2 asserts with UseSSE < 4 and AVX enabled: "Label
    was never bound to a location, but it was used as a jmp target'
    + S8209518: symbol table gtest fails with semaphore error
    + S8209535: [JVMCI] Do not swallow NoClassDefFoundError when
    converting JVMCI methods and fields to reflection objects
    + S8209541: Fix merge problem in
    SymbolTable::do_check_concurrent_work
* Thu Jul 26 2018 fstrba@suse.com
- Update to upstream tag jdk-12+4 (Oracle July 2018 CPU)
  * Security fixes:
    + S8197925: Better stack walking (CVE-2018-2940, bsc#1101645)
    + S8199547: Exception to Pattern Syntax (CVE-2018-2952,
    bsc#1101651)
    + S8200332: Improve GCM counting (CVE-2018-2972, bsc#1101655)
    + S8200666: Improve LDAP support (CVE-2018-2973, bsc#1101656)
  * Security-In-Depth fixes:
    + S8191239: Improve desktop file usage
    + S8193419: Better Internet address support
  * Fixes:
    + S8181855: [Graal]
    runtime/ReservedStack/ReservedStackTest.java triggers:
    assert(thread->deopt_mark() == __null) failed: no stack
    overflow from deopt blob/uncommon trap
    + S8189747: JDK9 javax.lang.model.util.Elements#getTypeElement
    regressed 1000x in performance.
    + S8193214: Incorrect annotations.without.processors warnings
    with JDK 9
    + S8193462: Fix Filer handling of package-info initial elements
    + S8195991: [TEST_BUG]:Regression manual Test
    java/awt/TrayIcon/RightClickWhenBalloonDisplayed/
    /RightClickWhenBalloonDisplayed.html fails
    + S8196224: Even better Internet address support
    + S8197810: Test java/awt/Choice/SelectCurrentItemTest/
    /SelectCurrentItemTest.html fails on Windows
    + S8198882: Add 10 JNDI tests to
    com/sun/jndi/dns/AttributeTests/
    + S8202837: PBES2 AlgorithmId encoding error in PKCS12 KeyStore
    + S8203263: Remove unnecessary throws clauses from
    serialization-related methods
    + S8203382: Rename SystemDictionary::initialize_wk_klass to
    resolve_wk_klass
    + S8204695: [Graal] vmTestbase/nsk/jdi/ClassPrepareRequest/
    /addSourceNameFilter/addSourceNameFilter002/
    /addSourceNameFilter002.java fails
    + S8205390: jtreg: Fix failing TestRTMSpinLoopCount on PPC64
    + S8205491: adjust reflective access checks
    + S8205493: OptionSmokeTest.java uses hard-coded release values
    + S8205541: serviceability/jvmti/HeapMonitor/MyPackage/
    /HeapMonitorStatArrayCorrectnessTest.java fails with Should
    not have any events stored yet.
    + S8205578: jtreg: Fix failing TestRTMAbortRatio on PPC64
    + S8205580: PPC64: RTM: Don't retry lock on abort if abort was
    intentional
    + S8205581: PPC64: RTM: Fix abort on native calls
    + S8205582: PPC64: RTM: Fix counter for aborts on nested
    transactions
    + S8205652: serviceability/jvmti/HeapMonitor/MyPackage/
    /HeapMonitorStatRateTest.java fails
    + S8205725: Update the JVMTI Spec for Heap Sampling
    + S8206075: On x86, assert on unbound assembler Labels used as
    branch targets
    + S8206265: aarch64 jtreg: assert in TestOptionsWithRanges.jtr
    + S8206271: CodeHeap State Analytics must digest new method
    state
    + S8206343: There is a typo in the java documentation of
    javax.swing.JScrollBar.
    + S8206448: (fs) Extended attributes assumed to be enabled on
    ext3 (lnx)
    + S8206456: [TESTBUG] docker jtreg tests fail on systems
    without cpuset.effective_cpus / cpuset.effective_mem
    + S8206471: Race with ConcurrentHashTable deleting items on
    insert with cleanup thread
    + S8206874: Evaluate LoadClassFromJava6CreatedJarTest.java
    after dropping -source 6
    + S8206886: Java does not set the default format locale
    correctly on mac10.13
    + S8206929: Check session context for TLS 1.3 session resumption
    + S8206931: Misleading "COMPILE SKIPPED: invalid non-klass
    dependency" compile log
    + S8207032: Compilation succeeds without checking readability
    when --add-exports used
    + S8207190: JDK 11 javadoc generates bad code example
    + S8207202: [Graal] compiler/graalunit/CoreTest.java fails
    + S8207214: Broken links in JDK API serialized-form page
    + S8207233: Minor improvements of jdk C-coding
    + S8207237: SSLSocket#setEnabledCipherSuites is accepting empty
    string
    + S8207240: AARCH64: C2-only VM does not build
    + S8207250: setUseClientMode post handshake with the same value
    as before does not throw IAE
    + S8207261: [Graal] JDI and JDWP tests that consume all memory
    should be filtered out to not run with Graal
    + S8207262: enable applications/ctw/modules/java_desktop_2.java
    test again
    + S8207265: Bad HTML in {@link} in
    HttpResponse.BodySubscribers.ofPublisher
    + S8207314: Unnecessary reallocation when constructing
    WeakHashMap from a large Map
    + S8207316: java/nio/channels/spi/SelectorProvider/
    /inheritedChannel/InheritedChannelTest.java failed
    + S8207318: KeyStore#getInstance(File, LoadStoreParameter) does
    not load the keystore
    + S8207342: error occurred during error reporting (printing
    register info)
    + S8207345: AArch64: Trampoline generation code reads from
    unitialized memory
    + S8207359: Make SymbolTable increment_refcount disallow zero
    + S8207380: compiler/graalunit/JttLangMTest.java timeout
    + S8207395: jar has issues with UNC-path arguments for the jar
  - C parameter [windows]
    + S8207753: Handle to process snapshot is leaked if
    Process32First() fails
    + S8207761: Split compiler/graalunit/JttReflectFTest.java
    + S8207763: serviceability/jvmti/HeapMonitor/MyPackage/
    /HeapMonitorStatRateTest.java failed with Error. Parse
    Exception: Can't find source file:
    HeapMonitorStatIntervalTest.java
    + S8207765: HeapMonitorStatIntervalTest.java fails with ZGC
    + S8207816: Align declaration of SerializedLambda.readResolve
    with serialization conventions
    + S8207818: Problem list several rmi tests
    + S8207819: Problem list serviceability/jvmti/HeapMonitor/
    /MyPackage/HeapMonitorStatRateTest.java
    + S8207849: Allow the addition of more number to the Java
    version string
    + S8207855: Make applications/jcstress invoke tests in batches
    + S8207941: javax/swing/plaf/basic/BasicGraphicsUtils/8132119/
    /bug8132119.java fails on machines without Arial font [testbug]
    + S8207953: Remove dead code in G1CopyingKeepAliveClosure
    + S8208060: Additional corrections of serial-related
    declarations
    + S8208092: ProblemList serviceability/sa/ClhsdbCDSCore.java
    + S8208157: requires.VMProps throws NPE for missing properties
    in "release" file
* Fri Jul 20 2018 fstrba@suse.com
- Update to upstream tag jdk-12+3
  * Fixes:
    + S8028563: Remove javac support for 6/1.6 source and target
    values
    + S8139876: Exclude hanging nsk/stress/stack from execution
    with deoptimization enabled
    + S8173606: Deprecate constructors of 7-era visitors
    + S8178712: ResourceMark may be missing inside
    initialize_[vi]table
    + S8179098: Crypto AES/ECB encryption/decryption performance
    regression (introduced in jdk9b73)
    + S8185740: The help-doc.html generated by the doclet is
    outdated
    + S8187069: The case auto failed with the
    java.lang.ClassNotFoundException:
    IPv6NameserverPlatformParsingTest exception
    + S8189604: possible hang in
    sun.awt.shell.Win32ShellFolder2$KnownFolderDefinition::<clinit>
    + S8189717: Too much documentation of ProcessBuilder.start
    copied to ProcessBuilder.startPipeline
    + S8189747: JDK9 javax.lang.model.util.Elements#getTypeElement
    regressed 1000x in performance.
    + S8191948: db error: InvalidTypeException: Can't assign
    double[][][] to double[][][]
    + S8193126: Incorrect setting of MetaspaceSize and
    NewSizeThreadIncrease when using JVMCI compiler
    + S8193444: SimpleDateFormat throws
    ArrayIndexOutOfBoundsException when format contains long
    sequences of unicode characters
    + S8194680: StartElement#getAttributes and getNamespaces refer
    to incorrect package
    + S8194740: UseSubwordForMaxVector causes performance regression
    + S8198346: assert(!_cld->claimed()) failed in
    TestObjectDescription.java
    + S8198352: java.util.MissingResourceException:
    sun.security.util.AuthResources when trying to use
    com.sun.security.auth.module.UnixLoginModule
    + S8198405: JImageExtractTest.java & JImageListTest.java failed
    in Windows.
    + S8198720: Obsolete PrintSafepointStatistics,
    PrintSafepointStatisticsTimeout and
    PrintSafepointStatisticsCount options
    + S8198819: tools/jimage/JImageExtractTest.java, fails
    intermittently at testExtract (macos)
    + S8199645: javax/net/ssl/SSLSession/TestEnabledProtocols.java
    failed with Connection reset
    + S8199779: Add T-Systems, GlobalSign and Starfield services
    root certificates
    + S8200282: Serializing non-zero byte as zero to ByteBuffer
    + S8201513: nsk/jvmti/IterateThroughHeap/filter-* are broken
    + S8201611: Broken links in java.desktop javadoc
    + S8202123: C2 Crash in Node::in(unsigned int) const+0x14
    + S8202264: Race condition in AudioClip.loop()
    + S8202329: [AIX] Fix codepage mappings for IBM-943 and Big5
    + S8202353: os::readdir should use readdir instead of readdir_r
    + S8202481: RegisterDuringSelect.java fails with
    java.util.concurrent.ExecutionException:
    java.nio.channels.ClosedSelectorException
    + S8202561: clean up TEST.groups file
    + S8202769: jck test fails with C2: vm/jvmti/FollowReferences/
    /fref001/fref00113/fref00113.html
    + S8202794: Native Unix code should use readdir rather than
    readdir_r
    + S8202835: jfr/event/os/TestSystemProcess.java fails on
    missing events
    + S8203007: Address missing block coverage for ChaCha20 and
    Poly1305 algorithms
    + S8203230: update VerifyCACerts test
    + S8203943: eventThreadGroup was null in
    TestJavaBlockedEvent.java
    + S8204267: Generate comments in -XX:+PrintInterpreter to link
    to source code
    + S8204591: Expire/remove the UseAppCDS option in JDK 12
    + S8204603: Short week days, NaN value and timezone name are
    inconsistent between CLDR and Java in zh_CN, zh_TW locales.
    + S8204630: Generating an anonymous class with
    Filer#createClassFile causes an NPE in
    JavacProcessingEnvironment
    + S8204691: HeapRegion.apply_to_marked_objects_other_vm_test
    fails with assert(!hr->is_free() || hr->is_empty()) failed:
    Free region 0 is not empty for set Free list #
    + S8204860: The frame could be resized by dragging a corner of
    the frame with the mouse
    + S8205426: Humongous continues remembered set does not match
    humongous start region one after Remark
    + S8205454: &amp; is displayed in some Swing docs
    + S8205472: Deadlock in Kitchensink when trying to print
    compile queues causing timeout
    + S8205563: modules/AnnotationProcessing.java failed
    testGenerateSingleModule
    + S8205576: forkjoin/FJExceptionTableLeak.java fails
    "AssertionError: failed to satisfy condition"
    + S8205588: Deprecate for removal com.sun.awt.SecurityWarning
    + S8205610: [TESTLIB] Improve listing of open file descriptors
    + S8205611: Improve the wording of LinkageErrors to include
    module and class loader information
    + S8205643: HeapMonitorGCCMSTest fails with Graal
    + S8205646: Broken link in jdk.jsobject
    + S8205878: pthread_getcpuclockid is expected to return 0 code
    + S8205924: ZGC: Premature OOME due to failure to expand
    backing file
    + S8205928: [TESTBUG]
    jdk/internal/platform/docker/TestDockerMemoryMetrics
    + S8205966: [testbug] New Nestmates JDI test times out with
    Xcomp on sparc
    + S8205967: Remove sun/security/krb5/auto/UnboundSSL.java from
    ProblemList.txt
    + S8205973: Client jtreg ProblemList cleanup
    + S8205984: javax/net/ssl/compatibility/Compatibility.java
    failed to access port log file
    + S8205999: C2 compilation fails with
    "assert(store->find_edge(load) != -1) failed: missing
    precedence edge"
    + S8206001: Enable TLS1.3 by default in Http Client
    + S8206007: nsk/jdb/exclude001 test is taking a long time on
    some builds
    + S8206106: [solaris sparc] jck tests
    api/javax_print/PrintService failing
    + S8206122: Use Queue in place of ArrayList when need to remove
    first element
    + S8206135: Building jvm with AOT but without JVMCI should fail
    at configure time
    + S8206145: dbgsysSocketClose - do not restart close if errno
    is EINTR [linux]
    + S8206163: AArch64: incorrect code generation for StoreCM
    + S8206173: MallocSiteTable::initialize() doesn't take function
    descriptors into account
    + S8206183: Possible construct EMPTY_STACK and allocation
    stack, etc. on first use
    + S8206184: docs-reference build fails due to
    extlink.spec.version property not set
    + S8206189: sun/security/pkcs12/EmptyPassword.java fails with
    Sequence tag error
    + S8206238: Aspect ratio is not maintained when Image is scaled
    in JEditorPane
    + S8206243: java -XshowSettings fails if memory.limit_in_bytes
    overflows LONG.max
    + S8206254: Unable to complete emergency dump during safepoint
    + S8206255: fix compiler/intrinsics/sha/cli/
    /TestUseSHAOptionOnSupportedCPU.java jtreg test on linux s390x
    + S8206265: aarch64 jtreg: assert in TestOptionsWithRanges.jtr
    + S8206287: fix legal notice in hotspot tests
    + S8206316: ZGC: Preferred tmpfs mount point not found on Debian
    + S8206322: ZGC: Incorrect license header in gtests
    + S8206323: Missing some legal notices in docs bundle
    + S8206324: compiler/whitebox/DeoptimizeFramesTest.java to
    ProblemList-graal.txt
    + S8206355: SSLSessionImpl.getLocalPrincipal() throws NPE
    + S8206375: ProblemList update of bug ID for
    SwingFontMetricsTest
    + S8206378: Backout JDK-8202561
    + S8206394: missing ResourceMark in
    AOTCompiledMethod::metadata_do,
    AOTCompiledMethod::clear_inline_caches,
    CompiledMethod::clear_ic_stubs,
    CompiledMethod::cleanup_inline_caches_impl
    + S8206408: Add missing CPU/system info to vm_version_ext on
    PPC64
    + S8206428: Upgrade JDK11 to harfbuzz 1.8.2
    + S8206429: [REDO] 8202561 clean up TEST.groups
    + S8206433: Several jib profiles missing autoconf dependency
    + S8206436: sun/nio/cs/TestIBMBugs.java no longer compiles
    + S8206443: Update security libs manual test to cope with
    removal of javac -source/-target 6
    + S8206448: (fs) Extended attributes assumed to be enabled on
    ext3 (lnx)
    + S8206450: Add JImageListTest.java to ProblemList.txt
    + S8206459: [s390] Prevent restoring incorrect bcp and locals
    in interpreter and avoid incorrect size of
    partialSubtypeCheckNode in C2
    + S8206470: Incorrect use of os::lasterror in ClassListParser
    + S8206476: Wrong assert in phase_enum_2_phase_string() in
    referenceProcessorPhaseTimes.cpp
    + S8206863: A closed JarVerifier.VerifierStream should throw
    IOException
    + S8206873: 2 Null pointer dereference defect groups in
    LIRGenerator
    + S8206903: Unable to build Client VM with JVMCI
    + S8206915: XDH TCK issues
    + S8206919: s390: add missing info to vm_version_ext_s390
    + S8206951: [Graal]
    org.graalvm.compiler.hotspot.test.GraalOSRTest to
    ProblemList-graal.txt
    + S8206952: java/lang/Class/GetPackageBootLoaderChildLayer.java
    fails with Graal
    + S8206953: compiler/profiling/TestTypeProfiling.java fails
    when JVMCI build disabled
    + S8206954: Test runtime/Thread/ThreadPriorities.java crashes
    with SEGV in pthread_getcpuclockid
    + S8206960: HeapMonitor tests fail with Graal
    + S8206975: AArch64: Fix CompareAndSwapOp when useLSE is
    enabled in Graal
    + S8206977: Minor improvements of runtime code.
    + S8206980: ZonedDateTime could not parse timezone name with
    zh_CN locale correctly.
    + S8206998: [test] runtime/ElfDecoder/TestElfDirectRead.java
    requires longer timeout on ppc64
    + S8207001: *.obj.log files get truncated causing unreliable
    incremental builds on Windows
    + S8207005: Disable the file canonicalization cache by default
    + S8207006: serviceability/sa/TestUniverse.java#id0 crashes
    with EpsilonGC and AOT
    + S8207007: Add missing license header to zHash.inline.hpp
    + S8207011: Remove uses of the register storage class specifier
    + S8207016: Avoid redundant native memory allocation in
    getFinalPath()
    + S8207023: Add trace info to
    java/nio/channels/Selector/RegisterDuringSelect.java
    + S8207027: Lookup.accessClass fails for an array type in the
    same package when assertions are enabled
    + S8207029: Unable to use custom SSLEngine with default
    TrustManagerFactory after updating to JDK 11 b21
    + S8207044: minimal vm build fail: missing #include
    + S8207047: Multiple VM variants build fail
    + S8207049: Minor improvements of compiler code.
    + S8207055: Make javac -help output for -source and -target
    more informative
    + S8207056: Epsilon GC to support object pinning
    + S8207057: No debug info for assembler files
    + S8207060: Memory leak when malloc fails within
    WITH_UNICODE_STRING block
    + S8207065: Cleanup compiler tests for Client VM
    + S8207067: [test] prevent timeouts in
    serviceability/tmtools/jstat/{GcTest02,GcCauseTest02}.java
    + S8207068: Add Entrust root certificates
    + S8207145: (fs) Native memory leak in
    WindowsNativeDispatcher.LookupPrivilegeValue0
    + S8207152: Placeholder for Japanese new era should be two
    characters
    + S8207210: Problem list
    javax/sound/sampled/Clip/AutoCloseTimeCheck.java
    + S8207213: The help-doc.html generated by the doclet is
    incomplete
    + S8207217: Problem list
    java/lang/management/ThreadMXBean/AllThreadIds.java
    + S8207229: Trees.getScope crashes for broken lambda
    + S8207230: Trees.getScope runs Analyzers
    + S8207235:
    ManagementFactory.getPlatformMXBeans(BufferPoolMXBean.class)
    throws NPE
    + S8207248: Reduce incidence of
    compiler.warn.source.no.bootclasspath in javac tests
    + S8207321: Merge error with 8199779
    + S8207340: (fs) UnixNativeDispatcher close and readdir usages
    should be fixed
    + S8207393: ServiceLoader class description improvements
    + S8207748: Fix for 8202794 breaks tier1 builds
    + S8207750: Native handle leak in java.io.WinNTFileSystem.list()
    + S8207751: Remove misleading serialVersionUID from
    JulienFields.Field
* Sat Jul 14 2018 fstrba@suse.com
- Merge standalone modules java.activation, java.xml.bind,
  java.xml.soap, java.xml.ws.annotation and java.xml.ws into the
  OpenJDK
- Added patches:
  * activation-module.patch
    + add module-info.java file for java.activation module
  * annotation-module.patch
    + add module-info.java file for java.xml.ws.annotation
* Thu Jul 12 2018 fstrba@suse.com
- Update to upstream tag jdk-12+2
  * Fixes:
    + S8194899: Remove unused sun.net classes
    + S8202035: Archive the set of ModuleDescriptor and
    ModuleReference objects for observable system modules with
    unnamed initial module.
    + S8202737: Obsolete AllowNonVirtualCalls option
    + S8203911: Test runtime/modules/getModuleJNI/GetModule fails
    with -Xcheck:jni
    + S8204834: Fix confusing "allocate" naming in OopStorage
    + S8205417: Obsolete UnlinkSymbolsALot debugging option
    + S8205548: Remove multi-release jar related vm code
    + S8205576: forkjoin/FJExceptionTableLeak.java fails
    "AssertionError: failed to satisfy condition"
    + S8205620: Miscellaneous changes imported from jsr166 CVS
    2018-07
    + S8205878: pthread_getcpuclockid is expected to return 0 code
    + S8205946: JVM crash after call to
    ClassLoader::setup_bootstrap_search_path()
    + S8205966: [testbug] New Nestmates JDI test times out with
    Xcomp on sparc
    + S8206123: ArrayDeque created with default constructor can
    only hold 15 elements
    + S8206164: forgot to "throw" TransformerConfigurationException
    + S8206272: Remove stray BarrierSetAssembler call
    + S8206318: Enhance package documentation for internal javadoc
    packages
    + S8206350: java/util/Locale/bcp47u/SystemPropertyTests.java
    failed on Mac 10.13 with zh_CN and zh_TW locales.
    + S8206389: JarEntry.setCreation/LastAccessTime without
    setLastModifiedTime causes Invalid CEN header
    + S8206407: Primitive atomic_cmpxchg_in_heap_at() in
    BarrierSet::Access needs to call non-oop raw method
    + S8206439: Remove javac -source/-target 6 from langtools
    regression tests
    + S8206440: Remove javac -source/-target 6 from jdk regression
    tests
    + S8206453: Taskqueue stats should count real steal attempts,
    not calls to GenericTaskQueueSet::steal
    + S8206471: Race with ConcurrentHashTable deleting items on
    insert with cleanup thread
    + S8206495: Redundant System.setProperty(null) tests
    + S8206931: Misleading "COMPILE SKIPPED: invalid non-klass
    dependency" compile log
    + S8206954: Test runtime/Thread/ThreadPriorities.java crashes
    with SEGV in pthread_getcpuclockid
* Thu Jul 12 2018 guillaume.gardet@opensuse.org
- Switch armv6 to zero JVM variant (without JIT) since client and
  server JVM do not build for armv6 ATM
* Mon Jul  9 2018 fstrba@suse.com
- Update to upstream tag jdk-12+1
  * Fixes:
    + S8134538: Duplicate implementations of os::lasterror
    + S8149729: [jittester] Replace all 'path1 +"/" + path2' with
    Paths::get
    + S8177275: IllegalArgumentException when MH would have too
    many parameters is not specified for several methods
    + S8190835: Subtraction with two javax.xml.datatype.Duration
    gives incorrect result
    + S8193290: Add source 12 and target 12 to javac
    + S8193292: Add SourceVersion.RELEASE_12
    + S8195630: [Graal] vmTestbase/nsk/jvmti/AttachOnDemand/
    /attach024/TestDescription.java fails with Graal
    + S8195774: Add Entrust root certificates
    + S8201552: Ellipsis in "Classical" label in SwingSet2 demo
    with Windows L&F at Hidpi
    + S8202252: (aio) Closed AsynchronousSocketChannel keeps
    completion handler alive
    + S8202959: Rearrange the top and bottom navigation bar in the
    javadoc generated pages
    + S8203504: [Graal] org.graalvm.compiler.debug.test.DebugContextTest
    fails with java.util.ServiceConfigurationError
    + S8203848: Missing remembered set entry in j.l.ref.references
    after JDK-8203028
    + S8204310: Simpler RandomAccessFile.setLength() on Windows
    + S8204329: Java API doc for XMLStreamReader.next() needs to be
    clarified for the exception thrown when hasNext() method
    returns false
    + S8204355: [Graal] org.graalvm.compiler.debug.test.CSVUtilTest
    fails on Windows due to improper line separator used
    + S8204517: [Graal] org.graalvm.compiler.debug.test.VersionsTest
    fails with InvalidPathException on windows
    + S8205207: Port Graal unit tests under jtreg
    + S8205418: Assorted improvements to source code model
    + S8205499: C1 temporary code buffers are not removed with
  - XX:+UseDynamicNumberOfCompilerThreads
    + S8205515: assert(opcode == Op_RangeCheck) failed: no other if
    variant here
    + S8205534: Remove SymbolTable dependency from serviceability
    agent
    + S8205615: Start of release updates for JDK 12
    + S8205619: Bump maximum recognized class file version to 56
    for JDK 12
    + S8205621: Increment JDK version for JDK 12
    + S8205653: test/jdk/sun/management/jmxremote/bootstrap/
    /RmiRegistrySslTest.java and RmiSslBootstrapTest.sh fail with
    handshake_failure
    + S8205720: KeyFactory#getKeySpec and translateKey thorws
    NullPointerException with Invalid key
    + S8205927: Update src/java.base/share/legal/public_suffix.md
    to match the actual file version
    + S8205940: LoadNode::find_previous_arraycopy fails with
    "broken allocation" assert
    + S8205965: SIGSEGV on write to NativeCallStack::EMPTY_STACK
    + S8205999: C2 compilation fails with
    "assert(store->find_edge(load) != -1) failed: missing
    precedence edge"
    + S8206003: SafepointSynchronize with TLH: StoreStore barriers
    should be moved out of the loop
    + S8206006: Build failed on Windows
    + S8206022: Add test to check that the JVM accepts class files
    with version 56
    + S8206083: Make tools/javac/api/T6265137.java robust to JDK
    version changes
    + S8206085: Refactor langtools/tools/javac/versions/Versions.java
    + S8206086: [Graal] JDI tests fail with
    com.sun.jdi.ObjectCollectedException
    + S8206087: windows-x64-cmp-baseline fails with The files do
    not have the same suffix type
    + S8206088: 8205207 broke builds
    + S8206093: compiler/graalunit/HotspotTest.java fails in
    CheckGraalIntrinsics
    + S8206114: Refactor
    langtools/tools/javac/classfiles/ClassVersionChecker.java
    + S8206117: failed to get JDK properties for JVM w/o JVMCI
    + S8206120: Add test cases for lenient Japanese era parsing
    + S8206309: Tier1 SA tests fail
- Removed patch:
  * java-12-version.patch
    + Not needed any more
* Fri Jun 29 2018 fstrba@suse.com
- Update to upstream tag jdk-12+0, first branch tag for openjdk 12
  * Fixes:
    + S4475138: getBestCursorSize and XFree86 4.1.0
    + S7007966: Add Brainpool ECC support (RFC 5639)
    + S8003209: JFR events for network utilization
    + S8010319: Implementation of JEP 181: Nest-Based Access Control
    + S8060192: Add default method <A> A[]
    Collection.toArray(IntFunction<A[]> generator)
    + S8066709: Make some JDK system properties read only
    + S8137164: Include PID in the JFR jcmd hint
    + S8144992: Remove OopIterateClosure::idempotent
    + S8153732: Windows remote printer changes do not reflect in
    lookupPrintServices()
    + S8155192: [TESTBUG] SHA tests assumes that x86 does not have
    SHA intrinsics
    + S8160673: Jittester: investigate bytecode generation hangs
    during bytecode tests generation
    + S8169559: Add class loader names to relevant VM messages
    + S8172854: [TESTBUG] Exclude
    runtime/ReservedStack/ReservedStackTest.java from being run
    with DeoptimizeALot option
    + S8185927: create regression test for 8062950
    + S8187100: Support Unicode Variation Selectors
    + S8187218: GSSCredential.getRemainingLifetime() returns
    negative value for TTL > 24 days.
    + S8187288: bad (no) wrapping for modifier and type column
    + S8189103: AARCH64: optimize String indexOf intrinsic
    + S8189105: AARCH64: create intrinsic for sin and cos
    + S8189112: AARCH64: optimize StringUTF16 compress intrinsic
    + S8189113: AARCH64: StringLatin1 inflate intrinsic doesn't use
    prefetch instruction
    + S8189429: SA: MacOSX: Replace the deprecated PT_ATTACH with
    PT_ATTACHEXC
    + S8190876: javadoc search on "java.se" shows "java.se" the
    last one among other modules
    + S8192953: sun/management/jmxremote/bootstrap/*.sh tests fail
    with error : revokeall.exe: Permission denied
    + S8194152: sun/security/tools/jarsigner/AltProvider.java
    failed on de-DE locale
    + S8194873: right ALT key hotkeys no longer work in Swing
    components
    + S8194937: Inconsistent behavior of --validate-modules when
    combined with -m and other options
    + S8195077: [Testbug] tools/javac/processing/model/
    /completionfailure/NoAbortForBadClassFile.java -
    AccessDeniedException
    + S8195607: sun/security/pkcs11/Secmod/TestNssDbSqlite.java
    failed with "NSS initialization failed" on NSS 3.34.1
    + S8195650: Method references to VarHandle accessors
    + S8195986: Incorrect javac -h output with annotation
    processing and missing classes
    + S8196213:
    sun/security/tools/jarsigner/warnings/NoTimestampTest.java
    test fails on ar_SA locale.
    + S8196402: AARCH64: create intrinsic for Math.log
    + S8196425: tools/javac/modules/AnnotationProcessing.java failed
    + S8196584: TLS 1.3 Implementation
    + S8197425: Liveset information for Old Object sample event
    + S8197532: Re-examine policy for the default set of modules
    when compiling or running code on the class path
    + S8198372: API to create a SelectableChannel to a
    FileDescriptor
    + S8198909: [Graal]
    compiler/codecache/stress/UnexpectedDeoptimizationTest.java
    crashed with SIGSEGV
    + S8199124: (fs) Reduce allocation for file system methods that
    are invoked with no open options
    + S8199265: java/util/Arrays/TimSortStackSize2.java fails with
    OOM
    + S8199580: [TESTBUG] Un-quarantine
    vm/mlvm/indy/func/jdi/breakpointOtherStratum and breakpoint
    + S8199940: Print more information about class loaders in
    IllegalAccessErrors.
    + S8200243: System error message is decoded as invalid encoding
    in Windows.
    + S8200720: Print additional information in thread dump (times,
    allocated bytes etc.)
    + S8201610: Broken link on the page
    api/java.rmi/java/rmi/server/UnicastRemoteObject.html
    + S8201815: Use Mozilla Public Suffix List
    + S8202292:
    java/io/FileOutputStream/UnreferencedFOSClosesFd.java fails
    with "raw fd count wrong"
    + S8202299: Java Keystore fails to load PKCS12/PFX certificates
    created in WindowsServer2016
    + S8202326: AARCH64: optimize string compare intrinsic
    + S8202331: Obsolete support for commercial features
    + S8202422: value of 'sizeCtl' in ConcurrentHashMap varies with
    the constructor called
    + S8202554: Remove hotspot tests for javafx.* modules
    + S8202608: CommonSeeder test needs a white-box testing
    mechanism to replace the default entropy source
    + S8202615: Remove NativeMonitorSpinLimit, NativeMonitorFlags
    and NativeMonitorTimeout experimental flags
    + S8202696: Remove exclusion range for phonetic chars in
    windows fontconfig.properties
    + S8202698: Update Graal for JEP 181 - Nest-based access control
    + S8202788: Explicitly reclaim cached thread-local direct
    buffers at thread exit
    + S8202922: Method reference identity is broken by serialization
    + S8203003: Several FileDialog Modality Tests fail on Linux due
    to X errors
    + S8203184: List.copyOf() fails to copy sublists
    + S8203188: Add JEP-181 support to the Zero interpreter
    + S8203228: Branch-free output conversion for X25519 and X448
    + S8203299: StringPoolBuffer access covered by exclusive access
    invariant, remove (problematic) cas operations
    + S8203481: Incorrect constraint for unextended_sp in
    frame:safe_for_sender
    + S8203664: JFR start failure after AppCDS archive created with
    JFR StartFlightRecording
    + S8203670: unmodifiable List iterator() implementations should
    not be ListIterators
    + S8203681: Miscellaneous changes imported from jsr166 CVS
    2018-06
    + S8203814: javac --release=8 \"cannot find symbol\" for
    NashornException.getEcmaError()
    + S8203864: Execution error in Java's Timsort
    + S8203929: Limit amount of data for JFR.dump
    + S8204082: Make names of Young GCs more uniform in logs
    + S8204157: Compiler.sunflow hangs after JDK-8192992
    + S8204209: [Graal] Compilation fails during nmethod printing
    with "assert(bci == 0 || 0 <= bci && bci < code_size())
    failed: illegal bci"
    + S8204233: Add configurable option for enhanced socket
    IOException messages
    + S8204289: AARCH64: enable math intrinsics usage in
    interpreter and C1
    + S8204331: AArch64: fix CAS not embedded in normal graph error
    + S8204492: Add deprecation annotation to Nashorn APIs and
    warning to nashorn, jjs
    + S8204524: Unnecessary memory barriers in
    G1ParScanThreadState::copy_to_survivor_space
    + S8204540: Automatic oop closure devirtualization
    + S8204661: Show error 'Port already in use' in
    HashedPasswordFileTest.java
    + S8204930: Reader:nullReader() spec does not match the behavior
    + S8204946: Clean-up problem list for JDK-8202933 and
    JDK-8202934
    + S8204967: Resolve disabled warnings for libunpack
    + S8205004: AArch64: fix failures in jtreg ArraysEqCmpTest
    + S8205053: Decouple type registration from framework lifecycle
    + S8205058: (fs) Files read/writeString should throw
    CharacterCodingException instead of IOException with an
    IllegalArgumentException as cause
    + S8205107: assert(c->Opcode() == Op_SafePoint) failed: broken
    outer loop
    + S8205111: Develop new Test to verify different key types for
    supported TLS protocols.
    + S8205113: Update JVMTI doc references to object allocation
    tracking
    + S8205119: SwingApplet demo should be removed
    + S8205136: Move StylePad demo to the open repository
    + S8205144: JSpinner may change the font after became visible
    + S8205153: Delete "standard instructions" machinery in the
    open automated tests
    + S8205158: Update the .md files for 3rd party software Unicode
    10.0, ICU 60.2, and CLDR v33.
    + S8205160: jQuery UI, jQuery-migrate, and jQuery license file
    to be updated to the revision present.
    + S8205175: Deprecate UnlinkSymbolsALot debugging option.
    + S8205184: Delegating Iterator implementations that don't
    delegate forEachRemaining()
    + S8205194: Improve the Array Comparison when there is mismatch
    at first element.
    + S8205195: NestedThreadsListHandleInErrorHandlingTest fails
    because hs_err doesn't contain _nested_thread_list_max
    + S8205197: Never default to using libc++ on Linux
    + S8205199: more Linux clang compile failures
    + S8205324: Part of java.awt.Desktop.browse(URI) spec is
    outdated after support of applets was removed
    + S8205342: windows : potential memleaks in getAdapter(s) in
    NetworkInterface_winXP.c
    + S8205397: InetAddress has wrong declaration for
    readObjectNoData
    + S8205398: AES-CBC decryption algorithm using AVX512
    instructions
    + S8205400: [Graal]
    compiler/jvmci/compilerToVM/DisassembleCodeBlobTest.java fails
    with can't be enqueued for compilation on level 4
    + S8205405: ZGC: Decouple JFR type registration
    + S8205416: windows: fix checking of CloseHandle return code in
    Java_java_io_FileCleanable_cleanupClose0
    + S8205419: [testbug] TestJmapCore failing without SA:
    introduce @requires vm.hasSAandCanAttach
    + S8205422: assert(false) failed: Bad verification_type_info
    + S8205424: Change to Xcode 9.4 for building on Macosx at Oracle
    + S8205438: Re-enable shebang tests in
    test/jdk/tools/launchers/SourceMode.java
    + S8205441: Upgrade to harfbuzz 1.8.1
    + S8205442: Avoid hard-coding --source value in
    SourceLauncherTest.java
    + S8205445: Add RSASSA-PSS Signature support to SunMSCAPI
    + S8205455: jdeprscan issues annotation processor warning
    regarding RELEASE_10
    + S8205456: Unification of iterations over arrays
    + S8205459: Rename Access API flag decorators
    + S8205474: AARCH64: wrong zr encoding for ccmp instruction
    + S8205475: AARCH64: optimize FPU loads and stores in
    C1_Runtime1_aarch64.cpp
    + S8205490: update ProblemList-graal
    + S8205494: Convert or remove all AWT applet demos
    + S8205498: Typo in fix for 8205119 breaks Solaris demo build
    + S8205508: hotspot/jtreg/vmTestbase/nsk/jdb/exclude/exclude001/
    /exclude001.java fails with Prompt is not received during
    300200 milliseconds.
    + S8205509: assert(_name_and_id != 0LL) failed: encountered a
    class loader null name and id
    + S8205528: Base64 encoding algorithm using AVX512 instructions
    + S8205531: jcmd VM.classloaders should fold similar loaders
    + S8205533: Class.getPackage() fails with InternalError if
    class is defined to the bootstrap class loader but module is
    not in the boot layer
    + S8205540: test/hotspot/jtreg/vmTestbase/nsk/jdb/trace/
    /trace001/trace001.java fails with Debuggee did not exit after
    15 <cont> commands
    + S8205547: FileChannel/CleanerTest.java fails due to expected
    FD count
    + S8205559: Remove IN_CONCURRENT_ROOT Access decorator
    + S8205570: fix a number of typos in the JVMTI spec
    + S8205577: parallel/TestPrintGCDetailsVerbose.java fails
    assertion
    + S8205583: Crash in ConcurrentHashTable
    do_bulk_delete_locked_for
    + S8205605: [testbug][aix] Various test adaption to aix
    pecularities.
    + S8205607: Use oop_iterate instead of oop_iterate_no_header
    + S8205609: [PPC64] Fix PPC64 part of 8010319 and TLH without
    UseSIGTRAP on AIX
    + S8205612: (fc) Files.readAllBytes fails with
    ClosedByInterruptException when interrupt status set
    + S8205614: NestMates tests failing in CI jdk11-jdk.931
    + S8205616: Build fails with system headers after 8204572
    + S8205623: Replace use of Class::getPackage with
    Class::getPackageName
    + S8205625: linux-aarch64-cmp-baseline fails builds-tier5
    + S8205627: Replace hardcoded spec version value in
    build.tools.ExtLink taglet
    + S8205632: Include stack.inline.hpp in markSweep.inline.hpp
    + S8205641: Make java/nio/channels/Selector/RacyDeregister.java
    noisier and flush after prints
    + S8205648: fix for 8205195 breaks secondary error handling
    + S8205649: Make clang stack flags independent of OS
    + S8205663: ZGC: Log metaspace used/capacity/committed/reserved
    + S8205664: Move detailed metaspace logging from debug to trace
    + S8205671: Remove HTTP Client tests erroneously problem listed
    by the TLS 1.3 integration
    + S8205673: Problem list RmiRegistrySslTest.java and
    RmiSslBootstrapTest.sh
    + S8205676: ZGC: Remove TLAB allocations in relocation path
    + S8205678: ZGC: Remove unused ZAllocationFlags::java_thread()
    + S8205679: Remove unused
    ThreadLocalAllocBuffer::undo_allocate()
    + S8205681: [TEST_BUG] vmTestbase/nsk/jvmti/Allocate/alloc001/
    /TestDescription.java fails with exit code 98
    + S8205683: Refactor heap allocation to separate concerns
    + S8205694: AArch64: Add test to validate volatile load, store
    and CAS code generation
    + S8205696: Undo licence.md
    + S8205699: assert(_owner_offset != 0) failed in javaClasses.cpp
    + S8205701: Problem list serviceability/jvmti/HeapMonitor/
    /MyPackage/HeapMonitorGCCMSTest.java
    + S8205702: assert(UseCompressedClassPointers) failed in
    universe.hpp
    + S8205703: [JVMCI] Expose all GC selection flags
    + S8205719: Windows
    Java_sun_tools_attach_VirtualMachineImpl_enqueue() method
    should include exitCode in exception message
    + S8205721: Problem list serviceability/jvmti/HeapMonitor/
    /MyPackage/HeapMonitorStatArrayCorrectnessTest.java
    + S8205723: Problem list serviceability/jvmti/HeapMonitor/
    /MyPackage/HeapMonitorStatRateTest.java
    + S8205824: Update Graal
    + S8205906: jdk.jfr.jcmd.TestJcmdDumpLimited fails due to
    erronous processing of -XX:FlightRecorderOptions
    + S8205913: Inconsistent source code model
    + S8205916: [test] Fix jdk/tools/launcher/RunpathTest to handle
    both, RPATH and RUNPATH
    + S8205923: ZGC: Verification applies load barrier before
    verification
    + S8205923: ZGC: Verification applies load barriers before
    verification
    + S8205925: Print correct and more information about secondary
    errors
    + S8205926: Support invokeSpecialIFC in GenerateJLIClassesPlugin
    + S8205942: Build failure on macosx after JDK-8189429
    + S8205945: Revert unintended changes to
    make/gensrc/Gensrc-jdk.hotspot.agent.gmk
    + S8205954: clean up hotspot ProblemList
    + S8205956: Fix usage of "OpenJDK" in build and test
    instructions
    + S8205959: Do not restart close if errno is EINTR
    + S8205985: Remove
    tools/javac/options/release/ReleaseOptionUnsupported.java from
    problem list
    + S8205993: ZGC: Fix typos and incorrect indentations
    + S8205996: JDK-8205906 broke the build on Mac
    + S8206004: [BACKOUT] errant changeset for JDK-8137164
- Added patch:
  * java-12-version.patch
    + Upstream commit to change different versions that did not
    make it into the tag
- Removed patch:
  * generated-headers.patch
    + Integrated upstream
- Modified patch:
  * alternative-tzdb_dat.patch
    + Modify to upstream changes in the context
* Fri Jun 22 2018 fstrba@suse.com
- Added patch:
  * missing-return.patch
    + fix no-return-in-nonvoid-function
* Thu Jun 21 2018 fstrba@suse.com
- Update to upstream tag jdk-11+19
  * Fixes:
    + S6545967: sp05t003 failed ResumeThread() due to
    THREAD_NOT_SUSPENDED
    + S6608234: SwingWorker.get throws CancellationException
    + S7183985: (ann) Class.getAnnotation() throws an
    ArrayStoreException when the annotation class not present
    + S8029250: [macosx] There is no tray icon shown in the system
    tray area when case starts
    + S8042131: DateTimeFormatterBuilder Mapped-values do not work
    for JapaneseDate
    + S8043575: Dynamically parallelize reference processing work
    + S8149565: -locale option issues
    + S8153107: enabling ObjectSynchronizer::quick_enter() on ARM64
    causes hangs
    + S8170159: Improve the performance of BitSet traversal
    + S8177334: Update xmldsig implementation to Apache Santuario
    2.1.1
    + S8178150: Regression in logic for handling inference stuck
    constraints
    + S8184349: There should be some verification that EnableJVMCI
    is disabled if a GC not supporting JVMCI is selected
    + S8191512: T2K font rasterizer code removal
    + S8193302: Javac AssertionError: typeSig ERROR on usage of
    @Generated
    + S8194308: jdeprscan will need updates to deal with the
    removal of the Java EE modules
    + S8195115: G1 Old Gen MemoryPool CollectionUsage.used values
    don't reflect mixed GC results
    + S8195293: Issue more comprehensive warnings for use of
    \"var\" in earlier source versions
    + S8196618: Create API to list supported values for javac
  - -release option
    + S8196988: Resolve disabled warnings for libjimage
    + S8198669: Refactor annotation array value parsing to reduce
    duplication
    + S8198719: MethodHandleHelper.linkToStatic should drop MH arg
    + S8199433: (se) select(Consumer<SelectionKey> action) as
    alternative to selected-key set
    + S8199435: Unsafe publication of java.util.Properties.map
    + S8199441: Wrong caret position in multiline text components
    on Windows with a screen resolution higher than 100%%
    + S8199871: Deprecate pack200 and unpack200 tools
    + S8200115: System property java.vm.vendor value includes
    quotation marks
    + S8200121: Remove unused qualified exports in java.base
    + S8200353: Shift or Capslock not working in Textfield after
    accented keystrokes
    + S8200605: Create test for GridBagLayoutDemo
    + S8200867: Remove references to "jdk 9" in build system
    + S8201276: (fs) Add methods to Files for reading/writing a
    string from/to a file
    + S8202199: Provide public, unsupported JDK API for
    JavaFX/Swing interop
    + S8202216: Add Buffer mismatch methods
    + S8202537: CLDR33
    + S8202559: Tests which start VM using JNI start failing after
    compile upgrade to VC 2017
    + S8202605: Standardize on ClassLoaderData::loader_name()
    throughout the VM to obtain a class loader's name
    + S8202624: javadoc generates references to enum constructors,
    which are not documented
    + S8202740: runtime/8176717/TestInheritFD.java fails with
    java.lang.RuntimeException: could not match:
    VM RESULT => RETAINS FD
    + S8202768: [macos] Appkit thread slows when any Window Manager
    active
    + S8202845: Refactor reference processing for improved
    parallelism
    + S8202948: C2: assert(init_offset >= 0) failed: positive
    offset from object start
    + S8203030: Zero s390 31 bit size_t type conflicts in shared
    code
    + S8203157: Object equals abstraction for BarrierSetAssembler
    + S8203197: C2: consider all paths in loop body for loop
    predication
    + S8203301: Linux-sparc fails to build after JDK-8199712
    (Flight Recorder)
    + S8203338: Unboxing in return from lambda miscompiled to throw
    ClassCastException
    + S8203343: VM.{metaspace|classloaders|classhierarchy...} jcmd
    should show invocation targets for
    Generated{Method|Constructor}AccessorImpl classes
    + S8203344: Make C1 leal patchable on SPARC
    + S8203357: Container Metrics
    + S8203394: Implementation of JEP 331: Low-Overhead Heap
    Profiling
    + S8203479: JFR enabled ARM32 build assertion failure
    + S8203491: [TESTBUG] Port heapdump tests into java
    + S8203641: Refactor String Deduplication into shared
    + S8203667: Platform specific include files in jdk image in
    wrong sub directory
    + S8203680: os::stat() on Posix platform does not need to copy
    input path
    + S8203691: Test /runtime/containers/cgroup/PlainRead.java fails
    + S8203809: [Graal] JDI tests fail with:
    JDITestRuntimeException : ** event IS NOT a breakpoint **
    + S8203813: javac accepts an illegal name as a receiver
    parameter name
    + S8203838: javac performance regression in 11+11
    + S8203915: Induction variable of over-unrolled loop conflicts
    with range checks
    + S8204152: SignedObject throws NullPointerException for null
    keys with an initialized Signature object
    + S8204166: TLH: Semaphore may not be destroy until signal have
    returned.
    + S8204169: Humongous continues region remembered set states do
    not match the one from the corresponding humongous start
    region
    + S8204172: Predicate::not should explicitly mention
    "NullPointerException - if target is null"
    + S8204231: Update Graal
    + S8204236: JFR unit test of thread CPU load should be enabled
    + S8204240: Extend MDO to allow more reasons to be recorded per
    bci
    + S8204268: Improve some IncompatibleClassChangeError messages.
    + S8204330: Javadoc IllegalArgumentException: HTML special
    chars in constant value
    + S8204342: methods in java.time s TCKZoneRules OpenJDK test
    miss Test annotation
    + S8204353: AARCH64: optimize FPU load and stores in
    macroAssembler
    + S8204454: Remove of sun.applet.AppletAudioClip
    + S8204473: AARCH64: register post-index addressing mode is not
    supported directly
    + S8204509: Fix compilation error in harfbuzz 1.7.6 for Solaris
    Developer Studio 12.6
    + S8204531: Remove unused chars following '\0'
    + S8204538: Split ScanClosure and ScanClosureWithParBarrier
    + S8204571: Add support for launching multiple startup
    recordings
    + S8204613: StringTable: Calculates wrong number of uncleaned
    items.
    + S8204620: ModuleEntry::is_non_jdk_module() determination for
    what is a jdk module is incorrect
    + S8204654: [testbug] Fix pattern matching in jstat tests.
    + S8204663: clean up remaining native parts after JDK-8187631
    + S8204664: PrepareFailureLogs should be done after sequential
    make targets
    + S8204666: javadoc should be updated to use jQuery 3.3.1
    + S8204668: Cleanup management of the java.vm.info System
    property
    + S8204679: HTTP Client refresh
    + S8204685: Abstraction for TLAB dummy object
    + S8204701: [TESTBUG] runtime/SharedArchiveFile/
    /BootAppendTests.java should handle mapping failure
    + S8204857: ConcurrentHashTable: Fix parallel processing
    + S8204859: [macosx] Remove javax/swing/plaf/nimbus/8057791/
    /bug8057791.java from the ProblemList.txt
    + S8204915: (fs) Add some print diagnostics to
    java/nio/file/Files/CopyAndMove.java
    + S8204922: Create bootcycle jib profiles
    + S8204923: Restore Symantec root verisignclass2g2ca
    + S8204927: ZGC: assert(phase->idom(head) ==
    head->in(LoopNode::EntryControl)) failed
    + S8204929: Fonts with embedded bitmaps are not always rotated
    + S8204935: [aix] TOC overflow in libjvm.so (release build)
    + S8204939: Change Access nomenclature: root to native
    + S8204941: Refactor TemplateTable::_new to use MacroAssembler
    helpers for tlab and eden
    + S8204943: Improve message of ArrayStoreException.
    + S8204944: Remove java/util/Map/InPlaceOpsCollisions.java from
    ProblemList
    + S8204957: Remove TestBiasedLockRevocationEvents from
    ProblemList.txt
    + S8204958: Minor cleanups for the diagnostic framework
    + S8204961: JVMTI jtreg tests build warnings on 32-bit platforms
    + S8204965: Fix '--disable-cds' and disable CDS on AIX by
    default
    + S8204973: Add build support for filtering translations
    + S8204978: [Graal] Disable Epsilon GC tests from running with
    Graal
    + S8205003: Replace selected link tags with linkplain in
    java.lang.Class
    + S8205006: Assertion failure when rehashing stringtable
    + S8205020: ZGC: Apply workaround for buggy sem_post() in glibc
    < 2.21
    + S8205022: ZGC: SoftReferences not always cleared before
    throwing OOME
    + S8205024: ZGC: Worker threads boost mode not always enabled
    when is should be
    + S8205025: [AOT] make jdk.aot module upgradeable
    + S8205028: ZGC: Remove incorrect comment in
    ZHeap::object_iterate()
    + S8205033: [REDO] Induction variable of over-unrolled loop
    conflicts with range checks
    + S8205034: [BACKOUT] Induction variable of over-unrolled loop
    conflicts with range checks
    + S8205043: Make parallel reference processing default for G1
    + S8205050: ZGC: Incorrect use of RootAccess in ZHeapIterator
    + S8205052: No compilation error thrown when no valid
    parameterization exists for functional interface type
    + S8205054: Could not find "lsof" on test machine
    + S8205055: Fix compilation optimization errors with new
    Solaris toolchain
    + S8205062: (fs) Improve some print diagnostics in
    java/nio/file/Files/CopyAndMove.java
    + S8205064: Fail immediately if an unavailable GC is selected
    + S8205074: [Graal] Add rest of compiler/stable tests into
    ProblemList-graal.txt
    + S8205091: AIX: build errors in hotspot after 8203641:
    Refactor String Deduplication into shared
    + S8205096: Add missing files for 8203394
    + S8205108: [testbug] Fix pattern matching in jstatd tests.
    + S8205110: Fix xchip warnings with new Solaris toolchain
    + S8205112: Remove non-existent modules from
    test/jdk/jdk/modules/etc/UpgradeableModules.java
    + S8205116: jdeps --system $java.home fails with IAE
    + S8205141: runtime/exceptionMsgs/ArrayStoreException/
    /ArrayStoreExceptionTest.java failed with
    "assert(k->is_objArray_klass()) failed: cast to ObjArrayKlass
    + S8205148: Turn off logging in jQuery-migrate
    + S8205149: hs201t002 should be put on the problem list
    + S8205163: ZGC: Keeps finalizable marked PhantomReference
    referents strongly alive
    + S8205172: 32 bit build broken
    + S8205181: ProblemList
    applications/ctw/modules/java_desktop_2.java
    + S8205183: Warning about using VS2017 should be removed
    + S8205338: ZGC: LeakProfiler not yet supported
    + S8205339: ZGC: VerifyBeforeIteration not yet supported
    + S8205341: AARCH64: Clean up duplicate uzp1 & uzp2 instruction
    definition
    + S8205344: TraceMemoryManagerStats changes in JDK-8195115
    broke ZGC
    + S8205407: [windows, vs<2017] C4800 after 8203197
- Modified patches:
  * generated-headers.patch
    + Better version resulting from discussion with upstream
  * java11-improved-fonts.patch
    + Rediff to changed context
* Thu Jun 14 2018 fstrba@suse.com
- Update to upstream tag jdk-11+18
  * Fixes:
    + S6350055: (se) SelectionKey.interestOps variants to
    atomically update interest ops
    + S8174734: Safepoint sync time did not increase
    + S8178374: Problematic ByteBuffer handling in
    CipherSpi.bufferCrypt method
    + S8190326: Robot.mouseMove uses scaling factor of main display
    on unscaled second display
    + S8194073: Invalid SunNativeProvider.INSTANCE initialization
    + S8195097: Make it possible to process StringTable outside
    safepoint
    + S8196030: AWT Robot mouseMove fails on Windows 10 1709 with
    HiDPI
    + S8196141: Add GoDaddy root certificates
    + S8196990: Resolve disabled warnings for libjli
    + S8196993: Resolve disabled warnings for libunpack
    + S8197930: JNI exception pending in initializeEncoding of
    jni_util.c
    + S8200132: Remove jre images and bundles
    + S8200387: [Graal] fromTonga/nsk/jdi tests hang with Graal as
    JIT
    + S8201193: Use XMM/YMM for objects initialization
    + S8201274: Launch Single-File Source-Code Programs
    + S8201407: Files.move throws DirectoryNonEmptyException when
    moving directory across file system
    + S8201528: Add new test to check for package versioning
    information in OpenJDK
    + S8201608: fix broken links in javax/sql/rowset/package.html
    and javax/sql/rowset/spi/package.html
    + S8202049: G1: ReferenceProcessor doesn't handle mark stack
    overflow
    + S8202088: Japanese new era implementation
    + S8202611: [GRAAL] Exclude CMS GC testing from runs with Graal
    + S8202705: ARM32 build crashes on long JavaThread offsets
    + S8202747: C2: assert(mode == ControlAroundStripMined && use
    == sfpt) failed: missed a node
    + S8202772: NMT thread stack tracking causes crashes on AIX
    + S8202864: [TESTBUG] Need to replace the image used in two
    Swing tests
    + S8203033: [Testbug] vmTestbase/nsk/jdi/TypeComponent/
    /isSynthetic/issynthetic002/TestDescription.java fails with
    nestmates
    + S8203172: Primitive heap access for interpreter
    BarrierSetAssembler/aarch64
    + S8203224: java.awt.desktop.*Event classes could not be
    instantiated if Desktop feature is not supported
    + S8203308: Remove the appletviewer classes
    + S8203329: JDWP/JDI VM information string is incorrect
    + S8203353: Fixup inferred decorators in the interpreter
    + S8203367: Upgrade to freetype 2.9.1
    + S8203425: assert(is_Loop()) failed: invalid node class
    + S8203480: IncompatibleClassChangeError thrown at sites linked
    to default interface methods
    + S8203499: Uninitialised memory in WinAccessBridge.cpp
    + S8203679: AssertionError in DeferredAttr with parenthesized
    method reference
    + S8203682: Add jcmd "VM.classloaders" command to print out
    class loader hierarchy, details
    + S8203796: Define API to support specifying ownership of print
    dialogs
    + S8203822: AIX version of jsig.c was not removed in JDK-8200298
    + S8203839: API clarification: versioned jar entry verification
    in multi-release jar file
    + S8204081: Mismatch in rebuild policy and collection set
    chooser causes remembered sets to be kept errorneously
    + S8204084: Remove the G1RSBarrierRegionFilter develop flag
    + S8204097: Simplify OopStorage::AllocateList block entry access
    + S8204110: serviceability/sa/ClhsdbSymbol.java and
    ClhsdbInspect.java failed when running in CDS mode
    + S8204113: Upgrade linker used in AOT tests to be same version
    as build toolchain
    + S8204118: [macos] Nonsensical self == [super init] in
    CFileDialog.m
    + S8204126: MonospacedGlyphWidthTest.java failed again
    + S8204127: Change bundle format on Windows to zip
    + S8204180: Implementation: JEP 318: Epsilon, A No-Op Garbage
    Collector
    + S8204187: Remove proprietary JPEG code from javax.imageio
    + S8204210: Implementation: JEP 333: ZGC: A Scalable
    Low-Latency Garbage Collector (Experimental)
    + S8204211: windows : handle potential C++ exception in
    GDIRenderer
    + S8204229: Formatter and String.format ignore the width with
    the percent modifier (%%5%%)
    + S8204243: remove Thread.destroy() and Thread.stop(Throwable)
    + S8204287: Phase timings not updated correctly after
    JDK-6672778
    + S8204288: Matching the end of a string followed by an empty
    greedy regex and a word boundary fails
    + S8204290: Add check to limit number of capture groups
    + S8204303: Add redirect for overview-summary.html
    + S8204335: [ppc] Assembler::add_const_optimized incorrect for
    some inputs
    + S8204375: Add TimeUnit#convert(Duration)
    + S8204377: Rename Object#wait parameter name from "timeout" to
    "timeoutMillis"
    + S8204444: java.time cleanup
    + S8204474: Have instanceRefKlass use HeapAccess when loading
    the referent
    + S8204476: Add additional statistics to
    CodeCache::print_summary
    + S8204477: Count linkage errors and print in
    Exceptions::print_exception_counts_on_error
    + S8204479: Bitwise AND on byte value sometimes produces wrong
    result
    + S8204494: Fix for 8200530 triggered regression,
    closed/test/jdk/security/infra/java/security/KeyStore/
    /BouncyCastleInterop.java failed
    + S8204496: backout fix for 8203796 which was pushed under
    another ID
    + S8204504: Fix for 8198285 breaks slowdebug builds
    + S8204539: improve error messages in matchJavaTZ [windows]
    + S8204549: [aix][testbug] signal tests fail because vm can not
    start in primordial thread.
    + S8204554: JFR TLAB tracing broken after 8202776
    + S8204557: NMT: Linux os::committed_in_range() does not break
    out outer loop when contiguous region is found
    + S8204561: JVM_GetClassSigners: wrap signers oop in an
    objArrayHandle for subsequent safepoint
    + S8204563: UseAppCDS obsolete message confusing
    + S8204565: (spec) Document java.{vm.}?specification.version
    system properties' relation to $FEATURE
    + S8204572: SetupJdkLibrary should setup SRC and -I flags
    automatically
    + S8204576: (fs) java/nio/file/Files/CopyAndMove.java does not
    set isUnix = true on macOS
    + S8204577: jittester generator doesn't kill processes on
    timeout
    + S8204584: jdeps generates illegal dot file containing
    ranksep=0,600000
    + S8204585: Remove IN_ARCHIVE_ROOT from Access API
    + S8204588: Test failures after "Launch Single-File Source-Code
    Programs"
    + S8204589: ProblemList failing launcher tests
    + S8204598: add more thread-related system settings info to
    hs_error file on Linux
    + S8204602: Add devkit for linux-arm32
    + S8204606: [Aarch64] SIGSEGVs caused by C1 because of improper
    register usage
    + S8204610: Compiler confused by parenthesized "this" in final
    fields assignments
    + S8204617: ParallelGC parallel reference processing does not
    set MT degree in reference processor
    + S8204618: The parallel GC reference processing task executor
    enqueues a wrong number of tasks into the queue
    + S8204628: [AArch64] Assertion failure in
    BarrierSetAssembler::load_at
    + S8204648: test/jdk/tools/launchers/SourceMode.java fails with
    long shebang line
    + S8204652: [aix] fix thread stack allocation, too big stack
    sizes not recognized
    + S8204674: Inconsistent lambda parameter span
    + S8204680: Disassembly does not display code strings in stubs
    + S8204682: Parsing for LOG=report=none is broken when combined
    with other keywords
    + S8204684: [AIX] Build of libjli_static broken after change
    8204572 (SetupJdkLibrary)
    + S8204694: Add failed compiler/stable tests into
    ProblemList-graal.txt
    + S8204850: BarrierSet::make_* should be static
    + S8204861: fix for 8196993 has broken the build on linux
- Modified patch:
  * system-pcsclite.patch
    + rediff to changed context
- Added patch:
  * generated-headers.patch
    + fix a regression after JDK-8204572
* Thu Jun  7 2018 fstrba@suse.com
- Update tu upstream tag jdk-11+17
  * Fixes:
    + S5109146: PNGMetadata Background color initialization from
    standard metadata is incomplete
    + S8050818: Predicate::not - provide an easier way to negate a
    predicate
    + S8072996: Deprecate stream-based GSSContext methods
    + S8150156: Update bugs.sun.com references to bugs.java.com
    + S8153029: ChaCha20 Cipher Implementation
    + S8154736: enhancement of cmpxchg and copy_to_survivor for
    ppc64
    + S8177276: MethodHandles.insertArguments doesn't specify
    IllegalArgumentException on index mismatch
    + S8187289: NotifyFramePop request is not cleared if
    JVMTI_EVENT_FRAME_POP is disabled
    + S8189335: javac exception when referencing private inner
    class with same name as normal class with dollar_1
    + S8189949: Remove Baltimore Cybertrust Code Signing CA
    + S8190417: javadoc updates to java.util.regex.Matcher
    + S8190875: modules not listed in overview/index page
    + S8191031: Remove several Symantec Root CAs
    + S8191522: Remove Bigelow&Holmes Lucida fonts from JDK sources
    + S8193552: ISO 4217 amendment 165
    + S8194327: [macos] AWT windows have incorrect main/key window
    behaviors
    + S8195624: Desktop API cannot be used without permission to
    read "os.version"
    + S8196373: Introspector does not see overridden generic setter
    method
    + S8197387: jcmd started by "root" must be allowed to access
    all VM processes
    + S8197989: java/util/zip/ZipFile/TestCleaner.java failed with
    "cleaner failed to clean zipfile
    + S8198285: More consistent Access API for arraycopy
    + S8198378: javac crash when checking imports and a broken
    class is present
    + S8199150: Accessibility issues in java.desktop
    + S8199268:
    docs/api/jdk.javadoc/com/sun/javadoc/package-summary.html
    contain low contrast text
    + S8199371: [TESTBUG] Open source vm testbase JDWP tests
    + S8199380: [TESTBUG] Open source VM testbase AOD tests
    + S8199388: Test development for ChaCha20 and Poly1305
    algorithms
    + S8199530: Upgrade to harfbuzz 1.7.6
    + S8199723: Test java/awt/TextComponent/
    /DeselectionDuringDoSelectionNonVisibleTest/
    /DeselectionDuringDoSelectionNonVisibleTest.java fails
    + S8199882: compiler/uncommontrap/TestDeoptOOM.java failed w/
    fatal error: ExceptionMark constructor expects no pending
    exceptions
    + S8199893: the javadoc tool generates pages with a low
    constrast
    + S8200052: libjavajpeg: Fix compile warning in jchuff.c
    + S8200166: Repeating annotations refering to to-be-generated
    classes don't work.
    + S8200288: [SPARC] "assert(!(is_cti(prev) && is_cti(insn)))
    failed: CTI-CTI not allowed"
    + S8200530: '\r' is not supported as "newline" in
    java.util.jar.Manifest
    + S8200623: Primitive heap access for interpreter
    BarrierSetAssembler/x86
    + S8201279: javax.sound tests should not set java.home system
    property
    + S8201364: [macosx] Component.getLocation() gives inconsistent
    coordinate for a component at (0,0)
    + S8201429: Support AIX Input Method Editor (IME) for AWT Input
    Method Framework (IMF)
    + S8202026: ISO 4217 amendment 166
    + S8202051: Address compilation warnings in libawt with VS2017
    + S8202094: jdk/jfr/api/recording/event/TestEventTime.java
    intermittently times out
    + S8202095: JFR TestBiasedLockRevocationEvents should cope with
    multiple events during a single safepoint
    + S8202360: [TESTBUG] runtime/LoadClass/TestResize.java needs
    to print output when it fails
    + S8202547: Move G1 runtime calls used by generated code to
    G1BarrierSetRuntime
    + S8202627: javadoc generates broken links to deprecated items
    when -nodeprecated is used
    + S8202670: Update Graal
    + S8202758: SIGSEGV calling
    Class.forName(String,Boolean,ClassLoader) with mocked loader
    + S8202776: Modularize GC allocations in runtime
    + S8202812: [TESTBUG] Open source VM testbase compiler tests
    + S8202913: loader constraint message for fields specifies
    incorrect referring class
    + S8203027: Open source tests for "java.awt.geom"
    + S8203031: segfaults from jvmti_AddToBootstrapClassLoaderSearch
    + S8203182: Release session if initialization of SunPKCS11
    Signature fails
    + S8203219: VM.metaspace jcmd should optionally show loaded
    classes for loaders
    + S8203237: JFR TestBiasedLockRevocationEvents should ignore
    events unrelated to the test
    + S8203319: JDK-8201487 disabled too much queue balancing
    + S8203321: assert(current_query_index <
    process_query_set->size) failed: invariant
    + S8203324: Use out of scope in getMacOSXLocale of
    java_props_macosx.c:120
    + S8203380: Missing platform and bug information for
    MouseModifiersInKeyEvent test
    + S8203435: Circular nested dynamic constant test needed to
    confirm JVMS resolution behavior
    + S8203445: [TESTBUG] Remove
    appcds/jigsaw/limitmods/LimitModsTests.java
    + S8203474: Update description of "Cyrillic Supplementary"
    block name in Character.UnicodeBlock class.
    + S8203485: [freetype] text rotated on 180 degrees is too narrow
    + S8203498: The specification for java.applet package should be
    updated
    + S8203669: PPC64: Fix jtreg RTM tests after "8203305: Improve
    TM detection for enabling RTM on Linux / POWER9"
    + S8203765: java/nio/channels/Selector/SelectAndClose: add some
    prints and @intermittent tag
    + S8203780: javadoc should be updated to use jquery 1.12.4,
    jquery-ui 1.12.1 and jszip v3.1.5
    + S8203787: Hotspot build broken on linux-sparc after 8202377
    + S8203802: Jvmti test fails to build with VS2017
    + S8203827: Upgrade JLine to 2.14.6
    + S8203837: Split nmethod unloading from inline cache cleaning
    + S8203872: Upgrading JDK with latest available LSR data from
    IANA.
    + S8203891: Upgrade JOpt Simple to 5.0.4
    + S8203919: Remove "-add-modules" hint from error message
    + S8203921: JFR thread sampling is missing fixes from
    JDK-8194552
    + S8203923: Add @requires feature to check flag values for the
    running JVM
    + S8203924: Zero: bootcycle-images build fails on x86_64
    + S8203937: Not possible to read data from socket after write
    detects connection reset
    + S8203939: JVMFlag::printError missing ATTRIBUTE_PRINTF
    + S8203945: Cleanup nashorn build
    + S8203946: Move UnpackSecurity.gmk to closed
    + S8203948: Expand JVMTI callback notion of "internal threads"
    + S8203960: [TESTBUG] runtime/logging/DefaultMethodsTest.java
    failed when running in CDS mode
    + S8204055: SIGSEGV in java -XX:
    + S8204085: avoid printing uninitialized pointer in
    java.desktop/windows/native/libawt/java2d/windows/
    /GDIWindowSurfaceData.cpp
    + S8204087: C++ Interpreter code left over in MethodData
    + S8204091: Configure broken on MIPS when uname returns mipsel
    or mips64el
    + S8204094: assert(worker_i < _length) failed: Worker 15 is
    greater than max: 11 at ReferenceProcessorPhaseTimes
    + S8204095: [TESTBUG] TestPrintReferences.java fails if
    multiple concurrent mark happens
    + S8204103: Mark test
    serviceability/dcmd/compiler/CompilerQueueTest.java as
    intermittent and exclude it from tier1
    + S8204109: JDK-8203945 broke nashorn
    + S8204122: Update harfbuzz.md
    + S8204134: jtreg: Fix RTM abort provoker for various tests
    after "8149159: Clean up Unsafe"
    + S8204136: jtreg: Fix failing RTM test RTMSpinLoopCount
    + S8204160: BiasedLockingTest needs -XX:+UseBiasedLocking
    + S8204162: TestG1HeapRegion needs @requires vm.gc.G1
    + S8204163: Also detect concurrent GCs in MetaspaceBaseGC.java
    + S8204164: OOM-only logging in Metaspace
    + S8204165: Filter out tests requiring class unloading when
    ClassUnloading is disabled
    + S8204167: Filter out tests requiring compressed oops when
    CompressedOops is disabled
    + S8204168: Increase small heap sizes in tests to accommodate
    ZGC
    + S8204173: Lower the minimum number of heap memory pools in
    MemoryTest.java
    + S8204179: [BACKOUT] OopStorage should use GlobalCounter
    + S8204194: Lazily create
    MethodHandleImpl$AsVarargsCollector.asCollectorCache
    + S8204195: Clean up macroAssembler.inline.hpp and other
    inline.hpp files included in .hpp files
    + S8204199: Test fails after 8202670 Graal update
    + S8204237: Clean up incorrectly included .inline.hpp files
    from jvmciJavaClasses.hpp
    + S8204250: Problem list pkcs11 tests on windows
    + S8204269: ISO 4217 amendment 167
    + S8204277: [testbug] fix DisassembleCodeBlobTest.
    + S8204292: PPC64: Fix missing includes after 8204195
    + S8204295: [BACKOUT] - JVMFlag::printError missing
    ATTRIBUTE_PRINTF
    + S8204301: Make OrderAccess functions available to hpp rather
    than inline.hpp files
    + S8204321: javadoc tests fail after JDK-8203780
    + S8204322: "+=" applied to String operands can provoke side
    effects
    + S8204341: AArch64: AOT runtime does not need a workaround for
    far calls
    + S8204345: [s390]: no precompiled headers build broken
    + S8204348: AArch64: Remove C2 address reshaping code
* Tue Jun  5 2018 fstrba@suse.com
- Change the alternatives priority from 0 to 2105, since OpenJDK 11
  should now be in a shape to be able to be used.
* Tue Jun  5 2018 fstrba@suse.com
- Change build requirement to Java 10 or 11, since Java 9 cannot
  build OpenJDK 11 any more.
* Thu May 31 2018 fstrba@suse.com
- Update to upstream tag jdk-11+16
  * Fixes:
    + S8133564: Runtime - 2nd followup to Validate JVM Command-Line
    Flag Arguments
    + S8184030: TestUseRTMLockingOptionOnUnsupportedVM - RTM
    locking optimization not supported is missing
    + S8188248: NullPointerException on generic methods
    + S8189766: whitebox failure with -Xcheck:jni
    + S8191844: Remove SECOM root (secomevrootca1)
    + S8193717: Import resolution performance regression in JDK 9
    + S8194298: Add support for per Socket configuration of TCP
    keepalive
    + S8194630: Uninitialized initiator_address in native GSS
    + S8196202: Javadoc should not generate frames by default
    + S8196913: javadoc does not (over)write stylesheet.css
    + S8198323: testing.md not updated for repository layout change
    + S8199255: [TESTBUG] Open source VM testbase default methods
    tests
    + S8199307: NPE in
    jdk.javadoc.internal.doclets.toolkit.util.Utils.getLineNumber
    + S8199383: [TESTBUG] Open source VM testbase JVMTI tests
    + S8200172: String.split non-positive term incorrect use
    + S8200266: [Graal] Update ProblemList-graal.txt files
    + S8201518: add test for randomized iteration order of
    unmodifiable Set and Map
    + S8202178: type.getKind() for var is None instead of Error
    + S8202290: AtomicAppend tests fail on macOS 10.13 ("High
    Sierra")
    + S8202813: Move vm_weak processing from SystemDictionary to
    WeakProcessor
    + S8202832: cycle detection depends on ordering of requires
    directives
    + S8202842: G1 footprint regressions in jdk11+10
    + S8202945: OopStorage should use GlobalCounter
    + S8202947: Fix minor issues with taglets
    + S8202949: C2: assert(false) failed: Bad graph detected in
    build_loop_late
    + S8202950: C2: assert(found_sfpt) failed: no node in loop
    that's not input to safepoint
    + S8203014: jcmd should output command list if no command is
    given
    + S8203028: Simplify reference processing in light of
    JDK-8175797
    + S8203041: AArch64: fix overflow in immediate cmp/cmn
    instruction
    + S8203183:
    vmTestbase/vm/mlvm/anonloader/stress/oome/heap/Test.java times
    out
    + S8203221: Makefile fixes after Flight Recorder
    + S8203225: Fix of redefining a method that removes 1 or more
    lambda expressions failed to commit test cases
    + S8203233: (tz) Upgrade time-zone data to tzdata2018e
    + S8203262: Incorrect cmpxchg usage in
    MetaspaceGC::inc_capacity_until_GC
    + S8203297: java/net/URL/OpenStream.java fails intermittently
    + S8203327: Small cleanups in java.lang.ref
    + S8203328: Rename EFS in java.util.zip internals to something
    meaningful
    + S8203354: assert in
    ClassLoader::update_module_path_entry_list() could have
    incorrect message
    + S8203366: Tag added wrongly in Docs.gmk
    + S8203368: ObjectInputStream filterCheck method throws
    NullPointerException
    + S8203369: Check for both EAGAIN and EWOULDBLOCK error codes
    + S8203370: [JVMCI] UseJVMCICompiler should imply EnableJVMCI
    + S8203455: jcmd: VM.metaspace: print loader name for anonymous
    CLDs
    + S8203488: Remove error generation from TransTypes
    + S8203497: Bump Jib format version to 1.2
    + S8203628: Optimize (masked) byte memory comparisons on x86
    + S8203686: Add JDK 11 major version to
    javax/net/ssl/compatibility/JdkRelease.java
    + S8203689: Add failure code to threaddb exception messages`
    + S8203699: java/lang/invoke/SpecialInterfaceCall fails with
    SIGILL on aarch64
    + S8203766: Add some instrumentation to
    jdk/java/nio/channels/Selector/RacyDeregister.java
    + S8203769: ProblemList
    test/jdk/java/util/Map/InPlaceOpsCollisions.java
    + S8203774: jdk/jfr/api/recorder/TestStartStopRecording.java
    failed due to compilation failed
    + S8203793: cacerts/VerifyCACerts.java fails with
    java.lang.Exception: At least one cacert test failed
    + S8203795: Change default compiler on Windows to VS2017
    + S8203815: add tests failed because of 8203809 to the
    ProblemList-graal
    + S8203816: add tests failed because of 8203174 to the
    ProblemList-graal
    + S8203817: Monitor::try_lock() should not call
    check_prelock_state()
    + S8203843: BasicParState::default_estimated_thread_count(false)
    can return 0 in gtest
    + S8203865: Metaspace cleanup: Remove unused MemRegion in
    VirtualSpaceNode
    + S8203881: Print erroneous size in NegativeArraySizeException
    + S8203885: ConcurrentLocksDump::dump_at_safepoint() should not
    allocate array in resource area
    + S8203886: Invoke LambdaMetafactory::altMetafactory exactly
    from the BootstrapMethodInvoker
    + S8203892: Target interface added as marker interface in calls
    to altMetafactory
    + S8203926: Problem list
    test/langtools/tools/javac/importscope/T8193717.java
    + S8203932: Windows devkit has wrong dlls in 32 bit tools dir
    + S8203938: Fix build failures from JDK-8133564
* Fri May 25 2018 fstrba@suse.com
- Update to upstream tag jdk-11+15
  * Fixes:
    + S8027760: JFC schema condition should not have defaults
    + S8134537: Much nearly duplicated code for sun.misc.Signal
    support
    + S8146293: Add support for RSASSA-PSS Signature algorithm
    + S8148354: Errors targeting functional interface intersection
    types
    + S8176808: Split up metaspace.cpp
    + S8185803: JdbExprTest.sh fails in JDK10-hs nightly due to
    "Name unknown: java.lang.Long.MAX_VALUE "
    + S8192992: Test8007294.java failed: attempted to spill a
    non-spillable item
    + S8193332: MetaspaceShared::check_shared_class_loader_type is
    not used during archive creation
    + S8195098: Low latency hashtable for read-mostly scenarios
    + S8195817: JFR.stop should require name of recording
    + S8195818: JFR.start should increase autogenerated name by one
    + S8195819: Remove recording=x from jcmd JFR.check output
    + S8196048: thrown type variables should be roots in the
    minimum inference graph
    + S8196201: Generate pages to list all classes and all packages
    in javadoc output
    + S8196619: [TESTBUG] restore current version check in
    runtime/appcds/MultiReleaseJars.java
    + S8196987: Resolve disabled warnings for libzip
    + S8198315: Incomplete classpath causes NPE in TransTypes
    + S8198337: -XX:StartFlightRecording=dumponexit=true,disk=false
    doesn't work
    + S8198548: Initialization race in
    com.sun.org.apache.xerces.internal.impl.xpath.regex.Token.getRange()
    on Token.categories
    + S8199064: Test applications/jcstress/other/Test.java#id1108
    fails on Sparc
    + S8199257: [TESTBUG] Open source VM testbase metaspace tests
    + S8199271: [TESTBUG] open source VM testbase stress tests
    + S8199370: [TESTBUG] Open source vm testbase GC tests
    + S8199379: [TESTBUG] Open source vm testbase JDB tests
    + S8199384: [TESTBUG] Open source VM testbase MLVM tests
    + S8199807: AppCDS performs overly restrictive path matching
    check.
    + S8200380: String::lines
    + S8200436: String::isBlank
    + S8201331: Better test cleanup for
    jdk/jfr/api/consumer/TestRecordingFile.java
    + S8201386: Miscellaneous changes imported from jsr166 CVS
    2018-05
    + S8201627: Kerberos sequence number issues
    + S8201867: Kerberos keytabs with holes in certain places are
    parsed incorrectly
    + S8202014: Possible to receive signal before signal semaphore
    created
    + S8202076: test/jdk/java/io/File/WinSpecialFiles.java on
    windows with VS2017
    + S8202305: [Graal] org.graalvm.compiler.core.test.GraphResetDebugTest
    fails with java.util.ServiceConfigurationError
    + S8202377: Modularize C2 GC barriers
    + S8202427: Enhance os::print_memory_info on Windows
    + S8202466: Test serviceability/tmtools/jstat/GcTest01.java
    fails: Number of concurrent GC events is 1, but CGCT is 0
    + S8202479: Add missing try_resolve_jobject_in_native calls
    + S8202669: Intermittent crash in
    ClassLoadingService::compute_class_size()
    + S8202685: Optimize ArrayList subList replaceAll
    + S8202710: AARCH64: sporadic jtreg test fail
    + S8202713: Create a MacroAssembler::access_load/store_at
    wrapper for S390 and PPC
    + S8202771: Migrate Unicode character tests to JDK Repo
    + S8202848: -XX:+ExecuteInternalVMTests asserts with
    "assert(cd.valid() == true) failed: failed on a valid
    DirectivesParser string"
    + S8202853: NotifyCount is not initialized
    + S8202863: Rename OopStorage inner collection classes
    + S8202978: Incorrect tmp register passed to
    MacroAssembler::load_mirror()
    + S8202989: Add missing decorators in calls to to
    arraycopy_prologue/epilogue
    + S8203196: C1 emits incorrect code due to integer overflow in
    _tableswitch keys
    + S8203215: IdealLoopTree::split_outer_loop leaves phi-nodes
    with only one input
    + S8203227: Introduce os::processor_id() for Linux and Solaris
    + S8203279: Faster rounding up to nearest power of two
    + S8203287: Zero fails to build after JDK-8199712 (Flight
    Recorder)
    + S8203288: PPC64 and s390 fail to build after JDK-8199712
    (Flight Recorder)
    + S8203292: Print complete set of flags in the hs_err file
    + S8203305: PPC64: Improve TM detection for enabling RTM on
    Linux / POWER9
    + S8203318: compiler/stable/TestStableShort.java is broken
    + S8203339: Add oopDesc::field_offset()
    + S8203341: Add a safepoint-aware Semaphore
    + S8203346: JFR: Inconsistent signature of
    jfr_add_string_constant
    + S8203352: Improve java implementation of
    Integer/Long.numberOfLeadingZeros
    + S8203355: MITSHM define guarding missing
    + S8203377: Cleanup the usage of os::file_name_strcmp() in
    SharedPathsMiscInfo::check().
    + S8203381: Replace InstanceKlass::allocate_instance_handle
    with JavaCalls::construct_new_instance
    + S8203391: Update com/sun/jdi/JdbMethodExitTest.sh to pass
    valid URL[]
    + S8203398: Test test/langtools/tools/javac/options/release/
    /ReleaseOptionCurrent.java writes into the source directory
    + S8203400: Fix issue with "8199852: Print more information
    about class loaders in LinkageErrors."
    + S8203410: Zero: Disable jfr feature by default
    + S8203431: TestFloatsOnStackDeopt.java throws
    java.lang.LinkageError: loader <bootstrap> attempted duplicate
    class definition for
    java.lang.invoke.BoundMethodHandle$Species_LLL
    + S8203436: javac should fail early when emitting illegal
    signature attributes
    + S8203437: 8199370 broke build on linux-ppc64le (w/ GCC 4.8.5.)
    + S8203454: Minimal, Zero builds fail after JDK-8202377
    (Modularize C2 barriers)
    + S8203457: Add back missing full buffer notification
    + S8203486: skip type inference for non functional interface
    components of intersection types
    + S8203487: Typo in ICUBinary.java: s/Magin/Magic/
    + S8203490: StringTable::dump lacks a load barrier
    + S8203500: Fix broken links to Specification in "specs"
    directory
    + S8203626: ProblemList
    compiler/runtime/TestFloatsOnStackDeopt.java
    + S8203635: JFR sampler thread does not record stack info
    + S8203694: Add a safepoint-aware Semaphore - part 2
- Removed patch:
  * fix-s390x-and-ppc64-builds.patch
    + integrated upstream
* Tue May 22 2018 fstrba@suse.com
- Added patch:
  * fix-s390x-and-ppc64-builds.patch
    + upstream fix for broken s390x and ppc64/ppc64le builds
* Thu May 17 2018 fstrba@suse.com
- Update to upstream tag jdk-11+14
  * Fixes:
    + S8132287: obsolete the "InlineNotify" flag option
    + S8174995: SA: clhsdb 'where -a' throws Assertion Failure with
    illegal code 236 when CDS is used
    + S8176510: java/awt/font/GlyphVector/TestLayoutFlags.java
    fails with OpenJDK
    + S8183910: gc/arguments/TestAggressiveHeap.java fails
    intermittently
    + S8185505: AArch64: Port AOT to AArch64
    + S8189140: SystemDictionaryShared::initialize() should be
    renamed to be more meaningful
    + S8189271: Metaspace::_capacity_until_GC should be size_t
    + S8191533: jar --describe-module prints service provider class
    names in lower case
    + S8193935: Illegal countedLoops transformation
    + S8194998: broken error message for subclass of interface with
    private method
    + S8195613: [SA] HotSpotTypeDataBase.readVMLongConstants
    truncates values to int
    + S8196340: (coll) Examine overriding inherited methods in
    ArrayList and ArrayList.SubList
    + S8196360: java/awt/Dialog/SiblingChildOrder/
    /SiblingChildOrderTest.java fails
    + S8196616: java/awt/GraphicsDevice/DisplayModes/
    /CompareToXrandrTest.java fails
    + S8197948: Create test for SwingSet2 main window
    + S8198412: MonospacedGlyphWidthTest.java may fail on Solaris
    + S8198991: Move Java2D demo to the open repository
    + S8199252: [TESTBUG] Open source VM testbase system dictionary
    tests
    + S8199712: Flight Recorder
    + S8200377: String::strip, String::stripLeading,
    String::stripTrailing
    + S8201447: C1 does backedge profiling incorrectly
    + S8201491: G1 support for java.lang.ref.Reference precleaning
    + S8201532: Update idom to get correct dom depth calculation
    + S8201593: Print array length in
    ArrayIndexOutOfBoundsException.
    + S8201604: ARM64 - Build failure after JDK-8193260
    + S8202016: Use obj+offset in interpreter array access
    + S8202064: Jemmy JInternalFrameOperator: Add wait for close(),
    activate(), resize() and move() operations
    + S8202113: Reflection API is causing caller classes to leak
    + S8202289: Non-empty directory in module path is not handled
    properly at CDS/AppCDS dump time
    + S8202322: AIX: symbol visibility flags not support on xlc 12.1
    + S8202392: [TESTBUG] open source vm testbase heapdump tests
    + S8202395: AARCH64: wrong encoding for SIMD instructions zip,
    trn, uzp
    + S8202426: NPE thrown by Transformer when XMLStreamReader
    reports no xml attribute type
    + S8202476: ImageLib is broken in 32 bit Windows
    + S8202519: Crash during large AppCDS dump
    + S8202544: Hide unused exports in libzip
    + S8202553: Update FXLauncherTest as part of removing JavaFX
    from JDK
    + S8202557: OpenJDK fails to start in Windows 7 and 8.1 after
    upgrading compiler to VC 2017
    + S8202580: Dashed BasicStroke randomly painted incorrectly,
    may freeze application
    + S8202614: Add ability to validate links in JavadocTester
    + S8202679: Updates on windows failures in the problem list
    + S8202683: Minimal VM should build cleanly on 64-bit platforms
    + S8202708: Add a check of opening stream for not-existing UNC
    url
    + S8202714: Create a MacroAssembler::access_load/store_at
    wrapper for AArch64
    + S8202718: Jemmy JInternalFrameOperator: Dependency with
    orders of Minimize, Maximize and Close buttons
    + S8202738: vm_version Abstract_VM_Version::internal_vm_info_string()
    returns same string for different incremental builds
    + S8202745: Remove hyphens from "out-of-bounds".
    + S8202748: jtreg :hotspot_misc group shouldn't include
    vmTestbase tests
    + S8202756: move FilterUSRTest.java to openJDK
    + S8202763: failure_handler: list open files for macOS
    + S8202764: api/java_text/SimpleDateFormat/index.html#Format
    testcases started to fail with JDK11 b12
    + S8202767: java/awt/font/GlyphVector/TestLayoutFlags.java is
    missing null check
    + S8202773: Unhandled oop in JavaThread::collect_counters
    + S8202811: Problem List some tests that leave windows open on
    the desktop
    + S8202822: Add .git to .hgignore
    + S8202824: Cleanup discrepancies in ProblemList for java_awt
    jtreg tests
    + S8202829: Implement CollectedHeap::get_safepoint_workers()
    for G1
    + S8202843: langtools ant build fails
    + S8202878:
    com/apple/laf/ScreenMenu/ScreenMenuMemoryLeakTest.java fails
    + S8202889: Remove trailing LF from perf log
    + S8202914: Let custom makefile override jmod intput dir
    locations
    + S8202915: [JAXP] Performance enhancements and cleanups in
    com.sun.org.apache.xerces.internal.impl.dtd.XMLDTDValidator
    + S8202919: JDK-8202683 broke macosx build
    + S8202920: jvm.cfg generation incorrect
    + S8202974: Backout JDK-8202683
    + S8202976: Add C1 lea patching support for x86
    + S8202993: Add support for x86 testptr/testq with register and
    address
    + S8202994: Add support for undoing last TLAB allocation
    + S8202997: Split test/jdk/:tier1 to enable better parallel
    execution
    + S8203032: PrintMetaspaceDcmd fails: Non-Class: missing from
    stdout/stderr
    + S8203059: (so) Closing a socket channel registered with
    Selector and with SO_LINGER set to 0 does not reset connection
    + S8203176: javadoc handles non-ASCII characters incorrectly.
    + S8203220: Introduce ATTRIBUTE_ALIGNED macro
    + S8203223: Signed integer overflow in ImageStrings::hash_code
    (libjimage.so)
    + S8203250: runtime/LoadClass/test-classes/Hello.java has wrong
    legal notice
    + S8203251: Non-PCH build failed after JDK-8199712 (Flight
    Recorder)
    + S8203274: 32-bit build failures after JDK-8199712 (Flight
    Recorder)
    + S8203278: AArch64/PPC64 build failures after JDK-8199712
    (Flight Recorder)
    + S8203285: Minimal VM fails to build after JDK-8199712 (Flight
    Recorder)
* Mon May 14 2018 fstrba@suse.com
- s390x: avoid packaging files that are not present on this
  architecture
* Fri May 11 2018 fstrba@suse.com
- Update to ustream tag jdk-11+13
  * Fixes:
    + S4842658: DefaultListModel and DefaultComboBoxModel should
    support addAll (Collection c)
    + S6574555: PNGImageWriter incorrectly sets bKGD chunk
    + S6788458: PNGImageReader ignores tRNS chunk while reading
    non-indexed RGB/Gray images
    + S8153532: Add @throws NPE javadoc to
    UIManager.setLookAndFeel(String) method description
    + S8154463: New failure of
    closed/java/awt/font/Outline/OutlineInvarianceTest.java
    + S8171277: Elliptic Curves for Security in Crypto
    + S8176717: GC log file handle leaked to child processes
    + S8181594: Efficient and constant-time modular arithmetic
    + S8181910: [macos] Support dark title bars on macOS
    + S8185034: Cleanup and consolidate Metaspace coding
    + S8187123: (reflect) Class#getCanonicalName and
    Class#getSimpleName is a part of performance issue
    + S8187392: Deprecated methods in the peers can be removed
    + S8189687: Swing: Invalid position of candidate pop-up of
    InputMethod in Hi-DPI on Windows
    + S8189916: Dynamic Constant support for Sparc
    + S8191410: Unicode 10
    + S8194968: problem list actions for
    tools/javac/jvm/VerboseOutTest
    + S8195002: Fix test/hotspot/jtreg/gtest/GTestWrapper.java on
    Alpine/Musl
    + S8195717: test java/lang/invoke/MethodHandlesTest timed out
    running testAsCollector1
    + S8196113: Remove the Compact Profile builds
    + S8196572: Tests ColConvCCMTest.java and MTColConvTest.java
    fail
    + S8197388: Added not existing bug id in jdk/ProblemList.txt
    + S8197447: LogCompilation throws "couldn't find bytecode"
    + S8197954: Remove unnecessary intermediary APIs from AppCDS
    implementation
    + S8198342: Test FileSystemViewListenerLeak.java is unstable
    + S8199067: [REDO] NMT: Enhance thread stack tracking
    + S8199196: Add javadoc support for preview features
    + S8199382: [TESTBUG] Open source VM testbase JDI tests
    + S8199748: Touch keyboard is not shown, if text component gets
    focus from other text component
    + S8199852: Print more information about class loaders in
    LinkageErrors.
    + S8199912: jshell tool: /open from URI
    + S8199932: Missing copyright header in AWT source code
    + S8200083: Bump bootjdk requirement for JDK 11 to JDK 10
    + S8200094: Turkish locale reports NPE No enum constant
    com.sun.source.doctree.DocTree.Kind.SİNCE
    + S8200146: Remove the appletviewer launcher
    + S8200313: java/awt/Gtk/GtkVersionTest/GtkVersionTest.java
    fails
    + S8200372: String::trim JavaDoc should clarify meaning of space
    + S8200557: OopStorage parallel iteration scales poorly
    + S8200716: Object propertyIsEnumerable buggy behavior on short
    integer-string key
    + S8200729: Conditional compilation of GCs
    + S8201138: Defect in XMLEventReader.getElementText() may cause
    data to be skipped, duplicated or otherwise result in a
    ClassCastException
    + S8201433: Fix potential crash in BufImg_SetupICM
    + S8201492: Properly implement non-contiguous generations for
    Reference discovery
    + S8201524: [AIX] Don't link libfontmanager against
    libawt_headless
    + S8201572: Improve Metaspace Statistics
    + S8201598: Fix for 8181910: Support dark title bars on macOS
    broke the MacOS build
    + S8201602: ARM32 - Minimal Dynamic Constant support
    + S8201626: Typo in MakeWindowAlwaysOnTop test
    + S8201640: Use _ref_processor_* member variables directly in
    G1CollectedHeap
    + S8201793: (ref) Reference object should not support cloning
    + S8202017: Merge Reference Enqueuing phase with phase 3 of
    Reference processing
    + S8202018: Move card table clear before enqueuing pending
    references
    + S8202021: Improve variable naming in ReferenceProcesso
    + S8202050: Add javax/sound/midi/Sequencer/Recording.java to
    the problemList
    + S8202080: Introduce ordering semantics for Atomic::add and
    other RMW atomics
    + S8202083: Remove explicit CMS checks in CardTableBarrierSet
    + S8202143: Parts of 8193435 added in merge change set.
    + S8202181: Correctly specify size of hostname buffer in Unix
    Inet*AddressImpl_getLocalHostName implementations
    + S8202291: java/rmi/Naming/LookupIPv6.java failed with
    Connection refused
    + S8202301: Add tests related to JDK-8196572 to the ProblemList
    + S8202303: LogStream should autoflush on destruction
    + S8202319: Fix compilation warnings in Solaris debug builds
    for DevStudio 12.6
    + S8202387: javac --release 11 not supported
    + S8202424: Metaspace: on chunk retirement, use correct lower
    limit on chunksize when adding blocks to free blocks list
    + S8202435: [aix] print program break as part of memory info
    into hs-err file
    + S8202447: Fix unloading_occurred to mean unloading_occurred
    + S8202465: [C1] casts should not be eliminated for interface
    types
    + S8202548: Use reservation Object when creating SpeciesData
    + S8202552: [AOT][JVMCI] Incorrect usage of INCLUDE_JVMCI and
    INCLUDE_AOT
    + S8202563: BigInteger/BigDecimal not immune to overflow,
    contrary to spec
    + S8202564: java/lang/management/ThreadMXBean/ThreadCounts.java
    fails
    + S8202565: C1 compilation crashes with
    "assert(is_double_stack() && !is_virtual()) failed: type check"
    + S8202575: Remove java/lang/String/nativeEncoding/
    /StringPlatformChars.java from ProblemList
    + S8202581: failure_handler: gather more environment
    information on macOS
    + S8202582: DateTimeFormatterBuilder.parseOffsetBased
    unnecessarily calls toString()
    + S8202583: Remove experimental ClassForNamePlugin
    + S8202584: de-problem list tools/javac/jvm/VerboseOutTest
    + S8202591: Remove usage of CMSEdenChunksRecordAlways in
    defNewGeneration.cpp
    + S8202592: Remove unused EvacuateFollowersClosure
    + S8202597: javac is not inducing a notional interface if
    Object appears in an intersection type
    + S8202599: Mark intermittently failing jshell tests
    + S8202606: Deprecate AllowNonVirtualCalls option
    + S8202631: JVM_Clone to throw CloneNotSupportException for
    Reference object
    + S8202634: Metaspace: simplify SpaceManager lists
    + S8202639: Use concrete Generation classes in SerialHeap and
    CMSHeap
    + S8202640: Small C1 cleanups for BarrierSetC1
    + S8202641: Replace OOP_SINCE_SAVE_MARKS with templates
    + S8202642: Replace PAR_OOP_ITERATE with templates
    + S8202647: Add deduplicate_string function to CollectedHeap
    + S8202649: Move the Parallel GC specific task creation
    functions out of Threads
    + S8202650: Enforce group for attach listener file
    + S8202662: JFR tests fails: Could not find leak with class
    + S8202672: Build failed in metaspace.cpp with VS2017
    + S8202676: AArch64: Missing enter/leave around barrier leads
    to infinite loop
    + S8202684: Minimal VM build is broken after JDK-8199067,
    JDK-8202638
    + S8202686: Missing test case for 8200167 - final Object methods
    + S8202690: jdk/jshell/ToolBasicTest.java failed in
    testOpenFileOverHttp() and testOpenLocalFileUrl()
    + S8202709: Move oopDesc::is_archive_object to
    MetaspaceShared::is_archive_object
    + S8202711: Merge tiered compilation policies
    + S8202719: Use Collections.emptyEnumeration where possible
    + S8202722: Move marksweep_init into GC code
    + S8202744: Expired flag removal for JDK 11
    + S8202780: Remove EnqueueTask related code from
    ReferenceProcessor after JDK-8202017
    + S8202781: Fix typo in DiscoveredListIterator::complete_enqeue
    + S8202810: Remove class-for-name test
    + S8202816: Update JarSigning.keystore
- Removed patch:
  * aarch64-infinite-loop.patch
  - Integrated upstream
- Modified patch:
  * java11-improved-fonts.patch
  - Rediff to changed context
* Thu May 10 2018 fstrba@suse.com
- Fix s390x build, since INCLUDE_SA is false by default on this
  architecture
* Tue May  8 2018 fstrba@suse.com
- Added patch:
  * aarch64-infinite-loop.patch
    + Fix inifinite loop in aarch64 build
* Mon May  7 2018 guillaume.gardet@opensuse.org
- Update fix_armv6_build.patch
* Mon May  7 2018 fstrba@suse.com
- Update to upstream tag jdk-11+12
  * Fixes:
    + S6672778: G1 should trim task queues more aggressively during
    evacuation pauses
    + S8154204: [TESTBUG] Update DefaultUseWithClient test to
    handle client-less builds
    + S8174994: SA: clhsdb printmdo throws WrongTypeException when
    attached to a process with CDS
    + S8179071: Month value is inconsistent between CLDR and Java
    in some locales
    + S8179887: Build failure with glibc >= 2.24: error: 'int
    readdir_r(DIR*, dirent*, dirent**)' is deprecated
    + S8181157: CLDR Timezone name fallback implementation
    + S8182731: Odd handling of -XX:-UseAppCDS and
  - XX:SharedArchiveFile.
    + S8191471: Elastic TLABs for G1
    + S8191798: redo nested ThreadsListHandle to drop Threads_lock
    + S8193213: Make the UseAppCDS option obsolete.
    + S8197959: [TESTBUG] Some (App)CDS tests require modification
    due to the removal of the Java EE and CORBA modules
    + S8197960: [TESTBUG] remove/modify runtime tests which use
    java ee or corba modules
    + S8199375: [TESTBUG] Open source vm testbase monitoring tests
    + S8199643: [TESTBUG] Open source common VM testbase code
    + S8200167: Validate more special case invocations
    + S8200235: Generalize jniFastGetField jobject/jweak resolve
    + S8200466: Revisit the setting of _transitive_interfaces in
    InstanceKlass
    + S8200478: For boxing conversion javac uses Long.valueOf which
    does not guarantee caching according to its javadoc
    + S8201367: assert(current != first_mem) failed: corrupted
    memory graph in superword code
    + S8201509: Zero: S390 31bit atomic_copy64 inline assembler is
    wrong
    + S8201542: Remove unused _gc_timer field in GCMemoryManager
    + S8201543: Modularize C1 GC barriers
    + S8201545: InetAddress.getByName/getAllByName should clarify
    empty String behavior
    + S8201622: Reduce unnecessary Package.complete() calls in
    javadoc
    + S8201634: Random seedUniquifier uses incorrect LCG
    + S8201650: Move iteration order randomization of unmodifiable
    Set and Map to iterators
    + S8201786: Modularize interpreter GC barriers: leftovers for
    ARM32
    + S8201817: Taglet.init should be called with the "primary"
    doclet
    + S8202082: Remove explicit CMS checks in
    CardTableBarrierSetAssembler
    + S8202105: Console echo is disabled when exiting jshell
    + S8202130: [TESTBUG] Some appcds regression test cases fail
    with "Error: VM option 'PrintSystemDictionaryAtExit' is
    notproduct and is available only in debug version of VM"
    + S8202140: TLAB logging is not correct for G1
    + S8202150: [REDO] Split globals.hpp to factor out the Flag
    class
    + S8202179: Compilation fails with assert(n->is_expensive())
    failed: expensive nodes with non-null control here only
    + S8202186: AArch64: Debug build VM crashes with
    PrintC1Statistics option
    + S8202200: set INCLUDE_SA to false on s390x by default
    + S8202204: Rename hotspot runtime jtreg constantPool
    ConstantPool directories
    + S8202230: Provide accessors for JNIHandles storage objects
    + S8202261: (fc) FileChannel.map and RandomAccessFile.setLength
    should not preallocate space
    + S8202273: [AOT] Graal does not support the CMS collector
    + S8202284: FileChannel and FileOutpuStream variants of
    AtomicAppend should fail silently on macOS >= 10.13
    + S8202324: Avoid loading FileInput-/OutputStream$AltFinalizer
    + S8202325: [aix] disable warnings-as-errors by default
    + S8202330: Add Unreferenced{FOS,FIS,RAF}ClosesFd to problem
    list
    + S8202334: Update javax.lang.model.util visitors for 11
    + S8202364: Add GCConfig::hs_err_name() to avoid GC-specific
    code in error reporting
    + S8202366: Add macro for common loop in GCConfig
    + S8202367: AIX build broken after JDK-8201543
    + S8202372: Diagnostic with incorrect line info generated when
    compiling lambda expression
    + S8202373: Forcing eager initialization of CHM$ReservationNode
    avoids deoptimization
    + S8202379: ARM32 is broken after JDK-8201543 (Modularize C1 GC
    barriers)
    + S8202381: (Solaris) SIGBUS in # V [libjvm.so+0xcee494]
    jni_GetIntField+0x224
    + S8202382: Filter docs modules
    + S8202383: Custom extensions for jvmti doc
    + S8202397: Typo in X-Buffer javadoc
    + S8202398: Optimize Arrays.deepHashCode
    + S8202399: [C1] LIRGenerator::do_CheckCast needs to exclude
    is_invokespecial_receiver_check() when using PatchAlot
    + S8202417: [TESTBUG] Broken hard-coded dependency in
    serviceability/sa/ClhsdbJhisto.java
    + S8202418: Remove explicit CMS checks in
    CardTableBarrierSetAssembler: ARM32 leftovers
    + S8202419: Avoid creating Permission constants early
    + S8202423: Small HTTP Client refresh
    + S8202425: [s390] C2: Wrong unsigned comparison with 0
    + S8202452: Delete test files missed from commit for
    8193213 & 8182731.
    + S8202484: Unused field in TimeZone
    + S8202505: ctw2 tasks are timing out in hs-tier3
    + S8202507: Remove IO and NIO AtomicAppend tests from problem
    list
    + S8202520: JShell tests: move intermittently failing tests to
    tier2
* Mon May  7 2018 guillaume.gardet@opensuse.org
- Remove armv6 and armv7 overwrite conditions in _constraints to
  avoid OOM errors
* Fri Apr 27 2018 fstrba@suse.com
- Update to upstream tag jdk-11+11
  * Fixes:
    + S6341887: java.util.zip: Add ByteBuffer methods to
    Inflater/Deflater
    + S6805750: Improve handling of Attributes.Name
    + S8025091: VisibleMemberMap.java possible performance
    improvements
    + S8081519: Split globals.hpp to factor out the Flag class
    + S8144806: sun/security/tools/keytool/standard.sh fails
    intermittently at deleting x.jks
    + S8154528: Reclaim regions emptied by marking in Remark pause
    + S8157543: java/nio/channels/Selector/SelectAndCancel.java
    fails intermittently
    + S8161991: java/nio/channels/AsynchronousSocketChannel/Basic.java
    failed due to RuntimeException: WritePendingException expected
    + S8171404: java/nio/channels/AsynchronousSocketChannel/Basic.java
    failed with "AsynchronousCloseException expected"
    + S8178105: Switch mark bitmaps during Remark
    + S8178825: unused variable threadObj in jvmci_counters_include
    + S8184693: add Pattern.isEmpty
    + S8187490: HotSpotGraalMBean should be moved to Graal
    management module
    + S8187496: Possible memory leak in
    java.apple.security.KeychainStore.addItemToKeychain
    + S8188105: Make -Xshare:auto the default for server VM
    + S8190227: Forward port 8188880 to JDK10CPU
    + S8192789: Avoid using AtomicReference in
    sun.security.provider.PolicyFile
    + S8193524: Redefining a method that removes use of 1 or more
    lambda expressions causes the JVM to hang
    + S8196071: Change G1 Full GC heap and thread sizing ergonomics
    + S8196325: GarbageCollectionNotificationInfo has same
    information for before and after
    + S8196433: use the new error diagnostic approach at javac.Main
    + S8196540: [Testbug] java/security/AccessController/
    /DoPrivAccompliceTest.java doesn't handle unrelated warnings
    + S8198756: Lazy allocation of compiler threads
    + S8198793: Add launcher support for preview features
    + S8198816: AbstractScriptEngine.getScriptContext creation of
    SimpleScriptContext is inefficient
    + S8198890: The standard doclet incorrectly produces wrong
    method signatures in certain cases.
    + S8199193: jshell tool: Add support for preview features
    + S8199519: Several GC tests fails with:
    java.lang.NumberFormatException: Unparseable number: "-"
    + S8199755: Update Graal
    + S8200101: sun/security/krb5/auto/Renewal.java fails
    intermittently
    + S8200196: [Graal] implement Object.notify/notifyAll intrinsics
    + S8200303: C2 should leverage profiling for
    lookupswitch/tableswitch
    + S8200426: Make G1 code use _g1h members
    + S8200450: Root cause analysis for JDK-8200366
    + S8200477: Integer dot product no longer autovectorised
    + S8200555: OopHandle should use Access API
    + S8200556: AArch64: assertion failure in slowdebug builds
    + S8200723: Suppress rs_length and predicted_cards sampling
    during mixed gcs
    + S8200730: Fix debug=gc+phases time tracking in Remark and
    Cleanup
    + S8201172: Parallelize Remset Tracking Update Before Rebuild
    phase
    + S8201226: missing JNIEXPORT / JNICALL at some places in
    function declarations/implementations
    + S8201259: Fix warning with VS2017 in jdk.pack
    + S8201281: Truncated error message with Incompatible : null
    + S8201315: (se) Allow SelectableChannel.register to be invoked
    while selection operation is in progress
    + S8201368: IfNode::fold_compares() may lead to incorrect
    execution
    + S8201369: Inet4AddressImpl_getLocalHostName reverse lookup on
    Solaris only
    + S8201466: Nashorn: defineProperty setters/getters on
    prototype object ignored with numeric property names
    + S8201487: Do not rebalance reference processing queues if not
    doing parallel reference processing
    + S8201490: Improve concurrent mark keep alive closure
    performance
    + S8201505: Use WeakHandle for ProtectionDomainCacheTable and
    ResolvedMethodTable
    + S8201510: Merge TwoStacksPlainSocketImpl into
    DualStackPlainSocketImpl [win]
    + S8201520: AsynchronousSocketChannel/Basic.java timeout
    intermitently
    + S8201527: Bump default value of G1RefProcDrainInterval
    + S8201536: configure fails compiler check due to bad -m32 flag
    + S8201537: Remove is_alive closure from
    Klass::is_loader_alive()
    + S8201540: [AIX] Extend the set of supported charsets in
    java.base
    + S8201556: Disallow reading oops in ClassLoaderData if
    unloading
    + S8201596: java.lang.ref.Reference processing total time
    logging broken
    + S8201597: AArch64: Update relocs for CompiledDirectStaticCall
    + S8201616: Hotspot crashes on linux-sparc after 8189941
    + S8201646: Introduce ReferenceDiscoverer interface
    + S8201647: Make initial clearing of CHeapBitMap optional
    + S8201649: Remove dubious call_jio_print in ostream.cpp
    + S8201766: Mark TimSortStackSize2.java as intermittently
    failing
    + S8201785: Make ModRefBarrierSetAssembler abstract on all
    platforms
    + S8201788: Number of make jobs wrong for bootcycle-images
    target
    + S8201794: [Graal] fix regressions from JDK-8187490
    + S8201799: Build failures after JDK-8195099 (Concurrent
    safe-memory-reclamation mechanism)
    + S8201800: Add support for adjusting heap addresses in a TLAB
    + S8201826: G1: Don't invoke WeakProcessor if mark stack has
    overflowed
    + S8201850: [AOT] vm crash when run test
    compiler/aot/fingerprint/SelfChangedCDS.java
    + S8202000: AIX build broken after JDK-8195099
    + S8202037: Split slow ctw_1 tests
    + S8202052: Disable warnings when building libawt with VS2017
    + S8202060: Add javax/net/ssl/DTLS/CipherSuite.java to
    ProblemList
    + S8202062: Put FileChannel and FileOutpuStream variants of
    AtomicAppend on problem list
    + S8202070: Cleanup code after JDK-8200450, JDK-8200366
    + S8202073: MetaspaceAllocationTest gtest shall lock during
    space creation
    + S8202074: Metaspace: If humongous chunk is added to
    SpaceManager, previous current chunk may not get retired correctly.
    + S8202075: Crash when running
    compiler/codecache/OverflowCodeCacheTest.java
    + S8202079: [s390]: Build failure w/o precompiled headers
    + S8202081: Introduce CollectedHeap::is_oop()
    + S8202091: Rename DualStackPlainSocketImpl to PlainSocketImpl
    [win]
    + S8202134: Non-PCH build for arm32 fails
    + S8202141: Unique symbols for .class
    + S8202151: [BACKOUT] Split globals.hpp to factor out the Flag
    class
    + S8202152: test/hotspot/jtreg/runtime/whitebox/WBStackSize.java
    fails
    + S8202154: Remove unused code in
    java.base/windows/native/libnet
    + S8202155: quarantine test com/sun/jdi/JdbExprTest.sh on all
    platforms
    + S8202157: remove the use of string keys at
    InapplicableMethodException
    + S8202164: Remove some unneeded BoolObjectClosure* is_alive
    parameters
    + S8202169: Reduce ctw_2 duration by parallelizing CtwRunner
    invocations
    + S8202184: Reduce time blocking the ClassSpecializer cache
    creating SpeciesData
    + S8202210: jlink uses little-endian for big-endian
    cross-compilation targets
    + S8202276: Update test/hotspot/jtreg/ProblemList-graal.txt
- Removed patch:
  * bootcycle_jobs.patch
    + Integrated upsteam
* Fri Apr 20 2018 fstrba@suse.com
- Update to upstream tag jdk-11+10 (April 2018 CPU)
  * Security fixes:
    + S8194238: Trying exceptions in MethodHandles (CVE-2018-2826,
    bsc#1090197)
    + S8194233: Improve support for array handles (CVE-2018-2825,
    bsc#1090196)
    + S8192025: Less referential references (CVE-2018-2814,
    bsc#1090032)
    + S8189997: Enhance keystore mechanisms (CVE-2018-2794,
    bsc#1090024)
    + S8189977: Improve permission portability (CVE-2018-2795,
    bsc#1090025)
    + S8189993: Improve document portability (CVE-2018-2799,
    bsc#1090029)
    + S8189989: Improve container portability (CVE-2018-2798,
    bsc#1090028)
    + S8189985: Improve tabular data portability (CVE-2018-2797,
    bsc#1090027)
    + S8189981: Improve queuing portability (CVE-2018-2796,
    bsc#1090026)
    + S8189969: Manifest better manifest entries (CVE-2018-2790,
    bsc#1090023)
  * Security-In-Depth fixes:
    + S8182362: Update CipherOutputStream Usage
    + S8183032: Upgrade to LittleCMS 2.9
    + S8189123: More consistent classloading
    + S8190478: Improved interface method selection
    + S8190877: Better handling of abstract classes
    + S8191696: Better mouse positioning
    + S8192030: Better MTSchema support
    + S8193409: Improve AES supporting classes
    + S8193414: Improvements in MethodType lookups
  * Fixes:
    + S8009632: (fs) FileStore.supportsFileAttributeView does not
    detect user_xattr enabled on ext4
    + S8049695: nsk/jdb/options/connect/connect003 fails with
    "Launched jdb could not attach to debuggee during 300000
    milliseconds"
    + S8057732: sun/jvmstat/monitor/MonitoredVm/
    /MonitorVmStartTerminate.java: Invalid PerfMemory size
    + S8078221: java/rmi/Naming/DefaultRegistryPort.java fails
    intermittently
    + S8151171: Bring g1ConcurrentMark files up to current coding
    conventions
    + S8152821: Merge jdk.internal.misc.JavaSecurityAccess and
    jdk.internal.misc.JavaSecurityProtectionDomainAccess shared
    secrets
    + S8175075: Add 3DES to the default disabled algorithm security
    property
    + S8180415: Rebuild remembered sets during the concurrent cycle
    + S8183238: Obsolete CheckEndorsedAndExtDirs and remove checks
    for lib/endorsed and lib/ext
    + S8184692: add Pattern.asMatchPredicate
    + S8186032: Disable XML Signatures signed with EC keys less
    than 224 bits
    + S8187472: AARCH64: array_equals intrinsic doesn't use
    prefetch for large arrays
    + S8189101: AARCH32 - 'minimal' build fails because CMS bits
    are referred unconditionally
    + S8189765: Improve error reporting for compiling against
    package not visible due to modules
    + S8191101: Show register content in hs-err file on assert
    + S8191358: Restore TSA certificate expiration check
    + S8193067: gc/g1/TestVerifyGCType.java still unstable
    + S8194259: keytool error: java.io.IOException: Invalid secret
    key format
    + S8194260: Point-to-point interface should be excluded from
    java/net/ipv6tests/*
    + S8194734: Handle to jimage file inherited into child
    processes (win)
    + S8194750: Console.readPassword does not save/restore tty
    settings
    + S8194812: Extend class-data sharing to support the module path
    + S8195099: Concurrent safe-memory-reclamation mechanism
    + S8195662: Add T6587786.java to problem list before
    JDK-8195589 is resolved
    + S8195972: Refactor oops in JNI to use the Access API
    + S8196289: Update src/java.desktop/share/legal/lcms.md for
    LCMS 2.9
    + S8196485: FromCardCache default card index can cause crashes
    + S8196516: libfontmanager must be built with LDFLAGS allowing
    unresolved symbols
    + S8196865: G1 log for active workers is wrong
    + S8197441: Signature#initSign/initVerify for an invalid
    private/public key fails with ClassCastException for SunPKCS11
    provider
    + S8197443: ArrayIndexOutOfBoundsException in
    UcryptoException.getError
    + S8197564: HTTP Client implementation
    + S8197569: Refactor eager reclaim for concurrent remembered
    set rebuilding
    + S8197570: Make rules for choosing collection set candidates
    more explicit
    + S8197573: Remove concurrent cleanup and secondary free list
    handling
    + S8197850: Calculate liveness in regions during marking
    + S8197928: Only enqueue deferred cards with references into
    regions that have a tracked remembered set during GC
    + S8197931: Null pointer dereference in Unique_Node_List::push
    of node.hpp:1510
    + S8197932: Better split work in rebuild remembered sets phase
    + S8197972: Always verify non-system classes during CDS dump
    time
    + S8198240: Allow cacerts test to pass when GTECyberTrust root
    expires
    + S8198313: Wrap holder object for ClassLoaderData in a
    WeakHandle
    + S8198335: java/awt/FullScreen/UninitializedDisplayModeChangeTest/
    /UninitializedDisplayModeChangeTest.java fails in headless mode
    + S8198393: Instrumentation.retransformClasses() throws
    NullPointerException when handling a zero-length array
    + S8198655: test/lib/jdk/test/lib/apps/LingeredApp shouldn't
    inherit cout/cerr
    + S8198691: CodeHeap State Analytics
    + S8198760: Move global lock SpaceManager::_expand_lock to
    MutexLocker.cpp
    + S8198908: Add JVM support for preview features
    + S8198915: [Graal] 3rd testcase of compiler/types/
    /TestMeetIncompatibleInterfaceArrays.java takes more than 10
    mins
    + S8198950: AArch64:
    org.openjdk.jcstress.tests.varhandles.DekkerTest fails
    + S8199007: ClassLoaderDataGraph::unload_list_contains() is
    wrong
    + S8199194: Add javac support for preview features
    + S8199326: Remove G1 gc time stamp logic
    + S8199360: Rework the support for the 'ignored' module options
    in CDS
    + S8199406: Performance drop with Java JDK 1.8.0_162-b32
    + S8199417: Modularize interpreter GC barriers
    + S8199619: Building HotSpot on Windows should define NOMINMAX
    + S8199627: Use "Per-Monitor V2" High DPI awareness for Windows
    10 v1703
    + S8199717: Avoid calculating primordial thread stack bounds on
    VM startup
    + S8199735: Mark word updates need to use Access API
    + S8199736: Define WIN32_LEAN_AND_MEAN before including
    windows.h
    + S8199742: Clean up state flags in G1CollectorState
    + S8199780: SetMemory0 and CopyMemory0 in unsafe.cpp need to
    resolve their operands
    + S8199781: Don't use naked == for comparing oops
    + S8199782: Fix compilation warnings detected by Solaris
    Developer Studio 12.6
    + S8199793: [Graal] runtime/CommandLine/
    /PrintTouchedMethods.java crashes with assertion "reference
    count underflow for symbol"
    + S8199813: SIGSEGV in ThreadsList::includes()
    + S8199850: Move parsing of VerifyGCType to G1
    + S8199918: Shorten names of CollectedHeap::Name members
    + S8199925: Break out GC selection logic from GCArguments to
    GCConfig
    + S8199927: Make WhiteBox more GC agnostic
    + S8199946: Move load/store and encode/decode out of oopDesc
    + S8200067: Add support for vpclmulqdq for crc32
    + S8200074: Remove
    G1ConcurrentMark::_concurrent_marking_in_progress
    + S8200078: [Graal] runtime/appcds/GraalWithLimitedMetaspace.java
    crashes in visit_all_interfaces
    + S8200091: [TESTBUG] Update jittester for jdk11
    + S8200105: Remove cyclic dependency between oop.inline.hpp and
    collectedHeap.inline.hpp
    + S8200106: Move NoSafepointVerifier out from gcLocker.hpp
    + S8200111: MallocArrayAllocator::free should not take a length
    parameter
    + S8200113: Make Access load proxys smarter
    + S8200126: [TESTBUG] Open source VM runtime signal tests
    + S8200149: The "com.sun.awt.AWTUtilities" class can be dropped
    + S8200168: Remove DONT_USE_REGISTER_DEFINES on Sparc
    + S8200169: Flatten G1Allocator class hierarchy
    + S8200187: Exclude 3 long-running tests from tier1
    + S8200195: serviceability/jvmti/FieldAccessWatch/
    /FieldAccessWatch.java crashes with
    "assert(thread->thread_state() == _thread_in_native) failed:
    coming from wrong thread state"
    + S8200197: Zero fails to build after 8200105
    + S8200202: Remove unused _boot_modules_array and
    _platform_modules_array from classLoader.*.
    + S8200203: Missing platform definitions for ia64
    + S8200227: [Graal] Test times out with Graal due to low
    compile threshold
    + S8200228: Change default value of HeapSizePerGCThread
    + S8200230: [Graal] Compilations should not be enqueued before
    Graal is initialized
    + S8200232: Build failures after JDK-8200106 (Move
    NoSafepointVerifier out from gcLocker.hpp)
    + S8200233: Simple G1 evacuation path performance enhancements
    + S8200234: Cleanup Remark and Cleanup pause code
    + S8200238: Reduce number of exceptions created when calling
    MemberName$Factory::resolveOrNull
    + S8200245: Zero fails to build on linux-ia64 due to
    ia64-specific cruft
    + S8200246: AIX build fails after adjustments of
    src/hotspot/share/trace/traceEventClasses.xsl
    + S8200251: AArch64::CPUFeature out of sync with
    VM_Version::Feature_Flag
    + S8200255: Remove G1CMTask::_concurrent
    + S8200261: Regression with JVM anonymous class
    + S8200276: Cleanup allocation.hpp includes
    + S8200290: Scratch buffer creation fails with
    "assert(!current_thread_in_native()) failed: must not be in
    native" on SPARC
    + S8200292: Move PushAndMarkVerifyClosure::do_oop_work to
    concurrentMarkSweepGeneration.cpp
    + S8200297: Build failures after JDK-8198691 (CodeHeap State
    Analytics)
    + S8200299: Non-PCH build for aarch64 fails
    + S8200302: ppc, s390 (non-pch) build errors
    + S8200305: Update gc,liveness output with remset state after
    rebuild remset concurrently changes
    + S8200343: Minor JViewport documentation typo
    + S8200360: MeetIncompatibleInterfaceArrays fails with
    "MeetIncompatibleInterfaceArrays0ASM.run() must be compiled at
    tier 0 !"
    + S8200362: G1Mux2Closure should disable implicit oop
    verification
    + S8200366: SIGSEGV in CodeHeapState::print_names()
    + S8200371: In g1, rename ConcurrentMarkThread to
    G1ConcurrentMarkThread
    + S8200374: Add
    ThreadsSMRSupport::verify_hazard_pointer_scanned() to verify
    threads_do().
    + S8200383: Can't build on SPARC Hotspot with code which use
    math functions
    + S8200384: jcmd help output should be sorted
    + S8200385: Eagerly reclaimed humongous objects leave mark in
    prev bitmap
    + S8200391: clean up test/hotspot/jtreg/ProblemList.txt
    (compiler related)
    + S8200423: Non-PCH build for x86_32 fails
    + S8200424: Windows build fails due to implicit jboolean to
    bool conversion
    + S8200429: Adjust object pinning interface on CollectedHeap
    + S8200438: Non-PCH x86_32 build failure: err_msg is not defined
    + S8200461: MeetIncompatibleInterfaceArrays test fails with
  - Xcomp
    + S8200468: Port the native GSS-API bridge to Windows
    + S8200524: AArch64: CPUFeature and Flag enums are not passed
    through JVMCI
    + S8200525: test java/awt/event/SequencedEvent/SequencedEventTest.java
    fails to compile
    + S8200526: Test sun/java2d/marlin/ClipShapeTest.java times out
    + S8200550: Xcode 9.3 produce warning -Wexpansion-to-defined
    + S8200607: Add missing include dependency in bitMap.hpp
    + S8200608: Build failures after JDK-8191101 (Show register
    content in hs-err file on assert)
    + S8200626: Restore history for g1ConcurrentMarkThread.*
    + S8200627: aarch32 - Broken build after JDK-8198949
    + S8200628: aarch32 - Broken build after JDK-8199809
    + S8200630: Globally suppress Visual Studio warning C4351
    + S8200697: Add utility for spin wait with fallback to
    yield/sleep
    + S8200719: Cannot connect to IPv6 host when exists any active
    network interface without IPv6 address
    + S8200735: Move CMS specific code from binaryTreeDictionary
    and freeList to CMS files
    + S8200736: Move CMSGCStats to the cms directory
    + S8200737: Move GC code out of
    Arguments::check_vm_args_consistency into GCArguments
    + S8200759: Move GC entries in vmStructs.cpp to GC specific
    files
    + S8201136: Move GC flags from globals.hpp to GC specific files
    + S8201167: Remove MacroAssembler::cmp_heap_oop on x86
    + S8201168: Move GC command line constraint functions to GC
    specific files
    + S8201171: Cleanup in g1CollectedHeap, change CamelCase to
    snake_case
    + S8201175: Move FilteringClosure::do_oop to genOopClosures
    + S8201185: AARCH64: bfm instruction encoding hits assert on
    zero register
    + S8201209: Separate out CMS specific functions into
    CMSCardTable
    + S8201212: Remove INCLUDE_ALL_GCS from OopStorage files
    + S8201213: Remove INCLUDE_ALL_GCS from
    memset_with_concurrent_readers
    + S8201217: Split specialized_oop_closures.hpp into GC specific
    files
    + S8201218: PPC64: Avoid use of yield instruction on spinlock
    + S8201227: Add ALL_GCS_ONLY
    + S8201240: Improve releasing native resources of
    BufImgSurfaceData.ICMColorData
    + S8201242: Include source file/line number when reporting
    native call stack on supported platforms
    + S8201244: Clean out unnecessary includes of heap headers
    + S8201247: Various cleanups in the attach framework
    + S8201265: Native memory leak in
    ClassLoader::add_to_exploded_build_list
    + S8201316: Move G1-related static members from JavaThread to
    G1BarrierSet
    + S8201318: Introduce GCThreadLocalData to abstract GC-specific
    data belonging to a thread
    + S8201321: NMT: Unnecessary re-recording thread stack and size
    when attaching listener to JavaThread
    + S8201330: Add java/lang/management/ThreadMXBean/
    /ThreadMXBeanStateTest.java to the ProblemList
    + S8201334: Move runtime/NMT/MallocStressTest.java to
    hotspot_tier3_runtime
    + S8201359: Incorrect header guards after JDK-8198949
    (Modularize arraycopy stub routine GC barriers)
    + S8201362: Remove CollectedHeap::barrier_set()
    + S8201365: Remove G1Policy::should_process_references()
    + S8201370: GC specific data is referred from common
    precompiled headers and defNewGeneration.cpp
    + S8201427: Fix Minimal VM builds on Linux x64
    + S8201430: [TESTBUG] Remove script from runtime/6626217
    + S8201442: objArrayOopDesc::atomic_compare_exchange_oop() must
    use obj+offset in HeapAccess call
    + S8201443: NoSuchMethodException JarFile.open when jar file is
    used in classpath
    + S8201450: Provide access to LogHandle tagset
    + S8201474: (so) Socket adaptor connect(InetAddress, timeout)
    succeeds when connection fails
    + S8201475: 8199417 breaks AIX and non-pch on s390 (and
    presumably aarch64)
    + S8201480: ISA/CPU feature detection code crashes on
    linux-sparc
    + S8201483: Make it possible to disable JVM features
    + S8201494: Avoid early initialization of java.nio.Bits
    + S8201495: [Zero] Reduce limits of max heap size for boot JDK
    on s390
    + S8201498: test/langtools/tools/javac/diags/CheckExamples.java
    6 errors occurred
    + S8201507: Generate alias entries in j.t.f.ZoneName from tzdb
    at build time
    + S8201508: Macosx builds fail in GenerateLinkOptData.gmk
    + S8201554: Disable failing tier1 test for JDK-8201498
    + S8201584: Fix configure on SLES 11 after 8201483
    + S8201591: JVM features with "-" in name is not correctly
    handled
    + S8201609: Split test/jdk/:tier2 to enable better parallel
    execution
- Removed patch
  * fix-arm-build.patch
    + Integrated upstream
- Modified patch:
  * memory-limits.patch
    + Rediff with changes in the right files
* Thu Apr 19 2018 guillaume.gardet@opensuse.org
- Fix armv6 build with fix_armv6_build.patch
* Fri Apr 13 2018 fstrba@suse.com
- Update to upstream tag jdk-11+9
  * Fixes
    + S8071367: JMX: Remove SNMP support
    + S8164781: Pattern.asPredicate specification is incomplete
    + S8178867: tools/jlink/multireleasejar/
    /JLinkMultiReleaseJarTest.java failed to clean up files
    + S8180570: Refactor sun/security/mscapi shell tests to plain
    java tests
    + S8188897: java/rmi/registry/reexport/Reexport.java failed
    with Port already in use
    + S8189784: Parsing with Java 9 AKST timezone returns the
    SystemV variant of the timezone
    + S8190333: sun/security/ssl/X509KeyManager/PreferredKey.java
    failed with "Failed to get the preferable key aliases"
    + S8196200: Implement a navigation builder in javadoc
    + S8196724: Change macosx deployment target to 10.9
    + S8196750: [Testbug] tools/launcher tests need to tolerate
    unrelated warnings
    + S8196775: java/net/Socket/asyncClose/Race.java failed
    intermittently on Windows with ConnectException: Connection
    refused
    + S8197418: Move java/util/RandomAccess/ tests into OpenJDK
    + S8197531: Miscellaneous changes imported from jsr166 CVS
    2018-04
    + S8199539: Provide a standard way for the build to filter
    un-needed legal .md files
    + S8199608: Clean up LDFLAGS for libfontmanager
    + S8199744: Incorrect compiler message for ReceiverParameter in
    inner class constructor
    + S8199875: Require first parameter type of a condy bootstrap
    to be Lookup
    + S8200125: Fix some classloader/module typos
    + S8200127: Replace collection.stream().forEach() with
    collection.forEach()
    + S8200128: Fix some "annoations" typos
    + S8200131: Improve lazy init of InetAddress.canonicalHostName
    and NativeObject.pageSize
    + S8200134: Improve ModuleHashesBuilder
    + S8200152: KerberosString should use UTF-8 by default
    + S8200258: Improve CopyOnWriteArrayList subList code
    + S8200298: Unify all unix versions of libjsig/jsig.c
    + S8200358: Remove mapfiles for JDK executables
    + S8200359: (tz) Upgrade time-zone data to tzdata2018d
    + S8200458: (se) Readiness information previously recorded in
    the ready set not preserved
    + S8200520: forkjoin tasks interrupted after shutdown
    + S8200583: (se) Selector clean-up, part 4
    + S8200664: fix broken links in java.base docs
    + S8200706: Better cleanup for open/test/jdk/java/lang/
    /ProcessBuilder/DestroyTest.java
    + S8200727: linux-aarch64 profile should use bundled freetype
    + S8200728: Docs (Comparison of Stack and Deque methods) for
    Deque is not correct
    + S8200788: Optimal initial capacity of
    java.lang.VarHandle.AccessMode.methodNameToAccessMode
    + S8200792: PKCS12Attribute#hashCode is always constant -1
    + S8200888: typo in name of exception in @throws
    + S8201178: Remove sun.nio.cs.FastCharsetProvider
    + S8201179: Regression due loading
    java.nio.charset.StandardCharsets during bootstrap
    + S8201194: Handle local variable declarations in lambda
    deduplication
    + S8201221: JDK-8199608 introduced a build race on macosx
    + S8201222: JDK-8199539 broke the OpenJDK build
    + S8201236: Straighten out dtrace build logic
    + S8201246: Export native function to set platform encoding
    + S8201251: The tests for JDK-8187247 should be under
    test/langtools
    + S8201263: Trailing backslash in VS120COMNTOOLS leads to ugly
    error message when running tests
    + S8201267: Disable warnings for VS2017 to enable building
    + S8201320: Allow PrintFailureReports to be turned off
    + S8201327: Make Sensor deeply immutably thread safe
    + S8201328: SynthParser should use Boolean.parseBoolean
    + S8201348: ProblemList update for bugid associated with
    SSLSocketParametersTest.sh
    + S8201357: ALSA_CFLAGS is needed; was dropped in JDK-8071469
    + S8201396: fix broken links generated by javadoc doclet
    + S8201439: Enable linux-arm-vfp-hflt profile to be configured
    with jib again
    + S8201440: javac should create unique DynamicMethodSymbols at
    LambdaToMethod
- Modified patches:
  * java11-improved-fonts.patch
    + Rediff to changed context
  * fix-arm-build.patch
    + Use upstream fixes
* Wed Apr 11 2018 fstrba@suse.com
- Modified patch:
  * fix-arm-build.patch
    + fix more duplicate commas in headers
* Fri Apr  6 2018 fstrba@suse.com
- Update to upstream tag jdk-11+8
  * Fixes
    + S4954348: JPGWriter.getNumThumbnailsSupported does not return
  - 1 when passing null values
    + S8074286: Add getSelectedIndices() to ListSelectionModel
    + S8178370: [TEST_BUG]
    java/security/Signature/SignatureLength.java fails
    + S8191957: JFileChooser shows empty name for external drives
    shown under Desktop
    + S8193032: Remove terminally deprecated SecurityManager APIs
    + S8195649: reorganize tests for java.util.Optional
    + S8198314: javac hidden options violate standard syntax for
    options
    + S8198801: JShell: user exception chained cause not retained
    + S8198885: upgrade Marlin (java2d) to 0.9.1
    + S8198990: Move SwingSet2 from closed to OpenJDK
    + S8199176: Accessibility issues in java.base docs
    + S8199800: Optimize Boolean.parseBoolean(String)
    + S8199947: Rename HTML element id in ClassLoader javadoc to
    avoid name conflict with private elements
    + S8200200: test java/awt/image/ColorModel/Non_sRGBCMTest.java
    fails with open profiles
    + S8200257: (se) More Selector cleanup
    + S8200267: a.out created at top dir by Solaris build
    + S8200364: Remove unnecessary boxing via primitive wrapper
    valueOf(String) methods
    + S8200375: Change to GCC 7.3.0 for building Linux at Oracle
    + S8200469: Update link to license in Docs.gmk
    + S8200538: cl : Command line warning D9014 : invalid value
    '2220' for '/wd'
    + S8200586: Update JDK11 release date to 2018-09-25
    + S8200658: Fix incremental builds of hotspot on solaris
    + S8200696: Optimal initial capacity of
    java.lang.Class.enumConstantDirectory
    + S8200703: Problem list jdk/jshell/ExceptionsTest.java fails
    on windows
* Thu Apr  5 2018 fstrba@suse.com
- Added patch:
  * fix-arm-build.patch
    + fix a duplicate comma in a header
* Tue Apr  3 2018 fstrba@suse.com
- Update to upstream tag jdk-11+7
  * Fixes:
    + S4912693: Behavior of null arguments not specified in Java
    Sound
    + S6686236: GIF native IIOMetadata assumes
    characterCellWidth/Height as 2bytes
    + S7031957: DIB header of type BITMAPV2INFOHEADER &
    BITMAPV3INFOHEADER is not supported in BMPImageReader
    + S7108280: JList.getSelectedValuesList fails if
    JList.setSelectionInterval larger than list
    + S7158623: Should an unfocusable maximized Frame be resizable
    + S8071282: remove misc dead code
    + S8071469: Cleanup include and exclude of sound native
    libraries
    + S8140359: get_locked_message_ext() should return Flag::MsgType
    + S8144300: http.nonProxyHosts value having wildcard * both at
    end and start are not honored
    + S8146201: [AOT] Class static initializers that are not pure
    should not be executed during static compilation
    + S8152974: AWT hang occurrs when sequenced events arrive out
    of sequence
    + S8153333: [REDO] STW phases at Concurrent GC should count in
    PerfCounte
    + S8159850: Remove unneeded parsing of optional-size when
    parsing array types
    + S8166642: serviceability/dcmd/framework/* timeout
    + S8170541: serviceability/jdwp/AllModulesCommandTest.java
    fails intermittently on Windows and Solaris
    + S8173070: Remove ValueObj class for allocation subclassing
    for runtime code
    + S8173100: AArch64: -XX:-UseOnStackReplacement does not work
    together with -XX:+TieredCompilation
    + S8175312: SA: clhsdb: Provide an improved heap summary for
    'universe' for G1GC
    + S8180410: ByteArrayOutputStream should not throw IOExceptions
    + S8180451: ByteArrayInputStream should override readAllBytes,
    readNBytes, and transferTo
    + S8191102: Incorrect include file use in classLoader.hpp
    + S8191418: List.of().indexOf(null) doesn't throw
    NullPointerException
    + S8191585: VM anonymous classes created during CDS dump time
    cause crash
    + S8191924: Adjust DelegatingClassLoader's metadata space
    sizing algorithm
    + S8191954: AArch64: disable UseCISCSpill in C2
    + S8193128: Reduce number of implementation classes returned by
    List/Set/Map.of()
    + S8193130: Bad graph when unrolled loop bounds conflicts with
    range checks
    + S8193266: AArch64: TestOptionsWithRanges.java SIGSEGV
    + S8193369: post_field_access does not work for some functions,
    possibly related to fast_getfield
    + S8193429: "assert(false) failed: GetModuleFileName failed
    (126)" in symbolengine.cpp
    + S8193434: [GRAAL] Graal classes are not loaded with
  - Xshare:dump
    + S8194054: [TESTBUG] Test runtime/CommandLine/
    /OptionsValidation/TestOptionsWithRanges.java failed with
  - 1073740940 (FFFFFFFFC0000374)
    + S8194490: [JVMCI] Move `iterateFrames` to C++
    + S8194746: (fs) Add equivalents of Paths.get to Path interface
    + S8194759: Support caching class mirror objects.
    + S8194978: Javac produces dead code for try-with-resource
    + S8195095: Images are not scaled correctly in JEditorPane
    + S8195109: ServiceUtil::visible_oop is not needed anymore
    + S8195148: Collapse G1SATBCardTableModRefBS and
    G1SATBCardTableLoggingModRefBS into a single G1BarrierSet
    + S8196028: JMX: Not enough JDP packets received before timeout
    + S8196121: runtime/appcds/ClassLoaderTest.java fails silently
    + S8196294: LoopStripMiningIterShortLoop is set to zero by
    default
    + S8196337: Add commit methods that take all event properties
    as argument
    + S8196399: Formatting a decimal using locale-specific grouping
    separators causes ArithmeticException (division by zero).
    + S8196519: Incomplete classpath causes infinite recursion in
    Resolve.isAccessible
    + S8196590: Enable docker container related tests for linux
    AARCH64
    + S8196626: [Graal] runtime/appcds/UseAppCDS.java crashes with
    "VM thread using lock Heap_lock (not allowed to block on)"
    + S8196668: revisit test SunPackageAccess and
    GrantedSunPackageAccess
    + S8196876: OopStorage::assert_at_safepoint clashes with
    assert_at_safepoint macros in g1CollectedHeap.hpp
    + S8197235: src/hotspot/share/jvmci/jvmciCompilerToVM.cpp takes
    4 minutes to compile on windows
    + S8197405: Improve messages of AbstractMethodErrors and
    IncompatibleClassChangeErrors.
    + S8197429: Increased stack guard causes segfaults on x86-32
    + S8197554: Create test for SwingSet TableDemo
    + S8197595: Serialization javadoc should link to security best
    practices
    + S8197842: Remove unused macros VM_STRUCTS_EXT and VM_TYPES_EXT
    + S8197843: Remove unused method
    G1EvacuationRootClosures::create_root_closures_ext
    + S8197844: JVMTI GetLoadedClasses should use the Access API
    + S8197845: Remove unnecessary method
    G1CollectedHeap::create_g1_policy
    + S8197847: Remove unused file g1ParScanThreadState_ext.cpp
    + S8197852: Move G1DefaultPolicy into G1Policy
    + S8197944: Condy tests fails on Windows
    + S8198243: Add build time check for global operator new/delete
    in object files
    + S8198358: Align organization of TwoStacksPlainSocketImp with
    DualStackPlainSocketImpl [win]
    + S8198423: Improve metaspace chunk allocation
    + S8198424: Remove G1AllocationContext
    + S8198430: Remove G1Allocator extension point
    + S8198431: Remove G1FullCollector extension point
    + S8198432: Remove Thread extension point
    + S8198433: Remove WhiteBox extension point
    + S8198445: Access API for primitive/native arraycopy
    + S8198447: Remove ClassLoaderExt::check().
    + S8198510: Enable UseDynamicNumberOfGCThreads by default
    + S8198546: [Redo] JDK-8196883 G1RemSet::refine_card_concurrently
    doesn't need to check for cards in collection set
    + S8198552: Multiple javac plugins do not work at the same time.
    + S8198571: [JVMCI] must not install wide vector code unless
    runtime supports it
    + S8198591: compiler/aot/fingerprint tests should be moved to
    open
    + S8198608: Improvements to command-line flags printing
    + S8198649: Switch AWT/Swing's default GTK version to 3
    + S8198652: Stop linking with -base:0x8000000 on Windows
    + S8198753: (dc) DatagramChannel throws unspecified exceptions
    + S8198789: [TESTBUG] CTW of java.base and java.desktop takes
    long time
    + S8198794: Hotspot crash on Cassandra 3.11.1 startup with
    libnuma 2.0.3
    + S8198796: Create test case for CDS + condy
    + S8198826: -XX:+VerifyStack fails with fatal error:
    ExceptionMark constructor expects no pending exceptions
    + S8198833: TestMemoryAwareness Docker container fails with too
    small maximum heap
    + S8198845: Missing resource mark results disassembling
    generated code failure in hs error report
    + S8198894: [PPC64] More generic vector CRC implementation
    + S8198895: Compilation errors in java.desktop with VS 2017
    + S8198896: Remove dead code: cardTableModRefBSForCTRS.hpp
    + S8198897: Compilation errors in jdk.accessibility with VS 2017
    + S8198906: JDK-8196882 breaks VS2013 Win32 builds
    + S8198924: [Graal] java/lang/StackWalker/LocalsAndOperands.java
    timeouts with Graal
    + S8198926: Move ClassLoaderData::_dependencies to
    ClassLoaderData::_handles
    + S8198948: Remove unused parameter evacuation_info from
    G1CollectedHeap::evacuate_collection_set
    + S8198949: Modularize arraycopy stub routine GC barriers
    + S8198950: AArch64:
    org.openjdk.jcstress.tests.varhandles.DekkerTest fails
    + S8198957: Remove unused function
    ArgumentsExt::set_gc_specific_flags
    + S8198969: Update Graal
    + S8198987: [Graal] compiler/intrinsics/sha/sanity tests fail
    on macos with Graal as JIT
    + S8198997: Cache normalized/resolved user.dir property
    + S8199010: attachListener.hpp: Fix potential null termination
    issue found by coverity scans
    + S8199012: SEGV in jni_DetachCurrentThread during VM shutdown
    + S8199024: Remove unneccessary protected and virtual modifiers
    from G1CollectedHeap
    + S8199027: Make protected members private in G1Policy
    + S8199050: reenable concurrent execution of compiler tests
    + S8199066: [JVMCI] EagerJVMCI option should also initialize
    the JVMCI compiler
    + S8199133: [BACKOUT] NMT: Enhance thread stack tracking
    + S8199137: StringInternSync test crashes in exit verification
    + S8199212: [TESTBUG] don't run compiler/aot tests with -Xcomp
    + S8199219: Build failures after JDK-8195148 (Collapse
    G1SATBCardTableModRefBS and G1SATBCardTableLoggingModRefBS
    into a single G1BarrierSet)
    + S8199220: Zero build broken after 8195103, 8191102 and 8189871
    + S8199243: aarch32: ARM 32 build broken after 8165929
    + S8199263: Split interfaceSupport.hpp to not require including
    .inline.hpp files
    + S8199264: Remove universe.inline.hpp to simplify include
    dependencies
    + S8199272: Broken assertion in ClassLoaderData::remove_handle
    + S8199275: Fix inclusions of allocation.inline.hpp
    + S8199278: Javadoc search results does not link to anchors on
    a page
    + S8199282: Remove ValueObj class for allocation subclassing
    for gc code
    + S8199283: Remove ValueObj class for allocation subclassing
    for compiler code
    + S8199319: Remove handles.inline.hpp include from
    reflectionUtils.hpp
    + S8199323: hsdis could not be loaded which are located on long
    path
    + S8199328: Fix unsafe field accesses in heap dumper
    + S8199342: The constant pool forgets it has a Dynamic entry if
    there are overpass methods
    + S8199356: Fix hotspot to allow stdlib to use libc++ and to
    allow changing the deployment target to 10.9
    + S8199421: Add support for vector popcount
    + S8199422: Hotspot build is broken after push of 8197235
    + S8199425: JTReg failure:
    runtime/stringtable/StringTableVerifyTest.java
    + S8199430: Rename MetaspaceAux to something more meaningful
    + S8199431: Split up class Metaspace into a static and a
    non-static part
    + S8199432: metaspace: fix wrong comment and condition in
    SpaceManager::verify()
    + S8199465: {@docRoot} references need to be updated to reflect
    new module/package structure
    + S8199467: Compilation Errors in libinstrument Reentrancy.c
    with VS2017
    + S8199472: Fix non-PCH build after JDK-8199319
    + S8199489: [TESTBUG] don't run CTW tests with -Xcomp
    + S8199511: Do not generate g1_{pre|post}_barrier_slow_id
    without CardTable-enabled barrier set
    + S8199516: Remove dead code overlooked during Full GC work
    + S8199518: test/hotspot/jtreg/runtime/SelectionResolution
    tests take a lot longer to run with fastdebug after JDK-8198423
    + S8199532: [TESTBUG] AbstractMethodErrorTest.java test failed
    with -Xcomp
    + S8199533: ProblemList tests failing after JDK-8153333
    + S8199557: Assert in fromTonga/vm/runtime/defmeth/scenarios/
    /Stress_noredefine/TestDescription.java
    + S8199559: objArrayKlass::oop_iterate() and friends must use
    base_raw() instead of base()
    + S8199561: Fix two typos in the JVMTI documentation
    + S8199603: Build failures after JDK-8199421 "Add support for
    vector popcount"
    + S8199604: Rename CardTableModRefBS to CardTableBarrierSet
    + S8199620: Support for JNI object pinning
    + S8199624: [Graal] Blocking jvmci compilations time out
    + S8199656: Make slow metaspace verifications switchable in
    debug builds
    + S8199667: Unify metaspace list index handling and
    reinstantiate ChunkManager listindex gtest
    + S8199672: ClassCastException is thrown by java.util.Formatter
    when an NumberFormatProvider SPI is used.
    + S8199674: Improve G1 Full GC array marking
    + S8199685: Access arraycopy build failure with GCC 7.3.1
    + S8199696: Remove Runtime1::arraycopy
    + S8199698: Change 8199275 breaks template instantiation for
    xlC (and potentially other compliers)
    + S8199705: Docs.gmk needs to be updated to remove the -html5
    option
    + S8199716: Unused AdjustKlassClosure in psParallelCompact.hpp
    + S8199728: Remove oopDesc::is_scavengable
    + S8199739: Use HeapAccess when loading oops from static fields
    in javaClasses.cpp
    + S8199741: NMT: Tag safepoint polling pages
    + S8199752: NMT: Memory allocated by Unsafe.allocateMemory
    should be tagged as mtOther
    + S8199756: Simplify language, country, script, and variant
    property initialization
    + S8199762: JShell API: Failed to detect override when snippet
    to be overridden has been changed before
    + S8199773: (bf) XXXBuffer:compareTo method is not working as
    expected
    + S8199777: Deprecate -XX:+AggressiveOpts
    + S8199784: PhaseIdealLoop::place_near_use() might return wrong
    control with loop strip mining
    + S8199789: Emit a warning message when t2k is selected via
    system property
    + S8199791: (se) More Selector cleanup
    + S8199809: Don't include frame.inline.hpp and other.inline.hpp
    from .hpp files
    + S8199843: Optimize Integer/Long.highestOneBit()
    + S8199870: colorimaging.md needs to remove mention of KCMS
    + S8199880: runtime/appcds/condy/CondyHelloTest.java missing at
    requires vm.cds
    + S8199886: gc/cslocker/TestCSLocker.java crashes
    + S8199896: [Graal] build Graal on all x86 platforms
    + S8199902: {@docRoot} references need to be updated to reflect
    new module/package structure
    + S8199910: Compiler crashes with -g option and variables of
    intersection type inferred by `var`
    + S8199924: Solaris: Correctly enqueue null arguments of attach
    operations
    + S8200071: Fix test/hotspot/jtreg/ProblemList-graal.txt
    + S8200072: Remove un-needed qualified export from java.base to
    java.desktop
    + S8200116: ConstructInflaterOutput, ConstructDeflaterInput
    still spamming test logs
    + S8200118: [TESTBUG] String concat tests should test
    toString() application order
    + S8200122: Remove unused field Thread.threadQ
    + S8200123: Replace Thread.init with telescoping constructor
    + S8200124: Various cleanups in jar/zip
    + S8200129: Remove D3D Performance Counter.
    + S8200135: test/hotspot/jtreg/compiler/jvmci/compilerToVM/
    /GetExceptionTableTest.java is failing after JDK-8194978
    + S8200136: Problem list test/hotspot/jtreg/compiler/jvmci/
    /compilerToVM/GetExceptionTableTest.java
    + S8200174: compare.sh improvements
    + S8200178: Remove mapfiles for JDK native libraries
    + S8200179: (se) More Selector cleanup
    + S8200180: fix a typo in run-test framework documentation
    + S8200181: Remove superflous non-IPv4 code from
    Java_java_net_TwoStacksPlainSocketImpl_socketListen
    + S8200198: javah man pages were not removed by JDK-8191054
    + S8200199: javac suggests to use var even when var is used
    + S8200213: Configure broken on MIPS
    + S8200215: 17th loop of "let foo = ''"; throws ReferenceError
    + S8200229: Simplify building of libjsig
    + S8200241: [TESTBUG] java/lang/String/concat/ tests should not
    force source/target = 9 anymore
    + S8200256: java/nio/channels/AsynchronousChannelGroup/Basic.java
    fails intermittently
    + S8200289: Reduce number of exceptions created when calling
    Lookup::canBeCached
    + S8200301: deduplicate lambda methods
    + S8200304: TwoStacksPlainDatagramSocketImpl and socket cleaner
    + S8200310: Avoid charset lookup machinery in
    java.nio.charset.StandardCharsets
    + S8200355: local variable inference regression test generates
    classfile in test folder
    + S8200357: Inline SoundLibraries.gmk into Lib-java.desktop.gmk
    + S8200409: jdk11 nightly solaris sparc build failure
    + S8200449: ReadAllReadNTransferTo fails occasionally
- Modified patch:
  * system-pcsclite.patch
    + Rediff to changed context
* Fri Mar 23 2018 fstrba@suse.com
- Update to upstream tag jdk-11+6
  * Fixes:
    + S8186228: sun/security/krb5/auto/KdcPolicy.java fails with
    "java.lang.Exception: Does not match. Output is
    c30000c30000c30000"
    + S8193033: remove terminally deprecated
    sun.misc.Unsafe.defineClass
    + S8196298: Add null Reader and Writer
    + S8199437: Improve diagnostic system assertion message in
    com.sun.net.httpserver impl
    + S8199682: Clean up building the saproc library
    + S8199749: Debug symbols are not copied to exploded image on
    Mac
    + S8199768: jdk/test/lib/compiler/CompilerUtils.java needs to
    provide more control over compilation
    + S8199792: Wrong license header in XMLLimitAnalyzer.java
    + S8199858: solaris-x86_64 : unpack200 fails linking with SS12u4
    + S8199862: Examine ProxyBuilder::referencedTypes startup cost
    + S8199865: Avoid initializing ShortCache in ProxyGenerator
    + S8199869: Missing copyright headers in nashorn source code
    + S8199884: JDK-8199749 broke build with make 3.81
* Tue Mar 20 2018 fstrba@suse.com
- Update to upstream tag jdk-11+5
  * Fixes:
    + S8160767: [TEST_BUG]
    java/awt/Frame/MaximizedToIconified/MaximizedToIconified.java
    + S8182684: Further clarify InputStream#available()
    + S8183554: Add constructors with Charset parameter for
    FileReader and FileWriter
    + S8187635: On Windows Swing changes keyboard layout on a
    window activation
    + S8188240: Reflection Proxy should skip static methods
    + S8189230: JDK method:
    java.lang.Integer.numberOfLeadingZeros(int) can be optimized
    + S8190347: [TESTBUG] Test javax/swing/JWindow/
    /ShapedAndTranslucentWindows/TranslucentJComboBox.java fails
    + S8190767: if JFrame is maximized on OS X, all new JFrames
    will be maximized by default
    + S8193017: Import freetype sources into OpenJDK source tree
    + S8193584: (testbug) TestSocketFactory fails intermittently
    with ConcurrentModificationException
    + S8194767: Regression automated Test
    'javax/swing/JEditorPane/6917744/bug6917744.java' fails
    + S8194943: Regression automated test 'open/test/jdk/javax/
    /swing/JInternalFrame/8020708/bug8020708.java' fails
    + S8195738: scroll poistion in ScrollPane is reset after
    calling validate()
    + S8196435: Regression automated Test 'java/awt/Mouse/
    /GetMousePositionTest/GetMousePositionWithOverlay.java' fails
    + S8196748: tools/jar tests need to tolerate unrelated warnings
    + S8197785: javax.accessibility.AccessibleBundle will reload
    the ResourceBundle for every call to toDisplayString
    + S8198406: Test TestAATMorxFont is unstable
    + S8198605: Touch keyboard is shown for a non-focusable text
    component
    + S8198606: Touch keyboard does not hide, when a text component
    looses focus
    + S8198613: Test cases result in failure or timeout when run
    with OpenGL backend
    + S8198777: JList.getPreferredScrollableViewportSize(): fix
    mistake in doc for height calc
    + S8198889: Clarify the throwing of exceptions from
    ConstantBootstraps.invoke
    + S8198922: Provide instrumentation for
    sanity/client/SwingSet/src/ButtonDemoScreenshotTest.java
    + S8198989: Provide more diagnostic IAE messages
    + S8199009: test/jdk/java/util/Locale/SoftKeys.java fails with
    OutOfMemoryError
    + S8199022: New failures should be added to ProblemList
    + S8199215: Re-examine getFreePort method in test
    infrastructure library
    + S8199258: BigInteger.bitLength() should explicitly specify
    behavior when the value is zero
    + S8199329: Remove code that attempts to read bytes after
    connection reset reported
    + S8199420: Update javadoc tags in java.lang.System and related
    + S8199423: Create builds-infra Mach5 job
    + S8199428: install-file macro fails on filenames with space on
    Solaris
    + S8199443: Nashorn multithread bottleneck with "use strict"
    + S8199451: Create linux-aarch64 cross-compilation devkit, and
    fix cross-compilation
    + S8199453: Enable link-time generation of constructor forms
    + S8199462: Use Reference.reachabilityFence in direct
    ByteBuffer methods
    + S8199464: Remove remaining vestiges of
    Java_sun_reflect_Reflection_getCallerClass
    + S8199469: Disable generate-jli-classes when building
    interim-image
    + S8199470: Remove unused property file.encoding.pkg
    + S8199471: Enable generation of callSiteForms at link time
    + S8199473: Support Visual Studio BuildTools with VS2017
    + S8199483: Clean up some non-standard LDFLAGS usage
    + S8199606: Set -lc as global LIBS on solstudio
    + S8199611: (se) Minor selector implementation clean-up
    + S8199616: Fix @module declarations in tier1 tests
    + S8199636: Unify naming for jaas_unix and jaas_nt
    + S8199639: Introduce SetupJdkLibrary and SetupJdkExecutable
    + S8199640: Split up BUILD_LIBKRB5 into the two, unrelated
    compilations it consists of
    + S8199647: java/util/Locale/SoftKeys.java fails with
    OutOfMemoryError again
    + S8199668: make/lib cleanup
    + S8199681: Remove boilerplate code from creating native jtreg
    tests
    + S8199745: JDK-8199668 introduced a build race on macosx
- Modified patches:
  * system-pcsclite.patch
  * java10-improved-fonts.patch -> java11-improved-fonts.patch
    + Rediff to changed context
* Tue Mar 13 2018 fstrba@suse.com
- Update to upstream tag jdk-11+4
  * Fixes:
    + S4993841: (str) java.lang.Character should have a
    toString(int) method
    + S5076761: JList.setSelectedValue(null, ...) doesn't do
    anything
    + S6372077: JarFile.getManifest() should handle manifest
    attribute name 70 bytes
    + S8041626: Shutdown tracing event
    + S8129569: [TEST_BUG] Test java/awt/Frame/
    /MaximizedToUnmaximized/MaximizedToUnmaximized.java fails
    + S8137326: Methods for comparing CharSequence, StringBuilder,
    and StringBuffer
    + S8148871: Possible wrong expression stack depth at deopt point
    + S8153945: Track if log configuration has changed during
    runtime
    + S8168722: Unified Logging configuration output needs
    simplifying
    + S8169358: httpserver does not close connections when
    RejectedExecutionException occurs
    + S8170976: [TESTBUG] LogTestFixture does not restore previous
    logging state
    + S8171000: Robot.createScreenCapture() crashes in wayland mode
    + S8182765: HTML5 must be the default javadoc codegen mode in
    the near future
    + S8186513: [TESTBUG] javax/swing/JInternalFrame/8160248/
    /JInternalFrameDraggingTest.java
    + S8187066: -Xlog:help "=debug" example is not quite accurate
    + S8187653: Lock in CoderResult.Cache becomes performance
    bottleneck
    + S8187950: javax.lang.model APIs throws CompletionFailure or a
    subtype of CompletionFailure.
    + S8190346: improve unified JVM logging help message and
    warnings
    + S8190679: java/util/Arrays/TimSortStackSize2.java fails with
    "Initial heap size set to a larger value than the maximum heap
    size"
    + S8191139: Remove deprecated javax.security.auth.Policy API
    + S8191369: NMT: Enhance thread stack tracking
    + S8191421: Deprecate PrintSafepointStatistics,
    PrintSafepointStatisticsTimeout and
    PrintSafepointStatisticsCount options
    + S8193262: JNI array not released in libsunmscapi
    convertToLittleEndian
    + S8193660: Check SOURCE line in "release" file for closedjdk
    + S8194085: Obsolete the deprecated SafepointSynchronize flags
    and remove related code
    + S8194296: Check copyright of files in make/langtools/tools
    + S8194870: Some regression tests throw NPE exception on a
    specific Solaris 11.2 sun4v sparc machine
    + S8195065: runtime/appcds/ProhibitedPackage.java intermittent
    failure
    + S8195131: Dead code removal for changes present in JDK-8176795
    + S8195142: Refactor out card table from CardTableModRefBS to
    flatten the BarrierSet hierarchy
    + S8195632: [Graal] Introduce EagerJVMCI flag to force eager
    JVMCI initialization
    + S8196064: AArch64: Merging ld/st into ldp/stp in
    macro-assembler
    + S8196133: JShell crashes when attempting to use bad source
    file in class path
    + S8196196: Headful tests should not be run in headless mode
    + S8196322: [macosx] When the screen menu bar is used, clearing
    the default menu bar should permit AWT shutdown
    + S8196338: [TEST_BUG] sanity/client/SwingSet/src/
    /TextFieldDemoTest.java Failed with timeout
    + S8196868: AARCH64: ld/st instructions hit guarantee assert
    while using sp
    + S8196882: VS2017 Hotspot Defined vsnprintf Function Causes
    C2084 Already Defined Compilation Error
    + S8197408: Bad pointer comparison and small cleanup in
    os_linux.cpp
    + S8197453: Add support of extra problem list
    + S8197482: Make Jemmy ComponentChooser lambda friendly
    + S8197499: RepaintManager does not increase double buffer
    after attaching a device with higher resolution
    + S8197533: Move javax.transaction.xa  to its own module
    + S8197538: Remove mention of hotjava paths in MimeTable.java
    + S8197546: Fix for 8171000 breaks Solaris + Linux builds
    + S8197549: Implement a new method similar to waitState() on
    Operator which run the check on event queue
    + S8197594: String#repeat
    + S8197808: Test java/awt/Dialog/MakeWindowAlwaysOnTop/
    /MakeWindowAlwaysOnTop.java fails on Windows
    + S8197841: Remove unused function Universe::create_heap_ext
    + S8197864: VS2017 (C4334) Result of 32-bit Shift Implicitly
    Converted to 64 bits
    + S8197926: java/awt/dnd/ImageTransferTest/ImageTransferTest.java
    doesnt close the windows in HiDPI setting
    + S8198004: javax/swing/JFileChooser/6868611/bug6868611.java
    throws error
    + S8198005: javax/swing/JFileChooser/7199708/bug7199708.java
    throws error
    + S8198252: Null pointer dereference in fold_compares_helper
    + S8198253: ThreadInfo.from(CompositeData) incorrectly accepts
    CompositeData with missing JDK 6 attributes
    + S8198293: AARCH64 - Add CPU detection code for Cavium Thunder
    X2
    + S8198302: VS2017 (C4477) java.base/windows/native/libnet/
    /NetworkInterface_winXP.c incorrect printf format strings
    + S8198304: VS2017 (C4838, C4312) Various conversion issues
    with gtest tests
    + S8198312: VS2017: Upgrade HOTSPOT_BUILD_COMPILER in
    vm_version.cpp
    + S8198333: ProblemList should be updated for headless mode
    + S8198474: Move JNIHandles::resolve into jniHandles.inline.hpp
    + S8198554: Add fuzzy matching for log levels and tags when
    parsing -Xlog
    + S8198628: further simplifications to lambda classification at
    JavacParser
    + S8198640: VS2017 (LNK4281) Link Warning Against Missed ASLR
    Optimization
    + S8198693: Update ProblemsList for mac
    + S8198697: Simplify initialization of platform encoding
    + S8198703: Missing #include "gc/shared/cardTableModRefBS.hpp"
    in graphKit.hpp
    + S8198724: Refactor FLAGS handling in configure
    + S8198750: [s390+x86_32+aarch64] Fix build after jdk-8195142
    + S8198810: URLClassLoader does not specify behavior when URL
    array contains null
    + S8198821: fix test methods access for test
    java/text/Normalizer/NormalizerAPITest.java
    + S8198825: Resolve missing review feedback for JDK-8170976
    + S8198833: TestMemoryAwareness Docker container fails with too
    small maximum heap
    + S8198834: (ch) Enable java/nio/channels/spi/SelectorProvider/
    /inheritedChannel/InheritedChannelTest.java on linux-x64
    + S8198841: Thread.interrupt should set interrupt status while
    holding blockerLock
    + S8198844: Clean up GensrcX11Wrappers
    + S8198859: Use elfedit to silence linker warnings on solaris
    + S8198862: Stop doing funky compilation stuff for dtrace
    + S8198887: JDK-8168722 broke the build on macosx
    + S8198888: Reduce string allocation churn in
    InvokerBytecodeGenerator
    + S8198898: Compilation errors in jdk.crypto.mscapi with VS 2017
    + S8198899: Compilation errors in java.prefs with VS 2017
    + S8198928: (so) SocketChannel connect may deadlock if closed
    at around same time that connect fails
    + S8198931: remove java.xml.bind module dependency for
    com/sun/jndi tests
    + S8198933: Update JDI tests to pass valid URL[]
    + S8198955: String#repeat loop optimization
    + S8198966: To make CoderResult.Cache.cache final and allocate
    it eagerly
    + S8198970: jnu_util.c compilation error on Solaris
    + S8199015: (se) SocketChannelImpl.translateXXXOps access
    channel state without synchronization
    + S8199018: Test crypto provider not registering
    + S8199052: Configure broken on aarch64
    + S8199103: Can't use COMPARE_BUILD with PATCH from custom root
    + S8199118: Filtering of filename for microsoft CL broken on
    newer Cygwin
    + S8199120: (so) SocketChannelImpl read/write don't need
    stateLock when channel is configured non-blocking
    + S8199125: --disable-warnings-as-errors does not work for
    native jtreg test code
    + S8199152: Configure broken on arm32
    + S8199154: Accessibility issues in jdk.security.auth
    + S8199197: Set _NT_SYMBOL_PATH when running tests on windows
    + S8199198: Remove unused functions in jdk.crypto.mscapi native
    code
    + S8199224: Refactor add_native_source in SetupNativeCompilation
    + S8199236: Nashorn uses deprecated HTML tags in Javadoc
    + S8199266: Update boot and build jdk requirements in configure
    + S8199327: nuke var type name after a lambda has been accepted
    + S8199331: Don't limit debug information for fastdebug JDK
    native libraries
    + S8199338: Use -g0 on solstudio also for compiling C programs
    + S8199339: JDK-8198859 broke solaris x64
    + S8199347: Always use -Z7 for debug symbols when compiling on
    Windows
    + S8199352: The Jib artifact resolver in test lib needs to
    print better error messages
    + S8199403: Require binutils 2.18 or newer
    + S8199405: Bump lowest supported gcc to 4.8
    + S8199416: Remove debug output left over since JDK-8198844
- Removed patches:
  * sorted-diff.patch
    + context changed completely
  * jdk10-gcc6.patch
    + not needed
  * boot_jdk_version.patch
    + correct boot versions handled upsteam
- Changed patch:
  * java10-improved-fonts.patch
    + rediffed to changed context
* Fri Mar  2 2018 fstrba@suse.com
- Update to upstream tag jdk-11+3
  * Fixes:
    + S4916621: Update those still using JDIScaffold to use
    TestScaffold instead.
    + S7127700: G1: Replace G1PLAB with PLAB
    + S8038043: Xerces Update: XInclude update
    + S8060094: java/util/Formatter/Basic.java failed in tr locale
    + S8068593: Remove or repurpose unused PerfCounters from
    objectMonitor
    + S8165929: Constify arguments of Copy methods
    + S8166232: jshell tool: cannot access previous history
    + S8175384: SA: clhsdb 'printall' throws ClassCastException
    while printing out the bytecodes
    + S8176298: Log tags in -Xlog:help not sorted
    + S8179249: Improve process output analysis in CDS tests
    + S8182847: Copy class should use assert macros
    + S8184289: Obsolete -XX:+UnsyncloadClass and
  - XX:+MustCallLoadClassInternal options
    + S8186211: Negative tests for CONSTANT_Dynamic
    + S8186688: javax.lang.model.util.Elements.hides does not work
    correctly with interfaces
    + S8189330: Cleanup FileDescriptor implementation
    + S8190428: Minimal Dynamic Constant support for AArch64
    + S8191375: Add high-level jtreg VMProps to filter out CDS tests
    + S8193056: Title from build failure with Xcode 9.1
    + S8193150: Create a jtreg version of the test from JDK-8187143.
    + S8193373: Cleanup ElfFile and family
    + S8193846: Obsolete the VM option UseUTCFileTimestamp
    + S8193892: Impact of noncloneable MessageDigest implementation
    + S8193909: Obsolete(remove) Co-operative Memory Management (CMM)
    + S8194084: Obsolete FastTLABRefill and remove the related code
    + S8194691: Cleanup unnecessary casts in Atomic/OrderAccess uses
    + S8194994: Remove redundant string streams used for logging
    + S8195103: Refactor out card table from CardTableModRefBS to
    flatten the BarrierSet hierarchy
    + S8195112: x86 (32 bit): implementation for Thread-local
    handshakes
    + S8196308: Update tests AllLineLocations and ClassesByName to
    use TestScaffold instead of JDIScaffold.
    + S8196324: Update tests FilterMatch and FilterNoMatch to use
    TestScaffold.
    + S8196405: [REDO] NMT: add_committed_regions doesn't merge
    succeeding regions
    + S8196602: Change HeapRegionClosure to comply to naming
    conventions
    + S8196759: Move two java/text/Normalizer tests into OpenJDK
    + S8196783: Refactor LogTagLevelExpression into separate classes
    + S8196786: [PPC64+s390] ConstantDynamic support
    + S8196830: publicLookup().findVirtual should not return method
    handle to AccessibleObject.setAccessible
    + S8196880: VS2017 Addition of Global Delete Operator with Size
    Parameter Conflicts with Arena's Chunk Provided One
    + S8196884: VS2017 Multiple Type Cast Conversion Compilation
    Errors
    + S8196889: VS2017 Unable to Instantiate
    OrderAccess::release_store with an Incomplete Class Within an
    Inlined Method
    + S8196909: gcc 7.2.1 compiler warning in libdt_socket
    + S8196920: VerifierTest_1A.java and VerifierTest_1B.java fail:
    assert(receiver_klass->is_subtype_of(static_receiver_klass))
    failed: actual receiver must be subclass of static receiver
    klass
    + S8196930: [Testbug] serviceability/sa/ClhsdbFindPC.java fails
    to find expected output
    + S8196992: Resolve disabled warnings for libdt_socket
    + S8196997: VS2017 The non-Standard std::tr1 namespace and
    TR1-only machinery are deprecated and will be removed
    + S8197412: Enable docker container related tests for linux
    s390x
    + S8197454: Need Access decorator for storing oop into
    uninitialized location
    + S8197518: Kerberos krb5 authentication: AuthList's put method
    leads to performance issue
    + S8197563: assert(is_Loop()) crash in
    PhaseIdealLoop::try_move_store_before_loop()
    + S8197572: s390 build broken after 8165929
    + S8197589: Update CPU count algorithm when both cpu shares and
    quotas are used
    + S8197608: MacroAssembler::unimplemented calls global operator
    new[]
    + S8197772: metaspace uses global operator new/delete for gtest
    testing
    + S8197780: Null pointer dereference in
    Klass::is_instance_klass of klass.hpp:532
    + S8197789: os::SuspendedThreadTask causes references to global
    operator delete
    + S8197827: [windows] Small cleanups after JDK-8185712
    + S8197828: Null pointer dereference in
    MultiNode::proj_out_or_null
    + S8197857: fieldDescriptor prints incorrect 32-bit
    representation of compressed oops
    + S8197859: VS2017 Complains about UINTPTR_MAX definition in
    globalDefinitions_VisCPP.hpp
    + S8197868: VS2017 (C2065) 'timezone': Undeclared Identifier in
    share/runtime/os.cpp
    + S8197901: Crash during GC when logging level is debug
    + S8197906: Enable CDS mode execution of jtreg tests via make
    + S8197945: Qurarantine failing condy tests
    + S8197956: VS2017 (C4838) Narrowing conversion required from
    __int64 to julong
    + S8197968: [Backout] JDK-8196883
    G1RemSet::refine_card_concurrently doesn't need to check for
    cards in collection set
    + S8197992: Move the OopStorage::ParState type out of inline.hpp
    + S8197993: Remove last use of
    JavaThread::flush_barrier_queues()
    + S8197994: Move JavaThread::initialize_queues() logic to
    G1SATBCardTableLoggingModRefBS
    + S8197999: Accessors in typeArrayOopDesc should use new Access
    API
    + S8198225: os::attempt_reserve_memory_at records memory as
    committed
    + S8198249: Remove deprecated Runtime::runFinalizersOnExit and
    System::runFinalizersOnExit
    + S8198251: [Graal] compiler/intrinsics/bmi/verifycode tests
    fail with Graal on macos
    + S8198265: Make
    CollectorPolicy::satisfy_failed_metadata_allocation() virtual
    + S8198267: Allow GCId::current_raw() calls from
    non-NamedThreads
    + S8198268: Add time argument to
    ConcurrentGCTimer::register_gc_pause_start/_end
    + S8198269: Allow GCCauseSetter to be used outside of safepoints
    + S8198270: Remove dangerous assert in HandleArea::oops_do()
    + S8198271: Make CollectedHeap::create_heap_space_summary()
    virtual
    + S8198275: AIX build broken after latest whitebox.cpp changes
    + S8198286: Direct memory accessors in typeArrayOop.hpp should
    use Access API
    + S8198287: Cleanup ElfFile usage in whitebox.cpp
    + S8198311: Avoid uses of global malloc and free
    + S8198341: Build failures after 8194084 (Obsolete
    FastTLABRefill and remove the related code)
    + S8198369: Clean up GCId and GCIdMark
    + S8198373: Remove CollectorPolicy::is/as functions
    + S8198375: Passing 'null' value to lookup param of
    ConstantBootstraps.invoke does not throw NullPointerException
    + S8198420: Remove unused extension point AllocationContextStats
    + S8198439: Fix aarch64 code for handling generate_code_for
    after FastTLABFill obsolete code
    + S8198480: Improve ClassLoaders static init block
    + S8198481: Coding style cleanups for
    src/java.base/share/classes/jdk/internal/loader
    + S8198482: The URLClassPath field "urls" should be renamed to
    "unopenedUrls"
    + S8198484: URLClassPath should use an ArrayDeque instead of a
    Stack
    + S8198485: Simplify a URLClassPath constructor
    + S8198490: java/util/logging/TestLogConfigurationDeadLock.java
    timed out.
    + S8198492: Bootstrapping java.lang.invoke can cause deadlock
    after JDK-8198418
    + S8198507: Remove CollectorPolicy::create_rem_set
    + S8198509: Move satisfy_failed_metadata_allocation out from
    CollectorPolicy
    + S8198511: Move allocation functions from GenCollectorPolicy
    to GenCollectedHeap
    + S8198515: Extract SoftReferencePolicy code out of
    CollectorPolicy
    + S8198522: Javadoc search broken after output files
    organization for modules
    + S8198525: Move _size_policy out of GenCollectorPolicy into
    GenCollectedHeap
    + S8198528: Move GenerationSpecs from GenCollectorPolicy to
    GenCollectedHeap
    + S8198530: Move _gc_policy_counters from GenCollectorPolicy to
    GenCollectedHeap
    + S8198533: Remove obsolete JDIScaffold class from repo.
    + S8198539: Cleanup of unused imports in
    java/util/jar/Attributes.java (java.base) and
    JdpController.java (jdk.management.agent)
    + S8198551: Rename hotspot_tier1 test group to tier1
    + S8198553: jcmd: separate Metaspace statistics from NMT
    + S8198558: Windows does not build without precompiled headers
    + S8198560: Remove implicit casts from oop to JavaThread* and
    jlong*
    + S8198562: (ch) Separate blocking and non-blocking code paths
    (part 1)
    + S8198564: Multiple crashes on SPARC
    + S8198568: clean up test/hotspot/jtreg/ProblemList.txt
    + S8198569: SetupTextFileProcessing should use sed with 'g'
    + S8198573: JShell: class replace loses instances
    + S8198585: add asserts to verify that ServiceUtil::visible_oop
    is not needed
    + S8198627: JDK-8198318 broke readlink testing
    + S8198635: Remove unused safepoint message functions and
    ShowSafepointMsgs
    + S8198645: Use System.lineSeparator() instead of
    getProperty("line.separator")
    + S8198653: ClassLoader::getSystemClassLoader throws
    InternalError when called after shutdown
    + S8198656: Update copyright to 2018
    + S8198658: Docs still point to JDK 9 docs
    + S8198670: [testbug] Test
    jdk/internal/jline/extra/HistoryTest.java is broken after
    8166232
    + S8198726: Quarantine SADebugDTest.java again
    + S8198751: Refactor SetupNativeCompilation to take NAME and
    TYPE
    + S8198754: (ch) Separate blocking and non-blocking code paths
    (part 2)
    + S8198755: Reduce cost of
    InvokerBytecodeGenerator::isStaticallyInvocable/-Nameable
    + S8198808: jdi tests failing after JDK-8198484
    + S8198820: Problem list tools/jimage/JImageExtractTest.java
    + S8198831: Lazy initialization of ValueConversions
    MethodHandles
- Modified patch:
  * system-pcsclite.patch
    + Fix merge error in the patch
* Mon Feb 26 2018 fstrba@suse.com
- Update to upstream tag jdk-11+2
  * Fixes:
    + S8058965: Remove IPv6 support from TwoStacksPlainSocketImpl
    [win]
    + S8153294: Solaris devkit uses linker from system instead of
    in devkit
    + S8170120: jimage throws IOException when the given file is
    not a jimage file
    + S8176474: test/jdk/jshell/JdiBogusHostListenExecutionControlTest.java
    fails with java.net.BindException
    + S8190904: Incorrect currency instance returned by
    java.util.Currency.getInstance()
    + S8194154: System property user.dir should not be changed
    + S8194892: add compiler support for local-variable syntax for
    lambda parameters
    + S8194922: jlink --exclude-resources should never exclude
    module-info.class
    + S8196959: NullPointerException in discovery003.java
    + S8197439: Crash with -XDfind=lambda for anonymous class in
    anonymous class.
    + S8197812: (ref) Data race in Finalizer
    + S8198227: Fix COMPARE_BUILD after forest consolidation
    + S8198228: Spec clarification: j.u.Locale.getDisplayName()
    + S8198301: jdk11+1 was built as 'fcs' instead of 'ea'
    + S8198303: jdk11+1 was build with incorrect GA date as
    2018-03-20
    + S8198306: Add post custom extension hooks to two launchers
    + S8198318: Make build comparisons clean again
    + S8198328: Create devkit for Solaris with developer studio
    12.6 and Solaris11.3
    + S8198379: tools/jimage/JImageListTest.java failing
    + S8198380: tools/jimage/JImageExtractTest.java failing
    + S8198385: Remove property sun.locale.formatasdefault
    + S8198417: Exclude tools/jimage/JImageExtractTest.java and
    tools/jimage/JImageListTest.java on Windows
    + S8198418: Invoke LambdaMetafactory::metafactory exactly from
    the BootstrapMethodInvoker
    + S8198425: make/Main.gmk Add extra extension/override points
    to the make file
    + S8198441: Replace native Runtime::runFinalization0 method
    with shared secrets
    + S8198450: Make jdk.internal.vm.compiler/module-info.java.extra
    reproducable
    + S8198479: JDK build is broken by 8194892
    + S8198502: Exception at runtime due to lambda analyzer
    reattributes live AST
    + S8198512: compiler support for local-variable syntax for
    lambda parameters
    + S8198523: Refactor BootstrapMethodInvoker to further avoid
    runtime type checks
    + S8198563: Test langtools/tools/javac/analyzer/AnonymousInAnonymous.java
    failing after JDK-8198502
* Mon Feb 19 2018 fstrba@suse.com
- Update to upstream tag jdk-11+1
- Removed patches:
  * JDK-8194739-zero.patch
  * aarch64-form_address.patch
    + Integrated upstream
- Modified patch:
  * system-pcsclite.patch
    + Rediff to changed context
* Mon Jan 29 2018 fstrba@suse.com
- Added patch:
  * aarch64-form_address.patch
  - Fix crash due to mistake in committed patch for JDK-8195859
* Fri Jan 26 2018 fstrba@suse.com
- Upgrade to the tip of jdk repository of January 26th, 2018
- Modified patches:
  * disable-doclint-by-default.patch
  * jdk10-gcc6.patch
    + Rediffed to a changed context
- Removed patches:
  * java-10-openjdk-linuxfilestore.patch
  * remove_javah_for_real.patch
    + Integrated upstream
- Added patch:
  * JDK-8194739-zero.patch
    + S8194739: Zero port of 8174962: Better interface invocations
* Tue Jan 16 2018 fstrba@suse.com
- Recommend tzdata-java8 instead of depending on it. This fixes
  build cycles.
* Fri Dec 15 2017 fstrba@suse.com
- Initial package of jdk-11+0
  * java-11-openjdk technology preview
